<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.

class AutoreportSettingsController extends AutoreportModuleAppController {
    public $layout = 'Admin.default';
    public $components = [
        'ListFilter.ListFilter',
        'RequestHandler',
        'AdditionalLinks',
        'CustomValidationErrors',
    ];
    public $helpers = ['ListFilter.ListFilter'];

    public function index() {
        $all_autoreport_settings = $this->AutoreportSetting->currentAutoreportSettings();

        $default_autoreport_settings = $this->AutoreportSetting->defaultAutoreportSettings();
        $customFildsToRefill = [
            'AutoreportSetting' => [
                'AUTOREPORTS_TENANT_AS_SUBJECT',
                'AUTOREPORTS_SEND_REPORT_AS_PDF',
                'AUTOREPORTS_STORE_PATH',
                'AUTOREPORTS_SHOW_OUTAGES_IN_DOWNTIME',
                'AUTOREPORTS_SHOW_DOWNTIMES',
                'AUTOREPORTS_USE_CREATE_DATE_IN_FILENAME',
                'AUTOREPORTS_USE_YEAR_IN_FILENAME',
                'AUTOREPORTS_SHOW_SLA_GRAPH',
                'AUTOREPORTS_SHOW_SUMMARY_STATISTICS',
                'AUTOREPORTS_EXTENDED_SERV_DESC',
            ],
        ];
        $this->CustomValidationErrors->checkForRefill($customFildsToRefill);

        if ($this->request->is('post') || $this->request->is('put')) {
            $save_data = $this->AutoreportSetting->prepareForSave($this->request->data);
            if (isset($save_data['AutoreportSetting']['notification_emails'])) {
                $save_data['AutoreportSetting']['notification_emails'] = str_replace(' ', '', $save_data['AutoreportSetting']['notification_emails']);
            }
            if (isset($save_data['AutoreportSetting']['configuration_option'])) {
                $all_autoreport_settings['AutoreportSetting']['configuration_option'] = $save_data['AutoreportSetting']['configuration_option'];
            }
            if ($this->AutoreportSetting->saveAll($save_data)) {
                $this->setFlash(__('Settings saved successfully'));

                return $this->redirect(['action' => 'index']);
            } else {
                $this->setFlash(__('Data could not be saved'), false);
            }
        }
        $this->set(compact(['all_autoreport_settings', 'default_autoreport_settings']));
    }
}