<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-gears fa-fw "></i>
            <?php echo __('Autoreport'); ?>
            <span>>
                <?php echo __('Settings'); ?>
            </span>
            <div class="third_level"> <?php echo ucfirst($this->params['action']); ?></div>
        </h1>
    </div>
</div>
<div id="error_msg"></div>
<div class="jarviswidget">
    <header>
        <span class="widget-icon hidden-mobile hidden-tablet"> <i class="fa fa-pencil-square-o"></i> </span>
        <h2 class="hidden-mobile hidden-tablet"><?php echo __('Edit settings'); ?></h2>
    </header>
    <div>
        <div class="widget-body">
            <?php
            echo $this->Form->create('AutoreportSetting', [
                'class' => 'form-horizontal clear',
            ]); ?>
            <div class="padding-left-20">
                <?php
                if (isset($all_autoreport_settings['AutoreportSetting']['id'])):
                    echo $this->Form->input('id', [
                        'type'  => 'hidden',
                        'value' => $all_autoreport_settings['AutoreportSetting']['id'],
                    ]);
                endif;
                foreach ($default_autoreport_settings

                as $key => $default_autoreport_setting): ?>
                <?php
                switch ($key):
                case 'AUTOREPORTS_STORE_PATH':
                    echo $this->Form->input('store_path', [
                            'label'      => [
                                'text'  => __($key),
                                'class' => 'col-lg-4 col-sm-6 col-xs-12',
                                'style' => 'margin-top:4px;',
                            ],
                            'div'        => [
                                'class' => 'row padding-left-10 padding-top-20'
                            ],
                            'wrapInput'  => '',
                            'class'      => 'col-lg-6 col-sm-5 col-xs-10 form-control',
                            'style'      => 'width:50%',
                            'afterInput' => '
                                <a href="javascript:void(0);" class="col-lg-2 col-sm-1 col-xs-2" data-original-title="' . h($default_autoreport_setting['info']) . '" data-placement="left" rel="tooltip" data-container="body"><i class="fa fa-info-circle fa-2x"></i></a>',
                            'value'      => $all_autoreport_settings['AutoreportSetting']['store_path'],
                        ]
                    );
                    break;
                case 'AUTOREPORTS_ERROR_NOTIFICATION':
                    echo $this->Form->input('notification_emails', [
                            'label'      => [
                                'text'  => __($key),
                                'class' => 'col-lg-4 col-sm-6 col-xs-12',
                                'style' => 'margin-top:4px',
                            ],
                            'div'        => ['class' => 'row padding-left-10 padding-top-20'],
                            'wrapInput'  => '',
                            'class'      => 'col-lg-6 col-sm-5 col-xs-10 form-control',
                            'style'      => 'width:50%',
                            'afterInput' => '
                                            <a href="javascript:void(0);" class="col-lg-2 col-sm-1 col-xs-2" data-original-title="' . h($default_autoreport_setting['info']) . '" data-placement="left" rel="tooltip" data-container="body"><i class="fa fa-info-circle fa-2x"></i></a>
                                        ',
                            'value'      => !isset($all_autoreport_settings['AutoreportSetting']['notification_emails']) ? '' : $all_autoreport_settings['AutoreportSetting']['notification_emails'],
                        ]
                    );
                    break;

                default:
                echo '<div class="row padding-left-10 padding-top-20">';
                echo $this->Form->fancyCheckbox($key . '.' . $default_autoreport_setting['value'], [
                    'caption'          => __($key),
                    'wrapGridClass'    => 'col-lg-1 col-sm-1 col-xs-3',
                    'captionGridClass' => 'col-lg-4 col-sm-6 col-xs-12',
                    'captionClass'     => 'control-label text-left',
                    'checked'          => $this->CustomValidationErrors->refill($key, (bool)($default_autoreport_setting['value'] & $all_autoreport_settings['AutoreportSetting']['configuration_option'])),
                ]); ?>
                <div class="col-lg-7 col-sm-5 col-xs-9">
                    <a href="javascript:void(0);"
                       data-original-title="<?php echo h($default_autoreport_setting['info']); ?>" data-placement="left"
                       rel="tooltip" data-container="body"><i class="fa fa-info-circle fa-2x"></i></a>
                </div>
            </div>

        <?php
        endswitch;
        ?>


        <?php
        endforeach;
        ?>
        </div> <!-- close col -->
    </div> <!-- close row-->
    <?php echo $this->Form->formActions(); ?>
</div> <!-- close widget body -->
</div> <!-- end jarviswidget -->
