<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
?>
<?php //$this->extend('Autoreports/load_host_and_services'); ?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-newspaper-o"></i>
            <?php echo __('Reporting'); ?>
            <span>>
                <?php echo __('Autoreports'); ?>
            </span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>
<div>
    <article class="col-sm-12 col-md-12 col-lg-12">
        <div class="jarviswidget" id="wid-id-2" data-widget-editbutton="false" data-widget-deletebutton="false">
            <header>
                <span class="widget-icon"> <i class="fa fa-file-image-o"></i> </span>
                <h2><?php echo __('Add autoreport'); ?></h2>
            </header>
            <div>
                <div class="widget-body fuelux">
                    <?php
                    echo $this->Form->create('Autoreport', [
                        'class' => 'form-horizontal',
                        'id'    => 'fuelux-wizard',
                    ]);
                    ?>
                    <div class="wizard">
                        <ul class="steps">
                            <li data-target="#step1">
                                <span class="badge badge-info">1</span><?php echo __('Report configuration'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step2" class="active">
                                <span class="badge">2</span><?php echo __('Host and services configuration'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step3">
                                <span class="badge">3</span><?php echo __('Report details'); ?><span
                                        class="chevron"></span>
                            </li>
                        </ul>
                        <div class="actions">
                            <button type="submit" class="btn btn-sm btn-success">
                                <?php echo __('Next'); ?><i class="fa fa-arrow-right"></i>
                            </button>
                        </div>
                    </div>
                    <div class="step-content">
                        <div class="step-pane active" id="step2">
                            <h6><?php echo __('Report configuration for hosts and services'); ?></h6>
                            <?php
                            echo $this->Form->input(
                                'Autoreport.start_validate', [
                                'type' => 'hidden',
                            ]);
                            echo $this->Form->input('Autoreport.host_id', [
                                'options'          => $hosts,
                                'class'            => 'chosen',
                                'multiple'         => true,
                                'style'            => 'width:100%;',
                                'label'            => __('Hosts'),
                                'data-placeholder' => __('Please choose a host'),
                                'div'              => [
                                    'class' => 'form-group required',
                                ],
                                'selected'         => $this->CustomValidationErrors->refill('host_id', false),
                            ]);

                            ?>
                            <div class="txt-color-red padding-top-10 padding-bottom-10">
                                <?php
                                echo (isset($validate_errors) && array_key_exists('start_validate', $validate_errors)) ? '<i class="fa fa-exclamation-triangle"></i>
' . $validate_errors['start_validate'][0] : '';
                                ?>
                            </div>
                            <table class="table-stripped hidden" id="HostServicesSettings">
                                <tr class="report-table-bordered">
                                    <th class="table-half-half-background col-md-4 padding-5">
                                        <div class="half"><?php echo __('Host'); ?></div>
                                        <div class="half"><?php echo __('Service'); ?></div>
                                    </th>
                                    <th class="col-md-1 text-center"><?php echo __('in %'); ?></th>
                                    <th class="col-md-1 text-center"><?php echo __('in h'); ?></th>
                                    <th class="table-half-half-background">
                                        <div class="half"><?php echo __('Alias'); ?></div>
                                        <div class="half"><?php echo __('Graph'); ?></div>
                                    </th>
                                    <th class="col-md-1 text-center">
                                        <?php echo __('MIN|AVG|MAX'); ?>
                                        <i class="fa fa-info helptext text-info"
                                           title="<?php echo __('Use minimum, average or maximum values for graph'); ?>"></i>
                                    </th>
                                    <th class="text-center"><?php echo __('Max. outage duration'); ?></th>
                                    <th class="text-center"><?php echo __('All failures'); ?></th>
                                </tr>
                                <tr>
                                    <td class="padding-left-5 text-right font-xs">
                                        <i class="fa fa-square host_icon padding-left-5"></i>
                                        <span class=""><?php echo __('host settings'); ?></span>
                                        <i class="fa fa-square service_icon padding-left-5"></i>
                                        <?php echo __('service settings'); ?>
                                    </td>
                                    <td class="text-center">
                                        <i class="fa fa-check-square-o all_select_true"></i>
                                        <i class="fa fa-square-o all_select_false"></i>
                                    </td>
                                    <td class="text-center">
                                        <i class="fa fa-check-square-o all_select_true"></i>
                                        <i class="fa fa-square-o all_select_false"></i>
                                    </td>
                                    <td class="text-center">
                                        <i class="fa fa-check-square-o all_select_true"></i>
                                        <i class="fa fa-square-o all_select_false"></i>
                                    </td>
                                    <td class="text-center">
                                        <?php
                                        echo $this->Form->radio('Autoreport.GraphSettings', [
                                            'MIN'     => " ",
                                            'AVERAGE' => " ",
                                            'MAX'     => " "
                                        ],
                                            [
                                                'legend' => false,
                                                'label'  => false,
                                                'value'  => 'AVERAGE'
                                            ]);
                                        ?>
                                    </td>
                                    <td class="text-center">
                                        <?php echo $this->Form->text('outage', [
                                            'label'     => false,
                                            'size'      => 5,
                                            'maxlength' => 5,
                                            'class'     => 'text-center',
                                        ]); ?>
                                    </td>
                                    <td class="text-center">
                                        <i class="fa fa-check-square-o all_select_true"></i>
                                        <i class="fa fa-square-o all_select_false"></i>
                                    </td>
                                </tr>
                                <?php
                                echo $this->element('load_host_and_services', [
                                        'host_and_services'               => $host_and_services,
                                        'request_data_for_dynamic_fields' => $request_data_for_dynamic_fields,
                                    ]
                                );
                                ?>
                            </table>
                        </div>
                    </div>
                    <?php
                    echo $this->Form->end();
                    ?>
                </div>
                <!-- end widget content -->
            </div>
            <!-- end widget div -->
        </div>
        <!-- end widget -->
    </article>
    <!-- WIDGET END -->
</div>
