<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, version 3 of the License.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// 2.
//  If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//  under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//  License agreement and license key will be shipped with the order
//  confirmation.
?>
<div style="height:{{frontWidgetHeight}}px!important;">
    <flippy vertical
            class="fancy"
            flip="['custom:FLIP_EVENT_OUT']"
            flip-back="['custom:FLIP_EVENT_IN']"
            duration="800"
            timing-function="ease-in-out">

        <flippy-front>
            <a href="javascript:void(0);" class="btn btn-default btn-xs txt-color-blueDark" ng-click="showConfig()">
                <i class="fa fa-cog fa-sm"></i>
            </a>
            <span ng-hide="autoreport.Autoreport.id === null" class="pull-right padding-right-10">
                <button class="btn btn-primary btn-xs" ng-click="calculateAvailabilityForReport(autoreport.Autoreport.id)">
                    <i class="fa fa-calculator" aria-hidden="true"></i>
                    <?php echo __('Calculate availability') ?>
                </button>
            </span>
            <span ng-show="autoreport.Autoreport.id === null" class="text-info padding-left-20">
            <?php echo __('No element selected'); ?>
        </span>
            <div class="no-padding">
                <div ng-if="autoreport.Autoreport.id" style="height:{{frontWidgetHeight}}px;"
                     class="autoreportAvailibility padding-5">
                    <?php if ($this->Acl->hasPermission('createReport', 'autoreports', 'AutoreportModule')): ?>
                        <div class="info-box" style="background-color: {{backgroundColor}};"
                             ng-show="autoreport.Autoreport.last_send_date">
                            <div class="info-box-icon">
                                <i ng-if="autoreportConfig.Autoreport.in_percent" class="fa fa-lg fa-percent"></i>
                                <i ng-if="!autoreportConfig.Autoreport.in_percent" class="fa fa-lg fa-clock-o"></i>
                            </div>
                            <div class="info-box-content txt-color-white">
                                <a ng-href="{{autoreportHref}}" title="{{autoreport.Autoreport.name}}"
                                   class="info-box-text">
                                    <span class="txt-color-white">{{autoreport.Autoreport.name}}</span>
                                </a>
                                <div class="info-update-date" ng-show="autoreportConfig.Autoreport.show_update_date">
                                    <?php echo __('Last update: '); ?>{{autoreport.Autoreport.last_send_date}}
                                </div>
                                <span ng-show="autoreportConfig.Autoreport.show_bar_chart"
                                    id="inlinesparkline-{{widget.id}}"
                                  class="info-box-sparkline inlinesparkline"></span>
                                <span ng-hide="autoreportConfig.Autoreport.show_bar_chart"
                                      class="info-box-sparkline"></span>
                                <div class="info-box-number" style="font-size:{{fontSize}}px;">
                                    <p ng-if="autoreportConfig.Autoreport.in_percent">
                                        {{autoreport.Autoreport.last_percent_value}}%
                                    </p>
                                    <p ng-if="!autoreportConfig.Autoreport.in_percent">
                                        {{autoreport.Autoreport.last_absolut_value_human}}
                                    </p>
                                </div>
                                <div class="progress">
                                    <div class="progress-bar"
                                         style="width:{{autoreport.Autoreport.last_percent_value}}%"></div>
                                </div>
                            </div>
                        </div>
                        <div class="info-box bg-primary" ng-hide="autoreport.Autoreport.last_send_date">
                            <div class="info-box-icon">
                                <i class="fa fa-lg fa-info"></i>
                            </div>
                            <div class="info-box-content txt-color-white">
                                <a ng-href="{{autoreportHref}}" title="{{autoreport.Autoreport.name}}"
                                   class="info-box-text">
                                    <span class="txt-color-white">{{autoreport.Autoreport.name}}</span>
                                </a>
                                <div class="font-lg">
                                    <?php
                                    echo __('No data available ');
                                    ?>
                                </div>
                            </div>
                        </div>
                    <?php else: ?>
                        <div class="row text-center padding-20">
                        <span class="col col-lg-12 label label-danger font-md" style="white-space: normal;">
                            <i class="fa fa-exclamation-triangle"></i>
                            <?php echo __('You are not permitted to access this object'); ?>
                        </span>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </flippy-front>
        <flippy-back>
            <a href="javascript:void(0);" class="btn btn-default btn-xs txt-color-blueDark" ng-click="hideConfig()">
                <i class="fa fa-eye fa-sm"></i>
            </a>
            <div class="padding-top-10">
                <div class="form-group">
                    <div class="row">
                        <label class="col-xs-12 control-label">
                            <?php echo __('Autoreport'); ?>
                        </label>
                        <div class="col-xs-12">
                            <select data-placeholder="<?php echo __('Please choose'); ?>"
                                    class="form-control"
                                    chosen="autoreports"
                                    ng-options="currentAutoreport.id as currentAutoreport.name for currentAutoreport in autoreports"
                                    ng-model="autoreportConfig.id">
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="row">

                            <div class="col-xs-12 col-sm-4">
                                <fieldset>
                                    <legend><?php echo __('Availibility'); ?></legend>
                                    <div class="radio radio-primary">
                                        <input type="radio"
                                               id="widget-radio0-{{widget.id}}"
                                               ng-model="autoreportConfig.Autoreport.in_percent"
                                               ng-value="true">
                                        <label for="widget-radio0-{{widget.id}}">
                                            <?php echo __(' in %'); ?>
                                        </label>
                                    </div>

                                    <div class="radio radio-primary">
                                        <input type="radio"
                                               id="widget-radio1-{{widget.id}}"
                                               ng-model="autoreportConfig.Autoreport.in_percent"
                                               ng-value="false">
                                        <label for="widget-radio1-{{widget.id}}">
                                            <?php echo __(' in h'); ?>
                                        </label>
                                    </div>
                                </fieldset>
                            </div>

                            <div class="col-xs-12 col-sm-4">
                                <fieldset>
                                    <legend>
                                        <?php echo __('Show log data'); ?>
                                    </legend>
                                    <div class="form-group smart-form padding-top-10">
                                        <label class="checkbox small-checkbox-label display-inline margin-right-5"">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="autoreportConfig.Autoreport.show_update_date">
                                        <i class="checkbox-primary"></i>
                                        <?php echo __('Log date'); ?>
                                        </label>
                                    </div>
                                    <div class="form-group smart-form padding-top-10">
                                        <label class="checkbox small-checkbox-label display-inline margin-right-5"">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="autoreportConfig.Autoreport.show_bar_chart">
                                        <i class="checkbox-primary"></i>
                                        <?php echo __('Bar chart'); ?>
                                        </label>
                                    </div>
                                </fieldset>
                            </div>

                            <div class="col-xs-12 col-sm-4">
                                <fieldset>
                                    <legend>
                                        <?php echo __('Dynamic color'); ?>
                                        <autoreportavailibilitycolors></autoreportavailibilitycolors>
                                    </legend>
                                    <div class="form-group smart-form padding-top-10">
                                        <label class="checkbox small-checkbox-label display-inline margin-right-5"">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="autoreportConfig.Autoreport.set_color_dynamically">
                                        <i class="checkbox-primary"></i>
                                        <?php echo __('Yes'); ?>
                                        </label>
                                    </div>
                                </fieldset>
                            </div>

                            <div class="row">
                                <div class="col-xs-12">
                                    <button class="btn btn-primary pull-right" ng-click="saveAutoreportWidget()">
                                        <?php echo __('Save'); ?>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </flippy-back>
    </flippy>
</div>

