<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php //debug($autoreport);?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-newspaper-o"></i>
            <?php echo __('Reporting'); ?>
            <span>>
                <?php echo __('Autoreports'); ?>
			</span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>
<div>
    <article class="col-sm-12 col-md-12 col-lg-12">
        <!-- Widget ID (each widget will need unique ID)-->
        <div class="jarviswidget" id="wid-id-2" data-widget-editbutton="false" data-widget-deletebutton="false">
            <header>
                <span class="widget-icon"> <i class="fa fa-file-image-o"></i> </span>
                <h2><?php echo __('Add autoreport'); ?></h2>
            </header>
            <!-- widget div-->
            <div>
                <!-- widget content -->
                <div class="widget-body fuelux">
                    <?php
                    echo $this->Form->create('Autoreport', [
                        'class' => 'form-horizontal',
                        'id'    => 'fuelux-wizard',
                    ]);
                    ?>
                    <div class="wizard">
                        <ul class="steps">
                            <li data-target="#step1" class="active">
                                <span class="badge badge-info">1</span><?php echo __('Report configuration'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step2">
                                <span class="badge">2</span><?php echo __('Host and services configuration'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step3">
                                <span class="badge">3</span><?php echo __('Report details'); ?><span
                                        class="chevron"></span>
                            </li>
                        </ul>
                        <div class="actions">
                            <button type="submit" class="btn btn-sm btn-success">
                                <?php echo __('Next'); ?><i class="fa fa-arrow-right"></i>
                            </button>
                        </div>
                    </div>
                    <div class="step-content">
                        <div class="step-pane active" id="step1">
                            <h6 class="txt-color-blueDark"><?php echo __('Main report configuration'); ?></h6>
                            <!-- wizard form starts here -->
                            <fieldset class="col col-xs-12">
                                <?php
                                $errors = $this->Form->validationErrors;
                                echo $this->Form->input('Autoreport.id', [
                                    'type'  => 'hidden',
                                    'value' => $autoreport['Autoreport']['id'],
                                ]);
                                echo $this->Form->input('container_id', [
                                    'options'          => $this->Html->chosenPlaceholder($tenants),
                                    'data-placeholder' => __('Please select...'),
                                    'class'            => 'chosen',
                                    'label'            => __('Tenant'),
                                    'style'            => 'width:100%;',
                                    'selected'         => $this->request->data['Autoreport']['container_id'],
                                ]);

                                echo $this->Form->input('name', [
                                    'label' => __('Report name'),
                                    'value' => $this->request->data['Autoreport']['name'],
                                ]);
                                echo $this->Form->input('description', [
                                    'label' => __('Report description'),
                                    'value' => $this->request->data['Autoreport']['description'],
                                ]);
                                ?>
                                <div class="form-group">
                                    <?php
                                    echo $this->Form->fancyCheckbox('use_start_time', [
                                        'caption'          => __('Set start'),
                                        'captionGridClass' => 'col col-md-2',
                                        'captionClass'     => 'control-label',
                                        'checked'          => $this->CustomValidationErrors->refill('use_start_time', $this->request->data['Autoreport']['use_start_time']),
                                    ]);
                                    ?>
                                </div>
                                <?php
                                echo $this->Form->input('report_start_date', [
                                    'label' => __('Start date'),
                                    'type'  => 'text',
                                    'class' => 'form-control',
                                    'value' => ($autoreport['Autoreport']['use_start_time']) ? date('d.m.Y', strtotime($this->request->data['Autoreport']['report_start_date'])) : '',
                                ]);
                                echo $this->Form->input('timeperiod_id', [
                                    'options'          => $this->Html->chosenPlaceholder($timeperiods),
                                    'data-placeholder' => __('Please select...'),
                                    'class'            => 'chosen',
                                    'label'            => __('Timeperiod'),
                                    'style'            => 'width:100%;',
                                    'selected'         => $this->request->data['Autoreport']['timeperiod_id'],
                                ]);
                                $report_interval = [
                                    0         => '',
                                    'YEAR'    => __('Year'),
                                    'QUARTER' => __('Quarter'),
                                    'MONTH'   => __('Month'),
                                    'WEEK'    => __('Week'),
                                    'DAY'     => __('Day'),
                                ];
                                echo $this->Form->input('report_interval', [
                                    'options'          => $report_interval,
                                    'data-placeholder' => __('Please select...'),
                                    'class'            => 'chosen',
                                    'label'            => __('Evaluation period'),
                                    'style'            => 'width:100%;',
                                    'selected'         => $this->request->data['Autoreport']['report_interval'],
                                ]);
                                $report_send_interval = [
                                    0         => '',
                                    'NEVER'   => __('never'),
                                    'YEAR'    => __('yearly'),
                                    'QUARTER' => __('quarterly'),
                                    'MONTH'   => __('monthly'),
                                    'WEEK'    => __('weekly'),
                                    'DAY'     => __('daily'),
                                ];
                                echo $this->Form->input('report_send_interval', [
                                    'options'          => $report_send_interval,
                                    'data-placeholder' => __('Please select...'),
                                    'class'            => 'chosen',
                                    'label'            => __('Send interval'),
                                    'style'            => 'width:100%;',
                                    'selected'         => $this->request->data['Autoreport']['report_send_interval'],
                                ]);
                                ?>
                                <div class="<?php echo (isset($errors['Autoreport']['min_availability'])) ? 'has-error' : ''; ?>">
                                    <?php
                                    if ((isset($errors['Autoreport']['min_availability_on']))):
                                    ?>
                                    <fieldset class="well error-fieldset margin-bottom-10">
                                        <legend class="error-legend font-sm">
                                            <?php
                                            if (isset($errors['Autoreport']['min_availability_on'])):
                                                echo '<i class="fa fa-exclamation-triangle"></i>
	' . __($errors['Autoreport']['min_availability_on'][0]);
                                            endif;
                                            ?>
                                        </legend>
                                        <?php
                                        endif;
                                        ?>
                                        <div class="form-group <?php echo (isset($errors['Autoreport']['min_availability'])) ? 'has-error' : ''; ?>">
                                            <?php
                                            echo $this->Form->fancyCheckbox('min_availability_on', [
                                                'caption'          => __('Min. allowed availability'),
                                                'wrapGridClass'    => 'col col-md-1',
                                                'captionGridClass' => 'col col-md-2',
                                                'captionClass'     => 'control-label',
                                                'checked'          => $this->CustomValidationErrors->refill('min_availability_on', (bool)($this->request->data['Autoreport']['min_availability'])),
                                            ]);
                                            echo $this->Form->input('min_availability_in_percent', [
                                                'label'      => false,
                                                'type'       => 'text',
                                                'wrapInput'  => 'col col-xs-4',
                                                'div'        => ['class' => ''],
                                                'afterInput' => '<span class="padding-10"> ' . __(' in %') . '</span>',
                                                'class'      => 'form-control form-control-default-width',
                                                'value'      => ($autoreport['Autoreport']['min_availability_percent']) ? $this->request->data['Autoreport']['min_availability'] : '',
                                            ]);

                                            echo $this->Form->input('min_availability_in_minutes', [
                                                'label'      => false,
                                                'type'       => 'text',
                                                'wrapInput'  => 'col col-xs-4',
                                                'div'        => ['class' => ''],
                                                'afterInput' => '<span class="padding-10"> ' . __(' in m') . '</span>',
                                                'class'      => 'form-control form-control-default-width',
                                                'value'      => (!$autoreport['Autoreport']['min_availability_percent']) ? $this->request->data['Autoreport']['min_availability'] : '',
                                            ]);
                                            ?>
                                        </div>
                                        <div class="form-group <?php echo (isset($errors['Autoreport']['min_availability'])) ? 'has-error' : ''; ?>">
                                            <?php
                                            echo $this->Form->fancyCheckbox('max_outages', [
                                                'caption'          => __('Max. number of outages'),
                                                'wrapGridClass'    => 'col col-md-1',
                                                'captionGridClass' => 'col col-md-2',
                                                'captionClass'     => 'control-label',
                                                'checked'          => $this->CustomValidationErrors->refill('max_outages', (bool)$this->request->data['Autoreport']['max_number_of_outages']),
                                            ]);
                                            echo $this->Form->input('max_number_of_outages', [
                                                'label'     => false,
                                                'type'      => 'text',
                                                'wrapInput' => 'col col-xs-4',
                                                'div'       => ['class' => ''],
                                                'class'     => 'form-control form-control-default-width',
                                                'value'     => ($autoreport['Autoreport']['max_number_of_outages']) ? $this->request->data['Autoreport']['max_number_of_outages'] : '',
                                            ]);
                                            ?>
                                        </div>
                                        <?php if ((isset($errors['Autoreport']['min_availability']))): ?>
                                    </fieldset>
                                <?php endif; ?>
                                </div>
                                <?php
                                echo $this->Form->input('show_time', [
                                    'options'          => [__('in %'), __('in h')],
                                    'data-placeholder' => __('Please select...'),
                                    'class'            => 'chosen',
                                    'label'            => __('Graph'),
                                    'style'            => 'width:100%;',
                                    'selected'         => $this->request->data['Autoreport']['show_time'],
                                ]);
                                echo $this->Form->input('check_hard_state', [
                                    'options'          => [__('soft and hard state'), __('only hard state')],
                                    'data-placeholder' => __('Please select...'),
                                    'class'            => 'chosen',
                                    'label'            => __('Reflection state'),
                                    'style'            => 'width:100%;',
                                    'selected'         => $this->request->data['Autoreport']['check_hard_state'],
                                ]); ?>
                                <div class="form-group">
                                    <?php
                                    echo $this->Form->fancyCheckbox('consider_downtimes', [
                                        'caption'          => __('Consider downtimes'),
                                        'wrapGridClass'    => 'col col-md-1',
                                        'captionGridClass' => 'col col-md-2',
                                        'captionClass'     => 'control-label',
                                        'checked'          => $this->CustomValidationErrors->refill('consider_downtimes', $this->request->data['Autoreport']['consider_downtimes']),
                                    ]); ?>
                                </div>
                                <div class="form-group">
                                    <?php
                                    echo $this->Form->fancyCheckbox('consider_holidays', [
                                        'caption'          => __('Consider holidays'),
                                        'wrapGridClass'    => 'col col-md-1',
                                        'captionGridClass' => 'col col-md-2',
                                        'captionClass'     => 'control-label',
                                        'checked'          => $this->CustomValidationErrors->refill('consider_holidays', $this->request->data['Autoreport']['consider_holidays']),
                                    ]); ?>
                                </div>
                                <div class="form-group">
                                    <?php
                                    echo $this->Form->input('calendar_id', [
                                            'options'          => $this->Html->chosenPlaceholder($calendars),
                                            'data-placeholder' => __('Please select...'),
                                            'class'            => 'chosen',
                                            'label'            => __('Calendar'),
                                            'style'            => 'width:100%;',
                                            'selected'         => $this->request->data['Autoreport']['calendar_id'],
                                        ]
                                    ); ?>
                                </div>
                                <?php
                                echo $this->Form->input('report_user', [
                                    'options'          => $this->Html->chosenPlaceholder($users),
                                    'data-placeholder' => __('Please select...'),
                                    'class'            => 'chosen',
                                    'label'            => __('Users'),
                                    'style'            => 'width:100%;',
                                    'multiple'         => true,
                                    'selected'         => $this->request->data['Autoreport']['report_user'],
                                ]);
                                ?>
                            </fieldset>
                        </div>
                        <?php echo $this->Form->end(); ?>
                    </div>
                    <!-- end widget content -->
                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
    </article>
    <!-- WIDGET END -->
</div>
