<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-newspaper-o"></i>
            <?php echo __('Reporting'); ?>
            <span>>
                <?php echo __('Autoreports'); ?>
            </span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>
<div>
    <article class="col-sm-12 col-md-12 col-lg-12">
        <!-- Widget ID (each widget will need unique ID)-->
        <div class="jarviswidget" id="wid-id-2" data-widget-editbutton="false" data-widget-deletebutton="false">
            <header>
                <div class="widget-toolbar" role="menu">
                    <?php echo $this->Utils->backButton() ?>
                </div>
                <span class="widget-icon"> <i class="fa fa-file-image-o"></i> </span>
                <h2><?php echo __('Edit autoreport'); ?></h2>
            </header>
            <!-- widget div-->
            <div>
                <!-- widget content -->
                <div class="widget-body fuelux">
                    <div class="wizard">
                        <ul class="steps">
                            <li data-target="#step1">
                                <span class="badge badge-info">1</span><?php echo __('Report configuration'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step2">
                                <span class="badge">2</span><?php echo __('Host and services configuration'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step3" class="active">
                                <span class="badge">3</span><?php echo __('Report details'); ?><span
                                        class="chevron"></span>
                            </li>
                        </ul>
                        <div class="actions">
                            <?php echo $this->Html->link(__('Prev'), [
                                'action' => 'editStepTwo',
                                $autoreport['Autoreport']['id']
                            ],
                                [
                                    'icon'  => 'fa fa-arrow-left',
                                    'class' => 'btn btn-large btn-primary btn-prev default-link',
                                ]);
                            ?>
                        </div>
                    </div>
                    <div class="step-pane" id="step3">
                        <h6 class="txt-color-blueDark"><?php echo __('Report overview'); ?>:
                            <span class="txt-color-blue">"<?php echo h($autoreport['Autoreport']['name']); ?>"</span>
                        </h6>
                        <fieldset>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-calendar"></i> <?php echo __('Timeperiod'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <?php
                                    $weekdays = [
                                        1 => __('Monday'),
                                        2 => __('Tuesday'),
                                        3 => __('Wednesday'),
                                        4 => __('Thursday'),
                                        5 => __('Friday'),
                                        6 => __('Saturday'),
                                        7 => __('Sunday'),
                                    ]; ?>
                                    <?php
                                    foreach ($autoreport['Timeperiod']['Timerange'] as $timerange):?>
                                        <div class="row show-grid">
                                            <div class="col-md-2">
                                                <?php echo $weekdays[$timerange['day']]; ?>
                                            </div>
                                            <div class="col-md-4">
                                                <?php echo $timerange['start'] . ' - ' . $timerange['end']; ?>
                                            </div>
                                        </div>
                                    <?php
                                    endforeach; ?>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-clock-o"></i> <?php echo __('Report interval'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <div class="row show-grid">
                                        <div class="col-md-4">
                                            <?php echo $autoreport['Autoreport']['report_interval']; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-envelope-o"></i> <?php echo __('Report send interval'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <div class="row show-grid">

                                        <div class="col-md-4">
                                            <?php echo $autoreport['Autoreport']['report_send_interval']; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-line-chart"></i> <?php echo __('Min. availibility'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <div class="row show-grid">
                                        <div class="col-md-4">
                                            <?php echo ($autoreport['Autoreport']['min_availability']) ? (($autoreport['Autoreport']['min_availability_percent']) ? $autoreport['Autoreport']['min_availability'] : (int)$autoreport['Autoreport']['min_availability']) . ' ' . (($autoreport['Autoreport']['min_availability_percent']) ? __('%') : __(' minutes')) : '<i class="fa fa-ban text-danger"></i>
'; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-bolt"></i> <?php echo __('Max. number of outages'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <div class="row show-grid">
                                        <div class="col-md-4">
                                            <?php echo ($autoreport['Autoreport']['max_number_of_outages']) ? $autoreport['Autoreport']['max_number_of_outages'] : '<i class="fa fa-ban text-danger"></i>
'; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-chain"></i> <?php echo __('Use start time'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <div class="row show-grid">
                                        <div class="col-md-4">
                                            <?php echo ($autoreport['Autoreport']['use_start_time']) ? date('d.m.Y', strtotime($autoreport['Autoreport']['report_start_date'])) : '<i class="fa fa-ban text-danger"></i>
'; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-filter"></i> <?php echo __('Reflection state'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <div class="row show-grid">
                                        <div class="col-md-4">
                                            <?php echo ($autoreport['Autoreport']['check_hard_state']) ? 'hard' : 'hard and soft'; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-medkit"></i> <?php echo __('Consider downtimes'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <div class="row show-grid">
                                        <div class="col-md-4">
                                            <?php echo ($autoreport['Autoreport']['consider_downtimes']) ? '<i class="fa fa-check text-success"></i>' : '<i class="fa fa-ban text-danger"></i>
'; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-star"></i> <?php echo __('Consider holidays'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <div class="row show-grid">
                                        <div class="col-md-9">
                                            <?php echo ($autoreport['Autoreport']['consider_holidays']) ? '<i class="fa fa-check text-success"></i>' : '<i class="fa fa-ban text-danger"></i>
'; ?>
                                            <?php echo (!empty($autoreport['Autoreport']['calendar_id'])) ? ' <i class="fa fa-calendar padding-left-10"> ' . __('Calendar') . ': ' . h($autoreport['Calendar']['name']) . '</i>' : ''; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-users"></i> <?php echo __('Users'); ?>:
                                </div>
                                <div class="col-md-9">
                                    <div class="row show-grid">
                                        <div class="col-md-4">
                                            <?php
                                            if ($autoreport['User']):
                                                foreach ($autoreport['User'] as $user):
                                                    echo $this->Html->link($user['firstname'] . ' ' . $user['lastname'], [
                                                        'action'     => 'edit',
                                                        'controller' => 'users',
                                                        $user['id'],
                                                    ],
                                                        [
                                                            'class' => 'padding-right-10',
                                                        ]
                                                    );
                                                endforeach;
                                            else:
                                                echo '<i class="fa fa-ban text-danger"></i>';
                                            endif;
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row show-grid padding-top-10">
                                <div class="col-md-3 text-right">
                                    <i class="fa fa-cogs"></i> <?php echo __('Host and service options'); ?>:
                                </div>
                                <div class="col-md-9 text-center">
                                    <div class="row show-grid report-details-header_bordered">
                                        <div class="col-md-3 table-half-half-background">
                                            <div class="half"><?php echo __('Host'); ?></div>
                                            <div class="half"><?php echo __('Service'); ?></div>
                                        </div>
                                        <div class="col-md-1"><?php echo __('in %'); ?></div>
                                        <div class="col-md-1"><?php echo __('in h'); ?></div>
                                        <div class="col-md-2 table-half-half-background">
                                            <div class="half"><?php echo __('Alias'); ?></div>
                                            <div class="half"><?php echo __('Graph'); ?></div>
                                        </div>
                                        <div class="col-md-3"><?php echo __('Max. outage duration'); ?></div>
                                        <div class="col-md-2"><?php echo __('All failures'); ?></div>
                                    </div>
                                </div>
                                <?php
                                $configuration_options = [
                                    'percent' => 1,
                                    'minute'  => 2,
                                    'alias'   => 4,
                                    'outage'  => 8,
                                    'graph'   => 4,
                                ];
                                $hosts_with_services = [];
                                $service_array_group_by_host_id = Hash::combine($autoreport, 'AutoreportServiceMembership.{n}.service_id', 'AutoreportServiceMembership.{n}', 'AutoreportServiceMembership.{n}.host_id');
                                foreach ($service_array_group_by_host_id as $host_id => $report_services):
                                    $tmp_report_services = $report_services;
                                    $host_name = Hash::extract(array_shift($tmp_report_services), 'Service.Host.name')[0];
                                    unset($tmp_report_services);
                                    $host_config = Hash::extract($autoreport, 'AutoreportHostMembership.{n}[host_id=' . $host_id . ']');
                                    foreach ($report_services as $service_key => $report_service):
                                        $report_services[$service_key]['Service']['name'] = (empty($report_service['Service']['name'])) ? $report_service['Service']['Servicetemplate']['name'] : $report_service['Service']['name'];
                                    endforeach;
                                    $report_services = Hash::sort($report_services, '{n}.Service.name', 'asc', 'string');
                                    ?>
                                    <div class="col-md-3"></div>
                                    <div class="col-md-9 host_row">
                                        <div class="row show-grid report-details-bordered">
                                            <div class="col-md-3 host_option ">
                                                <?php echo h($host_name); ?>
                                            </div>
                                            <div class="col-md-1 text-center">
                                                <?php echo '<i class="fa ' . (!empty($host_config) && ($host_config[0]['configuration_option'] & $configuration_options['percent']) ? 'fa-check text-success' : 'fa-times text-danger') . '"></i>'; ?>
                                            </div>
                                            <div class="col-md-1 text-center">
                                                <?php echo '<i class="fa ' . (!empty($host_config) && ($host_config[0]['configuration_option'] & $configuration_options['minute']) ? 'fa-check text-success' : 'fa-times text-danger') . '"></i>'; ?>
                                            </div>
                                            <div class="col-md-2 host_option text-center">
                                                <?php echo '<i class="fa ' . (!empty($host_config) && ($host_config[0]['configuration_option'] & $configuration_options['alias']) ? 'fa-check' : 'fa-times') . ' fa-inverse"></i>'; ?>
                                            </div>
                                            <div class="col-md-3 text-center">
                                                <?php echo (!empty($host_config)) ? $host_config[0]['outage_duration'] : ''; ?>
                                            </div>
                                            <div class="col-md-2 text-center">
                                                <?php echo '<i class="fa ' . (!empty($host_config) && ($host_config[0]['configuration_option'] & $configuration_options['outage']) ? 'fa-check text-success' : 'fa-times text-danger') . '"></i>'; ?>
                                            </div>
                                        </div>
                                    </div>
                                    <?php
                                    //note host_id if already used
                                    array_push($hosts_with_services, $host_id);
                                    foreach ($report_services as $report_service):?>
                                        <div class="col-md-3"></div>
                                        <div class="col-md-9 service_row">
                                            <div class="row show-grid report-details-bordered">
                                                <div class="col-md-3 service_option ">
                                                    <?php echo h((($report_service['Service']['name']) ? $report_service['Service']['name'] : $report_service['Service']['Servicetemplate']['name'])); ?>
                                                </div>
                                                <div class="col-md-1 text-center">
                                                    <?php echo '<i class="fa ' . (($report_service['configuration_option'] & $configuration_options['percent']) ? 'fa-check text-success' : 'fa-times text-danger') . '"></i>'; ?>
                                                </div>
                                                <div class="col-md-1 text-center">
                                                    <?php echo '<i class="fa ' . (($report_service['configuration_option'] & $configuration_options['minute']) ? 'fa-check text-success' : 'fa-times text-danger') . '"></i>'; ?>
                                                </div>
                                                <div class="col-md-2 service_option text-center">
                                                    <?php echo '<i class="fa ' . (($report_service['configuration_option'] & $configuration_options['graph']) ? 'fa-check' : 'fa-times') . ' fa-inverse"></i>'; ?>
                                                </div>
                                                <div class="col-md-3 text-center">
                                                    <?php echo $report_service['outage_duration']; ?>
                                                </div>
                                                <div class="col-md-2 text-center">
                                                    <?php echo '<i class="fa ' . (($report_service['configuration_option'] & $configuration_options['outage']) ? 'fa-check text-success' : 'fa-times text-danger') . '"></i>'; ?>
                                                </div>
                                            </div>
                                        </div>
                                    <?php
                                    endforeach;
                                endforeach;
                                $hosts_without_service_options = Hash::sort(Hash::extract($autoreport, 'AutoreportHostMembership'), '{n}.Host.name', 'asc');
                                //clean up job for host array
                                foreach ($hosts_without_service_options as $key => $report_host):
                                    if (in_array($report_host['host_id'], $hosts_with_services)):
                                        unset($hosts_without_service_options[$key]);
                                    endif;
                                endforeach;
                                if (sizeof($hosts_without_service_options) > 0):?>
                                    <div class="col-md-3"></div>
                                    <div class="col-md-9 text-left text-info padding-top-10 padding-bottom-10">
                                        <strong><em><?php echo __('Hosts without service options'); ?></em></strong>
                                    </div>
                                <?php
                                endif;
                                foreach ($hosts_without_service_options as $report_host):
                                    ?>
                                    <div class="col-md-3"></div>
                                    <div class="col-md-9">
                                        <div class="row show-grid report-details-bordered">
                                            <div class="col-md-3 host_option ">
                                                <?php echo h($report_host['Host']['name']); ?>
                                            </div>
                                            <div class="col-md-1 text-center">
                                                <?php echo '<i class="fa ' . (($report_host['configuration_option'] & $configuration_options['percent']) ? 'fa-check text-success' : 'fa-times text-danger') . '"></i>'; ?>
                                            </div>
                                            <div class="col-md-1 text-center">
                                                <?php echo '<i class="fa ' . (($report_host['configuration_option'] & $configuration_options['minute']) ? 'fa-check text-success' : 'fa-times text-danger') . '"></i>'; ?>
                                            </div>
                                            <div class="col-md-2 host_option text-center">
                                                <?php echo '<i class="fa ' . (($report_host['configuration_option'] & $configuration_options['alias']) ? 'fa-check' : 'fa-times') . ' fa-inverse"></i>'; ?>
                                            </div>
                                            <div class="col-md-3 text-center">
                                                <?php echo $report_host['outage_duration']; ?>
                                            </div>
                                            <div class="col-md-2 text-center">
                                                <?php echo '<i class="fa ' . (($report_host['configuration_option'] & $configuration_options['outage']) ? 'fa-check text-success' : 'fa-times text-danger') . '"></i>'; ?>
                                            </div>
                                        </div>
                                    </div>
                                <?php
                                endforeach;
                                ?>
                            </div>
                        </fieldset>
                    </div>
                </div>
                <!-- end widget content -->
            </div>
            <!-- end widget div -->
        </div>
        <!-- end widget -->
    </article>
    <!-- WIDGET END -->
</div>
