<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-newspaper-o"></i>
            <?php echo __('Reporting'); ?>
            <span>>
                <?php echo __('Autoreports'); ?>
            </span>
        </h1>
    </div>
</div>

<section id="widget-grid" class="">
    <div class="row">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <div class="widget-toolbar" role="menu">
                        <?php
                        if ($this->Acl->hasPermission('add')):
                            echo $this->Html->link(__('Add'), '/autoreport_module/' . $this->params['controller'] . '/addStepOne', ['class' => 'btn btn-xs btn-success', 'icon' => 'fa fa-plus']);
                            echo " "; //Fix HTML
                        endif;
                        echo $this->Html->link(__('Filter'), 'javascript:', ['class' => 'oitc-list-filter btn btn-xs btn-primary toggle', 'hide-on-render' => 'true', 'icon' => 'fa fa-filter']);
                        if ($isFilter):
                            echo " "; //Fix HTML
                            echo $this->ListFilter->resetLink(null, ['class' => 'btn-danger btn-xs', 'icon' => 'fa fa-times'], true);
                        endif;
                        ?>
                    </div>
                    <span class="widget-icon"> <i class="fa fa-file-image-o"></i> </span>
                    <h2><?php echo __('Autoreports'); ?></h2>
                </header>

                <div>
                    <div class="widget-body no-padding">
                        <?php echo $this->ListFilter->renderFilterbox($filters, [], '<i class="fa fa-filter"></i> ' . __('Filter'), false, false, true); ?>
                        <div class="tab-content">
                            <div id="tab1" class="tab-pane fade active in">
                                <table id="datatable_fixed_column"
                                       class="table table-striped table-hover table-bordered smart-form">
                                    <thead>
                                    <tr>
                                        <?php $order = $this->Paginator->param('order'); ?>
                                        <th><?php echo $this->Utils->getDirection($order, 'name');
                                            echo $this->Paginator->sort('name', 'Name'); ?></th>
                                        <th><?php echo $this->Utils->getDirection($order, 'description');
                                            echo $this->Paginator->sort('description', 'Description'); ?></th>
                                        <th><?php echo $this->Utils->getDirection($order, 'report_interval');
                                            echo $this->Paginator->sort('report_interval', 'Report inteval'); ?></th>
                                        <th><?php echo $this->Utils->getDirection($order, 'report_send_interval');
                                            echo $this->Paginator->sort('report_send_interval', 'Report send inteval'); ?></th>
                                        <th><?php echo $this->Utils->getDirection($order, 'min_availability');
                                            echo $this->Paginator->sort('min_availability', 'Min. availability'); ?></th>
                                        <th><?php echo $this->Utils->getDirection($order, 'max_number_of_outages');
                                            echo $this->Paginator->sort('max_number_of_outages', 'Max number of outages'); ?>
                                        <th class="no-sort text-center" style="width:52px;"><i
                                                    class="fa fa-gear fa-lg"></i></th>
                                        </th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php
                                    foreach ($all_autoreports as $autoreport):
                                        $allowEdit = $this->Acl->isWritableContainer($autoreport['Autoreport']['container_id']);
                                        ?>
                                        <tr>
                                            <td><?php echo h($autoreport['Autoreport']['name']); ?></td>
                                            <td><?php echo h($autoreport['Autoreport']['description']); ?></td>
                                            <td><?php echo h($autoreport['Autoreport']['report_interval']); ?></td>
                                            <td><?php echo h($autoreport['Autoreport']['report_send_interval']); ?></td>
                                            <td><?php echo ($autoreport['Autoreport']['min_availability']) ? (($autoreport['Autoreport']['min_availability_percent']) ? $autoreport['Autoreport']['min_availability'] : (int)$autoreport['Autoreport']['min_availability']) . ' ' . (($autoreport['Autoreport']['min_availability_percent']) ? __('%') : __(' minutes')) : ''; ?></td>
                                            <td><?php echo h($autoreport['Autoreport']['max_number_of_outages']); ?></td>
                                            <td>
                                                <div class="btn-group">
                                                    <?php if ($this->Acl->hasPermission('edit') && $allowEdit): ?>
                                                        <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/editStepOne/<?php echo $autoreport['Autoreport']['id']; ?>"
                                                           class="btn btn-default">&nbsp;<i class="fa fa-cog"></i>&nbsp;
                                                        </a>
                                                    <?php else: ?>
                                                        <a href="javascript:void(0);" class="btn btn-default">&nbsp;<i
                                                                    class="fa fa-cog"></i>&nbsp;</a>
                                                    <?php endif; ?>
                                                    <a href="javascript:void(0);" data-toggle="dropdown"
                                                       class="btn btn-default dropdown-toggle"><span
                                                                class="caret"></span></a>
                                                    <ul class="dropdown-menu pull-right">
                                                        <?php if ($this->Acl->hasPermission('edit') && $allowEdit): ?>
                                                            <li>
                                                                <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/editStepOne/<?php echo $autoreport['Autoreport']['id']; ?>"><i
                                                                            class="fa fa-cog"></i> <?php echo __('Edit'); ?>
                                                                </a>
                                                            </li>
                                                        <?php endif; ?>
                                                        <li>
                                                            <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/createReport/<?php echo $autoreport['Autoreport']['id']; ?>"><i
                                                                        class="fa fa-file-text-o"></i> <?php echo __('Create report'); ?>
                                                            </a>
                                                        </li>
                                                        <?php if ($this->Acl->hasPermission('delete') && $allowEdit): ?>
                                                            <li class="divider"></li>
                                                            <li>
                                                                <?php echo $this->Form->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), ['controller' => $this->params['controller'], 'action' => 'delete', $autoreport['Autoreport']['id']], ['class' => 'txt-color-red', 'escape' => false]); ?>
                                                            </li>
                                                        <?php endif; ?>
                                                    </ul>
                                                </div>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                    </tbody>
                                </table>
                                <?php if (empty($all_autoreports)): ?>
                                    <div class="noMatch">
                                        <center>
                                            <span class="txt-color-red italic"><?php echo __('No entries match the selection'); ?></span>
                                        </center>
                                    </div>
                                <?php endif; ?>
                                <div style="padding: 5px 10px;">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="dataTables_info" style="line-height: 32px;"
                                                 id="datatable_fixed_column_info"><?php echo $this->Paginator->counter(__('Page') . ' {:page} ' . __('of') . ' {:pages}, ' . __('Total') . ' {:count} ' . __('entries')); ?></div>
                                        </div>
                                        <div class="col-sm-6 text-right">
                                            <div class="dataTables_paginate paging_bootstrap">
                                                <?php echo $this->Paginator->pagination([
                                                    'ul' => 'pagination',
                                                ]); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
</section>


