<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.

//Used by oITC web interface

use itnovum\openITCOCKPIT\Core\Views\Logo;

$Logo = new Logo();
?>
<head>
    <?php
    $css = [
        '/css/vendor/bootstrap/css/bootstrap.css',
        '/css/vendor/bootstrap/css/bootstrap-theme.css',
        '/smartadmin/css/font-awesome.css',
        '/smartadmin/css/smartadmin-production.css',
        '/smartadmin/css/your_style.css',
        '/css/app.css',
        '/css/bootstrap_pdf.css',
    ];
    ?>

    <?php
    foreach ($css as $cssFile): ?>
        <link rel="stylesheet" type="text/css" href="<?php echo WWW_ROOT . $cssFile; ?>"/>
    <?php endforeach; ?>
    <link rel="stylesheet" type="text/css"
          href="<?php echo APP . 'Plugin' . DS . 'AutoreportModule' . DS . 'webroot' . DS . 'css/autoreports_pdf.css'; ?>"/>

</head>
<body class="">
<?php
$threshold_value_percent_report = null;
$configuration_options = [
    'percent' => 1,
    'minute'  => 2,
    'alias'   => 4,
    'outage'  => 8,
    'graph'   => 4,
];
$layout_status_class = [
    'Host'    => [
        0 => 'autoreport_status_success',
        1 => 'autoreport_status_danger',
        2 => 'autoreport_status_gray',
    ],
    'Service' => [
        0 => 'autoreport_status_success',
        1 => 'autoreport_status_warning',
        2 => 'autoreport_status_danger',
        3 => 'autoreport_status_gray',
    ],
];
$weekdays = [
    1 => __('Monday'),
    2 => __('Tuesday'),
    3 => __('Wednesday'),
    4 => __('Thursday'),
    5 => __('Friday'),
    6 => __('Saturday'),
    7 => __('Sunday'),
];
?>
<div class="well">
    <div class="row margin-top-10 font-lg no-padding">
        <div class="col-md-9 text-left">
            <i class="fa fa-newspaper-o txt-color-blueDark"></i>
            <?php echo $autoreport['Autoreport']['name'] . ((!empty($autoreport['Autoreport']['description'])) ? ' <em>(' . $autoreport['Autoreport']['description'] . ')</em>' : ''); ?>
        </div>
        <div class="col-md-3 text-left">
            <img src="<?php echo $Logo->getLogoPdfPath(); ?>" width="200"/>
        </div>
    </div>
    <div class="row padding-10 margin-top-10 font-md">
        <div class="col-md-3 text-left">
            <i class="fa fa-calendar txt-color-blueDark"></i> <?php echo __('Timeperiod'); ?>:
        </div>
        <div class="col-md-9">
            <?php
            $weekdays = [
                1 => __('Monday'),
                2 => __('Tuesday'),
                3 => __('Wednesday'),
                4 => __('Thursday'),
                5 => __('Friday'),
                6 => __('Saturday'),
                7 => __('Sunday'),
            ]; ?>
            <?php
            foreach ($autoreport['Timeperiod']['Timerange'] as $timerange):?>
                <div class="row">
                    <div class="col-md-3">
                        <?php echo $weekdays[$timerange['day']]; ?>
                    </div>
                    <div class="col-md-3">
                        <?php echo $timerange['start'] . ' - ' . $timerange['end']; ?>
                    </div>
                </div>
            <?php
            endforeach; ?>
        </div>
    </div>
    <div class="row padding-left-10 margin-top-10 font-md">
        <div class="col-md-3 text-left">
            <i class="fa fa-play txt-color-blueDark"></i> <?php echo __('Start of analysis'); ?>:
        </div>
        <div class="col-md-9">
            <?php echo date('d.m.Y', $autoreport['evaluation_range']['start']); ?>
        </div>
    </div>
    <div class="row padding-left-10 font-md">
        <div class="col-md-3 text-left">
            <i class="fa fa-stop txt-color-blueDark"></i> <?php echo __('End of analysis'); ?>:
        </div>
        <div class="col-md-9">
            <?php echo date('d.m.Y', $autoreport['evaluation_range']['end']); ?>
        </div>
    </div>
    <?php
    if ($autoreport['total_time'] === 0): ?>
        <div class="row padding-20 text-info font-md">
            <i class="fa fa-info-circle text-info font-md"></i>
            <?php
            echo __('There are no time frames defined. Time evaluation report data is not available for the selected period.'); ?>
        </div>
    <?php
    else:
        if ($autoreport['Autoreport']['min_availability']):
            if ($autoreport['Autoreport']['min_availability_percent']):
                $threshold_value_percent_report = 100 - $autoreport['Autoreport']['min_availability'];
            endif;
        endif;
        if (($all_autoreport_settings['AutoreportSetting']['configuration_option'] & $default_autoreport_settings['AUTOREPORTS_SHOW_SUMMARY_STATISTICS']['value'])):
            if ($autoreport['Autoreport']['min_availability']):
                ?>
                <div class="row padding-left-10 padding-top-20 margin-top-10 font-md">
                    <div class="col-md-4 col-md-offset-4 text-left">
                        <?php echo __('percentage'); ?>
                    </div>
                    <div class="col-md-4 text-left">
                        <?php echo __('absolute'); ?>
                    </div>
                </div>
                <div class="row padding-left-10 font-md">
                    <div class="col-md-4 text-left">
                        <?php echo __('Total down time'); ?>:
                    </div>
                    <div class="col-md-4 text-left">
                        <?php
                        $total_down_time = $autoreport['total_outage_time'] / $autoreport['total_time'] * 100;
                        echo ((fmod($total_down_time, 1) == 0) ? $total_down_time : number_format($total_down_time, 3)) . ' %';
                        ?>
                    </div>
                    <div class="col-md-4 text-left">
                        <?php
                        echo $this->Utils->secondsInHumanShort($autoreport['total_outage_time']);
                        ?>
                    </div>
                </div>
                <div class="row padding-left-10 font-md">
                    <div class="col-md-4 text-left">
                        <?php echo __('Threshold value'); ?>:
                    </div>
                    <?php
                    if ($autoreport['Autoreport']['min_availability']):
                        if ($autoreport['Autoreport']['min_availability_percent']):?>
                            <div class="col-md-4 text-left">
                                <?php
                                $threshold_value_percent_report = 100 - $autoreport['Autoreport']['min_availability'];
                                echo ((fmod($threshold_value_percent_report, 1) == 0) ? $threshold_value_percent_report : number_format($threshold_value_percent_report, 3)) . ' %';
                                ?>
                            </div>
                            <div class="col-md-4 text-left">
                                <?php
                                echo $this->Utils->secondsInHumanShort(round($autoreport['total_time'] * $threshold_value_percent_report / 100));
                                ?>
                            </div>
                        <?php
                        else:?>
                            <div class="col-md-4 text-left">
                                <?php echo number_format(round($autoreport['Autoreport']['min_availability'] * 60 / $autoreport['total_time'] * 100, 3)) . ' %'; ?>
                            </div>
                            <div class="col-md-4 text-left">
                                <?php echo $this->Utils->secondsInHumanShort(round($autoreport['Autoreport']['min_availability'] * 60)); ?>
                            </div>
                        <?php
                        endif;
                    endif;
                    ?>
                </div>
            <?php
            endif;
            if ($autoreport['Autoreport']['min_availability'] && $autoreport['Autoreport']['max_number_of_outages']):?>
                <div class="line_separator"></div>
            <?php
            endif;
            if ($autoreport['Autoreport']['max_number_of_outages']):
                ?>
                <div class="row padding-left-10 font-md">
                    <div class="col-md-4 text-left">
                        <?php echo __('Number of outages'); ?>:
                    </div>
                    <?php
                    if ($autoreport['Autoreport']['max_number_of_outages']):?>
                        <div class="col-md-4 text-left">
                            <?php
                            if (isset($autoreport['outages_filtered'])):
                                echo sizeof($autoreport['outages_filtered']);
                            endif;
                            ?>
                        </div>
                    <?php
                    endif;
                    ?>
                </div>
                <div class="row padding-left-10 font-md">
                    <div class="col-md-4 text-left">
                        <?php echo __('Max. number of outages'); ?>:
                    </div>
                    <?php
                    if ($autoreport['Autoreport']['max_number_of_outages']):?>
                        <div class="col-md-4 text-left">
                            <?php echo $autoreport['Autoreport']['max_number_of_outages']; ?>
                        </div>
                    <?php
                    endif;
                    ?>
                </div>
            <?php
            endif;
        endif;
        ?>
        <div class="row padding-top-20 padding-left-10 text-left font-md">
            <div class="col-md-12">
                <i class="fa fa-list txt-color-blueDark"></i>
                <?php echo __('Host and services'); ?>:
            </div>
        </div>
        <div class="row padding-10 margin-top-10 font-md">
            <?php
            foreach ($autoreport_data as $host_id => $host_service_values): ?>
                <div class="col-md-7 col-md-offset-2 text-left">
                    <i class="fa fa-desktop txt-color-blueDark"></i>
                    <?php echo $host_service_values['Host']['name'] . ' '; ?>
                </div>
                <?php
                if (isset($host_service_values['Host'][0])):?>
                    <div class="col-md-3 text-right">
                        <?php
                        if (($all_autoreport_settings['AutoreportSetting']['configuration_option'] & $default_autoreport_settings['AUTOREPORTS_EXTENDED_HOST_DESC']['value'])):
                            $threshold_value_percent = $host_service_values['Host'][0] / $autoreport['total_time'] * 100;
                            echo ((fmod($threshold_value_percent, 1) == 0) ? $threshold_value_percent : number_format($threshold_value_percent, 3)) . ' %';
                        endif;
                        ?>
                    </div>
                <?php
                else: ?>
                    <div class="col-md-3 text-right text-info font-sm txt-color-blueDark">
                        <i>
                            <?php echo __('No historical data available '); ?>
                        </i>
                    </div>
                <?php
                endif;
                ?>

                <?php
                if (isset($host_service_values['Services'])):
                    $host_service_values['Services'] = Hash::sort($host_service_values['Services'], '{n}.Service.name');
                    foreach ($host_service_values['Services'] as $key => $service_value):?>
                        <div class="col-md-6 col-md-offset-3 text-left">
                            <i class="fa fa-gear txt-color-blueDark"></i>
                            <?php echo $service_value['Service']['name']; ?>
                        </div>
                        <?php if (isset($service_value[0])): ?>
                            <div class="col-md-3 text-right">
                                <?php
                                if (($all_autoreport_settings['AutoreportSetting']['configuration_option'] & $default_autoreport_settings['AUTOREPORTS_EXTENDED_SERV_DESC']['value'])):
                                    $threshold_value_percent = $service_value[0] / $autoreport['total_time'] * 100;
                                    echo ((fmod($threshold_value_percent, 1) == 0) ? $threshold_value_percent : number_format($threshold_value_percent, 3)) . ' %';
                                endif;
                                ?>
                            </div>
                        <?php
                        else:?>
                            <div class="col-md-3 text-right text-info font-sm txt-color-blueDark">
                                <i>
                                    <?php echo __('No historical data available '); ?>
                                </i>
                            </div>
                        <?php
                        endif;
                    endforeach; ?>
                <?php
                endif; ?>
            <?php
            endforeach;
            ?>
        </div>
        <?php
        if (($all_autoreport_settings['AutoreportSetting']['configuration_option'] & $default_autoreport_settings['AUTOREPORTS_SHOW_SLA_GRAPH']['value'])):
            if ($threshold_value_percent_report): ?>
                <div class="row margin-top-10 font-md">
                    <div class="col-md-12 text-center">
                        <?php
                        $overview_chart = $this->Chart->getReportDataAsPng($autoreport['evaluation_range']['start'], $autoreport['evaluation_range']['end'], $autoreport['Autoreport']['report_interval'], $autoreport['time_slices'], $autoreport['Timeperiod']['Timerange'], $autoreport['outages_filtered'], $threshold_value_percent_report);

                        echo sprintf('<img src="%sPlugin/AutoreportModule/webroot/tmp/%s" />', APP, $overview_chart);

                        ?>
                    </div>
                </div>
            <?php
            endif;
        endif;
        ?>
        <?php
        foreach ($autoreport_data as $host_id => $host_service_values):
            $host_config = Hash::extract($autoreport, 'AutoreportHostMembership.{n}[host_id=' . $host_id . ']');
            ?>
            <div class="row margin-top-10">
                <div class="col-md-11 col-md-offset-1 text-left txt-color-white autoreport_host_header">
                    <i class="fa fa-laptop "></i>
                    <?php echo $host_service_values['Host']['name'] . ' '; ?>
                    <em>
                        <?php
                        echo((isset($host_config[0]['configuration_option']) && ($host_config[0]['configuration_option'] &
                                $configuration_options['alias'])) ? ' ' . $host_config[0]['Host']['description'] : '');
                        ?>
                    </em>
                </div>
            </div>
            <?php
            if (((isset($host_config[0]['configuration_option']) &&
                    ($host_config[0]['configuration_option'] & $configuration_options['percent'])) &&
                isset($host_service_values['Host'][0], $host_service_values['Host'][1], $host_service_values['Host'][2])
            )
            ):?>
                <div class="row margin-top-5">
                    <div class="col-md-9 col-md-offset-3">
                        <?php
                        foreach ($layout_status_class['Host'] as $status => $status_class):?>
                            <div class="col-md-4 text-center txt-color-white <?php echo $status_class; ?>">
                                <?php
                                $percent_value = $host_service_values['Host'][$status] / $autoreport['total_time'] * 100;
                                echo (fmod($percent_value, 1) == 0) ? $percent_value : number_format($percent_value, 3); ?>
                                %
                            </div>
                        <?php
                        endforeach;
                        ?>
                    </div>
                </div>
            <?php
            endif;
            ?>
            <?php
            if ((isset($host_config[0]['configuration_option']) &&
                ($host_config[0]['configuration_option'] & $configuration_options['minute']) &&
                isset($host_service_values['Host'][0], $host_service_values['Host'][1], $host_service_values['Host'][2])
            )
            ):?>
                <div class="row margin-top-5">
                    <div class="col-md-9 col-md-offset-3">
                        <?php
                        foreach ($layout_status_class['Host'] as $status => $status_class):?>
                            <div class="col-md-4 text-center txt-color-white <?php echo $status_class; ?>">
                                <?php echo $this->Utils->secondsInHumanShort($host_service_values['Host'][$status]); ?>
                            </div>
                        <?php
                        endforeach;
                        ?>
                    </div>
                </div>
            <?php
            endif;
            ?>
            <?php
            if (((isset($host_config[0]['configuration_option']) &&
                    ($host_config[0]['configuration_option'] & $configuration_options['outage']))) || isset($host_config[0]['outage_duration']) && $host_config[0]['outage_duration'] != null
            ):
                $report_outage_duration = ($host_config[0]['outage_duration']) ? $host_config[0]['outage_duration'] : 0;
                $report_outage_duration_in_seconds = $report_outage_duration * 60;
                if (isset($host_service_values['Host']['outages']) && !empty($host_service_values['Host']['outages'])):?>
                    <div class="row margin-top-5">
                        <div class="col-md-4 col-md-offset-1 font-sm">
                            <i class="fa fa-lg fa-fw fa-bolt"></i>&nbsp;
                            <?php
                            if (($host_config[0]['configuration_option'] & $configuration_options['outage'])):
                                echo __('Outages');
                            else:
                                echo __('Outages of at least %s min', $report_outage_duration);
                            endif;
                            ?>
                            :
                        </div>
                        <div class="col-md-7 font-sm padding-left-20">
                            <?php echo __('Outage time exceeding the permitted limit (%s min)', $report_outage_duration); ?>
                            :
                        </div>
                    </div>
                    <?php
                    $outages_list_empty = true;
                    foreach ($host_service_values['Host']['outages'] as $outage):?>
                        <?php
                        $outage_duration = $outage['end'] - $outage['start'];
                        if ($outage_duration >= $report_outage_duration_in_seconds || ($host_config[0]['configuration_option'] & $configuration_options['outage'])): //outage duration in seconds
                            $outages_list_empty = false;
                            $max_duration_exceeded = (isset($host_service_values['maximum_outage_duration']) && $outage_duration == $host_service_values['maximum_outage_duration']) ? true : false;
                            ?>
                            <div class="row margin-top-5 padding-left-20">
                                <div class="col-md-4 col-md-offset-1 font-xs padding-left-20 <?php echo ($max_duration_exceeded) ? 'service_option' : ''; ?>">
                                    <?php echo $this->Time->format($outage['start'], '%d.%m.%Y %H:%M:%S') . ' - ' . $this->Time->format($outage['end'], '%d.%m.%Y %H:%M:%S'); ?>
                                </div>
                                <div class="col-md-7 font-xs <?php echo ($max_duration_exceeded) ? 'service_option' : ''; ?>">
                                    <?php
                                    if ($outage_duration > $report_outage_duration_in_seconds):
                                        echo sprintf(
                                            '%s (+ %s)',
                                            $this->Utils->secondsInHumanShort($report_outage_duration_in_seconds),
                                            $this->Utils->secondsInHumanShort($outage_duration - $report_outage_duration_in_seconds)
                                        );
                                    else:
                                        echo sprintf(
                                            '%s',
                                            $this->Utils->secondsInHumanShort($outage_duration)
                                        );
                                    endif;
                                    ?>
                                </div>
                            </div>
                        <?php
                        endif;
                    endforeach;
                    if ($outages_list_empty):?>
                        <div class="row padding-left-20">
                            <div class="col-md-4 col-md-offset-1 font-xs padding-left-20">
                                <?php echo __('-'); ?>
                            </div>
                            <div class="col-md-7 font-xs">
                                <?php echo __('-'); ?>
                            </div>
                        </div>
                    <?php
                    endif;
                endif;
            endif;
            if (($all_autoreport_settings['AutoreportSetting']['configuration_option'] & $default_autoreport_settings['AUTOREPORTS_SHOW_OUTAGES_IN_DOWNTIME']['value'])):
                if (isset($host_service_values['outages_summarized_in_downtime']) && !empty($host_service_values['outages_summarized_in_downtime'])):?>
                    <div class="row margin-top-5">
                        <div class="col-md-11 col-md-offset-1 font-sm">
                            <i class="fa fa-lg fa-fw fa-bolt text-muted"></i>
                            <?php echo __('Outage (in downtime) time exceeding the permitted limit (%s min)', isset($report_outage_duration) ? $report_outage_duration : 0); ?>
                            :
                        </div>
                    </div>
                    <?php
                    foreach ($host_service_values['outages_summarized_in_downtime'] as $outage_downtime):?>
                        <?php
                        $outage_duration = $outage_downtime['end'] - $outage_downtime['start'];
                        if (isset($report_outage_duration_in_seconds) && ($report_outage_duration_in_seconds <= $outage_duration)):
                            ?>
                            <div class="row margin-top-5 padding-left-20">
                                <div class="col-md-4 col-md-offset-1 font-xs padding-left-20">
                                    <?php echo $this->Time->format($outage_downtime['start'], '%d.%m.%Y %H:%M:%S') . ' - ' . $this->Time->format($outage_downtime['end'], '%d.%m.%Y %H:%M:%S'); ?>
                                </div>
                                <div class="col-md-7 font-xs">
                                    <?php echo $this->Utils->secondsInHumanShort($outage_duration); ?>
                                </div>
                            </div>
                        <?php
                        endif;
                    endforeach;
                endif;
            endif;
            if (($all_autoreport_settings['AutoreportSetting']['configuration_option'] & $default_autoreport_settings['AUTOREPORTS_SHOW_DOWNTIMES']['value'])):
                if (isset($host_service_values['Host']['downtimes']) && !empty($host_service_values['Host']['downtimes'])):?>
                    <div class="row margin-top-5">
                        <div class="col-md-11 col-md-offset-1 font-sm">
                            <i class="fa fa-lg fa-fw fa-clock-o"></i><?php echo __('Host downtime'); ?>:
                        </div>
                    </div>
                    <?php
                    foreach ($host_service_values['Host']['downtimes'] as $hostdowntime):?>
                        <div class="row margin-top-5 padding-left-20">
                            <div class="col-md-11 col-md-offset-1 font-xs padding-left-20">
                                <?php echo $this->Time->format($hostdowntime['scheduled_start_time'], '%d.%m.%Y %H:%M:%S') . ' - ' . $this->Time->format($hostdowntime['scheduled_end_time'], '%d.%m.%Y %H:%M:%S') . ', ' . __('Duration') . ': ' . $this->Utils->secondsInHumanShort(strtotime($hostdowntime['scheduled_end_time']) - strtotime($hostdowntime['scheduled_start_time'])) . ', ' . __('Comment') . ': ' . $hostdowntime['comment_data']; ?>
                            </div>
                        </div>
                    <?php
                    endforeach;
                    ?>
                <?php
                endif;
            endif;
            ?>
            <?php
            if (isset($host_service_values['Services'])):
                foreach ($host_service_values['Services'] as $key => $service_value):
                    $service_config = Hash::extract($autoreport, 'AutoreportServiceMembership.{n}[service_id=' . $service_value['Service']['id'] . ']');
                    ?>
                    <div class="row margin-top-10">
                        <div class="col-md-11 col-md-offset-1 text-left autoreport_service_header">
                            <i class="fa fa-gear"></i> <?php echo $service_value['Service']['name']; ?>
                        </div>
                    </div>
                    <?php
                    if ((isset($service_config[0]['configuration_option']) &&
                        ($service_config[0]['configuration_option'] & $configuration_options['percent']))
                    ):
                        if (isset($service_value[0])): ?>
                            <div class="row margin-top-5">
                                <div class="col-md-9 col-md-offset-3">
                                    <?php
                                    foreach ($layout_status_class['Service'] as $status => $status_class):?>
                                        <div class="col-md-3 text-center txt-color-white <?php echo $status_class; ?>">
                                            <?php
                                            $percent_value = $service_value[$status] / $autoreport['total_time'] * 100;
                                            echo (fmod($percent_value, 1) == 0) ? $percent_value : number_format($percent_value, 3); ?>
                                            %
                                        </div>
                                    <?php
                                    endforeach;
                                    ?>
                                </div>
                            </div>
                        <?php
                        endif;

                    endif;
                    ?>
                    <?php
                    if ((isset($service_config[0]['configuration_option']) &&
                        ($service_config[0]['configuration_option'] & $configuration_options['minute']))
                    ):
                        if (isset($service_value[0])): ?>
                            <div class="row margin-top-5">
                                <div class="col-md-9 col-md-offset-3">
                                    <?php
                                    foreach ($layout_status_class['Service'] as $status => $status_class):?>
                                        <div class="col-md-3 text-center txt-color-white <?php echo $status_class; ?>">
                                            <?php echo $this->Utils->secondsInHumanShort($service_value[$status]); ?>
                                        </div>
                                    <?php
                                    endforeach;
                                    ?>
                                </div>
                            </div>
                        <?php
                        endif;
                    endif;
                    ?>
                    <?php
                    if ((isset($service_config[0]['configuration_option']) &&
                        ($service_config[0]['configuration_option'] & $configuration_options['graph']))
                    ):?>
                        <div class="row margin-top-5">
                            <div class="col-md-9 col-md-offset-3">
                                <?php if (isset($GraphImageBlobs[$service_config[0]['Service']['Host']['uuid']][$service_config[0]['Service']['uuid']])):
                                    foreach ($GraphImageBlobs[$service_config[0]['Service']['Host']['uuid']][$service_config[0]['Service']['uuid']] as $graphImageBlob):
                                        printf(
                                            '<img src="data:image/png;base64,%s">',
                                            $graphImageBlob
                                        );
                                    endforeach;
                                endif; ?>
                            </div>
                        </div>
                    <?php
                    endif;
                    if (((isset($service_config[0]['configuration_option']) &&
                            ($service_config[0]['configuration_option'] & $configuration_options['outage']))) || $service_config[0]['outage_duration'] != null
                    ):
                        if (isset($service_value['outages']) && !empty($service_value['outages'])):?>
                            <?php
                            $report_outage_duration = ($service_config[0]['outage_duration']) ? $service_config[0]['outage_duration'] : 0;
                            $report_outage_duration_in_seconds = $report_outage_duration * 60;
                            ?>
                            <div class="row margin-top-5">
                                <div class="col-md-4 col-md-offset-1 font-sm">
                                    <i class="fa fa-lg fa-fw fa-bolt"></i>&nbsp;
                                    <?php
                                    if (($service_config[0]['configuration_option'] & $configuration_options['outage'])):
                                        echo __('Outages');
                                    else:
                                        echo __('Outages of at least %s min', $report_outage_duration);
                                    endif;
                                    ?>
                                    :
                                </div>
                                <div class="col-md-7 font-sm padding-left-20">
                                    <?php echo __('Outage time exceeding the permitted limit (%s min)', $report_outage_duration); ?>
                                    :
                                </div>
                            </div>
                            <?php
                            $outages_list_empty = true;
                            foreach ($service_value['outages'] as $outage):?>
                                <?php
                                $outage_duration = $outage['end'] - $outage['start'];
                                if ($outage_duration >= $report_outage_duration_in_seconds || ($service_config[0]['configuration_option'] & $configuration_options['outage'])): //outage duration in seconds
                                    $outages_list_empty = false;
                                    $max_duration_exceeded = (isset($service_value['maximum_outage_duration']) && $outage_duration == $service_value['maximum_outage_duration']) ? true : false;
                                    ?>
                                    <div class="row margin-top-5 padding-left-20">
                                        <div class="col-md-4 col-md-offset-1 font-xs padding-left-20 <?php echo ($max_duration_exceeded) ? 'service_option' : ''; ?>">
                                            <?php echo $this->Time->format($outage['start'], '%d.%m.%Y %H:%M:%S') . ' - ' . $this->Time->format($outage['end'], '%d.%m.%Y %H:%M:%S'); ?>
                                        </div>
                                        <div class="col-md-7 font-xs <?php echo ($max_duration_exceeded) ? 'service_option' : ''; ?>">
                                            <?php
                                            echo $this->Utils->secondsInHumanShort($outage_duration - $report_outage_duration_in_seconds); ?>
                                        </div>
                                    </div>
                                <?php
                                endif;
                            endforeach;
                            if ($outages_list_empty):?>
                                <div class="row padding-left-20">
                                    <div class="col-md-4 col-md-offset-1 font-xs padding-left-20">
                                        <?php echo __('-'); ?>
                                    </div>
                                    <div class="col-md-7 font-xs">
                                        <?php echo __('-'); ?>
                                    </div>
                                </div>
                            <?php
                            endif;
                        endif;
                    endif;
                    if (($all_autoreport_settings['AutoreportSetting']['configuration_option'] & $default_autoreport_settings['AUTOREPORTS_SHOW_OUTAGES_IN_DOWNTIME']['value'])):
                        if (isset($service_value['outages_summarized_in_downtime']) && !empty($service_value['outages_summarized_in_downtime'])):?>
                            <div class="row margin-top-5">
                                <div class="col-md-11 col-md-offset-1 font-sm">
                                    <i class="fa fa-lg fa-fw fa-bolt text-muted"></i>
                                    <?php echo __('Outage (in downtime) time exceeding the permitted limit (%s min)', isset($report_outage_duration) ? $report_outage_duration : 0); ?>
                                    :
                                </div>
                            </div>
                            <?php
                            foreach ($service_value['outages_summarized_in_downtime'] as $outage_downtime):?>
                                <?php
                                $outage_duration = $outage_downtime['end'] - $outage_downtime['start'];
                                if (isset($report_outage_duration_in_seconds) && ($report_outage_duration_in_seconds <= $outage_duration)):
                                    ?>
                                    <div class="row margin-top-5 padding-left-20">
                                        <div class="col-md-4 col-md-offset-1 font-xs padding-left-20">
                                            <?php echo $this->Time->format($outage_downtime['start'], '%d.%m.%Y %H:%M:%S') . ' - ' . $this->Time->format($outage_downtime['end'], '%d.%m.%Y %H:%M:%S'); ?>
                                        </div>
                                        <div class="col-md-7 font-xs">
                                            <?php echo $this->Utils->secondsInHumanShort($outage_duration); ?>
                                        </div>
                                    </div>
                                <?php
                                endif;
                                ?>
                            <?php
                            endforeach;
                            ?>
                        <?php
                        endif;
                    endif;
                    if (($all_autoreport_settings['AutoreportSetting']['configuration_option'] & $default_autoreport_settings['AUTOREPORTS_SHOW_DOWNTIMES']['value'])):
                        if (isset($service_value['Service']['downtimes']) && !empty($service_value['Service']['downtimes'])):?>
                            <div class="row margin-top-5">
                                <div class="col-md-11 col-md-offset-1 font-sm">
                                    <i class="fa fa-lg fa-fw fa-clock-o"></i>
                                    <?php echo __('Service downtime'); ?>:
                                </div>
                            </div>
                            <?php
                            foreach ($service_value['Service']['downtimes'] as $servicedowntime):?>
                                <div class="row margin-top-5 padding-left-20">
                                    <div class="col-md-11 col-md-offset-1 font-xs padding-left-20">
                                        <?php echo $this->Time->format($servicedowntime['scheduled_start_time'], '%d.%m.%Y %H:%M:%S') . ' - ' . $this->Time->format($servicedowntime['scheduled_end_time'], '%d.%m.%Y %H:%M:%S') . ', ' . __('Duration') . ': ' . $this->Utils->secondsInHumanShort(strtotime($servicedowntime['scheduled_end_time']) - strtotime($servicedowntime['scheduled_start_time'])) . ', ' . __('Comment') . ': ' . $servicedowntime['comment_data']; ?>
                                    </div>
                                </div>
                            <?php
                            endforeach;
                        endif;
                    endif;
                endforeach;
            endif;
        endforeach;
    endif;
    ?>
</div>
</body>
