<?php

// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.

/*
 *         _                    _
 *   __ _ (_) __ ___  __ __   _(_) _____      __
 *  / _` || |/ _` \ \/ / \ \ / / |/ _ \ \ /\ / /
 * | (_| || | (_| |>  <   \ V /| |  __/\ V  V /
 *  \__,_|/ |\__,_/_/\_\   \_/ |_|\___| \_/\_/
 *      |__/
*/

if (!empty($host_and_services)):?>
    <?php
    $configuration_options = [
        'percent' => 1,
        'minute'  => 2,
        'alias'   => 4,
        'outage'  => 8,
        'graph'   => 4,
    ];
    foreach ($host_and_services as $host_and_service): ?>
        <tr class="host_row report-table-bordered host_<?php echo $host_and_service['Host']['id']; ?>">
            <td class="host_option padding-left-5"><?php echo h($host_and_service['Host']['name']); ?></td>
            <td>
                <?php echo $this->Form->fancyCheckboxWithValue('Autoreport.Host.' . $host_and_service['Host']['id'] . '.host_percent', [
                    'caption'          => false,
                    'captionGridClass' => 'col col-md-1',
                    'captionClass'     => 'control-label text-center',
                    'value'            => $configuration_options['percent'],
                    'checked'          => ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_percent']) && $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_percent']) || (!$request_data_for_dynamic_fields && isset($host_and_service['Host']['configuration_option']) && ($host_and_service['Host']['configuration_option'] & $configuration_options['percent']))),
                ]); ?>
            </td>
            <td class="text-center">
                <?php echo $this->Form->fancyCheckboxWithValue('Autoreport.Host.' . $host_and_service['Host']['id'] . '.host_minutes', [
                    'caption'          => false,
                    'captionGridClass' => 'col col-md-1',
                    'captionClass'     => 'control-label text-center',
                    'value'            => $configuration_options['minute'],
                    'checked'          => ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_minutes']) && $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_minutes']) || (!$request_data_for_dynamic_fields && isset($host_and_service['Host']['configuration_option']) && ($host_and_service['Host']['configuration_option'] & $configuration_options['minute']))),
                ]); ?>
            </td>
            <td class="host_option text-center">
                <?php echo $this->Form->fancyCheckboxWithValue('Autoreport.Host.' . $host_and_service['Host']['id'] . '.host_alias', [
                    'caption'          => false,
                    'captionGridClass' => 'col col-md-1',
                    'captionClass'     => 'control-label text-center',
                    'value'            => $configuration_options['alias'],
                    'checked'          => ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_alias']) && $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_alias']) || (!$request_data_for_dynamic_fields && isset($host_and_service['Host']['configuration_option']) && ($host_and_service['Host']['configuration_option'] & $configuration_options['alias']))),
                ]); ?>
            </td>
            <td></td>
            <td class="text-center">
                <?php echo $this->Form->text('Autoreport.Host.' . $host_and_service['Host']['id'] . '.host_outage', [
                    'label'     => false,
                    'size'      => 5,
                    'maxlength' => 5,
                    'class'     => 'text-center outage',
                    'value'     => (!$request_data_for_dynamic_fields && isset($host_and_service['outage_duration']) && $host_and_service['outage_duration']) ? $host_and_service['outage_duration'] : ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_outage'])) ? $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_outage'] : ''),
                ]); ?>
            </td>
            <td class="text-center">
                <?php echo $this->Form->fancyCheckboxWithValue('Autoreport.Host.' . $host_and_service['Host']['id'] . '.host_show_all_failures', [
                    'caption'          => false,
                    'captionGridClass' => 'col col-md-1',
                    'captionClass'     => 'control-label text-center',
                    'value'            => $configuration_options['outage'],
                    'checked'          => ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_show_all_failures']) && $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['host_show_all_failures']) || (!$request_data_for_dynamic_fields && isset($host_and_service['Host']['configuration_option']) && ($host_and_service['Host']['configuration_option'] & $configuration_options['outage']))),

                ]); ?>
                <?php if (!isset($host_and_service['Host']['configuration_option'])): ?>
                    <i class="fa fa-info helptext"
                       title="<?php echo __('Report settings have not yet been configured'); ?>"></i>
                <?php endif; ?>
            </td>
        </tr>
        <?php
        if (!empty($host_and_service['Service'])):
            foreach ($host_and_service['Service'] as $key => $service):?>
                <tr class="service_row report-table-bordered host_<?php echo $host_and_service['Host']['id']; ?>">
                    <td class="service_option padding-left-5"><?php echo h($service['name']); ?></td>
                    <td>
                        <?php echo $this->Form->fancyCheckboxWithValue('Autoreport.Host.' . $host_and_service['Host']['id'] . '.Service.' . $service['id'] . '.service_percent', [
                            'caption'          => false,
                            'captionGridClass' => 'col col-md-1',
                            'captionClass'     => 'control-label text-center',
                            'value'            => $configuration_options['percent'],
                            'checked'          => ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_percent']) && $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_percent']) || (!$request_data_for_dynamic_fields && isset($service['configuration_option']) && ($service['configuration_option'] & $configuration_options['percent']))),
                        ]); ?>
                    </td>
                    <td>
                        <?php echo $this->Form->fancyCheckboxWithValue('Autoreport.Host.' . $host_and_service['Host']['id'] . '.Service.' . $service['id'] . '.service_minutes', [
                            'caption'          => false,
                            'captionGridClass' => 'col col-md-1',
                            'captionClass'     => 'control-label text-center',
                            'value'            => $configuration_options['minute'],
                            'checked'          => (isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_minutes']) && $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_minutes'] || (!$request_data_for_dynamic_fields && isset($service['configuration_option']) && ($service['configuration_option'] & $configuration_options['minute']))),

                        ]); ?>
                    </td>
                    <td class="service_option text-center">
                        <?php
                        echo $this->Form->fancyCheckboxWithValue('Autoreport.Host.' . $host_and_service['Host']['id'] . '.Service.' . $service['id'] . '.service_graph', [
                            'caption'          => false,
                            'captionGridClass' => 'col col-md-1',
                            'captionClass'     => 'control-label text-center',
                            'disabled'         => ($service['process_performance_data']) ? false : true,
                            'icon'             => ($service['process_performance_data']) ? '' : '<i class="fa fa-info helptext" title="' . __('No check data exists!') . '"></i>',
                            'value'            => $configuration_options['graph'],
                            'checked'          => ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_graph']) && $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_graph']) || (!$request_data_for_dynamic_fields && isset($service['configuration_option']) && ($service['configuration_option'] & $configuration_options['graph']))),

                        ]);
                        ?>
                    </td>
                    <td class="text-center">
                        <?php
                        echo $this->Form->radio('Autoreport.Host.' . $host_and_service['Host']['id'] . '.Service.' . $service['id'] . '.graph_settings', [
                            'MIN'     => " ",
                            'AVERAGE' => " ",
                            'MAX'     => " "
                        ],
                            [
                                'legend'   => false,
                                'label'    => false,
                                'value'    => (!$request_data_for_dynamic_fields && isset($service['graph_settings']) && $service['graph_settings']) ? $service['graph_settings'] : ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['graph_settings'])) ? $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['graph_settings'] : 'AVERAGE'),
                                'disabled' => ($service['process_performance_data']) ? false : true,
                            ]
                        );
                        ?>
                    </td>
                    <td class="text-center">
                        <?php echo $this->Form->text('Autoreport.Host.' . $host_and_service['Host']['id'] . '.Service.' . $service['id'] . '.service_outage', [
                            'label'     => false,
                            'size'      => 5,
                            'maxlength' => 5,
                            'class'     => 'text-center outage',
                            'value'     => (!$request_data_for_dynamic_fields && isset($service['outage_duration']) && $service['outage_duration']) ? $service['outage_duration'] : ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_outage'])) ? $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_outage'] : ''),
                        ]); ?>
                    </td>
                    <td class="text-center">
                        <?php
                        echo $this->Form->fancyCheckboxWithValue('Autoreport.Host.' . $host_and_service['Host']['id'] . '.Service.' . $service['id'] . '.service_show_all_failures', [
                            'caption'          => false,
                            'captionGridClass' => 'col col-md-1',
                            'captionClass'     => 'control-label text-center',
                            'value'            => $configuration_options['outage'],
                            'checked'          => ((isset($request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_show_all_failures']) && $request_data_for_dynamic_fields[$host_and_service['Host']['id']]['Service'][$service['id']]['service_show_all_failures']) || (!$request_data_for_dynamic_fields && isset($service['configuration_option']) && ($service['configuration_option'] & $configuration_options['outage']))),

                        ]);

                        ?>
                        <?php if (!isset($service['configuration_option'])): ?>
                            <i class="fa fa-info helptext"
                               title="<?php echo __('Report settings have not yet been configured'); ?>"></i>
                        <?php endif; ?>
                    </td>
                </tr>
            <?php
            endforeach;
        else:?>
            <tr class="no-padding host_<?php echo $host_and_service['Host']['id']; ?>">
                <td colspan="6">
                    <div class="no-padding">
                        <center>
                            <span class="txt-color-red italic"><?php echo __('There are no services defined'); ?></span>
                        </center>
                    </div>
                </td>
            </tr>
        <?php
        endif;
        ?>
    <?php
    endforeach;
endif;
