// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
App.Controllers.AutoreportsAddStepOneController = Frontend.AppController.extend({

    components: ['Ajaxloader', 'ContainerSelectbox'],

    _initialize: function(){
        var self = this;

        this.Ajaxloader.setup();
        this.ContainerSelectbox.setup(this.Ajaxloader);

        this.ContainerSelectbox.addContainerEventListener({
            selectBoxSelector: '#AutoreportContainerId',
            ajaxUrl: '/autoreport_module/autoreports/loadElementsByContainerIdStepOne/:selectBoxValue:.json',
            fieldTypes: {
                timeperiods: '#AutoreportTimeperiodId',
                users: '#AutoreportReportUser',
                calendars: '#AutoreportCalendarId'
            },
            dataPlaceholderEmpty: self.getVar('data_placeholder_empty'),
            dataPlaceholder: self.getVar('data_placeholder'),
            event: 'change.hostContainer'
        });

        // Date Picker
        $("#AutoreportReportStartDate").datepicker({
            changeMonth: true,
            numberOfMonths: 3,
            todayHighlight: true,
            weekStart: 1,
            calendarWeeks: true,
            autoclose: true,
            format: 'dd.mm.yyyy',
            prevText: '<i class="fa fa-chevron-left"></i>',
            nextText: '<i class="fa fa-chevron-right"></i>'
        });
        /*
         * Use start time "Set start" checkbox control
         */
        $('input[type="checkbox"]#AutoreportUseStartTime').change(function(){
            this.checkUseStartTime();
        }.bind(this));

        $('input[type="checkbox"]#AutoreportMinAvailabilityOn').change(function(){
            this.checkMinAvailability();
        }.bind(this));

        $('input[type="checkbox"]#AutoreportMaxOutages').change(function(){
            this.checkMaxOutages();
        }.bind(this));

        $('input[id^=AutoreportMinAvailabilityIn]').focus(function(){
            this.clearInputField($(document.activeElement).attr("id"));
        }.bind(this));

        $('input[type="checkbox"]#AutoreportConsiderHolidays').change(function(){
            this.checkConsiderHolidays();
        }.bind(this));

        this.checkUseStartTime();
        this.checkMinAvailability();
        this.checkMaxOutages();
        this.checkConsiderHolidays();
    },
    checkUseStartTime: function(){
        var disabled = null;
        if(!$('input[type="checkbox"]#AutoreportUseStartTime').prop('checked')){
            disabled = true;
            $('#AutoreportReportStartDate').val('');
        }
        $('#AutoreportReportStartDate').prop('disabled', disabled);
    },
    checkMinAvailability: function(){
        var disabled = null;
        if(!$('input[type="checkbox"]#AutoreportMinAvailabilityOn').prop('checked')){
            disabled = true;
            $('#AutoreportMinAvailabilityInPercent').val('');
            $('#AutoreportMinAvailabilityInMinutes').val('');
        }
        $('#AutoreportMinAvailabilityInPercent').prop('disabled', disabled);
        $('#AutoreportMinAvailabilityInMinutes').prop('disabled', disabled);
    },
    checkMaxOutages: function(){
        var disabled = null;
        if(!$('input[type="checkbox"]#AutoreportMaxOutages').prop('checked')){
            disabled = true;
            $('#AutoreportMaxNumberOfOutages').val('');
        }
        $('#AutoreportMaxNumberOfOutages').prop('disabled', disabled);
    },
    clearInputField: function(inputFieldId){
        var regex = new RegExp("^" + inputFieldId, 'i');
        $('input[type=text][id^=AutoreportMinAvailabilityIn]').each(function(intKey, InputObject){
            if(!InputObject.id.match(regex)){
                $('#' + InputObject.id).val('');
            }
        });
    },
    checkConsiderHolidays: function(){
        var disabled = null;
        if(!$('input[type="checkbox"]#AutoreportConsiderHolidays').prop('checked')){
            disabled = true;
        }
        $('#AutoreportCalendarId').prop('disabled', disabled).trigger('chosen:updated');
    },
});
