// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
App.Controllers.AutoreportsAddStepTwoController = Frontend.AppController.extend({
    components: ['Highlight', 'Ajaxloader'],

    _initialize: function(){
        this.Ajaxloader.setup();

        var self = this;

        if($('#AutoreportHostId').val()){
            self.showConfigurationTable($('#AutoreportHostId').val());
        }
        $('#AutoreportHostId').chosen().change(function(element, hit){
            self.showConfigurationTable($('#AutoreportHostId').val());
            if(!hit.selected){
                $('.host_' + hit.deselected).remove();
            }else{
                self.loadServices(hit.selected);
            }
        });

        $('input:radio[id^="AutoreportGraphSettings"]').change(function(){
            self.setAllGraphSettings($(this).val());
        });

        $('[class*=" all_select_"]').click(function(){
            self.selectedAll($(this));
        });
        $('#AutoreportOutage').bind({
            keypress: function(e){
                if(e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)){
                    return false;
                }
            },
            keyup: function(){
                self.filledAll($(this));
            }
        });
        $('.outage').bind({
            keypress: function(e){
                if(e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)){
                    return false;
                }
            },
        });
    },
    loadServices: function(host_id){
        this.Ajaxloader.show();
        $.ajax({
            url: "/autoreport_module/autoreports/hostAndServicesByHostId/" + encodeURIComponent(host_id),
            type: "POST",
            cache: false,
            error: function(){
            },
            success: function(){
            },
            complete: function(response){
                this.Ajaxloader.hide();
                $('#HostServicesSettings').append(response.responseText);
            }.bind(this)
        });
    },
    showConfigurationTable: function(show_values){
        if(show_values){
            $('#HostServicesSettings').removeClass('hidden');
        }else{
            $('#HostServicesSettings').addClass('hidden');
        }
    },
    selectedAll: function(element){
        var col = element.closest("td").index();
        var row = element.closest("tr").index();
        var rowCount = $("#HostServicesSettings tr").length;
        var startRow = row + 1;
        // "/[-\s\w]*?([-\w]+)\s?$/, '$1'" get last class from object (all_select_true|all_select_false)
        var checked = (element.attr('class').replace(/[-\s\w]*?([-\w]+)\s?$/, '$1') == 'all_select_true') ? true : false;
        for(i = startRow; i < rowCount; i++){
            if($("#HostServicesSettings tr").eq(i).children("td:nth-child(" + (col + 1) + ")").find('input[type="checkbox"]:not(:disabled)').length){
                $("#HostServicesSettings tr").eq(i).children("td:nth-child(" + (col + 1) + ")").find('input[type="checkbox"]').prop('checked',
                    checked
                );
            }
        }
    },
    filledAll: function(element){
        var col = element.closest("td").index();
        var row = element.closest("tr").index();
        var rowCount = $("#HostServicesSettings tr").length;
        var startRow = row + 1;
        // "/[-\s\w]*?([-\w]+)\s?$/, '$1'" get last class from object (all_select_true|all_select_false)
        for(i = startRow; i < rowCount; i++){
            if($("#HostServicesSettings tr").eq(i).children("td:nth-child(" + (col + 1) + ")").find('input[type="text"]').length){
                $("#HostServicesSettings tr").eq(i).children("td:nth-child(" + (col + 1) + ")").find('input[type="text"]').val(element.val());
            }
        }
    },
    setAllGraphSettings: function(selectedValue){
        $('input:radio:enabled[id^="AutoreportHost"]').not('[id$="GraphSettings' + selectedValue + '"]').prop('checked', false);
        $('input:radio:enabled[id^="AutoreportHost"][id$="GraphSettings' + selectedValue + '"]').prop('checked', true);
    }
});
