<?php
/**
 * // Copyright (C) <2017>  <it-novum GmbH>
 * //
 * // This file is dual licensed
 * //
 * // 1.
 * //    This program is free software: you can redistribute it and/or modify
 * //    it under the terms of the GNU General Public License as published by
 * //    the Free Software Foundation, version 3 of the License.
 * //
 * //    This program is distributed in the hope that it will be useful,
 * //    but WITHOUT ANY WARRANTY; without even the implied warranty of
 * //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * //    GNU General Public License for more details.
 * //
 * //    You should have received a copy of the GNU General Public License
 * //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * //
 * // 2.
 * //    If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 * //    under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 * //    License agreement and license key will be shipped with the order
 * //    confirmation.
 */

use itnovum\openITCOCKPIT\Core\Views\Logo;

/**
 * Class UploadController
 */
class UploadController extends DesignModuleAppController {
    public $components = [
        'RequestHandler',
    ];

    public $autoRender = false;

    // TODO: was passiert bei einem System update wird das logo überschrieben?
    public function upload_logo() {
        $Logo = new Logo();
        if (empty($_FILES)) {
            throw new ForbiddenException(__('There is no file to store'));
        }
        $fileExtension = pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION);
        if (mb_strtolower($fileExtension) != 'png') {
            throw new ForbiddenException(__('There is only png allowed'));
        }

        $fullFilePath = $Logo->getCustomLogoDiskPath();
        try {
            if (!move_uploaded_file($_FILES['file']['tmp_name'], $fullFilePath)) {
                throw new Exception(__('Cannot move uploaded file'));
            }
            echo 'Upload successful';
        } catch (Exception $e) {
            throw new ForbiddenException($_FILES['file']['tmp_name'] . '.' . $fileExtension . ': ' . $e->getMessage());
        }
    }

    public function reset_logo() {
        $Logo = new Logo();
        if (!file_exists($Logo->getCustomLogoDiskPath())) {
            $this->redirect(['plugin' => 'design_module', 'controller' => 'design', 'action' => 'edit']);
        }
        try {
            if (!unlink($Logo->getCustomLogoDiskPath())) {
                throw new Exception(__('Cannot delete custom logo'));
            }
            $this->setFlash(__('<a href="/module_design/design/edit">Logo</a> successfully reseted', 1));
            $this->redirect(['controller' => 'design', 'action' => 'edit']);
        } catch (Exception $e) {
            throw new ForbiddenException(__('Cannot delete custom logo file ' . $Logo->getCustomLogoDiskPath() . $e->getMessage()));
        }
    }

    public function upload_small_logo() {
        $Logo = new Logo();
        if (empty($_FILES)) {
            throw new ForbiddenException(__('There is no file to store'));
        }
        $fileExtension = pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION);
        if (mb_strtolower($fileExtension) != 'png') {
            throw new ForbiddenException(__('There is only png allowed'));
        }

        $fullFilePath = $Logo->getCustomSmallLogoDiskPath();
        try {
            if (!move_uploaded_file($_FILES['file']['tmp_name'], $fullFilePath)) {
                throw new Exception(__('Cannot move uploaded file'));
            }
            echo 'Upload successful';
        } catch (Exception $e) {
            throw new ForbiddenException($_FILES['file']['tmp_name'] . '.' . $fileExtension . ': ' . $e->getMessage());
        }
    }

    public function reset_small_logo() {
        $Logo = new Logo();
        if (!file_exists($Logo->getCustomSmallLogoDiskPath())) {
            $this->redirect(['plugin' => 'design_module', 'controller' => 'design', 'action' => 'edit']);
        }
        try {
            if (!unlink($Logo->getCustomSmallLogoDiskPath())) {
                throw new Exception(__('Cannot delete custom small logo'));
            }
            $this->setFlash(__('<a href="/module_design/design/edit">Small Logo</a> successfully reseted', 1));
            $this->redirect(['controller' => 'design', 'action' => 'edit']);
        } catch (Exception $e) {
            throw new ForbiddenException(__('Cannot delete custome small logo file ' . $Logo->getCustomSmallLogoDiskPath() . $e->getMessage()));
        }
    }
}
