<?php
/**
 * // Copyright (C) <2017>  <it-novum GmbH>
 * //
 * // This file is dual licensed
 * //
 * // 1.
 * //    This program is free software: you can redistribute it and/or modify
 * //    it under the terms of the GNU General Public License as published by
 * //    the Free Software Foundation, version 3 of the License.
 * //
 * //    This program is distributed in the hope that it will be useful,
 * //    but WITHOUT ANY WARRANTY; without even the implied warranty of
 * //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * //    GNU General Public License for more details.
 * //
 * //    You should have received a copy of the GNU General Public License
 * //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * //
 * // 2.
 * //    If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 * //    under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 * //    License agreement and license key will be shipped with the order
 * //    confirmation.
 */
echo $this->Html->css('DesignModule.lib/spectrum.css');
echo $this->Html->script('DesignModule.lib/spectrum.js');

use itnovum\openITCOCKPIT\Core\Views\Logo;

$Logo = new Logo();
?>

<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-globe fa-fw "></i>
            <?php echo __('Design Module') ?>
            <span>>
                <?php echo __('Design'); ?>
            </span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>
<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon"> <i class="fa fa-user"></i> </span>
        <h2><?php echo __('Edit Design'); ?></h2>
        <div class="widget-toolbar" role="menu">
            <?php echo $this->Utils->backButton() ?>
        </div>
    </header>
    <div>
        <div class="widget-body">
            <div class="alert alert-info">
                <i class="fa fa-info-circle"></i>
                <strong><?php echo __('Notice:'); ?></strong>
                <?php echo __('The live preview is just a preview. Don\'t forget to save your settings! The result in the preview is maybe a bit different.'); ?>
            </div>

            <?php
            echo $this->Form->create('Design', [
                'class' => 'form-horizontal clear',
            ]);

            ?>
            <div class="col-xs-12">
                <strong><?php echo __('Navigation'); ?>:</strong>
            </div>
            <?php
            echo $this->Form->input('Design.main-header-background', [
                'label' => __('Main Header Background Color'),
                'class' => 'form-control',
                'value' => $design['Design']['main-header-background'],
            ]);
            echo $this->Form->input('Design.main-header-text-color', [
                'label' => __('Main Header Text Color'),
                'class' => 'colorpicker form-control',
                'value' => $design['Design']['main-header-text-color']
            ]);

            echo $this->Form->input('Design.primary', [
                'label' => __('Primary Color'),
                'class' => 'form-control',
                'value' => $design['Design']['primary'],
            ]);
            echo $this->Form->input('Design.secondary', [
                'label' => __('Secondary Color'),
                'class' => 'colorpicker form-control',
                'value' => $design['Design']['secondary']
            ]);

            ?>
            <div class="form-group">
                <label for="DesignNavigation-color-fade" class="col col-md-2 control-label">Color Fade</label>
                <div class="col-md-10">
                    <input
                            type="text"
                            id="DesignNavigation-color-fade"
                            maxlength="255"
                            value="<?php echo $design['Design']['navigation-color-fade']; ?>"
                            class="form-control slider slider-primary"
                            name="data[Design][navigation-color-fade]"
                            data-slider-min="0"
                            data-slider-max="100"
                            data-slider-value="<?php echo $design['Design']['navigation-color-fade']; ?>"
                            data-slider-selection="before"
                    >
                </div>
            </div>
            <div class="form-group">
                <?php
                echo $this->Form->fancyCheckbox('Design.logo-in-header', [
                    'caption'          => __('Logo in Site Header'),
                    'captionGridClass' => 'col col-md-2 control-label text-right',
                    'captionClass'     => 'control-label text-left',
                    'value'            => (bool)$design['Design']['logo-in-header']
                ]);
                ?>
            </div>
            <?php
            echo $this->Form->input('Design.font-color-nav', [
                'label' => __('Navigation Font Color'),
                'class' => 'colorpicker form-control',
                'value' => $design['Design']['font-color-nav']
            ]);
            echo $this->Form->input('Design.font-color-nav-hover', [
                'label' => __('Navigation Font Color on hover'),
                'class' => 'colorpicker form-control',
                'value' => $design['Design']['font-color-nav-hover']
            ]);

            ?>
            <div class="col-xs-12">
                <strong><?php echo __('Body'); ?>:</strong>
            </div>

            <?php
            echo $this->Form->input('Design.body-background', [
                'label' => __('Background Color'),
                'class' => 'form-control',
                'value' => $design['Design']['body-background']
            ]);
            echo $this->Form->input('Design.body-page-headline', [
                'label' => __('Page Headline'),
                'class' => 'form-control',
                'value' => $design['Design']['body-page-headline']
            ]);
            ?>

            <div class="col-xs-12">
                <strong><?php echo __('Window'); ?>:</strong>
            </div>
            <?php

            echo $this->Form->input('Design.window-background-color', [
                'label' => __('Header Background Color'),
                'class' => 'form-control',
                'value' => $design['Design']['window-background-color']
            ]);

            echo $this->Form->input('Design.font-color-header', [
                'label' => __('Headline Color'),
                'class' => 'form-control',
                'value' => $design['Design']['font-color-header']
            ]);

            echo $this->Form->input('Design.window-border-color', [
                'label' => __('Border Color'),
                'class' => 'form-control',
                'value' => $design['Design']['window-border-color']
            ]);

            echo $this->Form->input('Design.window-body-color', [
                'label' => __('Body Background Color'),
                'class' => 'form-control',
                'value' => $design['Design']['window-body-color']
            ]);


            echo $this->Form->input('Design.font-color', [
                'label' => __('Primary Font Color'),
                'class' => 'colorpicker form-control',
                'value' => $design['Design']['font-color']
            ]);

            echo $this->Form->input('Design.table-odd-color', [
                'label' => __('Table Odd Row Color'),
                'class' => 'colorpicker form-control',
                'value' => $design['Design']['table-odd-color']
            ]);

            echo $this->Form->input('Design.table-hover-color', [
                'label' => __('Table Hover Color'),
                'class' => 'colorpicker form-control',
                'value' => $design['Design']['table-hover-color']
            ]);

            echo $this->Form->input(
                'Design.input-color',
                [
                    'options'   => [0 => __('Light'), 1 => __('Dark')],
                    'multiple'  => false,
                    'class'     => 'chosen',
                    'style'     => 'width:100%;',
                    'label'     => ['text' => __('Input Color'), 'class' => 'col-xs-12 col-md-2 col-lg-2 text-right'],
                    'selected'  => $design['Design']['input-color'],
                    'wrapInput' => 'col col-xs-12 col-md-10 col-lg-10',
                    'help'      => __('Define the color type of input fields (Not in live preview)')
                ]);

            echo $this->Form->input(
                'Design.well-color',
                [
                    'options'   => [0 => __('Light'), 1 => __('Dark')],
                    'multiple'  => false,
                    'class'     => 'chosen',
                    'style'     => 'width:100%;',
                    'label'     => ['text' => __('Well Color'), 'class' => 'col-xs-12 col-md-2 col-lg-2 text-right'],
                    'selected'  => $design['Design']['well-color'],
                    'wrapInput' => 'col col-xs-12 col-md-10 col-lg-10',
                    'help'      => __('The well element is used to highlight actions like save')
                ]);

            ?>

            <div class="alert alert-info">
                <i class="fa fa-info-circle"></i>
                <strong><?php echo __('Browser cache:'); ?></strong>
                <?php echo __('If your browser don\'t use the new design options after you pressed save, please reload the page with Ctrl+R or Cmd+R'); ?>
            </div>

            <?php

            echo $this->Form->input('Design.id', ['type' => 'hidden', 'value' => empty($design['Design']['id']) ? 1 : $design['Design']['id']]);
            echo $this->Form->formActions(__('Save'), ['cancelButton' => false]); ?>

            <br/><br/>
            <div class="col-xs-12">
                <strong><?php echo __('Logos'); ?>:</strong>
            </div>
            <div class="col-xs-12">
                <?php echo $this->Html->image($Logo->getLogoForHtmlHelper(),
                    ['width' => '200']
                ); ?>
            </div>
            <br/>
            <div class="col-xs-12 margin-left-10 margin-top-10">
                <div class="btn-group" role="group">
                    <button class="btn btn-primary btn-sm" data-toggle="modal" data-target="#UploadLogoModal"
                            id="logo-upload-btn">
                        <i class="fa fa-upload"></i>
                        <?php echo __('Upload Logo'); ?>
                    </button>
                    <a class="btn btn-danger btn-sm" href="/design_module/upload/reset_logo/">
                        <?php echo __('Reset Logo'); ?>
                    </a>
                </div>
                <span class="help-block"><?php echo __('The logo is used for the interface and pdfs. Resolution: 1920x590'); ?></span>
            </div>
            <br/>
            <div class="col-xs-12">
                <?php echo $this->Html->image($Logo->getSmallLogoForHtmlHelper(),
                    ['width' => '200']
                ); ?>
            </div>
            <br/>
            <div class="col-xs-12 margin-left-10 margin-top-10">
                <div class="btn-group" role="group">
                    <button class="btn btn-primary btn-sm" data-toggle="modal"
                            data-target="#UploadSmallLogoModal"
                            id="logo-small-upload-btn">
                        <i class="fa fa-upload"></i>
                        <?php echo __('Upload Small Logo'); ?>
                    </button>
                    <a class="btn btn-danger btn-sm" href="/design_module/upload/reset_small_logo/">
                        <?php echo __('Reset Small Logo'); ?>
                    </a>
                </div>
                <span class="help-block"><?php echo __('The small logo is used for notifications. Resolution: 294x77'); ?></span>
            </div>

            <br/><br/>
            <div class="col-xs-12">
                <strong><?php echo __('Default themes'); ?>:</strong>
            </div>
            <div class="col-xs-12 margin-left-10">
                <div class="btn-group" role="group">
                    <a class="btn btn-default btn-sm " href="/design_module/design/reset/">
                        <?php echo __('openITCOCKPIT Default'); ?>
                    </a>
                    <a class="btn btn-default btn-sm " href="/design_module/design/reset/1">
                        <?php echo __('openITCOCKPIT Light'); ?>
                    </a>
                    <a class="btn btn-default btn-sm " href="/design_module/design/reset/2">
                        <?php echo __('openITCOCKPIT Dark'); ?>
                    </a>
                    <a class="btn btn-default btn-sm " href="/design_module/design/reset/3">
                        <?php echo __('openITCOCKPIT Elegance'); ?>
                    </a>
                </div>
            </div>
            <div class="col-xs-12 help-block margin-left-10">
                <?php echo __('After you loaded a default theme, you can also change the colors. If you want to revert you changes, click on one of the buttons again.'); ?>
            </div>

            <br/><br/>
            <div class="col-xs-12">
                <strong><?php echo __('Import / Export'); ?>:</strong>
            </div>
            <div class="col-xs-12 margin-left-10">
                <div class="btn-group" role="group">
                    <button class="btn btn-primary btn-sm" data-toggle="modal" data-target="#ImportDesignModal"
                            id="logo-upload-btn">
                        <i class="fa fa-upload"></i>
                        <?php echo __('Import Design'); ?>
                    </button>
                    <a class="btn btn-default btn-sm " href="/design_module/design/export">
                        <?php echo __('Export currently saved design'); ?>
                    </a>
                </div>
            </div>
            <div class="col-xs-12 help-block margin-left-10">
                <?php echo __('After you successfully imported a design file, please reload the page with Ctrl+R or Cmd+R to see the changes.'); ?>
            </div>

        </div>
    </div>
</div>

<div class="modal fade" id="ImportDesignModal" tabindex="-1" role="dialog" aria-labelledby="ImportDesignLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span
                            aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title"
                    id="ImportDesignLabel"><?php echo __('Upload your design file'); ?></h4>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger" id="logo-upload-error" style="display: none"></div>
                <div class="alert alert-success" id="logo-upload-success" style="display: none"></div>
                <div class="row">
                    <div class="logo-dropzone dropzone"
                         action="/design_module/design/import">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="UploadLogoModal" tabindex="-1" role="dialog" aria-labelledby="UploadLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span
                            aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title"
                    id="UploadLabel"><?php echo __('Upload your Logo'); ?></h4>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger" id="logo-upload-error" style="display: none"></div>
                <div class="alert alert-success" id="logo-upload-success" style="display: none"></div>
                <div class="row">
                    <div class="logo-dropzone dropzone"
                         action="/design_module/upload/upload_logo/">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="UploadSmallLogoModal" tabindex="-1" role="dialog" aria-labelledby="UploadLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span
                            aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title"
                    id="UploadLabel"><?php echo __('Upload your Small Logo'); ?></h4>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger" id="small-logo-upload-error" style="display: none"></div>
                <div class="alert alert-success" id="small-logo-upload-success" style="display: none"></div>
                <div class="row">
                    <div class="small-logo-dropzone dropzone"
                         action="/design_module/upload/upload_small_logo/">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>