/*
 * // Copyright (C) <2017>  <it-novum GmbH>
 * //
 * // This file is dual licensed
 * //
 * // 1.
 * //	This program is free software: you can redistribute it and/or modify
 * //	it under the terms of the GNU General Public License as published by
 * //	the Free Software Foundation, version 3 of the License.
 * //
 * //	This program is distributed in the hope that it will be useful,
 * //	but WITHOUT ANY WARRANTY; without even the implied warranty of
 * //	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * //	GNU General Public License for more details.
 * //
 * //	You should have received a copy of the GNU General Public License
 * //	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * //
 *
 * // 2.
 * //	If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 * //	under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 * //	License agreement and license key will be shipped with the order
 * //	confirmation.
 */

// 2.
//	If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//	under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//	License agreement and license key will be shipped with the order
//	confirmation.

App.Controllers.DesignEditController = Frontend.AppController.extend({
    _initialize: function(){
        self = this;

        var primaryColor = '#3a3633';
        var secondaryColor = '#474544';
        var navigationColorFade = '93';
        var navigationFontColor = '#c0bbb7';
        var navigationFontColorHover = '#ffffff';
        var primaryFontColor = '#333333';
        var primaryFontColorHeader = '#333333';
        var bodyBackgroundColor = '#eeeeef';
        var bodyPageHeadlineColor = '#4c4f53';
        var windowHeaderBackground = '#ffffff';
        var windowBorderColor = '#C2C2C2';
        var windowBodyColor = '#ffffff';
        var tableOddColor = '#f9f9f9';
        var tableHoverColor = '#f5f5f5';
        var mainHeaderBackgroundColor = '#eaeaea';
        var mainHeaderTextColor = '#6D6A69';


        var primarySpectrum = this.getSpectrum('#DesignPrimary', primaryColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            var asideStyle = document.getElementById('left-panel').style;
            asideStyle.background = 'linear-gradient(to right, ' + hexColor + '  ' + navigationColorFade + '%, ' + secondaryColor + '  100%)';
            primaryColor = hexColor;
        });

        var secondarySpectrum = this.getSpectrum('#DesignSecondary', secondaryColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            var ribbonStyle = document.getElementById('ribbon').style;
            ribbonStyle.background = hexColor;
            secondaryColor = hexColor;

            var asideStyle = document.getElementById('left-panel').style;
            asideStyle.background = 'linear-gradient(to right, ' + primaryColor + '  ' + navigationColorFade + '%, ' + secondaryColor + '  100%)';
        });

        var handleSilder = function(ev){
            if(ev.value == null){
                ev.value = 0;
            }
            navigationColorFade = parseInt(ev.value, 10);
            var asideStyle = document.getElementById('left-panel').style;
            asideStyle.background = 'linear-gradient(to right, ' + primarySpectrum.spectrum("get").toHexString() + '  ' + navigationColorFade + '%, ' + secondarySpectrum.spectrum("get").toHexString() + '  100%)';
        };

        var $slider = $('input.slider');
        $slider.slider();
        $slider.slider('on', 'slide', handleSilder);
        $slider.slider('on', 'slideStop', handleSilder);

        var navigationFontSpectrum = this.getSpectrum('#DesignFont-color-nav', navigationFontColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            navigationFontColor = hexColor;
            $('nav ul li a').css('color', hexColor);
            //$('#ribbon .breadcrumb a').css('color', hexColor);
            var breadcrumbs = $('#ribbon .breadcrumb a');

            for(var key = 0; key < breadcrumbs.length; key++){
                breadcrumbs[key].style.setProperty('color', hexColor, 'important');
            }
        });

        var navigationFontHoverSpectrum = this.getSpectrum('#DesignFont-color-nav-hover', navigationFontColorHover, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            navigationFontColorHover = hexColor;
            $('nav ul li a').hover(function(event){
                if(event.type === 'mouseenter'){
                    $(this).css('color', hexColor);
                }else{
                    $(this).css('color', navigationFontColor);
                }
            });

            var $parentMenuEntry = $('nav ul .open a');
            var $currentMenuEntry = $('nav ul .active a');
            $parentMenuEntry.hover(function(event){
                $parentMenuEntry[0].style.setProperty('color', hexColor, 'important');
            });
            $currentMenuEntry.hover(function(event){
                $currentMenuEntry[0].style.setProperty('color', hexColor, 'important');
            });
            $parentMenuEntry[0].style.setProperty('color', hexColor, 'important');
            $currentMenuEntry[0].style.setProperty('color', hexColor, 'important');

        });

        var primaryFontSpectrum = this.getSpectrum('#DesignFont-color', primaryFontColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            primaryFontColor = hexColor;
            $('body').css('color', hexColor);
        });

        var primaryFontHeaderSpectrum = this.getSpectrum('#DesignFont-color-header', primaryFontColorHeader, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            primaryFontColorHeader = hexColor;
            $('.jarviswidget>header>h2').css('color', hexColor);
            $('.jarviswidget .widget-icon').css('color', hexColor);
        });

        var bodySpectrum = this.getSpectrum('#DesignBody-background', bodyBackgroundColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            bodyBackgroundColor = hexColor;
            $('body').css('background', hexColor);
        });

        var bodyPageHeadlineSpectrum = this.getSpectrum('#DesignBody-page-headline', bodyPageHeadlineColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            bodyPageHeadlineColor = hexColor;

            $('h1, h2, h3, h4, h5, h6').css('color', hexColor);
            var element = document.getElementsByClassName('page-title')[0];
            element.style.setProperty('color', hexColor, 'important');
            $(element).find('span').css('color', hexColor);
        });

        var windowHeaderSpectrum = this.getSpectrum('#DesignWindow-background-color', windowHeaderBackground, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            windowHeaderBackground = hexColor;
            $('.jarviswidget>header').css('background', hexColor);
        });

        var windowBorderSpectrum = this.getSpectrum('#DesignWindow-border-color', windowBorderColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            windowBorderColor = hexColor;
            $('.jarviswidget>header').css('border-color', hexColor);
            //$('.jarviswidget>div').css('border-right-color', hexColor);
            var element = $('.jarviswidget>div')[0];
            element.style.setProperty('border-right-color', hexColor, 'important');
            element.style.setProperty('border-left-color', hexColor, 'important');
            element.style.setProperty('border-bottom-color', hexColor, 'important');
        });

        var windowBodySpectrum = this.getSpectrum('#DesignWindow-body-color', windowBodyColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            windowBodyColor = hexColor;
            var element = $('.jarviswidget>div')[0];
            element.style.setProperty('background-color', hexColor, 'important');
        });

        var tableOddColorSpectrum = this.getSpectrum('#DesignTable-odd-color', tableOddColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            tableOddColor = hexColor;
            return true;
        });

        var tableOddColorHoverSpectrum = this.getSpectrum('#DesignTable-hover-color', tableHoverColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            tableHoverColor = hexColor;
            return true;
        });

        $('#DesignWell-color').change(function(){
            if($(this).val() == 1){
                $('.well').css({
                    'background-color': '#232323',
                    'border': '1px solid #333',
                    'box-shadow': '0 1px 1px #2d2d2d'
                });
            }else{
                $('.well').css({
                    'background-color': '#fbfbfb',
                    'border': '1px solid #ddd',
                    'box-shadow': '0 1px 1px #ececec'
                });
            }
        });

        var tableOddColorHoverSpectrum = this.getSpectrum('#DesignMain-header-background', mainHeaderBackgroundColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            mainHeaderBackgroundColor = hexColor;
            $('body>header').css('background', hexColor);
            $('.btn-header>:first-child>a').css('background', hexColor);
            return true;
        });

        var tableOddColorHoverSpectrum = this.getSpectrum('#DesignMain-header-text-color', mainHeaderTextColor, function(tinycolor){
            var hexColor = tinycolor.toHexString();
            mainHeaderTextColor = hexColor;
            $('body>header').css('color', hexColor);
            $('.btn-header>:first-child>a').css('color', hexColor);
            $('.btn-header>:first-child>a').css('border-color', hexColor);
            return true;
        });


        /*$("#DesignPrimary").spectrum({
         color: "#f00",
         showInput: true,
         allowEmpty: false,
         showAlpha: false,
         preferredFormat: 'hex',
         chooseText: 'Ok',
         cancelText: 'Cancel',
         move: function(tinycolor) {
         //console.log(tinycolor.toHexString());
         var hexColor = tinycolor.toHexString();
         var asideStyle = document.getElementById('left-panel').style;
         console.log(asideStyle);
         asideStyle.background = 'linear-gradient(to right, '+hexColor+'  93%, #ff00ff  100%)';
         console.log(asideStyle.background);

         //console.log($aside.css());
         //$aside.css('background', hexColor);
         //$aside.css('background', 'linear-gradient(to right, '+hexColor+'  93%, #ff00ff  100%)');


         }
         });*/


        /*
         $('.colorpicker').colorpicker({container: $('#OptionsModal')});

         $('.colorpicker').on('show', function () {
         //set z-index to the colorpicker because otherwise it will appear behind the modal dialog
         // default z-index of modal dialog is 1040
         $('.colorpicker').css({'z-index': '1041'});
         });

         //write HEX color direct into the field
         $('.colorpicker').change(function () {
         var value = $(this).val();
         $(this).colorpicker('setValue', value);
         });

         // grid colorpicker change event
         $('.colorpicker').on('changeColor', function (ev) {
         if (self.gridEnabled) {
         self.gridColor = ev.color.toHex();
         //set value to the input field
         $('#MapGridColor').val(self.gridColor);
         var options = {
         sizeX: self.gridSizeX,
         sizeY: self.gridSizeY,
         gridColor: self.gridColor
         }
         self.showGrid(options);
         }
         });

         var dropzoneLogoObj = {
         method: 'post',
         maxFilesize: 55, //MB
         acceptedFiles: 'image/png', //mimetypes
         paramName: "file",
         success: function (obj) {
         $('#logo-upload-success').show().append(obj.name + ': Successfully uploaded<br />');
         },
         error: function (error, errorMessage, xhr) {
         if (typeof errorMessage === 'string') {
         $('#logo-upload-error').show().append(error.name + ': ' + errorMessage + '<br />');
         } else {
         $('#logo-upload-error').show().append(errorMessage.data.message + '<br />');
         }
         }
         };

         var dropzoneSmallLogoObj = {
         method: 'post',
         maxFilesize: 55, //MB
         acceptedFiles: 'image/png', //mimetypes
         paramName: "file",
         success: function (obj) {
         $('#small-logo-upload-success').show().append(obj.name + ': Successfully uploaded<br />');
         },
         error: function (error, errorMessage, xhr) {
         if (typeof errorMessage === 'string') {
         $('#small-logo-upload-error').show().append(error.name + ': ' + errorMessage + '<br />');
         } else {
         $('#small-logo-upload-error').show().append(errorMessage.data.message + '<br />');
         }
         }
         };

         //prevent Dropzone from throwing unnecessary errors (more than one instance...)
         Dropzone.autoDiscover = false;
         $('.logo-dropzone').dropzone(dropzoneLogoObj);


         //prevent Dropzone from throwing unnecessary errors (more than one instance...)
         $('.small-logo-dropzone').dropzone(dropzoneSmallLogoObj);

         $('#logo-upload-btn').click(function () {
         $('#logo-upload-success').hide().html('');
         $('#logo-upload-error').hide().html('');
         Dropzone.forElement(".logo-dropzone").removeAllFiles(true);
         });

         $('#small-logo-upload-btn').click(function () {
         $('#small-logo-upload-success').hide().html('');
         $('#small-logo-upload-error').hide().html('');
         Dropzone.forElement(".small-logo-dropzone").removeAllFiles(true);
         });

         */
    },

    getSpectrum: function(selector, color, callback){
        var colorValue = $(selector).val();

        //Set color on page load
        if(colorValue){
            color = colorValue;
        }

        return $(selector).spectrum({
            color: color,
            showInput: true,
            allowEmpty: false,
            showAlpha: false,
            preferredFormat: 'hex',
            chooseText: 'Ok',
            cancelText: 'Cancel',
            move: callback,
            change: callback
        });
    },

    handleSilder: function(ev){
        if(ev.value == null){
            ev.value = 0;
        }
        navigationColorFade = parseInt(ev.value, 10);
        asideStyle.background = 'linear-gradient(to right, ' + prim + '  93%, ' + secondaryColor + '  100%)';
    }
});
