<?php

class DiscoveryModuleSchema extends CakeSchema {

    public function before($event = []) {
        return true;
    }

    public function after($event = []) {
    }

    public $nmap_configurations = [
        'id'                          => ['type' => 'integer', 'null' => false, 'default' => null, 'key' => 'primary'],
        'container_id'                => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 6],
        'hosttemplate_id'             => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 6],
        'name'                        => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 255, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8'],
        'address'                     => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 255, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8'],
        'bitmask'                     => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 255, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8'],
        'single_host_scan'            => ['type' => 'integer', 'null' => false, 'default' => '0', 'length' => 6],
        'hosts_scan_without_services' => ['type' => 'integer', 'null' => false, 'default' => '0', 'length' => 6],
        'default_servicetemplate'     => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 6],
        'indexes'                     => [
            'PRIMARY' => ['column' => 'id', 'unique' => 1],
        ],
        'tableParameters'             => ['charset' => 'utf8', 'collate' => 'utf8_unicode_ci', 'engine' => 'InnoDB']
    ];

    public $nmap_scans = [
        'id'                    => ['type' => 'integer', 'null' => false, 'default' => null, 'key' => 'primary'],
        'nmap_configuration_id' => ['type' => 'integer', 'null' => false, 'default' => null],
        'date'                  => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 255, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8'],
        'duration'              => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 255, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8'],
        'filename'              => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 255, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8'],
        'finished'              => ['type' => 'integer', 'null' => false, 'default' => null],
        'successful'            => ['type' => 'integer', 'null' => false, 'default' => null],
        'indexes'               => [
            'PRIMARY' => ['column' => 'id', 'unique' => 1],
        ],
        'tableParameters'       => ['charset' => 'utf8', 'collate' => 'utf8_unicode_ci', 'engine' => 'InnoDB']
    ];

    public $nmap_mappings = [
        'id'                    => ['type' => 'integer', 'null' => false, 'default' => null, 'key' => 'primary'],
        'nmap_configuration_id' => ['type' => 'integer', 'null' => false, 'default' => null],
        'port'                  => ['type' => 'integer', 'null' => false, 'default' => null],
        'service_name'          => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 255, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8'],
        'servicetemplate_id'    => ['type' => 'integer', 'null' => false, 'default' => null],
        'indexes'               => [
            'PRIMARY' => ['column' => 'id', 'unique' => 1],
        ],
        'tableParameters'       => ['charset' => 'utf8', 'collate' => 'utf8_unicode_ci', 'engine' => 'InnoDB']
    ];
}