<?php
// Copyright (C) <2017>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>

<?php /*echo $this->Form->create('NmapDiscoveryResult', [
    'class' => 'form-horizontal clear',
]); */ ?>
<div class="margin-bottom-25">
    <div class="row">
        <?php
        $nmaprun = $discoveryResult['runinfo']['nmaprun'];
        $runstats = $discoveryResult['runinfo']['runstats'];

        echo $this->Form->input('container_id', [
            'type'  => 'hidden',
            'class' => 'container',
            'value' => $nmapConfig['NmapConfiguration']['container_id'],
        ]);

        echo $this->Form->input('hosttemplate_id', [
            'type'  => 'hidden',
            'class' => 'hosttemplate',
            'value' => $nmapConfig['NmapConfiguration']['hosttemplate_id'],
        ]);

        echo $this->Form->input('default_servicetemplate_id', [
            'type'  => 'hidden',
            'class' => 'servicetemplate',
            'value' => $nmapConfig['NmapConfiguration']['default_servicetemplate'],
        ]);
        ?>
        <table class="table table-striped table-hover table-bordered smart-form">
            <thead>
            <tr>
                <th colspan="2"><?php echo __('Run info'); ?></th>
            </tr>
            </thead>
            <tbody>
            <!-- runinfo -->
            <tr>
                <td><?php echo __('Scanner'); ?></td>
                <td><?php echo $nmaprun['scanner']; ?></td>
            </tr>
            <tr>
                <td><?php echo __('Command Line'); ?></td>
                <td><?php echo $nmaprun['args']; ?></td>
            </tr>
            <tr>
                <td><?php echo __('Nmap Version'); ?></td>
                <td><?php echo $nmaprun['version']; ?></td>
            </tr>
            <tr>
                <td><?php echo __('Scan result file'); ?></td>
                <td><?php echo $discoveryResultPath . $filename; ?></td>
            </tr>
            <!-- Stats -->
            <tr>
                <td><?php echo __('Summary'); ?></td>
                <td><?php echo $runstats['finished']['summary']; ?></td>
            </tr>
            <tr>
                <td><?php echo __('State of Scan'); ?></td>
                <td><?php echo $runstats['finished']['exit']; ?></td>
            </tr>
            <!-- host stats -->
            <tr>
                <td><?php echo __('Number of Hosts Up'); ?></td>
                <td><?php echo $runstats['hosts']['up']; ?></td>
            </tr>
            <tr>
                <td><?php echo __('Number of Hosts Down'); ?></td>
                <td><?php echo $runstats['hosts']['down']; ?></td>
            </tr>
            <tr>
                <td><?php echo __('Amount of scanned Hosts'); ?></td>
                <td><?php echo $runstats['hosts']['total']; ?></td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
<div class="row">
    <table class="table table-striped table-hover table-bordered smart-form">
        <thead>
        <tr>
            <th><?php echo __('Port ID'); ?></th>
            <th><?php echo __('Service Name'); ?></th>
            <th><?php echo __('Matching Servicetemplate'); ?></th>
            <th><?php echo __('Matched'); ?></th>
            <th><?php echo __('Change default'); ?></th>
        </tr>
        </thead>
        <?php foreach ($discoveryResult['hosts'] as $key => $host):
            $hostIdentifier = UUID::v4();
            $exists = $host['exists'];
            ?>
            <tbody class="host">
            <tr>
                <td colspan="5">
                    <?php echo $host['hostname'] . ' ' . $host['address']; ?>

                    <?php
                    echo $this->Form->input($hostIdentifier . '.hostname', [
                        'type'  => 'hidden',
                        'class' => 'hostname discoveryResultFormField',
                        'value' => $host['hostname'],
                    ]);

                    echo $this->Form->input($hostIdentifier . '.hostaddress', [
                        'type'  => 'hidden',
                        'class' => 'hostaddress discoveryResultFormField',
                        'value' => $host['address'],
                    ]);
                    ?>
                    <?php if ($exists): ?>
                        <span style="color:green;"><?php echo __('Host already exists'); ?></span>
                    <?php endif; ?>
                </td>
            </tr>
            </tbody>
            <tbody class="hostServicePorts">
            <input class="existingBlocker" type="hidden" value="<?php echo $exists; ?>" disabled/>
            <?php foreach ($host['ports'] as $port):

                $chosenOption = [];
                if (isset($servicetemplates[$port['matchingTemplate']])) {
                    $chosenOption[$port['matchingTemplate']] = $servicetemplates[$port['matchingTemplate']];
                }
                $identifier = UUID::v4();

                ?>
                <tr>

                    <!-- <td class="discoveryBlocker" style="pointer-events: none; cursor:not-allowed; filter:grayscale(0.5) blur(2px);"><?php echo $port['portid']; ?> </td> -->
                    <td><?php echo $port['portid']; ?> </td>
                    <td><?php echo $port['name'];
                        echo $this->Form->input($hostIdentifier . '.services.' . $identifier . '.service_name', [
                            'type'  => 'hidden',
                            'class' => 'discoveryResultFormField serviceName serviceName_' . $identifier,
                            'value' => $port['name'],
                        ]);
                        ?></td>
                    <td style="width:70%">
                        <?php
                        echo $this->Form->input($hostIdentifier . '.services.' . $identifier . '.servicetemplateChosen', [
                            'options'          => $this->Html->chosenPlaceholder($chosenOption),
                            'data-placeholder' => __('Please select...'),
                            'class'            => 'discoveryResultFormField chosen col col-lg-12 servicetemplateChosen ' . $identifier,
                            'label'            => false,
                            'style'            => 'width: 100%;',
                            'wrapInput'        => 'col col-lg-12',
                            'selected'         => $port['matchingTemplate'],
                            'disabled'         => true,
                        ]);


                        echo $this->Form->input($hostIdentifier . '.services.' . $identifier . '.servicetemplate', [
                            'type'  => 'hidden',
                            'class' => 'discoveryResultFormField SevicetemplateValue SevicetemplateValue_' . $identifier,
                            'value' => $port['matchingTemplate'],
                        ]);

                        echo $this->Form->input($hostIdentifier . '.services.' . $identifier . '.matching_servicetemplate', [
                            'type'  => 'hidden',
                            'class' => 'discoveryResultFormField selected_' . $identifier,
                            'value' => $port['matchingTemplate'],
                        ]);
                        ?>
                    </td>
                    <td class="text-center width-5">
                        <?php
                        $matched = 'fa-ellipsis-h text-muted';
                        if ($port['matchingTemplate'] != null) {
                            $matched = "fa-check text-success";
                        }
                        ?>
                        <i class="fa <?php echo $matched; ?> fa-lg" aria-hidden="true"></i>
                    </td>
                    <td class="text-center width-5">
                        <input type="checkbox" class="changeDefault"
                               value="<?php echo $identifier; ?>">
                    </td>
                </tr>
            <?php endforeach; ?>
            </tbody>
        <?php endforeach; ?>
    </table>
</div>