<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-sitemap fa-fw fa-rotate-180"></i>
            <?php echo __('NMAP Configuration'); ?>
            <span>>
            <div class="third_level"> <?php echo ucfirst($this->params['action']); ?></div>
            </span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>

<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon"> <i class="fa fa-plus"></i> </span>
        <h2><?php echo __('Add configuration'); ?></h2>
        <div class="widget-toolbar" role="menu">
            <?php echo $this->Utils->backButton(); ?>
        </div>
    </header>
    <div>
        <?php

        echo $this->Form->create('NmapConfiguration', [
            'class' => 'form-horizontal clear',
        ]);

        echo $this->Form->input('NmapConfiguration.name', [
            'label' => __('Name')
        ]);
        echo $this->Form->input('NmapConfiguration.address', [
            'label'       => __('IP Address'),
            'help'        => __('For a full Host with Services Scan just fill out the IP Address and Bitmask field'),
            'placeholder' => __('127.0.0.1'),
        ]);

        echo $this->Form->input('NmapConfiguration.bitmask', [
            'label'       => __('Bitmask'),
            'placeholder' => __('24'),
        ]);

        echo $this->Form->input('hosttemplate_id', [
            'options'   => $this->Html->chosenPlaceholder($hosttemplates),
            'class'     => 'chosen form-control',
            'label'     => [
                'text'  => __('Host template'),
                'class' => 'col col-md-2 control-label'
            ],
            'wrapInput' => 'col-lg-10 padding-left-15'
        ]);

        echo $this->Form->input('default_servicetemplate', [
            'options'   => $this->Html->chosenPlaceholder($servicetemplates),
            'class'     => 'chosen servicetemplateMapping form-control',
            'label'     => [
                'text'  => __('Default Service Template'),
                'class' => 'col col-md-2 control-label'
            ],
            'wrapInput' => 'col-lg-10 padding-left-15'
        ]);

        echo $this->Form->input('container_id', [
            'options'   => $this->Html->chosenPlaceholder($container),
            'class'     => 'chosen form-control',
            'label'     => [
                'text'  => __('Container'),
                'class' => 'col col-md-2 control-label'
            ],
            'help'      => __('Target container for imported hosts'),
            'wrapInput' => 'col-lg-10 padding-left-15',
        ]);

        ?>
        <div class="form-group">
            <?php echo $this->Form->fancyCheckbox('single_host_scan', [
                'caption'       => __('Single Host Scan'),
                'wrapGridClass' => 'col col-xs-1',
                'captionClass'  => 'col col-md-2 control-label',
                'checked'       => false,
            ]); ?>
        </div>

        <fieldset class=" form-inline required padding-10">
            <legend class="font-sm">
                <div>
                    <label><?php echo __('Mapping'); ?>:</label>
                </div>
            </legend>
            <div id="mappingContainer">

            </div>
            <div class="col-xs-12 padding-top-10">
                <a class="btn btn-success btn-xs pull-right" id="add_new_mapping" href="javascript:void(0);">
                    <i class="fa fa-plus"></i>
                    <?php echo __('Add mapping'); ?>
                </a>
            </div>
        </fieldset>
        <?php
        echo $this->Form->formActions();
        ?>
    </div>
</div>