<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-sitemap fa-fw fa-rotate-180"></i>
            <?php echo __('NMAP Configuration'); ?>
            <span>>
            <div class="third_level"> <?php echo ucfirst($this->params['action']); ?></div>
            </span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>

<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon"> <i class="fa fa-plus"></i> </span>
        <h2><?php echo __('Edit configuration'); ?></h2>
        <div class="widget-toolbar" role="menu">
            <?php echo $this->Utils->backButton(); ?>
        </div>
    </header>
    <div>
        <?php
        echo $this->Form->create('NmapConfiguration', [
            'class' => 'form-horizontal clear',
        ]);

        echo $this->Form->input('NmapConfiguration.id', [
            'type'  => 'hidden',
            'value' => $nmapConfig['NmapConfiguration']['id']
        ]);

        echo $this->Form->input('NmapConfiguration.name', [
            'label' => __('Name'),
            'value' => $nmapConfig['NmapConfiguration']['name'],
        ]);
        echo $this->Form->input('NmapConfiguration.address', [
            'label'       => __('IP Address'),
            'value'       => $nmapConfig['NmapConfiguration']['address'],
            'help'        => __('For a full Host with Services Scan just fill out the IP Address and Bitmask field'),
            'placeholder' => __('127.0.0.1'),
        ]);
        echo $this->Form->input('NmapConfiguration.bitmask', [
            'label' => __('Bitmask'),
            'value' => $nmapConfig['NmapConfiguration']['bitmask'],
            'label' => __('Bitmask'),
        ]);

        echo $this->Form->input('hosttemplate_id', [
            'options'   => $this->Html->chosenPlaceholder($hosttemplates),
            'class'     => 'chosen form-control',
            'label'     => [
                'text'  => __('Hosttemplate'),
                'class' => 'col col-md-2 control-label'
            ],
            'selected'  => $nmapConfig['NmapConfiguration']['hosttemplate_id'],
            'wrapInput' => 'col-lg-10 padding-left-15'
        ]);

        echo $this->Form->input('default_servicetemplate', [
            'options'   => $this->Html->chosenPlaceholder($servicetemplates),
            'class'     => 'chosen form-control',
            'label'     => [
                'text'  => __('Default Servicetemplate'),
                'class' => 'col col-md-2 control-label'
            ],
            'selected'  => $nmapConfig['NmapConfiguration']['default_servicetemplate'],
            'wrapInput' => 'col-lg-10 padding-left-15'
        ]);

        echo $this->Form->input('container_id', [
            'options'   => $this->Html->chosenPlaceholder($container),
            'class'     => 'chosen form-control',
            'selected'  => $nmapConfig['NmapConfiguration']['container_id'],
            'label'     => [
                'text'  => __('Container'),
                'class' => 'col col-md-2 control-label'
            ],
            'help'      => __('Target container for imported hosts'),
            'wrapInput' => 'col-lg-10 padding-left-15',
        ]);
        ?>
        <div class="form-group padding-left-20">
            <?php echo $this->Form->fancyCheckbox('single_host_scan', [
                'caption'          => __('Single Host Scan'),
                'wrapGridClass'    => 'col col-xs-2',
                'captionGridClass' => 'col col-xs-2 no-padding',
                'captionClass'     => 'control-label no-padding',
                'checked'          => empty($nmapConfig['NmapConfiguration']['single_host_scan']) ? false : true,
            ]); ?>
        </div>


        <fieldset class=" form-inline required padding-10">
            <legend class="font-sm">
                <div>
                    <label><?php echo __('Mapping'); ?>:</label>
                </div>
            </legend>
            <div id="mappingContainer">

                <?php
                //display existing mappings
                foreach ($nmapConfig['NmapMapping'] as $mapping):
                    $uuid = UUID::v4(); ?>
                    <div class="row">
                        <div class="col-md-12 padding-top-10 deleteMappingContainer">
                            <?php
                            echo $this->Form->input('NmapMapping.' . $uuid . '.id', [
                                'type'  => 'hidden',
                                'value' => $mapping['id'],
                            ]);

                            echo $this->Form->input('NmapMapping.' . $uuid . '.port', [
                                'value'     => $mapping['port'],
                                'label'     => [
                                    'class' => 'col-md-1 text-right text-primary',
                                    'style' => 'margin-top:4px;',
                                    'text'  => __('Port'),
                                ],
                                'wrapInput' => 'col-md-2',
                                'class'     => 'form-control col-xs-8 no-padding',
                                'style'     => 'height:auto; padding:1px 4px!important;',
                                'div'       => false
                            ]);

                            echo $this->Form->input('NmapMapping.' . $uuid . '.service_name', [
                                'value'     => $mapping['service_name'],
                                'label'     => [
                                    'class' => 'col-md-1 text-right text-primary',
                                    'style' => 'margin-top:4px;',
                                    'text'  => __('Service Name'),
                                ],
                                'wrapInput' => 'col-md-2',
                                'class'     => 'form-control col-xs-12 no-padding',
                                'style'     => 'height:auto; padding:1px 4px!important;width:100%',
                                'div'       => false
                            ]);

                            echo $this->Form->input('NmapMapping.' . $uuid . '.servicetemplate_id', [
                                'options'   => $servicetemplates,
                                'class'     => 'chosen servicetemplateMapping',
                                'label'     => [
                                    'text'  => __('Servicetemplate'),
                                    'class' => 'col-md-1 no-padding text-right text-primary',
                                    'style' => 'margin-top:4px;'

                                ],
                                'selected'  => $mapping['servicetemplate_id'],
                                'wrapInput' => 'col-md-3',
                                'div'       => false,
                                'multiple'  => false
                            ]);
                            ?>
                            <div class="col-md-1">
                                <a class="btn btn-default btn-xs txt-color-red deleteMapping" href="javascript:void(0);"
                                   delete="<?php echo $uuid; ?>">
                                    <i class="fa fa-trash-o fa-lg"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
            <div class="col-xs-12 padding-top-10">
                <a class="btn btn-success btn-xs pull-right" id="add_new_mapping" href="javascript:void(0);">
                    <i class="fa fa-plus"></i>
                    <?php echo __('Add mapping'); ?>
                </a>
            </div>
        </fieldset>
        <?php
        echo $this->Form->formActions();
        ?>
    </div>
</div>