<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-12">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-cogs fa-fw"></i>
            <?php echo __('NMAP Configuration'); ?>
            <span>>
                <?php echo __('List'); ?>
			</span>
        </h1>
    </div>
</div>

<!-- widget grid -->
<section id="widget-grid" class="">

    <!-- row -->
    <div class="row">
        <!-- NEW WIDGET START -->
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <!-- Widget ID (each widget will need unique ID)-->
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <div class="widget-toolbar" role="menu">
                        <?php echo $this->Html->link(__('New'), '/' . $this->params['plugin'] . '/' . $this->params['controller'] . '/add', ['class' => 'btn btn-xs btn-success', 'icon' => 'fa fa-plus']); ?>
                        <?php echo $this->Html->link(__('Search'), 'javascript:', ['class' => 'oitc-list-filter btn btn-xs btn-primary toggle', 'hide-on-render' => 'true', 'icon' => 'fa fa-search']); ?>
                        <?php
                        if ($isFilter):
                            echo $this->ListFilter->resetLink(null, ['class' => 'btn-danger btn-xs', 'icon' => 'fa fa-times'], true);
                        endif;
                        ?>
                    </div>
                    <div class="jarviswidget-ctrls" role="menu">
                    </div>
                    <span class="widget-icon"> <i class="fa fa-cogs"></i> </span>
                    <h2><?php echo __('NMAP Configuration'); ?> </h2>
                </header>
                <!-- widget div-->
                <div>
                    <!-- widget edit box -->
                    <div class="jarviswidget-editbox">
                        <!-- This area used as dropdown edit box -->
                    </div>
                    <!-- end widget edit box -->
                    <!-- widget content -->
                    <div class="widget-body">
                        <table id="contactgroup_list" class="table table-striped table-hover table-bordered smart-form"
                               style="">
                            <thead>
                            <tr>
                                <?php $order = $this->Paginator->param('order'); ?>
                                <!-- <th class="no-sort"></th> -->
                                <th class="select_datatable no-sort"><?php echo __('Name') ?></th>
                                <th class="select_datatable no-sort"><?php echo __('Address') ?></th>
                                <th class="no-sort"><?php echo __('Bitmask'); ?></th>
                                <th class="no-sort col-lg-1"><?php echo __('Standard Scan'); ?></th>
                                <th class="no-sort col-lg-1"><?php echo __('Single Host Scan'); ?></th>
                                <th class="no-sort col-lg-1"><?php echo __('Multi Hosts Scan without Services'); ?></th>
                                <th class="no-sort text-center" style="width:52px"><i class="fa fa-cog"></i></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php foreach ($allNmapConfigurations as $allNmapConfiguration):
                                ?>
                                <tr>
                                    <td><?php echo $allNmapConfiguration['NmapConfiguration']['name']; ?></td>
                                    <td><?php echo $allNmapConfiguration['NmapConfiguration']['address']; ?></td>
                                    <td><?php echo $allNmapConfiguration['NmapConfiguration']['bitmask']; ?></td>
                                    <td>
                                        <?php if (!$allNmapConfiguration['NmapConfiguration']['single_host_scan'] && !$allNmapConfiguration['NmapConfiguration']['hosts_scan_without_services']): ?>
                                            <i class="fa fa-check" aria-hidden="true"></i>
                                        <?php else: ?>
                                            <i class="fa fa-times" aria-hidden="true"></i>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if ($allNmapConfiguration['NmapConfiguration']['single_host_scan']): ?>
                                            <i class="fa fa-check" aria-hidden="true"></i>
                                        <?php else: ?>
                                            <i class="fa fa-times" aria-hidden="true"></i>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if ($allNmapConfiguration['NmapConfiguration']['hosts_scan_without_services']): ?>
                                            <i class="fa fa-check" aria-hidden="true"></i>
                                        <?php else: ?>
                                            <i class="fa fa-times" aria-hidden="true"></i>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/edit/<?php echo $allNmapConfiguration['NmapConfiguration']['id']; ?>"
                                               class="btn btn-default">&nbsp;<i class="fa fa-cog"></i>&nbsp;</a>
                                            <a href="javascript:void(0);" data-toggle="dropdown"
                                               class="btn btn-default dropdown-toggle"><span class="caret"></span></a>
                                            <ul class="dropdown-menu pull-right">
                                                <?php if ($this->Acl->hasPermission('edit', 'nmapconfigurations')): ?>
                                                    <li>
                                                        <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/edit/<?php echo $allNmapConfiguration['NmapConfiguration']['id']; ?>"><i
                                                                    class="fa fa-cog"></i> <?php echo __('Edit'); ?></a>
                                                    </li>
                                                <?php endif; ?>
                                                <?php if ($this->Acl->hasPermission('delete', 'nmapconfigurations')): ?>
                                                    <li class="divider"></li>
                                                    <li>
                                                        <?php echo $this->Form->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), [
                                                            'controller' => 'nmap_configurations',
                                                            'action'     => 'delete',
                                                            $allNmapConfiguration['NmapConfiguration']['id'],
                                                        ], [
                                                            'class'  => 'txt-color-red',
                                                            'escape' => false
                                                        ],
                                                            __('Are you sure you want to delete this Configuration?')); ?>
                                                    </li>
                                                <?php endif; ?>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>

                            <?php endforeach; ?>
                            </tbody>
                        </table>
                        <?php if (empty($allNmapConfiguration)): ?>
                            <div class="noMatch">
                                <center>
                                    <span class="txt-color-red italic"><?php echo __('No entries match the selection'); ?></span>
                                </center>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>

            </div>
        </article>
    </div>
</section>