// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, version 3 of the License.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

// 2.
//	If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//	under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//	License agreement and license key will be shipped with the order
//	confirmation.

App.Controllers.NmapConfigurationsAddController = Frontend.AppController.extend({

    address: null,
    bitmask: null,
    subnetmask: null,
    components: ['Ajaxloader'],

    _initialize: function(){
        this.Ajaxloader.setup();
        var self = this;
        $('#NmapConfigurationAddress').keyup(function(){
            var value = $(this).val();
            if(value != null){
                self.address = value;
                self.printRange();
            }
        });

        $('#NmapConfigurationBitmask').keyup(function(){
            var value = $(this).val();
            if(value != null){
                self.bitmask = value;
                self.subnetmask = self.getDecSubnetmask();
                self.printRange();
            }

        });

        $('#add_new_mapping').click(function(){
            self.addMapping();
        });

        $('#NmapConfigurationSingleHostScan').change(function(){
            if($(this).is(':checked') == true){
                //disable bitmask
                $('#NmapConfigurationBitmask').prop('disabled', true);
            }else{
                //enable bitmask
                $('#NmapConfigurationBitmask').prop('disabled', false);
            }
        });


        //eventhandler for delete button which is loaded by ajax
        $(document).on('click', '.deleteMapping', function(){
            console.log('delete fired');
            $(this).parents('.deleteMappingContainer').remove();
        });
    },

    addMapping: function(){
        this.Ajaxloader.show();
        $.ajax({
            url: "/discovery_module/nmap_configurations/addMapping/",
            type: "POST",
            cache: false,
            //data: this.argumentNames,
            error: function(){
            },
            success: function(){
            },
            complete: function(response){
                $('#mappingContainer').append(response.responseText);
                this.Ajaxloader.hide();
                // this.$button.prop('disabled', false);
                $('.servicetemplateMapping').chosen({
                    search_contains: true,
                    enable_split_word_search: true
                });

            }.bind(this)
        });
    },


    /**
     * SUBNET CALC START
     */

    printRange: function(){
        //print:
        //range From - To IP
        //subnetmask
        if(this.address == null || this.bitmask == null){
            return;
        }
        //console.log(this.isValidIPv4(this.address));

        if(this.isValidIPv4(this.address)){
            this.calculateRange(this.address, this.bitmask);
        }

        //console.log(this.address);
        //console.log(this.bitmask);


    },

    calculateRange: function(address, bitmask){
        var range = {
            'from': '',
            'to': ''
        }
        var address = address.split('.');

        console.log(address);
        console.log(bitmask);

        var hostbits = (32 - bitmask);
        var addressBitmask = [];
        for(var i = 0; i < address.length; i++){
            addressBitmask[i] = this.dec2bin(address[i]);
        }

        var c = hostbits;
        var t = hostbits;
        for(var i = addressBitmask.length - 1; i >= 0; i--){
            for(var j = addressBitmask[i].length - 1; j >= 0; j--){
                if(c == (t - 8)){
                    c = (c - 8);
                    t = (t - 8);

                    console.log(c);
                    console.log(t);
                }
                addressBitmask[i][j] = 0;
                //console.log(addressBitmask[i][j]);
                c--;
            }
        }
        console.log(addressBitmask);
    },


    /*  getDecAddress:function(address, hostBits){
          var address = address.replace(/\./,'');
          var newAddress = '';


          for (var i = hostBits.length - 1; i >= 0; i--) {
              address[i]
          }
      },
  */


    /**
     * return a decimal representation of the subnetmask splitted by .
     * @returns {Array}
     */
    getDecSubnetmask: function(){
        var bitmask = this.bitmask;
        var subnetbitmask = '';
        k = 1;
        for(var i = 0; i < 32; i++){
            if(i < (bitmask)){
                subnetbitmask += 1;
            }else{
                subnetbitmask += 0;
            }
            if(i > 0 && i < 24 && (k % 8 == 0)){
                subnetbitmask += '.';
                k = 0;
            }
            k++;
        }

        subnetbitmask = subnetbitmask.split('.');
        var subnetmask = [];
        for(var i = 0; i < subnetbitmask.length; i++){
            subnetmask[i] = this.bin2dec(subnetbitmask[i]);
        }
        return subnetmask;
    },

    isValidIPv4: function(ip){
        if(/^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$|^(([a-zA-Z]|[a-zA-Z][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z]|[A-Za-z][A-Za-z0-9\-]*[A-Za-z0-9])$|^\s*((([0-9A-Fa-f]{1,4}:){7}([0-9A-Fa-f]{1,4}|:))|(([0-9A-Fa-f]{1,4}:){6}(:[0-9A-Fa-f]{1,4}|((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){5}(((:[0-9A-Fa-f]{1,4}){1,2})|:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){4}(((:[0-9A-Fa-f]{1,4}){1,3})|((:[0-9A-Fa-f]{1,4})?:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){3}(((:[0-9A-Fa-f]{1,4}){1,4})|((:[0-9A-Fa-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){2}(((:[0-9A-Fa-f]{1,4}){1,5})|((:[0-9A-Fa-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){1}(((:[0-9A-Fa-f]{1,4}){1,6})|((:[0-9A-Fa-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9A-Fa-f]{1,4}){1,7})|((:[0-9A-Fa-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(%.+)?\s*$/.test(ip)){
            return true;
        }
        return false;
    },

    dec2bin: function(dec){
        var n = (dec >>> 0).toString(2);
        return "00000000".substr(n.length) + n;
    },

    bin2dec: function(bin){
        return parseInt(bin, 2);
    }


    /**
     * SUBNET CALC END
     */

});