// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, version 3 of the License.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

// 2.
//	If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//	under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//	License agreement and license key will be shipped with the order
//	confirmation.

App.Controllers.NmapConfigurationsEditController = Frontend.AppController.extend({

    address: null,
    bitmask: null,
    subnetmask: null,
    components: ['Ajaxloader'],

    _initialize: function(){
        this.Ajaxloader.setup();
        var self = this;

        $('#add_new_mapping').click(function(){
            self.addMapping();
        });

        $('#NmapConfigurationSingleHostScan').change(function(){
            if($(this).is(':checked') == true){
                //disable bitmask
                $('#NmapConfigurationBitmask').prop('disabled', true);
            }else{
                //enable bitmask
                $('#NmapConfigurationBitmask').prop('disabled', false);
            }
        });

        //eventhandler for delete button which is loaded by ajax
        $(document).on('click', '.deleteMapping', function(){
            $(this).parents('.deleteMappingContainer').remove();
        });
    },

    addMapping: function(){
        this.Ajaxloader.show();
        //this.updateArgumentNames();
        //this.$button = $('.addMapping');
        //this.$button.prop('disabled', true);
        $.ajax({
            url: "/discovery_module/nmap_configurations/addMapping/",
            type: "POST",
            cache: false,
            //data: this.argumentNames,
            error: function(){
            },
            success: function(){
            },
            complete: function(response){
                $('#mappingContainer').append(response.responseText);
                this.Ajaxloader.hide();
                // this.$button.prop('disabled', false);
                $('.servicetemplateMapping').chosen({
                    search_contains: true,
                    enable_split_word_search: true
                });
            }.bind(this)
        });
    },
});