<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

$SatelliteModel = ClassRegistry::init('DistributeModule.Satellite', 'Model');


$instances = $SatelliteModel->find('all', [
    'recursive'  => -1,
    'order'      => [
        'Satellite.name ASC',
    ],
    'conditions' => [
        'Satellite.container_id' => $MY_RIGHTS,
    ],
    'fields'     => [
        'id',
        'name',
        'sync_instance'
    ]
]);


if (!empty($instances) && $monitoringSystemsettings['MONITORING']['MONITORING.SINGLE_INSTANCE_SYNC'] == 1): ?>
    <br/>
    <br/>
    <div class="well margin-horizontal-15">
        <p>
            <b><i class="fa fa-cloud"></i> <?php echo __('Select instances you want to push the new configuration to'); ?>
            </b>
        </p>


        <?php foreach ($instances as $instance): ?>
            <div class="row">
                <div class="form-group ">

                    <div class="col col-md-1">
                        <span class="onoffswitch">
                            <input type="checkbox" id="sync_instance_<?php echo $instance['Satellite']['id']; ?>"
                                   instance="<?php echo $instance['Satellite']['id']; ?>"
                                   showlabel="1" value="1"
                                <?php echo ($instance['Satellite']['sync_instance']) ? 'checked="checked"' : '' ?>

                                   class="onoffswitch-checkbox sync_instance">
                            <label class="onoffswitch-label"
                                   for="sync_instance_<?php echo $instance['Satellite']['id']; ?>">
                                <span class="onoffswitch-inner"
                                      data-swchon-text="<?php echo __('Yes'); ?>"
                                      data-swchoff-text="<?php echo __('No'); ?>"></span>
                                <span class="onoffswitch-switch"></span>
                            </label>
                        </span>
                    </div>

                    <label class="control-label text-left col col-md-11"
                           for="sync_instance_<?php echo $instance['Satellite']['id']; ?>"> <?php echo h($instance['Satellite']['name']); ?></label>

                </div>

            </div>
        <?php endforeach; ?>
        <br/>

        <div class="row">
            <div class="col-xs-12 col-md-1 pointer" id="selectAllSat">
                <i class="fa fa-check-square-o"></i> <?php echo __('Select all'); ?>
            </div>
            <div class="col-xs-12 col-md-1 pointer" id="deselectAllSat">
                <i class="fa fa-square-o"></i> <?php echo __('Deselect all'); ?>
            </div>
        </div>

        <br/>

        <br/>
        <button class="btn btn-xs btn-default" id="saveInstacesForSync"><?php echo __('Save selection'); ?></button>
    </div>
    <br/>

<?php endif; ?>

