<?php
/**
 * // Copyright (C) <2017>  <it-novum GmbH>
 * //
 * // This file is dual licensed
 * //
 * // 1.
 * //    This program is free software: you can redistribute it and/or modify
 * //    it under the terms of the GNU General Public License as published by
 * //    the Free Software Foundation, version 3 of the License.
 * //
 * //    This program is distributed in the hope that it will be useful,
 * //    but WITHOUT ANY WARRANTY; without even the implied warranty of
 * //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * //    GNU General Public License for more details.
 * //
 * //    You should have received a copy of the GNU General Public License
 * //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * //
 * // 2.
 * //    If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 * //    under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 * //    License agreement and license key will be shipped with the order
 * //    confirmation.
 */
?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-globe fa-fw "></i>
            <?php echo __('Distributed Monitoring') ?>
            <span>>
                <?php echo __('Satellites'); ?>
			</span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>

<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon hidden-mobile hidden-tablet"> <i class="fa fa-pencil-square-o"></i> </span>
        <h2 class="hidden-mobile hidden-tablet"><?php echo __('Add Satellite'); ?></h2>
        <div class="widget-toolbar" role="menu">
            <?php if ($this->Acl->hasPermission('delete')): ?>
                <?php echo $this->Utils->deleteButton(null, $satellite['Satellite']['id']); ?>
            <?php endif; ?>
            <?php echo $this->Utils->backButton(__('Back'), $back_url); ?>
        </div>
    </header>
    <div>
        <div class="widget-body">
            <?php
            echo $this->Form->create('Satellite', [
                'class' => 'form-horizontal clear',
            ]); ?>
            <div class="row">
                <div class="col-xs-12 col-md-12 col-lg-12">
                    <?php
                    echo $this->Form->input('id', [
                        'type'  => 'hidden',
                        'value' => $satellite['Satellite']['id'],
                    ]);
                    echo $this->Form->input('name', [
                        'label'     => ['text' => __('Instance name'), 'class' => 'col-xs-1 col-md-1 col-lg-1'],
                        'value'     => $satellite['Satellite']['name'],
                        'wrapInput' => 'col col-xs-10 col-md-10 col-lg-10',
                    ]);

                    echo $this->Form->input('address', [
                        'label'     => ['text' => __('IP address'), 'class' => 'col-xs-1 col-md-1 col-lg-1'],
                        'value'     => $satellite['Satellite']['address'],
                        'wrapInput' => 'col col-xs-10 col-md-10 col-lg-10',
                    ]);
                    echo $this->Form->input('timezone', [
                        'options'   => $timeZones,
                        'multiple'  => false,
                        'selected'  => $satellite['Satellite']['timezone'],
                        'class'     => 'chosen',
                        'style'     => 'width: 100%;',
                        'label'     => ['text' => __('Time zone'), 'class' => 'col-xs-1 col-md-1 col-lg-1'],
                        'wrapInput' => 'col col-xs-10 col-md-10 col-lg-10',
                    ]);
                    if ($hasRootPrivileges):
                        echo $this->Form->input('container_id', [
                            'options'   => $containers,
                            'multiple'  => false,
                            'selected'  => $satellite['Satellite']['container_id'],
                            'class'     => 'chosen',
                            'style'     => 'width: 100%;',
                            'label'     => ['text' => __('Container'), 'class' => 'col-xs-1 col-md-1 col-lg-1'],
                            'wrapInput' => 'col col-xs-10 col-md-10 col-lg-10',
                        ]);
                    elseif (!$hasRootPrivileges && $satellite['Satellite']['container_id'] != ROOT_CONTAINER):
                        echo $this->Form->input('container_id', [
                            'options'   => $containers,
                            'multiple'  => false,
                            'selected'  => $satellite['Satellite']['container_id'],
                            'class'     => 'chosen',
                            'style'     => 'width: 100%;',
                            'label'     => ['text' => __('Container'), 'class' => 'col-xs-1 col-md-1 col-lg-1'],
                            'wrapInput' => 'col col-xs-10 col-md-10 col-lg-10',
                        ]);
                    else:
                        ?>
                        <div class="form-group required">
                            <label class="col col-md-1 control-label"><?php echo __('Container'); ?></label>
                            <div class="col col-xs-10 required"><input type="text" value="/root" class="form-control"
                                                                       readonly></div>
                        </div>
                        <?php
                        echo $this->Form->input('container_id', [
                                'value' => $satellite['Satellite']['container_id'],
                                'type'  => 'hidden',
                            ]
                        );
                    endif;
                    ?>
                </div>
            </div>
        </div>
        <br/>
        <?php echo $this->Form->formActions(); ?>
    </div>
</div>
</div>