<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-cloud fa-fw "></i>
            <?php echo __('Distributed Monitoring') ?>
            <span>>
                <?php echo __('Satellites'); ?>
            </span>
        </h1>
    </div>
</div>
<massdelete></massdelete>
<section id="widget-grid" class="">
    <div class="row">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <h2 class="hidden-mobile">
                        <i class="fa fa-cloud"></i>
                        <?php echo __('Satellites'); ?>
                    </h2>

                    <div class="widget-toolbar" role="menu">
                        <button type="button" class="btn btn-xs btn-default" ng-click="load()">
                            <i class="fa fa-refresh"></i>
                            <?php echo __('Refresh'); ?>
                        </button>
                        <?php
                        if ($this->Acl->hasPermission('add')):
                            echo $this->Html->link(
                                __('New'),
                                '/distribute_module/satellites/add', [
                                    'class' => 'btn btn-xs btn-success',
                                    'icon'  => 'fa fa-plus'
                                ]
                            );
                            echo " "; //Fix HTML
                        endif;
                        ?>
                        <button type="button" class="btn btn-xs btn-primary" ng-click="triggerFilter()">
                            <i class="fa fa-filter"></i>
                            <?php echo __('Filter'); ?>
                        </button>
                    </div>
                </header>
                <div>
                    <div class="widget-body no-padding">
                        <div class="list-filter well" ng-show="showFilter">
                            <h3><i class="fa fa-filter"></i> <?php echo __('Filter'); ?></h3>
                            <div class="row">
                                <div class="col-xs-12 col-md-6">
                                    <div class="form-group smart-form">
                                        <label class="input"> <i class="icon-prepend fa fa-file-text-o"></i>
                                            <input type="text" class="input-sm"
                                                   placeholder="<?php echo __('Filter by satellite name'); ?>"
                                                   ng-model="filter.Satellite.name"
                                                   ng-model-options="{debounce: 500}">
                                        </label>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-6">
                                    <div class="form-group smart-form">
                                        <label class="input"> <i class="icon-prepend fa fa-filter"></i>
                                            <input type="text" class="input-sm"
                                                   placeholder="<?php echo __('Filter by IP address'); ?>"
                                                   ng-model="filter.Satellite.address"
                                                   ng-model-options="{debounce: 500}">
                                        </label>
                                    </div>
                                </div>
                                <div class="col-xs-12">
                                    <div class="pull-right margin-top-10">
                                        <button type="button" ng-click="resetFilter()"
                                                class="btn btn-xs btn-danger">
                                            <?php echo __('Reset Filter'); ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="mobile_table">
                            <table id="satellite_list"
                                   class="table table-striped table-hover table-bordered smart-form"
                                   style="">
                                <thead>
                                <tr>
                                    <th class="no-sort sorting_disabled width-15">
                                        <i class="fa fa-check-square-o fa-lg"></i>
                                    </th>
                                    <th class="no-sort" ng-click="orderBy('Satellite.name')">
                                        <i class="fa" ng-class="getSortClass('Satellite.name')"></i>
                                        <?php echo __('Instance name'); ?>
                                    </th>
                                    <th class="no-sort" ng-click="orderBy('Satellite.address')">
                                        <i class="fa" ng-class="getSortClass('Satellite.address')"></i>
                                        <?php echo __('IP address'); ?>
                                    </th>
                                    <th class="no-sort" ng-click="orderBy('Satellite.timezone')">
                                        <i class="fa" ng-class="getSortClass('Satellite.timezone')"></i>
                                        <?php echo __('Time zone'); ?>
                                    </th>
                                    <th class="no-sort">
                                        <?php echo __('Container'); ?>
                                    </th>
                                    <th class="no-sort text-center">
                                        <i class="fa fa-cog fa-lg"></i>
                                    </th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="satellite in satellites">
                                    <td class="text-center" class="width-15">
                                        <?php if ($this->Acl->hasPermission('delete')): ?>
                                            <input type="checkbox"
                                                   ng-model="massChange[satellite.Satellite.id]">
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        {{ satellite.Satellite.name }}
                                    </td>
                                    <td>
                                        {{ satellite.Satellite.address }}
                                    </td>
                                    <td>
                                        {{ satellite.Satellite.timezone }}
                                    </td>
                                    <td>
                                        {{ satellite.Satellite.container }}
                                    </td>
                                    <td class="width-50">
                                        <div class="btn-group">
                                            <?php if ($this->Acl->hasPermission('edit')): ?>
                                                <a href="/distribute_module/satellites/edit/{{ satellite.Satellite.id}}"
                                                   class="btn btn-default">
                                                    &nbsp;<i class="fa fa-cog"></i>&nbsp;
                                                </a>
                                            <?php else: ?>
                                                <a href="javascript:void(0);" class="btn btn-default">
                                                    &nbsp;<i class="fa fa-cog"></i>&nbsp;</a>
                                            <?php endif; ?>
                                            <a href="javascript:void(0);" data-toggle="dropdown"
                                               class="btn btn-default dropdown-toggle"><span
                                                        class="caret"></span></a>
                                            <ul class="dropdown-menu pull-right"
                                                id="menuHack-{{satellite.Satellite.id}}">
                                                <?php if ($this->Acl->hasPermission('edit')): ?>
                                                    <li>
                                                        <a href="/distribute_module/satellites/edit/{{satellite.Satellite.id}}">
                                                            <i class="fa fa-cog"></i> <?php echo __('Edit'); ?>
                                                        </a>
                                                    </li>
                                                <?php endif; ?>
                                                <?php if ($this->Acl->hasPermission('delete')): ?>
                                                    <li class="divider"></li>
                                                    <li>
                                                        <a href="javascript:void(0);" class="txt-color-red"
                                                           ng-click="confirmDelete(getObjectForDelete(satellite))">
                                                            <i class="fa fa-trash-o"></i> <?php echo __('Delete'); ?>
                                                        </a>
                                                    </li>
                                                <?php endif; ?>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="row margin-top-10 margin-bottom-10">
                            <div class="row margin-top-10 margin-bottom-10" ng-show="satellites.length == 0">
                                <div class="col-xs-12 text-center txt-color-red italic">
                                    <?php echo __('No entries match the selection'); ?>
                                </div>
                            </div>
                        </div>
                        <div class="row margin-top-10 margin-bottom-10">
                            <div class="col-xs-12 col-md-2 text-muted text-center">
                                <span ng-show="selectedElements > 0">({{selectedElements}})</span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="selectAll()" class="pointer">
                                    <i class="fa fa-lg fa-check-square-o"></i>
                                    <?php echo __('Select all'); ?>
                                </span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="undoSelection()" class="pointer">
                                    <i class="fa fa-lg fa-square-o"></i>
                                    <?php echo __('Undo selection'); ?>
                                </span>
                            </div>
                            <div class="col-xs-12 col-md-2 txt-color-red">
                                <span ng-click="confirmDelete(getObjectsForDelete())" class="pointer">
                                    <i class="fa fa-lg fa-trash-o"></i>
                                    <?php echo __('Delete all'); ?>
                                </span>
                            </div>
                        </div>
                        <paginator paging="paging" click-action="changepage" ng-if="paging"></paginator>
                    </div>
                </div>
            </div>
    </div>
</section>
