<?php

class EventcorrelationModuleSchema extends CakeSchema
{

    public function before($event = [])
    {
        return true;
    }

    public function after($event = [])
    {
    }

    public $eventcorrelations = [
        'id'              => ['type' => 'integer', 'null' => false, 'default' => null, 'key' => 'primary'],
        'parent_id'       => ['type' => 'integer', 'null' => true, 'default' => null],
        'lft'             => ['type' => 'integer', 'null' => false, 'default' => null],
        'rght'            => ['type' => 'integer', 'null' => false, 'default' => null],
        'host_id'         => ['type' => 'integer', 'null' => true, 'default' => null],
        'service_id'      => ['type' => 'integer', 'null' => true, 'default' => null],
        'operator'        => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 12, 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'indexes'         => [
            'PRIMARY'    => ['column' => 'id', 'unique' => 1],
            'host_id'    => ['column' => 'host_id', 'unique' => 0],
            'service_id' => ['column' => 'service_id', 'unique' => 0],
            'lft'        => ['column' => 'lft', 'unique' => 0],
            'rght'       => ['column' => 'rght', 'unique' => 0],
            'parent_id'  => ['column' => 'parent_id', 'unique' => 0],
        ],
        'tableParameters' => ['charset' => 'utf8', 'collate' => 'utf8_unicode_ci', 'engine' => 'InnoDB'],
    ];

    public $eventcorrelation_settings = [
        'id'                   => ['type' => 'integer', 'null' => false, 'default' => null, 'key' => 'primary'],
        'configuration_option' => ['type' => 'string', 'null' => false, 'default' => null, 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'monitoring_system'    => ['type' => 'string', 'null' => false, 'default' => null, 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'created'              => ['type' => 'datetime', 'null' => false, 'default' => null],
        'modified'             => ['type' => 'datetime', 'null' => false, 'default' => null],
        'indexes'              => [
            'PRIMARY' => ['column' => 'id', 'unique' => 1],
        ],
        'tableParameters'      => ['charset' => 'utf8', 'collate' => 'utf8_swedish_ci', 'engine' => 'InnoDB'],
    ];
}