<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
class EventcorrelationHosttemplatesController extends EventcorrelationModuleAppController {

    public $layout = 'Admin.default';

    public $components = ['ListFilter.ListFilter', 'RequestHandler', 'CustomValidationErrors'];
    public $helpers = ['CustomValidationErrors', 'ListFilter.ListFilter'];

    public $uses = ['Hosttemplate'];

    public $listFilters = [
        'index' => [
            'fields' => [
                'Hosttemplate.name' => [
                    'label'      => 'Name',
                    'searchType' => 'wildcard',
                ],
            ],
        ]
    ];

    public function index() {
        $conditions = [
            'Hosttemplate.hosttemplatetype_id' => EVK_HOSTTEMPLATE,
        ];

        if (isset($this->Paginator->settings['conditions'])) {
            $conditions = Hash::merge($this->Paginator->settings['conditions'], $conditions);
        }

        $query = [
            'recursive'  => -1,
            'conditions' => $conditions,
            'fields'     => [
                'Hosttemplate.name',
                'Hosttemplate.id',
            ],
        ];
        $this->Paginator->settings = array_merge($this->Paginator->settings, $query);
        $allEvkHosttemplates = $this->Paginator->paginate();

        $this->set(compact(['allEvkHosttemplates']));
    }

}
