<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

class EventcorrelationSettingsController extends EventcorrelationModuleAppController {
    public $layout = 'Admin.default';
    public $components = [
        'ListFilter.ListFilter',
        'RequestHandler',
        'AdditionalLinks',
        'CustomValidationErrors',
    ];
    public $helpers = ['ListFilter.ListFilter'];

    public function index() {
        $all_eventcorrelation_settings = $this->EventcorrelationSetting->currentEventcorrelationSettings();
        $default_eventcorrelation_settings = $this->EventcorrelationSetting->defaultEventcorrelationSettings();
        $customFildsToRefill = [
            'EventcorrelationSetting' => [
                'EVK_CONSIDER_STATE_COUNT',
                'EVK_CONSIDER_STATETYPE',
                'EVC_REFLECT_CRITICAL_STATE',
                'EVK_MONITORING_SYSTEM',
            ],
        ];
        $this->CustomValidationErrors->checkForRefill($customFildsToRefill);

        if ($this->request->is('post') || $this->request->is('put')) {
            $save_data = $this->EventcorrelationSetting->prepareForSave($this->request->data);
            if (isset($save_data['EventcorrelationSetting']['configuration_option'])) {
                $all_eventcorrelation_settings['EventcorrelationSetting']['configuration_option'] = $save_data['EventcorrelationSetting']['configuration_option'];
            }
            if ($this->EventcorrelationSetting->saveAll($save_data)) {
                $this->setFlash(__('Settings saved successfully'));

                return $this->redirect(['action' => 'index']);
            } else {
                $this->setFlash(__('Data could not be saved'), false);
            }
        }
        $this->set(compact(['all_eventcorrelation_settings', 'default_eventcorrelation_settings']));
    }
}