<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.


App::uses('AppModel', 'Model');

class EventcorrelationSetting extends AppModel {
    public $validate = [
        'monitoring_system' => [
            'notBlank' => [
                'rule'     => 'notBlank',
                'message'  => 'This field cannot be left blank.',
                'required' => true,
            ],
        ],
    ];

    public function currentEventcorrelationSettings() {
        $all_eventcorrelation_settings = $this->find('first');
        if (empty($all_eventcorrelation_settings)) {
            $all_eventcorrelation_settings = [
                'EventcorrelationSetting' => [
                    'monitoring_system'    => 'naemon',
                    'configuration_option' => 0,
                ],
            ];
        }

        return $all_eventcorrelation_settings;
    }

    public function defaultEventcorrelationSettings() {
        $all_eventcorrelation_settings = [
            'EVC_CONSIDER_STATETYPE'   => [
                'value' => 1 << 0,
                'info'  => __('Consider service status type (0 => every state type, 1 => only hard state)'),
            ],
            'EVC_CONSIDER_STATE_COUNT' => [
                'value' => 1 << 1,
                'info'  => __('Consider number of states'),
            ],
            'EVC_REFLECT_CRITICAL_STATE' => [
                'value' => 1 << 2,
                'info'  => __('If enabled, the event correlation host will go in "down" state if the last (root) event correlation service is "critical"'),
            ],
            'EVC_MONITORING_SYSTEM'    => [
                'value' => '',
                'info'  => __('Monitoring System'),
            ],

        ];

        return $all_eventcorrelation_settings;
    }

    public function prepareForSave($request_data) {
        $request_data['EventcorrelationSetting']['configuration_option'] = 0;
        foreach (Set::classicExtract($request_data, '{(EVC_CONSIDER_|EVC_REFLECT_CRITICAL_STATE).*}') as $key => $data_array) {
            foreach ($data_array as $option_key => $option_value) {
                //if checkbox checked => value = '1'
                if ($option_value) {
                    $request_data['EventcorrelationSetting']['configuration_option'] += $option_key;
                }
            }
        }

        return $request_data;
    }
}
