<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-sitemap fa-fw fa-rotate-90"></i>
            <?php echo __('Event Correlation'); ?>
            <span>>
            <div class="third_level"> <?php echo Inflector::humanize(Inflector::underscore($this->params['action'])); ?></div>
            </span>
        </h1>
    </div>
</div>
<div class="alert alert-block alert-danger displayNone" id="errorMessage">
    <a href="#" data-dismiss="alert" class="close">×</a>
    <h4 class="alert-heading"><i class="fa warning"></i> <?php echo __('Check validation!'); ?></h4>
    <p>
        <?php echo __('TopLevel Service was not found. Check your event correlation, on the highest level has to be only one virtual service'); ?>
    </p>
</div>
<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon">
            <i class="fa fa-pencil-square-o"></i>
        </span>
        <h2><?php echo __('Edit Event Correlation "%s"', $evcHost['Host']['name']); ?>
            <span class="padding-left-20 font-xs">
                <?php
                for ($i = 0; $i <= 3; $i++):?>
                    <i class="fa fa-square no-padding <?php echo $this->Status->ServiceStatusTextColor($i); ?> "></i>
                    <em class="padding-right-10 ">
                        <?php
                        echo $this->Status->humanSimpleServiceStatus($i);
                        ?>
                    </em>
                    <?php
                endfor;
                ?>
                <i class="fa fa-square no-padding text-primary"></i>
                <em class="padding-right-10">
                    <?php
                    echo __('Not monitored');
                    ?>
                </em>
                <i class="fa fa-square no-padding newVirtualService"></i>
                <em class="padding-right-10 txt-color-blue">
                    <?php
                    echo __('New virtual service');
                    ?>
                </em>
            </span>
        </h2>
        <div class="widget-toolbar" role="menu">
            <!-- save EVK button -->

            <button type="submit" class="btn btn-primary btn-xs" id="saveEvcButton"
                    form="EventcorrelationEditCorrelationForm">
                <i class="fa fa-floppy-o"></i>
                <?php echo __('Save Event Correlation'); ?>
            </button>
            <?php echo $this->Utils->backButton(); ?>
        </div>
    </header>
    <div>
        <div class="widget-body evkWidgetBody">
            <!-- Modal -->
            <div class="modal fade" id="defaultModal" tabindex="-1" role="dialog" aria-labelledby="defaultModal"
                 aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                <i class="fa fa-times"></i>
                            </button>
                            <h4 class="modal-title" id="myModalLabel">
                                <?php echo __('Add Service'); ?>
                            </h4>
                        </div>
                        <div class="modal-body">
                            <?php
                            echo $this->Form->create('Modal', [
                                    'class' => 'form-horizontal clear',
                                ]
                            );
                            echo $this->Form->input('name', [
                                    'label'      => __('vService Name'),
                                    'required'   => true,
                                    'style'      => 'width:100%;',
                                    'div'        => [
                                        'class' => 'form-group required',
                                    ],
                                    'afterInput' => '<span id="ModalNameError"  for="ModalName" class="hidden text-danger">'.__('This field cannot be left blank.').'</span>',
                                ]
                            );
                            echo $this->Form->input('Servicetemplates', [
                                    'options'    => $this->Html->chosenPlaceholder($servicetemplates),
                                    'class'      => 'chosen',
                                    'style'      => 'width:100%',
                                    'label'      => __('Service template'),
                                    'required'   => true,
                                    'div'        => [
                                        'class' => 'form-group required',
                                    ],
                                    'afterInput' => '<span id="ModalServicetemplatesError" for="ModalServicetemplates" class="hidden text-danger">'.__('This field is required').'</span>',
                                ]
                            );
                            echo $this->Form->input('Services', [
                                    'options'    => $services,
                                    'multiple'   => true,
                                    'style'      => 'width:100%',
                                    'label'      => __('Services'),
                                    'required'   => true,
                                    'div'        => [
                                        'class' => 'form-group required',
                                    ],
                                    'afterInput' => '<span id="ModalServicesError" for="ModalServices" class="hidden text-danger">'.__('This field is required').'</span>',
                                ]
                            );
                            echo $this->Form->input('vServices', [
                                    'options'    => [],
                                    'multiple'   => true,
                                    'class'      => 'chosen',
                                    'style'      => 'width:100%;',
                                    'label'      => __('vServices'),
                                    'div'        => [
                                        'class' => 'form-group required displayNone',
                                    ],
                                    'afterInput' => '<span id="ModalVServicesError" for="ModalVServices" class="hidden text-danger">'.__('This field is required').'</span>',
                                ]
                            );
                            echo $this->Form->input('Operator', [
                                    'options'    => [
                                        'and' => 'AND',
                                        'or'  => 'OR',
                                        'eq'  => 'EQUAL',
                                        'min' => 'MIN',
                                    ],
                                    'empty'      => __('Please choose'),
                                    'class'      => 'evkDropdown chosen',
                                    'style'      => 'width:100%',
                                    'required'   => true,
                                    'div'        => [
                                        'class' => 'form-group required',
                                    ],
                                    'afterInput' => '<span id="ModalOperatorError" for="ModalOperator" class="hidden text-danger">'.__('This field is required').'</span>',
                                ]
                            );
                            echo $this->Form->input('OperatorModifier', [
                                'label'      => __('Operator Modifier'),
                                'disabled'   => true,
                                'afterInput' => '<span id="ModalOperatorModifierError" for="ModalOperatorModifier" class="hidden text-danger">'.__('This field is required').'</span>',
                            ]);
                            echo $this->Form->end();
                            ?>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">
                                <?php echo __('Close'); ?>
                            </button>
                            <button type="button" class="btn btn-primary action_button">
                                <?php echo __('Save changes'); ?>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <?php
            echo $this->Form->create('Eventcorrelation', [
                    'class' => 'form-horizontal clear',
                ]
            );
            ?>
            <div id="evkDrawPad">
                <div class="layerContainer globalLayerContainer" id="layer_1">
                    <button type="button" class="btn btn-xs btn-success addLayerBtn" mode="new">
                        <i class="fa fa-cog"></i>
                        <?php echo __('Add vService'); ?>
                    </button>
                </div>
                <div class="nodeLayerContainer globalLayerContainer">
                </div>
            </div>
            <?php
            echo $this->Form->end();
            ?>
        </div>
    </div>
</div>
