<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php use itnovum\openITCOCKPIT\Core\Views\ContainerPermissions;
use itnovum\openITCOCKPIT\Core\Views\EvcContainerPermissions;

$this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-12">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-sitemap fa-fw fa-rotate-90"></i>
            <?php echo __('Event correlation'); ?>
            <span>>
                <?php echo __('List'); ?>
            </span>
        </h1>
    </div>
</div>

<section id="widget-grid" class="">

    <div class="row">

        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <div class="widget-toolbar" role="menu">
                        <?php echo $this->Html->link(__('New'), '/' . $this->params['plugin'] . '/' . $this->params['controller'] . '/add', ['class' => 'btn btn-xs btn-success', 'icon' => 'fa fa-plus']); ?>
                        <?php echo $this->Html->link(__('Filter'), 'javascript:', ['class' => 'oitc-list-filter btn btn-xs btn-primary toggle', 'hide-on-render' => 'true', 'icon' => 'fa fa-filter']); ?>
                        <?php
                        if ($isFilter):
                            echo $this->ListFilter->resetLink(null, ['class' => 'btn-danger btn-xs', 'icon' => 'fa fa-times'], true);
                        endif;
                        ?>
                    </div>
                    <div class="jarviswidget-ctrls" role="menu">
                    </div>
                    <span class="widget-icon"> <i class="fa fa-sitemap fa-rotate-180"></i> </span>
                    <h2><?php echo __('Event correlations'); ?> </h2>
                </header>
                <div>

                    <div class="widget-body no-padding">
                        <?php echo $this->ListFilter->renderFilterbox($filters, [], '<i class="fa fa-filter"></i> ' . __('Filter'), false, false, true); ?>
                        <table id="contactgroup_list" class="table table-striped table-hover table-bordered smart-form"
                               style="">
                            <thead>
                            <tr>
                                <?php $order = $this->Paginator->param('order'); ?>
                                <th class="select_datatable no-sort"><?php echo $this->Utils->getDirection($order, 'Host.name');
                                    echo $this->Paginator->sort('Host.name', 'Eventcorrelation name'); ?></th>
                                <th class="no-sort"><?php echo $this->Utils->getDirection($order, 'Host.description');
                                    echo $this->Paginator->sort('Host.description', 'Eventcorrelation description'); ?></th>
                                <th class="no-sort text-center" style="width:52px"><i class="fa fa-cog"></i></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php
                            foreach ($all_evc_hosts as $evc):
                                //ITC-1822
                                $hasViewPermission = false;
                                $hasWritePermission = false;

                                if ($hasRootPrivileges === true):
                                    $hasViewPermission = true;
                                    $hasWritePermission = true;
                                else:
                                    //Is this an empty EVC?
                                    if (empty($usedContainersByEvcHost[$evc['Host']['id']])):
                                        $ContainerPermissions = new ContainerPermissions($MY_RIGHTS_LEVEL, [$evc['Host']['container_id']]);
                                        $hasWritePermission = $ContainerPermissions->hasPermission();
                                        $hasViewPermission = $ContainerPermissions->hasViewPermission();
                                    endif;

                                    //Use EVC objects for permissions (hosts used inside of the evc)
                                    if (!empty($usedContainersByEvcHost[$evc['Host']['id']])):
                                        $usedEvcContainerIdsGroupByHost = $usedContainersByEvcHost[$evc['Host']['id']];

                                        $EvcContainerPermissions = new EvcContainerPermissions(
                                            $MY_RIGHTS_LEVEL,
                                            $usedEvcContainerIdsGroupByHost,
                                            $evc['Host']['container_id']
                                        );
                                        $hasWritePermission = $EvcContainerPermissions->hasEditPermission();

                                        $hasViewPermission = $EvcContainerPermissions->hasViewPermission($evc['Host']['container_id']);
                                    endif;
                                endif;

                                ?>
                                <tr>
                                    <td>
                                        <?php if ($hasViewPermission): ?>
                                            <a href="/eventcorrelation_module/eventcorrelations/view/<?php echo $evc['Host']['id']; ?>">
                                                <?php echo h($evc['Host']['name']); ?>
                                            </a>
                                        <?php else:
                                            echo h($evc['Host']['name']); ?>
                                            <i class="fa fa-low-vision fa-lg txt-color-blueLight"
                                               title="<?php echo __('This EVC contains Hosts you are not permitted to view'); ?>"></i>
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo $evc['Host']['description'] ?></td>
                                    <td>
                                        <?php if ($hasViewPermission || $hasWritePermission): ?>
                                            <div class="btn-group">
                                                <?php if ($this->Acl->hasPermission('edit', 'eventcorrelations') && $hasWritePermission): ?>
                                                    <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/editCorrelation/<?php echo $evc['Host']['id']; ?>"
                                                       class="btn btn-default">&nbsp;<i class="fa fa-cog"></i>&nbsp;</a>
                                                <?php else: ?>
                                                    <a href="javascript:void(0);"
                                                       class="btn btn-default">&nbsp;<i class="fa fa-cog"></i>&nbsp;</a>
                                                <?php endif; ?>
                                                <a href="javascript:void(0);" data-toggle="dropdown"
                                                   class="btn btn-default dropdown-toggle"><span
                                                            class="caret"></span></a>
                                                <ul class="dropdown-menu pull-right">
                                                    <?php if ($this->Acl->hasPermission('edit', 'eventcorrelations') && $hasWritePermission): ?>
                                                        <li>
                                                            <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/edit/<?php echo $evc['Host']['id']; ?>"><i
                                                                        class="fa fa-cog"></i> <?php echo __('Edit'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if ($this->Acl->hasPermission('editCorrelation', 'eventcorrelations') && $hasWritePermission): ?>
                                                        <li>
                                                            <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/editCorrelation/<?php echo $evc['Host']['id']; ?>"><i
                                                                        class="fa fa-edit"></i> <?php echo __('Edit Correlation'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if ($this->Acl->hasPermission('usedBy', 'eventcorrelations') && $hasWritePermission): ?>
                                                        <li>
                                                            <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/usedBy/<?php echo $evc['Host']['id']; ?>"><i
                                                                        class="fa fa-reply-all fa-flip-horizontal"></i> <?php echo __('Used by'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if ($this->Acl->hasPermission('view', 'eventcorrelations') && $hasWritePermission): ?>
                                                        <li class="divider"></li>
                                                        <li>
                                                            <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/view/<?php echo $evc['Host']['id']; ?>"><i
                                                                        class="fa fa-eye"></i> <?php echo __('View'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <li>
                                                        <a href="<?php echo Router::url([
                                                            'controller' => 'eventcorrelations',
                                                            'plugin'     => 'eventcorrelation_module',
                                                            'action'     => 'summary_view',
                                                            'ext'        => 'pdf',
                                                            $evc['Host']['id']
                                                        ]); ?>"><i class="fa fa-file-pdf-o"></i>
                                                            <?php echo __('Create PDF'); ?>
                                                        </a>
                                                    </li>
                                                    <?php if ($this->Acl->hasPermission('delete', 'eventcorrelations') && $hasWritePermission): ?>
                                                        <li class="divider"></li>
                                                        <li>
                                                            <?php echo $this->Form->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), [
                                                                'controller' => 'eventcorrelations',
                                                                'action'     => 'delete',
                                                                $evc['Host']['id'],
                                                            ], [
                                                                'class'  => (!empty($evc['Host']['usedBy'])) ? 'disabledDeleteBtn' : 'txt-color-red',
                                                                'escape' => false,
                                                                'title'  => 'Title'
                                                            ],
                                                                __('Are you sure you want to delete this host?')); ?>
                                                        </li>
                                                    <?php endif; ?>
                                            </div>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; ?>

                            </tbody>
                        </table>
                        <?php
                        if (empty($all_evc_hosts)):?>
                            <div class="noMatch">
                                <center>
                                    <span class="txt-color-red italic">
                                        <?php echo __('No entries match the selection'); ?>
                                    </span>
                                </center>
                            </div>
                        <?php endif; ?>

                        <div style="padding: 5px 10px;">
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="dataTables_info" style="line-height: 32px;"
                                         id="datatable_fixed_column_info"><?php echo $this->Paginator->counter(__('Page') . ' {:page} ' . __('of') . ' {:pages}, ' . __('Total') . ' {:count} ' . __('entries')); ?></div>
                                </div>
                                <div class="col-sm-6 text-right">
                                    <div class="dataTables_paginate paging_bootstrap">
                                        <?php echo $this->Paginator->pagination([
                                            'ul' => 'pagination',
                                        ]); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </div>
</section>
