<?php
// Copyright (C) <2017>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-12">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-sitemap fa-fw fa-rotate-90"></i>
            <?php echo __('Event correlation'); ?>
            <span>>
                <?php echo __('service used By'); ?>
			</span>
        </h1>
    </div>
</div>

<section id="widget-grid" class="">

    <div class="row">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <div class="widget-toolbar" role="menu">
                        <?php echo $this->Utils->backButton(__('Back')); ?>
                    </div>

                    <div class="jarviswidget-ctrls" role="menu">
                    </div>
                    <span class="widget-icon"> <i class="fa fa-code-fork"></i> </span>
                    <h2><?php echo __('The Services are in use by the following Event correlations'); ?></h2>
                </header>


                <div>
                    <div class="widget-body no-padding">
                        <table id="host_list" class="table table-striped table-hover table-bordered smart-form" style="">
                            <thead>
                            <tr>
                                <?php $order = $this->Paginator->param('order'); ?>
                                <th class="no-sort"><?php echo __('Event correlation name'); ?></th>
                                <th class="no-sort text-center" style="width:52px"><i class="fa fa-cog"></i></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php foreach($serviceInfo as $service): ?>
                                <tr>
                                    <td class="bg-color-lightGray" colspan="13">
                                        <?php
                                        $href = 'javascript:void(0);';
                                        if ($this->Acl->hasPermission('browser', 'services') && $this->Acl->hasPermission('browser', 'hosts')):
                                            $hrefService = '/services/browser/'.$service['Service']['id'];
                                            $hrefHost = '/hosts/browser/'.$service['Host']['id'];
                                        endif;
                                        ?>
                                        <?php if ($this->Acl->hasPermission('browser', 'services') && $this->Acl->hasPermission('browser', 'hosts')): ?>
                                            <a class="padding-left-5 txt-color-blueDark"
                                               href="<?php echo $hrefService; ?>"><?php echo h($service[0]['ServiceName']); ?></a>
                                            <?php echo __(' of Host '); ?>
                                            <a class="padding-left-5 txt-color-blueDark"
                                               href="<?php echo $href; ?>"><?php echo h($service['Host']['name']); ?></a>

                                        <?php else: ?>
                                            <strong>
                                                <?php echo h($service[0]['ServiceName']); ?>
                                            </strong>
                                                <?php echo __(' of Host '); ?>
                                            <strong>
                                                <?php echo h($service['Host']['name']); ?>
                                            </strong>

                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php
                                foreach ($hostData[$service['Service']['id']] as $host): ?>
                                <tr>
                                    <td>
                                        <a href="/<?php echo $this->params['plugin'].'/'.$this->params['controller']; ?>/editCorrelation/<?php echo $host['Host']['id']; ?>/<?php echo $service['Host']['id']; ?>"><?php echo $host['Host']['name']; ?></a>
                                    </td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="/<?php echo $this->params['plugin'].'/'.$this->params['controller']; ?>/editCorrelation/<?php echo $host['Host']['id']; ?>/<?php echo $service['Host']['id']; ?>"
                                               class="btn btn-default">&nbsp;<i class="fa fa-cog"></i>&nbsp;</a>
                                            <a href="javascript:void(0);" data-toggle="dropdown"
                                               class="btn btn-default dropdown-toggle"><span class="caret"></span></a>
                                            <ul class="dropdown-menu pull-right">
                                                <?php if ($this->Acl->hasPermission('editCorrelation', 'eventcorrelations')): ?>
                                                    <li>
                                                        <a href="/<?php echo $this->params['plugin'].'/'.$this->params['controller']; ?>/editCorrelation/<?php echo $host['Host']['id']; ?>/<?php echo $service['Host']['id']; ?>"><i
                                                                class="fa fa-edit"></i> <?php echo __('Edit Correlation'); ?>
                                                        </a>
                                                    </li>
                                                <?php endif; ?>
                                                <?php if ($this->Acl->hasPermission('view', 'eventcorrelations')): ?>
                                                    <li class="divider"></li>
                                                    <li>
                                                        <a href="/<?php echo $this->params['plugin'].'/'.$this->params['controller']; ?>/view/<?php echo $host['Host']['id']; ?>"><i
                                                                class="fa fa-eye"></i> <?php echo __('View'); ?></a>
                                                    </li>
                                                <?php endif; ?>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                                <?php if (empty($hostData[$service['Service']['id']])): ?>
                                    <tr>
                                        <td>
                                            <center>
                                                <span class="txt-color-red italic"><?php echo __('This Service is not used by any Event correlations'); ?></span>
                                            </center>
                                        </td>
                                    </tr>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            </tbody>
                        </table>

                        <div class="padding-top-10"></div>
                    </div>
                </div>
            </div>
    </div>
</section>

