// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
App.Controllers.EventcorrelationsEditCorrelationController = Frontend.AppController.extend({
    components: ['Ajaxloader'],
    $serviceList: null,

    _initialize: function () {
        var self = this,
            idToCheck = null,
            $clickObject = {};

        this.$serviceList = this.getVar('servicesList');
        this.EvcHostName = this.getVar('hostName'); // Evc host name
        this.EvcHostId = this.getVar('hostId'); // Evc host id
        this.evcTree = this.getVar('evcTree');
        this.highlightedHostId = this.getVar('highlightedHostId');
        this.$cloneEvcDrawPad = $('#evkDrawPad').clone();
        this.options = {'container': '#evkDrawPad', 'mainDivClass': 'evkWidgetBody'} // define main evc container

        var ChosenAjaxObj = new ChosenAjax({
            id: 'ModalServices' //Target select box
        });

        if (!$.isEmptyObject(this.evcTree)) {//check if evc tree is empty
            self.drawEvcTree(this.evcTree);
        } else {
            this.evcTree = [];
            $.ajax({
                dataType: "json",
                url: '/eventcorrelation_module/eventcorrelations/loadServicesByString.json',
                data: {
                    'angular': true,
                    'notServiceId':  self.EvcHostId,
                    'filter[Host.name]': '',
                    'filter[Service.servicename]': ''
                },
                success: function(response){
                    ChosenAjaxObj.addOptionGroups(response.services);
                }
            });
        }

        ChosenAjaxObj.setCallback(function(searchString){
            var selected = ChosenAjaxObj.getSelected();
            $.ajax({
                dataType: "json",
                url: '/eventcorrelation_module/eventcorrelations/loadServicesByString.json',
                data: {
                    'angular': true,
                    'notServiceId':  self.EvcHostId,
                    'filter[Host.name]': searchString,
                    'filter[Service.servicename]': searchString,
                    'selected[]': selected
                },
                success: function(response){
                    ChosenAjaxObj.addOptionGroups(response.services);
                    ChosenAjaxObj.setSelected(selected);
                }
            });
        });

        ChosenAjaxObj.render();
        this.ChosenAjaxObj = ChosenAjaxObj;

        $(document).click(function(){
            var $classResult = $('#evkDrawPad').find('.bounce_new');
            if($classResult.length > 0){
                $classResult.each(function(){
                    $(this).removeClass('animated_new infinite_new bounce_new').addClass('evcBorder');
                });
            }
            this.highlightedHostId = null;
        });

        $(document).on('click', '.addLayerBtn, .fa-pencil', function (event) {
            $clickObject = $(event.target);
            var layerNumber = 0,
                editMode = $clickObject.attr('mode'),
                serviceLayerId = $clickObject.closest('div.layerContainer').attr('id'), // layer_X
                prevId = serviceLayerId.replace(/[0-9]+(?!.*[0-9])/, function (match) { //previous layer id
                    layerNumber = parseInt(match, 10) - 1;
                    return layerNumber;
                });
            self.resetErrorMessages(); // add service dialog (modal)
            self.switchSelectServiceListForCurrentLayer((editMode === 'new') ? serviceLayerId : prevId);
            if (editMode === 'edit') {
                self.updateModalForEdit($clickObject, serviceLayerId, prevId); //fill current element details into modal
            }
            $modalObject = $('#defaultModal');
            $modalObject.modal().on('hidden.bs.modal', function () {
                self.resetInputFields($(this));
            });
            $('#defaultModal .action_button').off('click').on('click', function () {
                if (self.validateFields()) {
                    $modalObject.modal('hide');
                    switch (editMode) {
                        case 'new':
                            self.drawEventCorrelationBranch(serviceLayerId, $clickObject);
                            break;
                        case 'edit':
                            var evcNodeId = $('#' + ($clickObject.closest('div').attr('id').replace('EditDiv', ''))).attr('nodeId');
                            var newEvcSettings = {
                                'vServiceName': $('#ModalName').val(),
                                'operator': $('#ModalOperator').val() + $('#ModalOperatorModifier').val(),
                                'vServiceTemplateId': $('#ModalServicetemplates').val()
                            };
                            var currentEvcBranch = self.evcTree[(layerNumber - 1)][evcNodeId],
                                oldConfigServiceIds = [],
                                newConfigServiceIds = [];
                            if (self.isFirstLayer(prevId)) {
                                $.each(currentEvcBranch, function (index, element) {
                                    oldConfigServiceIds.push(element.Service.id);
                                });
                                $.each(self.getSelectedServices($('#ModalServices').val()), function (index, element) {
                                    newConfigServiceIds.push(element[0].serviceId);
                                });
                                var updateResult = self.updateFirstLevelEventCorrelationBranch(
                                    layerNumber,
                                    evcNodeId,
                                    newEvcSettings,
                                    _.difference(oldConfigServiceIds, newConfigServiceIds),
                                    _.difference(newConfigServiceIds, oldConfigServiceIds)
                                );
                                if (updateResult) {
                                    $('#evkDrawPad').html(self.$cloneEvcDrawPad.html());
                                    self.drawEvcTree(self.evcTree);
                                }

                            } else {
                                $.each(currentEvcBranch, function (index, element) {
                                    oldConfigServiceIds.push(element.Eventcorrelation.id);
                                });
                                $.each($('#ModalVServices').val(), function (index, vServiceId) {
                                    newConfigServiceIds.push(vServiceId.replace('_vService', ''));
                                });
                                var updateResult = self.updateEventCorrelationBranch(
                                    layerNumber,
                                    evcNodeId,
                                    newEvcSettings,
                                    _.difference(oldConfigServiceIds, newConfigServiceIds),
                                    _.difference(newConfigServiceIds, oldConfigServiceIds)
                                );
                                if (updateResult) {
                                    $('#evkDrawPad').html(self.$cloneEvcDrawPad.html());
                                    self.drawEvcTree(self.evcTree);
                                }
                            }
                            break;
                    }
                    self.resetInputFields($modalObject);
                    self.heightAdjustment();
                }
            });
        }.bind(this));
        $(document).on('click', '.fa-trash-o', function (event) {
            $clickObject = $(event.target);
            var evcNodeId = $('#' + ($clickObject.closest('div').attr('id').replace('EditDiv', ''))).attr('nodeId'),
                layerNumber = parseInt($clickObject.closest('div.layerContainer').attr('id').replace(/layer_/, ''), 10);
            ;
            self.deleteEvcNode((layerNumber - 1), evcNodeId);
            self.checkForMissingParents();
            $('#evkDrawPad').html(self.$cloneEvcDrawPad.html());
            self.drawEvcTree(self.evcTree);
        });
        //ModalOperatorModifier
        $('#ModalOperator').change(function () {
            if ($(this).val() === 'min') {
                $('#ModalOperatorModifier').prop({
                    'disabled': false,
                    'required': true
                }).keyup(function () {
                    this.value = this.value.replace(/[^0-9]/g, '');
                });
            } else {
                $('#ModalOperatorModifier').prop({
                    'disabled': true,
                    'required': false
                }).val('');
                $('#ModalOperatorModifierError').addClass('hidden');
            }
        });
        $('#saveEvcButton').on('click', function (event) {
            event.preventDefault();
            $('#saveEvcButton').prop('disabled', true);
            if (!self.checkAllConnections() || !self.validateEndLayer()) {
                event.preventDefault();
                event.stopPropagation();
                $('#saveEvcButton').prop('disabled', false);
            } else {
                $('#EventcorrelationEditCorrelationForm').submit();
                return true;
            }
        });
    },
    getOperatorErrorMessage: function (serviceSelector) {
        var operator = $('#ModalOperator').val();
        var serviceCount = _.size($('#' + serviceSelector).val());
        var operatorModifier = $('#ModalOperatorModifier').val();
        var msg,
            retVal;
        switch (operator) {
            case 'and':
                if (serviceCount < 2) {
                    msg = 'The AND Operator requires at least two Services';
                    retVal = true;
                } else {
                    retVal = false;
                }
                break;
            case 'or':
                if (serviceCount < 2) {
                    msg = 'The OR Operator requires at least two Services';
                    retVal = true;
                } else {
                    retVal = false;
                }
                break;
            case 'eq':
                if (serviceCount != 1) {
                    msg = 'The EQUAL Operator can only have one Service';
                    retVal = true;
                } else {
                    retVal = false;
                }
                break;
            case 'min':
                if (serviceCount < 1) {
                    msg = 'The MIN Operator requires at least one Service';
                    retVal = true;
                } else if (serviceCount >= 1 && (operatorModifier == '' || operatorModifier > serviceCount)) {
                    msg = '';
                    opModMsg = 'The MIN Operator requires a Modifier which is in the range of 1 - X (where X is the number of the selected services)';
                    $('#ModalOperatorModifierError').text(opModMsg);
                    retVal = true;
                } else {
                    retVal = false;
                }
                break;
        }

        if (retVal) {
            if (msg != null) {
                $('#ModalOperatorError').text(msg);
            }
            return true;
        }
        return false;
    },
    deleteEvcNode: function (evcLayer, evcServiceId) {
        //debugger;
        var currentParentId = null;
        // find the parent id in json
        find_parent_loop:
        for(var parentEvcId in this.evcTree[evcLayer]){
            for(var k in this.evcTree[evcLayer][parentEvcId]){

                if(this.evcTree[evcLayer][parentEvcId][k].Eventcorrelation.id == evcServiceId){
                    // parent exists
                    currentParentId = this.evcTree[evcLayer][parentEvcId][k].Eventcorrelation.parent_id;
                    $('input[value="' + evcServiceId + '"]').remove();
                    $('input[name^="layer_' + evcLayer + '[' + evcServiceId + ']"]').remove();
                    break find_parent_loop;
                }
            }
            if(currentParentId !== null){
                //leave loop because parent exists
                break;
            }
        }
        //delete services from 1st level in json
        if(evcLayer === 1){
            delete this.evcTree[0][evcServiceId];
        }
        if(_.size(this.evcTree[evcLayer][parentEvcId]) === 1){
            // delete layer with number if only single element exists(data type object {})
            delete this.evcTree[evcLayer][parentEvcId];
        }else{
            //remove element with id if layer consists more items than one (data type array [])
            this.evcTree[evcLayer][parentEvcId].splice(k, 1);
            //return, clean up done, all affected elements has been removed
            return;
        }
        if(currentParentId !== null){
            this.deleteEvcNode(evcLayer + 1, currentParentId);
        }
    },
    checkForMissingParents: function() {
        this.deleteEmptyEvcLayers();
        for(var evcLayer in this.evcTree){
            for(var parentEvcId in this.evcTree[evcLayer]){
                if(parentEvcId == ''){
                    //this is root element
                    //nothing to do
                    continue;
                }
                //Check if this parent exists
                var parentExists = false;
                var evcLayerToCheck = parseInt(evcLayer, 10)+1;
                if(typeof this.evcTree[evcLayerToCheck] != 'undefined'){
                    for(var parentEvcIdToCheck in this.evcTree[evcLayerToCheck]){
                        for(var k in this.evcTree[evcLayerToCheck][parentEvcIdToCheck]){
                            if (String(this.evcTree[evcLayerToCheck][parentEvcIdToCheck][k].Eventcorrelation.id) === String(parentEvcId)) {                                parentExists = true;
                                break;
                            }
                        }
                        if(parentExists === true){
                            break;
                        }
                    }
                }
                if(parentExists === false){
                    var container = this.evcTree[evcLayer][parentEvcId];
                    //resolve original event correlation for processing
                    delete this.evcTree[evcLayer][parentEvcId];
                    for(var evcService in container){
                        container[evcService].Eventcorrelation.parent_id = null;
                        // for example: Layer 1{1} with oldKey => 60 [2 Elements with parent_id = 60]
                        // after delete node with id 60
                        // Layer 1{2} with keys =>  61_vService[1] and 66_vService[1] and parent_id = null
                        var key = container[evcService].Eventcorrelation.id+'_vService';
                        this.evcTree[evcLayer][key] = [];
                        this.evcTree[evcLayer][key].push(container[evcService]);
                    }
                }
            }
        }
    },
    deleteEmptyEvcLayers: function(){
        var tmpEvcTree = [];
        for (var evcLayer in this.evcTree) {
            if (_.isEmpty(this.evcTree[evcLayer]) === false) {
                tmpEvcTree.push(this.evcTree[evcLayer]);
            }
        }
        this.evcTree = tmpEvcTree;
    },
    validateFields: function () {
        var self = this;
        var isValid = true;
        var serviceSelector = '';
        $('input[required],select[required]').each(function (i, requiredField) {
            var selector = $(requiredField).attr('id');
            if (selector == 'ModalVServices' || selector == 'ModalServices') {
                serviceSelector = selector;
            }
            if ($(requiredField).val() == '' || $(requiredField).val() === null || $(requiredField).val() == 0) {
                $('#' + $(requiredField).attr('id') + 'Error').removeClass('hidden');
                isValid = false;
            } else if (self.getOperatorErrorMessage(serviceSelector) && ($(requiredField).attr('id') == 'ModalOperator' || $(requiredField).attr('id') == 'ModalOperatorModifier')) {
                $('#' + $(requiredField).attr('id') + 'Error').removeClass('hidden');
                isValid = false;
            } else {
                $('#' + $(requiredField).attr('id') + 'Error').addClass('hidden');
            }
        });
        return isValid;
    },
    getSelectedServices: function (ids) {
        var serviceObjects = [];
        for(var id in ids){
            var currentId = ids[id];

            if(!this.$serviceList.hasOwnProperty(currentId)){
                $.ajax({
                    dataType: "json",
                    url: '/eventcorrelation_module/eventcorrelations/getServiceWithStateById/'+currentId+'.json',
                    async: false,
                    data: {
                        'angular': true
                    },
                    success: function(response){
                        this.$serviceList[currentId] = response.service[currentId];
                    }.bind(this)
                });
            }
            for(var service in this.$serviceList){
                if(service == currentId){
                    serviceObjects.push([this.$serviceList[service]]);
                }
            }
        }
        return serviceObjects;
    },
    prepareSelectedServicesForEvcTreeUpdate: function (serviceObject, parentId, evcNodeId, hostId, operator) {
        return {
            'Eventcorrelation': {
                'id': evcNodeId.replace('_vService', ''),
                'parent_id': parentId,
                'host_id': hostId,
                'service_id': serviceObject.serviceId,
                'operator': operator
            },
            'Service': {
                'Host': {
                    'name': serviceObject.hostName
                },
                'Servicetemplate': {
                    'name': serviceObject.Servicetemplate.name,
                    'servicetemplate_id': serviceObject.Servicetemplate.id,
                },
                'host_id': serviceObject.hostId,
                'id': serviceObject.serviceId,
                'name': serviceObject.serviceName,
                'service_type': serviceObject.serviceType,
                'servicetemplate_id': serviceObject.Servicetemplate.id,
                'uuid': serviceObject.serviceUuid
            }
        };
    },
    updateModalForEdit: function ($clickObject, serviceLayerId, prevId) {
        var self = this,
            selectedServices = [],
            buttonParentDivId = $clickObject.closest('div').attr('id'),
            operatorId = buttonParentDivId.replace('vServiceEditDiv', 'nodeOperator'),
            operatorDetails = $('input[name^="' + prevId + '[' + operatorId.replace('_nodeOperator', '') + '"]')
                .not('input[name^="' + prevId + '[' + operatorId.replace('_nodeOperator', '') + '][children]"]'),
            operatorValue = $(operatorDetails[0]).val(); //first hidden field => operator value (minX|and|or|eq)

        $('#ModalName').val($(operatorDetails[1]).val()); //second hidden field => service name
        $('#ModalServicetemplates').val($(operatorDetails[2]).val()).trigger('chosen:updated');//third hidden field => service name
        if (operatorValue.match(/^min*/)) {
            $('#ModalOperator').val('min').trigger('chosen:updated');
            $('#ModalOperatorModifier').prop('disabled', false).val(operatorValue.replace(/[^0-9]+/g, ''));
        } else {
            $('#ModalOperatorModifier').prop({
                'required': false,
                'disabled': true
            });
            $('#ModalOperator').val(operatorValue).trigger('chosen:updated');
        }
        if (self.isFirstLayer(prevId)) {
            $.each($('#' + operatorId.replace('_nodeOperator', ' :input')), function (index, selectedElement) {
                var currentService = self.$serviceList[$(selectedElement).val()];
                if(typeof currentService != 'undefined'){
                    selectedServices.push(currentService.serviceId);
                }
            });


            $.ajax({
                dataType: "json",
                url: '/eventcorrelation_module/eventcorrelations/loadServicesByString.json',
                data: {
                    'angular': true,
                    'notServiceId':  self.EvcHostId,
                    'selected[]': selectedServices
                },
                success: function(response){
                    $('#ModalServices').val(selectedServices).trigger('chosen:updated');
                    self.ChosenAjaxObj.addOptionGroups(response.services);
                    self.ChosenAjaxObj.setSelected(selectedServices);
                }
            });

        } else {
            $.each($('input[name^="' + prevId + '[' + operatorId.replace('_nodeOperator', '') + '][children]"]'), function (index, element) {
                $('#ModalVServices option[value=' + $(element).val() + '_vService]').removeAttr('disabled');
                selectedServices.push($(element).val() + '_vService');
            })
            $('#ModalVServices').val(selectedServices).trigger('chosen:updated');
        }
    },
    drawEventCorrelationPhysicalLayer: function (parentContainer, serviceObjects, evcId) {
        var self = this,
            colors = ['#449D44', '#DF8F1D', '#C9302C', '#92A2A8'],
            notMonitoredBackgroundColor = '#337ab7',
            $newDiv = $('<div/>', {'id': (evcId !== null) ? evcId : _.uniqueId('ui-id-')}),
            newDivId = $newDiv.attr('id'),
            serviceObjectCounter = 1,
            divsToConnect = [],
            parentId = parentContainer.attr('id'),
            evcTreeLayer = 0, //first layer for reel services
            serviceDataToAdd = {};
        serviceDataToAdd[newDivId] = [];
        parentContainer.append($newDiv);
        $.each(serviceObjects, function (index, object) {
            object = object[0];
            var highlightClass = '';
            var disabledClass = '';
            var disabledMessage = '';
            if(object.disabled === '1'){
                disabledClass = ' serviceDisabled disabledIcon';
                disabledMessage = ' (!!!DISABLED!!!)';
            }
            if(self.highlightedHostId == object.hostId){
                highlightClass = ' animated_new infinite_new bounce_new';
            }
            $newDiv.append(
                $('<div/>', {'class': 'service firstLayerService'+highlightClass+disabledClass, 'id': newDivId + '_' + serviceObjectCounter}).append(
                    $('<div/>', {'class': 'serviceStateColor pull-left'}).css('background-color', (object.currentState !== null) ? colors[object.currentState] : notMonitoredBackgroundColor)
                ).append(
                    $('<div/>', {'class': 'serviceInformation'}).append(
                        $('<div/>', {
                            'class': 'hosttext ellipsis',
                            'title': htmlspecialchars(object.hostName)
                        }).append('<i class="fa fa-desktop"></i> ' + htmlspecialchars(object.hostName))
                    ).append(
                        $('<div/>', {
                                'class': 'servicetext ellipsis',
                                'title': htmlspecialchars(object.serviceName+disabledMessage)
                            }
                        ).append('<i class="fa fa-' + ((object.serviceType == 2) ? 'sitemap fa-fw fa-rotate-90' : 'gear') + '"></i> ' + htmlspecialchars(object.serviceName))
                    )
                ).append(
                    $('<input/>', {
                        'type': 'hidden',
                        'value': object.serviceId,
                        'name': parentId + '[' + newDivId + '][children][' + serviceObjectCounter + ']'
                    })
                )
            );
            divsToConnect.push(newDivId + '_' + serviceObjectCounter);
            if (evcId === null) {
                serviceDataToAdd[newDivId].push(self.prepareSelectedServicesForEvcTreeUpdate(object, newDivId, newDivId + '_' + serviceObjectCounter, null, null));
            }
            serviceObjectCounter++;
        });
        if (self.evcTree[evcTreeLayer] === undefined && evcId === null) {
            self.evcTree[evcTreeLayer] = serviceDataToAdd;
        } else {
            if (evcId === null) {
                $.extend(true, self.evcTree[evcTreeLayer], serviceDataToAdd);
            }
        }
        $operatorPosition = {
            'positionTop': parseInt(($newDiv.position().top - 3), 10), // 3px border
            'height': $newDiv.height(),
            'id': newDivId,
            'divsToConnect': divsToConnect
        };
        return $operatorPosition;
    },
    //Physical layer
    updateFirstLevelEventCorrelationBranch: function (layerNumber, evcNodeId, newEvcSettings, serviceIdsToDelete, serviceIdsAdd) {
        var self = this,
            updateEvc = false,
            childsLayer = layerNumber - 1;
        self.updateOperatorDetails(layerNumber, evcNodeId, newEvcSettings);
        self.updateEvcName(layerNumber, evcNodeId, newEvcSettings.vServiceName);
        self.updateEvcNodeInEvcTree(layerNumber, evcNodeId, newEvcSettings);

        if (serviceIdsToDelete.length === 0 && serviceIdsAdd.length === 0) {
            return updateEvc;
        }
        if (serviceIdsToDelete.length > 0) {
            self.deleteServicesFromEvcBranch(childsLayer, evcNodeId, serviceIdsToDelete);
            updateEvc = true;
        }
        if (serviceIdsAdd.length > 0) {
            self.addServicesToEvcBranch(childsLayer, evcNodeId, serviceIdsAdd);
            updateEvc = true;
        }
        return updateEvc;
    },
    //Virtual layer
    updateEventCorrelationBranch: function (layerNumber, evcNodeId, newEvcSettings, serviceIdsToDelete, serviceIdsAdd) {
        var self = this,
            updateEvc = false,
            childsLayer = layerNumber - 1;
        self.updateOperatorDetails(layerNumber, evcNodeId, newEvcSettings);
        self.updateEvcName(layerNumber, evcNodeId, newEvcSettings.vServiceName);
        if (serviceIdsToDelete.length === 0 && serviceIdsAdd.length === 0) {
            return updateEvc;
        }
        if (serviceIdsToDelete.length > 0) {
            self.deleteVirtualServicesFromEvcBranch(childsLayer, serviceIdsToDelete);
            updateEvc = true;
        }
        if (serviceIdsAdd.length > 0) {
            self.addVirtualServicesToEvcBranch(childsLayer, evcNodeId, serviceIdsAdd);
            updateEvc = true;
        }
        return updateEvc;
    },
    addVirtualServicesToEvcBranch: function (layerNumber, evcNodeId, serviceIdsAdd) {
        var self = this,
            indexToDelete = [],
            newServices = {},
            sizeOfChilds = _.size(self.evcTree[layerNumber][evcNodeId]);
        $.each(this.evcTree[layerNumber], function (indexEvc, evcElementsArray) {
            $.each(evcElementsArray, function (index, element) {
                //if indexOf not -1
                if (~$.inArray(element.Eventcorrelation.id, serviceIdsAdd)) {
                    self.evcTree[layerNumber][indexEvc][index].Eventcorrelation.parent_id = evcNodeId;
                    newServices[sizeOfChilds++] = self.evcTree[layerNumber][indexEvc][index];
                    indexToDelete.push(indexEvc);
                }
            });
        });
        $.extend(true, self.evcTree[layerNumber][evcNodeId], newServices);
        self.evcTree[layerNumber] = _.omit(self.evcTree[layerNumber], indexToDelete);
    },
    deleteVirtualServicesFromEvcBranch: function (layerNumber, serviceIdsToDelete) {
        var self = this;
        $.each(this.evcTree[layerNumber], function (indexEvc, evcElementsArray) {
            var indexToDelete = [],
                tmpObjects = [];
            $.each(evcElementsArray, function (index, element) {
                if (~$.inArray(element.Eventcorrelation.id, serviceIdsToDelete)) {
                    self.evcTree[layerNumber][indexEvc][index].Eventcorrelation.parent_id = null;
                    self.evcTree[layerNumber][element.Eventcorrelation.id + '_vService'] = [self.evcTree[layerNumber][indexEvc][index]];
                    $('input[value="' + element.Eventcorrelation.id + '"]').remove();
                    indexToDelete.push(index);
                } else {
                    tmpObjects.push(self.evcTree[layerNumber][indexEvc][index]);
                }
            });
            if (indexToDelete.length > 0) {
                if (_.size(tmpObjects) === 0) {
                    delete self.evcTree[layerNumber][indexEvc];
                    return false;
                }
                self.evcTree[layerNumber][indexEvc] = tmpObjects;
                return false;
            }
        });
    },
    updateOperatorDetails: function (layerNumber, evcNodeId, operatorDetails) {
        $('#' + evcNodeId + '_nodeOperator').text(operatorDetails.operator);
        $('input[name="layer_' + layerNumber + '[' + evcNodeId + '][operator]"]').val(operatorDetails.operator);
        $('input[name="layer_' + layerNumber + '[' + evcNodeId + '][vServiceName]"]').val(operatorDetails.vServiceName);
        $('input[name="layer_' + layerNumber + '[' + evcNodeId + '][vServiceTemplateId]"]').val(operatorDetails.vServiceTemplateId);
    },
    updateEvcName: function (layerNumber, evcNodeId, evcName) {
        $('#' + evcNodeId + '_vService')
            .children('.serviceInformation')
            .children('.servicetext')
            .prop('title', evcName)
            .contents().last().replaceWith(' ' + evcName)
        ;
        $('#' + evcNodeId + '_vService').children(':input[name="layer_' + (layerNumber + 1) + '[' + evcNodeId + '][' + evcNodeId + '_nodeOperator]"]').val(evcName);
    },
    updateEvcNodeInEvcTree: function (layerNumber, evcNodeId, evcSettings) {
        var self = this;
        $.each(this.evcTree[layerNumber], function (indexEvc, evcElementsArray) {
            var exit = false;
            $.each(evcElementsArray, function (index, element) {
                if (element.Eventcorrelation.id === evcNodeId) {
                    self.evcTree[layerNumber][indexEvc][index].Eventcorrelation.operator = evcSettings.operator;
                    self.evcTree[layerNumber][indexEvc][index].Service.name = evcSettings.vServiceName;
                    self.evcTree[layerNumber][indexEvc][index].Service.servicetemplate_id = evcSettings.vServiceTemplateId;
                    exit = true;
                    return false;
                }
            });
            if (exit) {
                return false;
            }
        });
    },
    addServicesToEvcBranch: function (layerNumber, evcNodeId, serviceIdsAdd) {
        var self = this,
            newServices = {},
            sizeOfChilds = _.size(self.evcTree[layerNumber][evcNodeId]);
        $.each(_.pick(self.$serviceList, serviceIdsAdd), function (serviceId, serviceObject) {
            newServices[sizeOfChilds++] = self.prepareSelectedServicesForEvcTreeUpdate(serviceObject, evcNodeId, evcNodeId + '_' + sizeOfChilds, null, null);
        });
        $.extend(true, self.evcTree[layerNumber][evcNodeId], newServices);
    },
    deleteServicesFromEvcBranch: function (layerNumber, evcNodeId, serviceIdsToDelete) {
        var self = this,
            tmpObjects = [];
        $.each(self.evcTree[layerNumber][evcNodeId], function (index, element) {
            if (!~$.inArray(element.Service.id, serviceIdsToDelete)) {
                tmpObjects.push(self.evcTree[layerNumber][evcNodeId][index]);
            }
        });
        self.evcTree[layerNumber][evcNodeId] = tmpObjects;
    },
    drawEventCorrelationBranch: function (serviceLayerId, $clickObject) {
        var self = this,
            divsToConnect = [],
            $virtualServiceObject = {
                'hostName': self.EvcHostName,
                'serviceType': '2', //EVC ServiceType
                'currentState': null,
                'serviceName': '',
                'usedBy': ''
            };
        idToCheck = serviceLayerId.replace(/[0-9]+(?!.*[0-9])/, function (match) {
            return parseInt(match, 10) + 1;
        });
        $servicesLayerElement = $clickObject.closest('div');//current layer for services
        $operatorLayerDivElement = $servicesLayerElement.next();
        if (self.isFirstLayer(serviceLayerId)) {
            $eventCorrelationDivPosition = self.drawEventCorrelationPhysicalLayer(
                $clickObject.closest('div'),
                self.getSelectedServices($('#ModalServices').val()),
                null //evc Id
            );
        } else {
            divsToConnect = ($('#ModalVServices').val()) ? $('#ModalVServices').val() : [];
            $eventCorrelationDivPosition = {
                'id': null,
                'positionTop': self.getOptimalTopPositionForOperator($operatorLayerDivElement, divsToConnect),
                'height': 0,
                'divsToConnect': divsToConnect
            }
        }
        //$parentElement.next() -> operator layer
        // top, left and id of operator div
        $eventCorrelationOperatorDivDetails = self.drawOperator(serviceLayerId, $eventCorrelationDivPosition, $('#ModalOperator').val() + $('#ModalOperatorModifier').val(), self.removeIllegalCharacters($('#ModalName').val()), $('#ModalServicetemplates').val(), false);
        self.addVServicesHiddenFields(serviceLayerId, divsToConnect, $eventCorrelationOperatorDivDetails);

        if (!self.layerAlreadyExists(idToCheck)) {
            self.addNewServiceLayer(idToCheck);
        }
        $virtualServiceObject.serviceName = self.removeIllegalCharacters($('#ModalName').val());
        self.drawVirtualService($('#' + idToCheck), $eventCorrelationOperatorDivDetails, $virtualServiceObject, divsToConnect);
    },
    heightAdjustment: function () {
        $('.globalLayerContainer').not('#layer_1').css('height', parseInt($('#layer_1').outerHeight(), 10) + 'px');
    },
    resetInputFields: function ($modalObject) {
        $modalObject
            .find("input,select")
            .val('').trigger('chosen:updated')
            .end();
        $('input[required],select[required]').each(function (i, requiredField) {
            $('#' + $(requiredField).attr('id') + 'Error').addClass('hidden');
        });
        $('#ModalServices').trigger('chosen:updated');
    },
    drawOperator: function (serviceLayerId, operatorDetails, operatorValue, vServiceName, vServiceTemplateId, reDraw) {
        var self = this,
            connection = null,
            operatorHeight = 38, //defined in style.css
            $operatorDetails = {},
            parentContainer = $('#' + serviceLayerId).next(),
            virtualServiceObject = {},
            currentLayerNumber = serviceLayerId.replace(/layer_/, '');
        operatorDetails.id = (operatorDetails.id === null) ? _.uniqueId('ui-id-') : operatorDetails.id;

        $.when(
            parentContainer
                .append(
                    $('<div/>', {'class': 'operator txt-color-white', 'id': operatorDetails.id + '_nodeOperator'}).css({
                        'position': 'absolute',
                        'top': parseInt((operatorDetails.positionTop + operatorDetails.height / 2 - operatorHeight / 2), 10) + 'px'
                    }).text(operatorValue)
                )
                .append(
                    $('<input/>', {
                        'type': 'hidden',
                        'value': operatorValue,
                        'name': serviceLayerId + '[' + operatorDetails.id + '][operator]'
                    })
                )
                .append(
                    $('<input/>', {
                        'type': 'hidden',
                        'value': vServiceName,
                        'name': serviceLayerId + '[' + operatorDetails.id + '][vServiceName]'
                    })
                )
                .append(
                    $('<input/>', {
                        'type': 'hidden',
                        'value': vServiceTemplateId,
                        'name': serviceLayerId + '[' + operatorDetails.id + '][vServiceTemplateId]'
                    })
                )
        ).done(function () {
            var positionOptions = $('#' + operatorDetails.id + '_nodeOperator').position();
            $operatorDetails = {
                'top': parseInt(positionOptions.top, 10),
                'left': parseInt(positionOptions.left, 10),
                'id': operatorDetails.id + '_nodeOperator',
                'firstLayerServicesDivId': operatorDetails.id
            };
            $.each(operatorDetails.divsToConnect, function (index, divId) {
                connection = new $.connect('#' + divId, '#' + operatorDetails.id + '_nodeOperator', self.options);
            });
        }).done(function () {
            if (!reDraw && self.isNewService(operatorDetails.id)) {
                virtualServiceObject[operatorDetails.id + '_vService'] = [];
                virtualServiceObject[operatorDetails.id + '_vService'].push(self.prepareSelectedServicesForEvcTreeUpdate({
                    'serviceId': operatorDetails.id + '_vService',
                    'hostName': self.EvcHostName,
                    'Servicetemplate': {
                        'name': null,
                        'id': vServiceTemplateId
                    },
                    'hostId': self.EvcHostId,
                    'id': operatorDetails.id,
                    'serviceName': vServiceName,
                    'servicetemplate_id': 5,
                    'serviceUuid': null,
                    'serviceType': 2
                }, null, operatorDetails.id + '_vService', null, operatorValue));
                if (self.evcTree[currentLayerNumber] === undefined) {
                    self.evcTree[currentLayerNumber] = {};
                }
                $.when(
                    $.extend(true, self.evcTree[currentLayerNumber], virtualServiceObject)
                ).done(function () {
                    self.setParentForNodeChilds(currentLayerNumber - 1, operatorDetails.id, operatorDetails.divsToConnect);
                });
            }
        });
        return $operatorDetails;
    },
    setParentForNodeChilds: function (layerNumber, parentId, nodeChilds) {
        //first level services already contains parent_id
        if (layerNumber === 0) {
            return true;
        }
        var self = this;
        $.map(self.evcTree[layerNumber], function (element, index) {
            if (~$.inArray(element[0].Eventcorrelation.id + '_vService', nodeChilds)) {

                self.evcTree[layerNumber][index][0].Eventcorrelation.parent_id = parentId;
                if (self.evcTree[layerNumber][parentId] === undefined) {
                    self.evcTree[layerNumber][parentId] = [];
                }
                self.evcTree[layerNumber][parentId].push(self.evcTree[layerNumber][index][0]);
                delete self.evcTree[layerNumber][index];
            }
        });
    },
    addNewServiceLayer: function (newLayerId) {
        var $addVServiceButton = $('#layer_1').find('.addLayerBtn:first-child').clone(true)
        $('#evkDrawPad').append(
            $('<div/>', {
                    'class': 'layerContainer globalLayerContainer ',
                    'id': newLayerId
                }
            ).append(
                $addVServiceButton
            ),
            $('<div/>', {
                    'class': 'nodeLayerContainer globalLayerContainer',
                }
            )
        );
    },
    layerAlreadyExists: function (idToCheck) {
        if ($('#' + idToCheck).length) {
            return true;
        }
        return false;
    },
    drawVirtualService: function (parentContainer, operatorDetails, virtualServiceObject, serviceListForHiddenFields) {
        var self = this,
            colors = ['#449D44', '#DF8F1D', '#C9302C', '#92A2A8'],
            notMonitoredBackground = 'repeating-linear-gradient(-45deg, #57889C 5px, transparent 2px, #57889C 10px)',
            connection = null;

        parentContainer.append(
            $('<div/>', {
                    'class': 'service',
                    'id': operatorDetails.firstLayerServicesDivId + '_vService',
                    'top_position': operatorDetails.top,
                    'nodeId': operatorDetails.firstLayerServicesDivId
                }
            ).append(
                $('<div/>', {'class': 'serviceStateColor pull-left'}).css('background', (virtualServiceObject.currentState === null) ? notMonitoredBackground : colors[virtualServiceObject.currentState])
            ).append(
                $('<div/>', {'class': 'serviceInformation'}).append(
                    $('<div/>', {
                        'class': 'hosttext ellipsis',
                        'title': virtualServiceObject.hostName
                    }).append('<i class="fa fa-desktop"></i> ' + virtualServiceObject.hostName)
                ).append(
                    $('<div/>', {
                            'class': 'servicetext ellipsis',
                            'title': virtualServiceObject.serviceName
                        }
                    ).append('<i class="fa fa-' + ((virtualServiceObject.serviceType == 1) ? 'gear' : 'sitemap fa-fw fa-rotate-90 txt-color-blue') + '"></i> ' + virtualServiceObject.serviceName)
                )
            ).append(
                $('<input/>', {
                    'type': 'hidden',
                    'disabled': true, // don't consider for data request
                    'value': virtualServiceObject.serviceName,
                    'selectedValue': operatorDetails.firstLayerServicesDivId + '_vService',
                    'name': parentContainer.attr('id') + '[' + operatorDetails.firstLayerServicesDivId + '][' + operatorDetails.id + ']'
                })
            ).css({
                'position': 'absolute',
                'top': parseInt(operatorDetails.top, 10) + 'px'
            })
        ).append(
            self.addEditDiv(
                operatorDetails,
                virtualServiceObject.usedBy,
                virtualServiceObject.hostName+ '/ '+ virtualServiceObject.serviceName
            ) //add div with edit and delete button
        );
        connection = new $.connect('#' + operatorDetails.id, '#' + operatorDetails.firstLayerServicesDivId + '_vService', self.options);
    },
    addEditDiv: function (operatorDetails, usedBy, title) {
        return $('<div/>', {
                'id': operatorDetails.firstLayerServicesDivId + '_vServiceEditDiv',
                'class': 'editBox text-center'
            }
        ).css({
            'top': operatorDetails.top
        }).append(
            $('<a/>', {
                'class': 'btn'
            }).append(
                $('<i/>', {
                    'class': 'fa fa-pencil fa-lg',
                    'mode': 'edit',
                    'title': title
                })
            )
        ).append(
            $('<a/>', {
                'class': 'btn'
            }).append(
                $('<i/>', {
                    'class': 'fa ' + ((usedBy.length === 0) ? 'fa-trash-o' : 'fa-lock txt-color-orange helpText') + ' fa-lg',
                    'title': usedBy
                })
            )
        );
    },
    switchSelectServiceListForCurrentLayer: function (currentLayerId) {
        var self = this;
        if (!self.isFirstLayer(currentLayerId)) {
            $('#ModalServices').prop('required', false).parent().parent().hide();
            var $optGroup = $('#ModalVServices').has('optgroup').length ? $('#ModalVServices').children('optgroup') : $('<optgroup/>').attr({'label': self.EvcHostName});
            $optGroup.find('option').remove();
            $('#' + currentLayerId + ' :input:hidden').each(function (index, element) {
                if ($('#ModalVServices option[value="' + $(element).attr('value') + '"]').length == 0) {
                    $("<option/>")
                        .val($(element).attr('selectedValue')).text(self.EvcHostName + '/' + $(element).attr('value'))
                        .prop('disabled', ($('.connector').children('p.left').hasClass($(element).attr('selectedvalue'))))
                        .appendTo($optGroup);
                }
            });
            $optGroup.appendTo('#ModalVServices');
            $('#ModalVServices').prop('required', true).trigger('chosen:updated').parent().parent().show();
        } else {
            $('#ModalServices').prop('required', true).parent().parent().show();
            $('#ModalVServices').prop('required', false).parent().parent().hide();
        }
    },
    isFirstLayer: function (layerId) {
        if (layerId === 'layer_1') {
            return true;
        }
        return false;
    },
    getOptimalTopPositionForOperator: function ($operatorLayerDivElement, selectedServicesArray) {
        var midPosition = midPositionWithoutHHOperator = elementTopPosition = 0,
            operatorHeight = 38; // operator height 38px-3px(border) defined in style.css

        var operatorDivChildren = $operatorLayerDivElement.children('.operator');

        //add # as prefix
        //divs to consider to calculate the optimal position for the operator
        var convertedIds = selectedServicesArray.map(function (element) {
            return '#' + element;
        });
        var topPositionArray = $.map($(convertedIds.join()), function (element) {
            return parseInt($(element).attr('top_position'), 10);
        });

        var topPositionArrayFromOperatorDiv = [];
        var lowestPosition = Math.max.apply(null, topPositionArray);
        var highestPosition = Math.min.apply(null, topPositionArray);
        //HH => Half Height
        midPositionWithoutHHOperator = parseInt(highestPosition + ((lowestPosition - highestPosition) / 2), 10);
        midPosition = parseInt(midPositionWithoutHHOperator + operatorHeight / 2, 10);

        if (operatorDivChildren.length === 0) {
            return midPosition;
        }

        $.each(operatorDivChildren, function (operatorIndex, operator) {
            topPositionArrayFromOperatorDiv.push($(operator).position().top);
        });

        for(var i = 0; i < 100000; i++){
            var conflict = false;
            $.each(topPositionArrayFromOperatorDiv, function (indexN, operatorTopPosition) {
                if(midPosition + i > operatorTopPosition - operatorHeight/2 - 2 && midPosition + i < operatorTopPosition + operatorHeight + operatorHeight/2 + 2){
                    conflict = true;
                    return;
                }
            });
            if(!conflict){
                return midPosition + i;
            }

            var conflict = false;
            $.each(topPositionArrayFromOperatorDiv, function (indexN, operatorTopPosition) {
                if(midPosition - i > operatorTopPosition - operatorHeight/2 - 2 && midPosition - i < operatorTopPosition + operatorHeight + operatorHeight/2 + 2){
                    conflict = true;
                    return;
                }
            });
            if(!conflict){
                return midPosition - i;
            }

        }
        return midPosition;

    },
    addVServicesHiddenFields: function (serviceLayerId, vServicesList, operatorDetails) {
        $formElement = $('#EventcorrelationEditCorrelationForm');
        $.each(vServicesList, function (index, element) {
            if($('input[value="' + element.replace('_vService', '') + '"]')){
                $('input[value="' + element.replace('_vService', '') + '"]').remove();
            }
            $formElement.append(
                $('<input/>', {
                    'type': 'hidden',
                    'value': element.replace('_vService', ''),
                    'name': serviceLayerId + '[' + operatorDetails.firstLayerServicesDivId + '][children][' + index + ']'
                })
            );
        });
    },
    validateEndLayer: function () {
        var self = this;
        $lastEvcLayerElement = $(self.options.container + ' .layerContainer').last();
        if ($lastEvcLayerElement.children('.service').length !== 1) {
            $('#errorMessage').show();
            $lastEvcLayerElement.addClass('alert-evc-warning');
            return false;
        }
        return true;
    },
    checkAllConnections: function () {
        var connCheckSuccessfully = true,
            currentId = null,
            allLayerObjects = $('[id^=layer_]').not('#layer_1'),
            allLayerObjectsCounter = allLayerObjects.length;

        $.each(allLayerObjects, function (index, element) {
            $(element).removeClass('alert-info');
            if (allLayerObjectsCounter > (index + 1)) {
                $.each($(element).children('.service'), function (subindex, childElement) {
                    currentId = $(childElement).attr('id');
                    if (!$('.connector').children('p.left').hasClass(currentId)) {
                        $(element).addClass('alert-info');
                        $(childElement).addClass('alert-danger missing-connection-icon');
                        connCheckSuccessfully = false;
                    } else {
                        $(childElement).removeClass('alert-danger missing-connection-icon');
                    }
                });
            }
        });
        return connCheckSuccessfully;
    },
    resetErrorMessages: function () {
        $('#errorMessage').hide();
        $('.alert-evc-warning').removeClass('alert-evc-warning');
    },
    drawEvcTree: function (evcTree) {
        var self = this,
            selectedServicesGroupByParentId = {},
            $eventCorrelationDivPosition = {},
            operatorDetails = {},
            divsToConnect = {},
            currentEvcDivPosition = null;
        $.each(evcTree, function (layerIndex, eventCorrelationArray) { // layer array with event correlation array, group by parent_id
            if (!self.layerAlreadyExists('layer_' + (layerIndex + 1))) {
                self.addNewServiceLayer('layer_' + (layerIndex + 1));
            }
            $parentContainer = $('#layer_' + (layerIndex + 1));
            $.each(eventCorrelationArray, function (parentId, serviceWithOperatorDetails) {
                selectedServicesGroupByParentId[parentId] = [];
                $.each(serviceWithOperatorDetails, function (index, evcObject) {
                    var currentState = (self.$serviceList[evcObject.Service.id] !== undefined) ? self.$serviceList[evcObject.Service.id].currentState : null;
                    var usedBy = '';
                    selectedServicesGroupByParentId[parentId].push([{
                        'serviceId': evcObject.Service.id,
                        'hostName': evcObject.Service.Host.name,
                        'hostId': evcObject.Service.host_id,
                        'serviceType': evcObject.Service.service_type,
                        'currentState': currentState,
                        'serviceName': (evcObject.Service.name) ? evcObject.Service.name : evcObject.Service.Servicetemplate.name,
                        'eventcorrelationId': evcObject.Eventcorrelation.id,
                        'disabled': evcObject.Service.disabled,
                    }]);

                    if (evcObject.Eventcorrelation.operator !== null) {
                        usedBy = (evcObject.Eventcorrelation.usedBy !== undefined) ? evcObject.Eventcorrelation.usedBy : '';
                        operatorDetails[evcObject.Eventcorrelation.id] = [];
                        operatorDetails[evcObject.Eventcorrelation.id].push({
                            'Operator': {
                                'layerIndex': layerIndex,
                                'operatorValue': evcObject.Eventcorrelation.operator,
                                'serviceTemplateId': evcObject.Service.servicetemplate_id,
                                'evcServiceName': (evcObject.Service.name) ? evcObject.Service.name : evcObject.Service.Servicetemplate.name
                            },
                            'Service': {
                                'hostName': evcObject.Service.Host.name,
                                'serviceType': evcObject.Service.service_type,
                                'serviceTemplateId': evcObject.Service.servicetemplate_id,
                                'currentState': currentState,
                                'serviceName': (evcObject.Service.name) ? evcObject.Service.name : evcObject.Service.Servicetemplate.name,
                                'usedBy': usedBy
                            }
                        });
                    }
                });
                divsToConnect[parentId] = $.map(selectedServicesGroupByParentId[parentId], function (evcElement) {
                    return evcElement[0].eventcorrelationId + '_vService';
                });

                if (layerIndex === 0) {
                    $eventCorrelationDivPosition[parentId] = self.drawEventCorrelationPhysicalLayer(
                        $parentContainer,
                        selectedServicesGroupByParentId[parentId],
                        parentId
                    );
                }
            });
            $.each(operatorDetails, function (evcId, operator) {
                if (layerIndex === operator[0].Operator.layerIndex) {
                    if (layerIndex > 1) {
                        currentEvcDivPosition = {
                            'id': evcId,
                            'positionTop': self.getOptimalTopPositionForOperator($('#layer_'+layerIndex).next(), divsToConnect[evcId]),
                            'height': 0,
                            'divsToConnect': divsToConnect[evcId]
                        };
                    }
                    $eventCorrelationOperatorDivDetails = self.drawOperator(
                        'layer_' + layerIndex,
                        (currentEvcDivPosition === null) ? $eventCorrelationDivPosition[evcId] : currentEvcDivPosition,
                        operator[0].Operator.operatorValue,
                        operator[0].Operator.evcServiceName,
                        operator[0].Operator.serviceTemplateId,
                        true
                    );

                    if (layerIndex > 1) {
                        self.addVServicesHiddenFields('layer_' + layerIndex, divsToConnect[evcId], $eventCorrelationOperatorDivDetails);
                    }

                    self.drawVirtualService(
                        $('#layer_' + (layerIndex + 1)),
                        $eventCorrelationOperatorDivDetails,
                        operator[0].Service,
                        divsToConnect[evcId]
                    );
                }
            });
        });
        self.heightAdjustment();
    },
    isNewService: function (serviceDivId) {
        var pattern = /^ui-id-\d+$/;
        return pattern.test(serviceDivId);
    },
    removeIllegalCharacters: function (string) {
        return string.replace(/[^\w\d\-_ÄÖÜäöü ]/g, '');
    }
});
