// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
App.Controllers.EventcorrelationsViewController = Frontend.AppController.extend({
    components: ['Ajaxloader', 'Status'],
    $serviceList: null,

    _initialize: function () {
        var self = this,
            idToCheck = null,
            $clickObject = {};
        this.$serviceList = this.getVar('servicesList');
        this.EvcHostName = this.getVar('hostName'); // Evc host name
        this.EvcHostId = this.getVar('hostId'); // Evc host id
        this.evcTree = this.getVar('evcTree');
        this.options = {'container': '#evkDrawPad', 'mainDivClass': 'evkWidgetBody'} // define main evc container
        if (!$.isEmptyObject(this.evcTree)) {//check if evc tree is empty
            self.drawEvcTree(this.evcTree);
        } else {
            this.evcTree = [];
        }
        $('.service').mouseenter(function () {
            var id = $(this).parent().attr('serviceid');
            var serviceList = self.filterNullValues(self.$serviceList[id]);
            var html = self.buildTooltipHTML(serviceList, self);
            var title = serviceList['serviceName'];
            self.appendTooltip(id, title, html);
        });
        $('.service').mouseleave(function () {
            var $el = $('#divSmallBoxes').children();
            $el.hide(300, function () {
                $(this).remove();
            });
        });
    },
    filterNullValues: function (serviceList) {
        for (var key in serviceList) {
            if (serviceList[key] === null) {
                serviceList[key] = '';
            }
        }
        return serviceList;
    },
    appendTooltip: function (id, title, content) {
        $.smallBox({
            title: title,
            content: content,
            color: 'rgba(249, 249, 249, 1)',
            //timeout: 8000,
            icon: "fa fa-desktop"
        });
        $('.textoFoto').css('color', '#000000');
        $('.foto').css({'color': '#5A5A5A'});
    },
    buildTooltipHTML: function (data, self) {
        var status = self.Status.serviceStatusColor(data.currentState);
        var html = '<table class="table table-bordered popoverTable" style="padding:1px;">' +
            '<tr>' +
            '<td class="col-md-3 col-xs-3">Host Name</td>' +
            '<td class="col-md-3 col-xs-3">' + htmlspecialchars(data.hostName) + '</td>' +
            '</tr>' +
            '<tr>' +
            '<td class="col-md-3 col-xs-3">Service Name</td>' +
            '<td class="col-md-3 col-xs-3">' + htmlspecialchars(data.serviceName) + '</td>' +
            '</tr>' +
            '<tr>' +
            '<td class="col-md-3 col-xs-3">Description</td>' +
            '<td class="col-md-3 col-xs-3">' + htmlspecialchars(data.serviceDescription) + '</td>' +
            '</tr>' +
            '<tr>' +
            '<td class="col-md-3 col-xs-3">State</td>' +
            '<td class="col-md-3 col-xs-3 ' + status['class'] + '">' + status['human_state'] + '</td>' +
            '</tr>' +
            '<tr>' +
            '<td class="col-md-3 col-xs-3">Output</td>' +
            '<td class="col-md-3 col-xs-3">' + htmlspecialchars(data.output) + '</td>' +
            '</tr>' +
            '<tr>' +
            '<td class="col-md-3 col-xs-3">Long output</td>' +
            '<td class="col-md-3 col-xs-3">' + htmlspecialchars(data.longOutput) + '</td>' +
            '</tr>' +
            '<tr>' +
            '<td class="col-md-3 col-xs-3">Current Attempt</td>' +
            '<td class="col-md-3 col-xs-3">' + data.currentCheckAttempt + '/' + data.maxCheckAttempts + '</td>' +
            '</tr>' +
            '<tr>' +
            '<td class="col-md-3 col-xs-3">Last Check</td>' +
            '<td class="col-md-3 col-xs-3">' + data.lastCheck + '</td>' +
            '</tr>';
            if(data.activeChecksEnabled == 1){
                html += '<tr><td class=“col-md-3 col-xs-3”>Next Check</td>' +
                '<td class=“col-md-3 col-xs-3">' + data.nextCheck + '</td>' +
                '</tr>';
            }
            html +='<tr>' +
            '<td class="col-md-3 col-xs-3">Last State Change</td>' +
            '<td class="col-md-3 col-xs-3">' + data.lastStateChange + '</td>' +
            '</tr>' +
            '</table>';
            return html;
    },
    getSelectedServices: function (uuids) {
        var self = this,
            serviceObjects = [];
        $.each(uuids, function (id, uuid) {
            serviceObjects.push(
                $.map(self.$serviceList, function (object) {
                    if (object.hostUuid + '|' + object.serviceUuid === uuid) {
                        return object;
                    }
                })
            );
        });
        return serviceObjects;
    },
    drawEventCorrelationPhysicalLayer: function (parentContainer, serviceObjects, evcId) {
        var self = this,
            colors = ['#449D44', '#DF8F1D', '#C9302C', '#92A2A8'],
            notMonitoredBackgroundColor = '#337ab7',
            $newDiv = $('<div/>', {'id': (evcId !== null) ? evcId : _.uniqueId('ui-id-')}),
            newDivId = $newDiv.attr('id'),
            $operatorPosition = {'positionTop': 0, 'height': 0},
            serviceObjectCounter = 1,
            divsToConnect = [],
            parentId = parentContainer.attr('id'),
            evcTreeLayer = 0, //first layer for reel services
            serviceDataToAdd = {};
        serviceDataToAdd[newDivId] = [];
        parentContainer.append($newDiv);
        $.each(serviceObjects, function (index, object) {
            object = object[0];
            var disabledClass = '';
            var disabledMessage = '';
            if(object.disabled === '1'){
                disabledClass = ' serviceDisabled disabledIcon';
                disabledMessage = ' (!!!DISABLED!!!)';
            }
            $newDiv.append(
                $('<a/>', {
                    'href': '/services/browser/' + object.serviceId,
                    'class': 'txt-color-blueDark',
                    'serviceId': object.serviceId
                }).append(
                    $('<div/>', {
                        'class': 'service firstLayerService '+disabledClass,
                        'id': newDivId + '_' + serviceObjectCounter
                    }).append(
                        $('<div/>', {'class': 'serviceStateColor pull-left'}).css('background-color', (object.currentState !== null) ? colors[object.currentState] : notMonitoredBackgroundColor)
                    ).append(
                        $('<div/>', {'class': 'serviceInformation'}).append(
                            $('<div/>', {
                                'class': 'hosttext ellipsis',
                                'title': object.hostName
                            }).append('<i class="fa fa-desktop"></i> ' + htmlspecialchars(object.hostName))
                        ).append(
                            $('<div/>', {
                                    'class': 'servicetext ellipsis',
                                    'title': htmlspecialchars(object.serviceName+disabledMessage)
                                }
                            ).append('<i class="fa fa-' + ((object.serviceType == 2) ? 'sitemap fa-fw fa-rotate-90' : 'gear') + '"></i> ' + htmlspecialchars(object.serviceName))
                        )
                    ).append(
                        $('<input/>', {
                            'type': 'hidden',
                            'value': object.serviceId,
                            'name': parentId + '[' + newDivId + '][children][' + serviceObjectCounter + ']'
                        })
                    )
                )
            );
            divsToConnect.push(newDivId + '_' + serviceObjectCounter);
            if (evcId === null) {
                serviceDataToAdd[newDivId].push(self.prepareSelectedServicesForEvcTreeUpdate(object, newDivId, newDivId + '_' + serviceObjectCounter, null, null));
            }
            serviceObjectCounter++;
        });
        if (self.evcTree[evcTreeLayer] === undefined && evcId === null) {
            self.evcTree[evcTreeLayer] = serviceDataToAdd;
        } else {
            if (evcId === null) {
                $.extend(true, self.evcTree[evcTreeLayer], serviceDataToAdd);
            }
        }
        $operatorPosition = {
            'positionTop': parseInt(($newDiv.position().top - 3), 10), // 3px border
            'height': $newDiv.height(),
            'id': newDivId,
            'divsToConnect': divsToConnect
        };
        return $operatorPosition;
    },
    heightAdjustment: function () {
        $('.globalLayerContainer').not('#layer_1').css('height', parseInt($('#layer_1').outerHeight(), 10) + 'px');
    },
    drawOperator: function (serviceLayerId, operatorDetails, operatorValue, vServiceName, vServiceTemplateId, reDraw) {
        var self = this,
            connection = null,
            operatorHeight = 38, //defined in style.css
            $operatorDetails = {},
            parentContainer = $('#' + serviceLayerId).next(),
            virtualServiceObject = {},
            currentLayerNumber = serviceLayerId.replace(/layer_/, '');
        operatorDetails.id = (operatorDetails.id === null) ? _.uniqueId('ui-id-') : operatorDetails.id;

        $.when(
            parentContainer
                .append(
                    $('<div/>', {'class': 'operator txt-color-white', 'id': operatorDetails.id + '_nodeOperator'}).css({
                        'position': 'absolute',
                        'top': parseInt((operatorDetails.positionTop + operatorDetails.height / 2 - operatorHeight / 2), 10) + 'px'
                    }).text(operatorValue)
                )
                .append(
                    $('<input/>', {
                        'type': 'hidden',
                        'value': operatorValue,
                        'name': serviceLayerId + '[' + operatorDetails.id + '][operator]'
                    })
                )
                .append(
                    $('<input/>', {
                        'type': 'hidden',
                        'value': vServiceName,
                        'name': serviceLayerId + '[' + operatorDetails.id + '][vServiceName]'
                    })
                )
                .append(
                    $('<input/>', {
                        'type': 'hidden',
                        'value': vServiceTemplateId,
                        'name': serviceLayerId + '[' + operatorDetails.id + '][vServiceTemplateId]'
                    })
                )
        ).done(function () {
            var positionOptions = $('#' + operatorDetails.id + '_nodeOperator').position();
            $operatorDetails = {
                'top': parseInt(positionOptions.top, 10),
                'left': parseInt(positionOptions.left, 10),
                'id': operatorDetails.id + '_nodeOperator',
                'firstLayerServicesDivId': operatorDetails.id
            };
            $.each(operatorDetails.divsToConnect, function (index, divId) {
                connection = new $.connect('#' + divId, '#' + operatorDetails.id + '_nodeOperator', self.options);
            });
        });
        return $operatorDetails;
    },
    addNewServiceLayer: function (newLayerId) {
        var $addVServiceButton = $('#layer_1').find('.addLayerBtn:first-child').clone(true)
        $('#evkDrawPad').append(
            $('<div/>', {
                    'class': 'layerContainer globalLayerContainer ',
                    'id': newLayerId
                }
            ).append(
                $addVServiceButton
            ),
            $('<div/>', {
                    'class': 'nodeLayerContainer globalLayerContainer',
                }
            )
        );
    },
    layerAlreadyExists: function (idToCheck) {
        if ($('#' + idToCheck).length) {
            return true;
        }
        return false;
    },
    drawVirtualService: function (parentContainer, operatorDetails, virtualServiceObject, serviceListForHiddenFields) {
        var self = this,
            colors = ['#449D44', '#DF8F1D', '#C9302C', '#92A2A8'],
            notMonitoredBackgroundColor = '#337ab7',
            connection = null;
        parentContainer.append(
            $('<a/>', {
                'href': '/services/browser/' + virtualServiceObject.serviceId,
                'class': 'txt-color-blueDark',
                'serviceId': virtualServiceObject.serviceId
            }).append(
                $('<div/>', {
                        'class': 'service',
                        'id': operatorDetails.firstLayerServicesDivId + '_vService',
                        'top_position': operatorDetails.top,
                        'nodeId': operatorDetails.firstLayerServicesDivId
                    }
                ).append(
                    $('<div/>', {'class': 'serviceStateColor pull-left'}).css('background', (virtualServiceObject.currentState === null) ? notMonitoredBackgroundColor : colors[virtualServiceObject.currentState])
                ).append(
                    $('<div/>', {'class': 'serviceInformation'}).append(
                        $('<div/>', {
                            'class': 'hosttext ellipsis',
                            'title': virtualServiceObject.hostName
                        }).append('<i class="fa fa-desktop"></i> ' + virtualServiceObject.hostName)
                    ).append(
                        $('<div/>', {
                                'class': 'servicetext ellipsis',
                                'title': virtualServiceObject.serviceName
                            }
                        ).append('<i class="fa fa-' + ((virtualServiceObject.serviceType == 1) ? 'gear' : 'sitemap fa-fw fa-rotate-90 txt-color-blue') + '"></i> ' + virtualServiceObject.serviceName)
                    )
                ).append(
                    $('<input/>', {
                        'type': 'hidden',
                        'disabled': true, // don't consider for data request
                        'value': virtualServiceObject.serviceName,
                        'selectedValue': operatorDetails.firstLayerServicesDivId + '_vService',
                        'name': parentContainer.attr('id') + '[' + operatorDetails.firstLayerServicesDivId + '][' + operatorDetails.id + ']'
                    })
                ).css({
                        'position': 'absolute',
                        'top': parseInt(operatorDetails.top, 10) + 'px'
                    }
                )
            )
        );
        connection = new $.connect('#' + operatorDetails.id, '#' + operatorDetails.firstLayerServicesDivId + '_vService', self.options);
    },
    isFirstLayer: function (layerId) {
        if (layerId === 'layer_1') {
            return true;
        }
        return false;
    },
    getOptimalTopPositionForOperator: function ($operatorLayerDivElement, selectedServicesArray) {
        var midPosition = midPositionWithoutHHOperator = elementTopPosition = 0,
            operatorHeight = 38; // operator height 38px-3px(border) defined in style.css

        var operatorDivChildren = $operatorLayerDivElement.children('.operator');

        //add # as prefix
        //divs to consider to calculate the optimal position for the operator
        var convertedIds = selectedServicesArray.map(function (element) {
            return '#' + element;
        });
        var topPositionArray = $.map($(convertedIds.join()), function (element) {
            return parseInt($(element).attr('top_position'), 10);
        });

        var topPositionArrayFromOperatorDiv = [];
        var lowestPosition = Math.max.apply(null, topPositionArray);
        var highestPosition = Math.min.apply(null, topPositionArray);
        //HH => Half Height
        midPositionWithoutHHOperator = parseInt(highestPosition + ((lowestPosition - highestPosition) / 2), 10);
        midPosition = parseInt(midPositionWithoutHHOperator + operatorHeight / 2, 10);

        if (operatorDivChildren.length === 0) {
            return midPosition;
        }

        $.each(operatorDivChildren, function (operatorIndex, operator) {
            topPositionArrayFromOperatorDiv.push($(operator).position().top);
        });

        for(var i = 0; i < 100000; i++){
            var conflict = false;
            $.each(topPositionArrayFromOperatorDiv, function (indexN, operatorTopPosition) {
                if(midPosition + i > operatorTopPosition - operatorHeight/2 - 2 && midPosition + i < operatorTopPosition + operatorHeight + operatorHeight/2 + 2){
                    conflict = true;
                    return;
                }
            });
            if(!conflict){
                return midPosition + i;
            }

            var conflict = false;
            $.each(topPositionArrayFromOperatorDiv, function (indexN, operatorTopPosition) {
                if(midPosition - i > operatorTopPosition - operatorHeight/2 - 2 && midPosition - i < operatorTopPosition + operatorHeight + operatorHeight/2 + 2){
                    conflict = true;
                    return;
                }
            });
            if(!conflict){
                return midPosition - i;
            }

        }
        return midPosition;

    },
    drawEvcTree: function (evcTree) {
        var self = this,
            selectedServicesGroupByParentId = {},
            $eventCorrelationDivPosition = {},
            operatorDetails = {},
            divsToConnect = {},
            currentEvcDivPosition = null;
        $.each(evcTree, function (layerIndex, eventCorrelationArray) { // layer array with event correlation array, group by parent_id
            if (!self.layerAlreadyExists('layer_' + (layerIndex + 1))) {
                self.addNewServiceLayer('layer_' + (layerIndex + 1));
            }
            $parentContainer = $('#layer_' + (layerIndex + 1));
            $.each(eventCorrelationArray, function (parentId, serviceWithOperatorDetails) {
                selectedServicesGroupByParentId[parentId] = [];
                $.each(serviceWithOperatorDetails, function (index, evcObject) {
                    var currentState = (self.$serviceList[evcObject.Service.id] !== undefined) ? self.$serviceList[evcObject.Service.id].currentState : null;
                    selectedServicesGroupByParentId[parentId].push([{
                        'serviceId': evcObject.Service.id,
                        'hostName': evcObject.Service.Host.name,
                        'serviceType': evcObject.Service.service_type,
                        'currentState': currentState,
                        'serviceName': (evcObject.Service.name) ? evcObject.Service.name : evcObject.Service.Servicetemplate.name,
                        'eventcorrelationId': evcObject.Eventcorrelation.id,
                        'disabled': evcObject.Service.disabled,
                    }]);

                    if (evcObject.Eventcorrelation.operator !== null) {
                        operatorDetails[evcObject.Eventcorrelation.id] = [];
                        operatorDetails[evcObject.Eventcorrelation.id].push({
                            'Operator': {
                                'layerIndex': layerIndex,
                                'operatorValue': evcObject.Eventcorrelation.operator,
                                'serviceTemplateId': evcObject.Service.servicetemplate_id,
                                'evcServiceName': (evcObject.Service.name) ? evcObject.Service.name : evcObject.Service.Servicetemplate.name
                            },
                            'Service': {
                                'serviceId': evcObject.Service.id,
                                'hostName': evcObject.Service.Host.name,
                                'serviceType': evcObject.Service.service_type,
                                'serviceTemplateId': evcObject.Service.servicetemplate_id,
                                'currentState': currentState,
                                'serviceName': (evcObject.Service.name) ? evcObject.Service.name : evcObject.Service.Servicetemplate.name,
                            }
                        });
                    }
                });
                divsToConnect[parentId] = $.map(selectedServicesGroupByParentId[parentId], function (evcElement) {
                    return evcElement[0].eventcorrelationId + '_vService';
                });

                if (layerIndex === 0) {
                    $eventCorrelationDivPosition[parentId] = self.drawEventCorrelationPhysicalLayer(
                        $parentContainer,
                        selectedServicesGroupByParentId[parentId],
                        parentId
                    );
                }
            });

            $.each(operatorDetails, function (evcId, operator) {
                if (layerIndex === operator[0].Operator.layerIndex) {
                    if (layerIndex > 1) {
                        currentEvcDivPosition = {
                            'id': evcId,
                            'positionTop': self.getOptimalTopPositionForOperator($('#layer_' + layerIndex).next(), divsToConnect[evcId]),
                            'height': 0,
                            'divsToConnect': divsToConnect[evcId]
                        };
                    }
                    $eventCorrelationOperatorDivDetails = self.drawOperator(
                        'layer_' + layerIndex,
                        (currentEvcDivPosition === null) ? $eventCorrelationDivPosition[evcId] : currentEvcDivPosition,
                        operator[0].Operator.operatorValue,
                        operator[0].Operator.evcServiceName,
                        operator[0].Operator.serviceTemplateId,
                        true
                    );
                    self.drawVirtualService(
                        $('#layer_' + (layerIndex + 1)),
                        $eventCorrelationOperatorDivDetails,
                        operator[0].Service,
                        divsToConnect[evcId]
                    );
                }
            });
        });
        self.heightAdjustment();
    },
});
