<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
App::uses('IdoitImport', 'IdoitModule.Lib');
App::uses('AppController', 'Controller');

use itnovum\openITCOCKPIT\Core\DbBackend;
use itnovum\openITCOCKPIT\Core\Interfaces\CronjobInterface;

class SynchronisationTask extends AppShell implements CronjobInterface {

    //Notice, most of this Models are required for the IdoitImport class
    public $uses = [
        'IdoitModule.IdoitSyncStatus',
        'IdoitModule.Linklist',
        'IdoitModule.Configuration',
        'IdoitModule.Objecttype',
        'IdoitModule.ObjectItem',
        'IdoitModule.IdoitMapping',
        'IdoitModule.JsonRPC',
        'Host',
        'Servicetemplategroup',
        'Service',
        'Servicetemplate',
        'User',
        'Changelog',
        'Hosttemplate',
        'Contact',
        'Contactgroup',
        MONITORING_HOSTSTATUS
    ];

    public $components = [
        'GearmanClient',
    ];

    public function execute($quiet = false) {
        $this->params['quiet'] = $quiet;
        $this->stdout->styles('green', ['text' => 'green']);
        $this->stdout->styles('red', ['text' => 'red']);
        $this->out('Start i-doit synchronisation...', false);
        $this->runImport();
        $this->out('<green>   Ok</green>');
        $this->hr();
    }

    public function runImport($isCron = true, $userId = 0) {

        $DbBackend = new DbBackend();

        // move objects from idoit_hosts to idoit_mappings with type TYPE_HOST if idoit_objects is empty
        $this->IdoitMapping->moveHostsToObjects();

        $IdoitImport = new IdoitImport($this, $DbBackend);
        if ($isCron) {
            $IdoitImport->isCronjob();
        }
        $IdoitImport->setUserId($userId);
        $IdoitImport->runImport();
    }
}
