<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
class IdoitMapping extends IdoitModuleAppModel {

    const TYPE_HOST = 1;
    const TYPE_CONTACT = 2;
    const TYPE_CONTACTGROUP = 3;
    const TYPE_LOCATION = 4;
    const TYPE_DOWNTIME = 5;

    public $useTable = 'idoit_mappings';
    public $belongsTo = [
        'Configuration' => [
            'className' => 'IdoitModule.Configuration',
        ],
    ];

    public function moveHostsToObjects() {
        // move objects from idoit_hosts to idoit_mappings with type TYPE_HOST if idoit_objects is empty
        $IdoitHostModel = ClassRegistry::init('IdoitHost');
        $anyObjectImport = $this->find('first');
        if (empty($anyObjectImport)) {
            $allImportedHosts = $IdoitHostModel->find('all', ['recursive' => -1]);
            $idoitObjectsToSave = [];
            foreach ($allImportedHosts as $importedHost) {
                $idoitObjectsToSave[] = [
                    'IdoitMapping' => [
                        'configuration_id' => $importedHost['IdoitHost']['configuration_id'],
                        'type'             => self::TYPE_HOST,
                        'idoit_object_id'  => $importedHost['IdoitHost']['objecttype_id'],
                        'oitc_object_id'   => $importedHost['IdoitHost']['host_id'],
                    ]
                ];
            }
            $this->saveAll($idoitObjectsToSave);
        }
    }
}