<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
class Linklist extends IdoitModuleAppModel {
    public $useTable = 'idoit_linklists';

    public $belongsTo = [
        'Servicetemplategroup',
        'Configuration' => [
            'className' => 'IdoitModule.Configuration',
        ],
    ];

    public $validate = [
        'configuration_id'        => [
            'notBlank' => [
                'rule'     => 'notBlank',
                'message'  => 'This field cannot be left blank.',
                'required' => true,
            ],
            'numeric'  => [
                'rule'    => 'numeric',
                'message' => 'This field needs to be numeric.',
            ],
            'notZero'  => [
                'rule'     => ['comparison', '>', 0],
                'message'  => 'Invalid container.',
                'required' => true,
            ],
        ],
        'regex'                   => [
            'notBlank' => [
                'rule'     => 'notBlank',
                'message'  => 'This field cannot be left blank.',
                'required' => true,
            ],
            'isRegex'  => [
                'rule'     => ['isRegex', 'regex'],
                'message'  => 'Invalid regular expression',
                'required' => true,
            ],
        ],
        'servicetemplategroup_id' => [
            'notBlank' => [
                'rule'     => 'notBlank',
                'message'  => 'This field cannot be left blank.',
                'required' => true,
            ],
            'numeric'  => [
                'rule'    => 'numeric',
                'message' => 'This field needs to be numeric.',
            ],
            'notZero'  => [
                'rule'     => ['comparison', '>', 0],
                'message'  => 'Invalid container.',
                'required' => true,
            ],
        ],
    ];

    public function isRegex($data, $key) {
        if (isset($data[$key])) {
            if (@preg_match('/' . $data[$key] . '/', null) !== false) {
                return true;
            }
        }

        return false;
    }
}
