<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-database fa-fw "></i>
            <?php echo __('i-doit'); ?>
            <span>>
                <?php echo __('Configuration'); ?>
			</span>
            <div class="third_level"> <?php echo ucfirst($this->params['action']); ?></div>
        </h1>
    </div>
</div>
<div id="error_msg"></div>

<div>
    <article class="col-sm-12 col-md-12 col-lg-12">
        <!-- Widget ID (each widget will need unique ID)-->
        <div class="jarviswidget" id="wid-id-2" data-widget-editbutton="false" data-widget-deletebutton="false">
            <header>
                <span class="widget-icon"> <i class="fa fa-database"></i> </span>
                <h2><?php echo __('Edit i-doit system'); ?></h2>
            </header>
            <!-- widget div-->
            <div>
                <!-- widget content -->
                <div class="widget-body fuelux">
                    <div class="wizard">
                        <ul class="steps">
                            <li data-target="#step1" class="active">
                                <span class="badge badge-info">1</span><?php echo __('API configuration'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step2">
                                <a href="<?php echo Router::url([
                                    'action' => 'test',
                                    $configuration['Configuration']['id'],
                                ]); ?>">
                                    <span class="badge">2</span><?php echo __('Test connection'); ?><span
                                            class="chevron"></span>
                                </a>
                            </li>
                            <li data-target="#step3">
                                <a href="<?php echo Router::url([
                                    'action' => 'selectObjects',
                                    $configuration['Configuration']['id'],
                                ]); ?>">
                                    <span class="badge">3</span><?php echo __('Select object types'); ?><span
                                            class="chevron"></span>
                                </a>
                            </li>
                            <li data-target="#step4">
                                <span class="badge">4</span><?php echo __('Select config items'); ?><span
                                        class="chevron"></span>
                            </li>
                        </ul>
                        <?php if ($this->Acl->hasPermission('delete')): ?>
                            <div class="actions">
                                <?php echo $this->Form->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), [
                                    'action' => 'delete',
                                    $configuration['Configuration']['id'],
                                ],
                                    [
                                        'class'  => 'btn btn-sm btn-danger',
                                        'escape' => false,
                                        'style'  => 'line-height:normal',
                                    ]); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="step-content">
                        <div class="step-pane active" id="step1">
                            <div style="border-bottom: 1px solid lightGray;">
                                <h6 class="txt-color-blueDark"><?php echo __('RPC API configuration'); ?></h6>
                            </div>
                            <br>
                            <?php
                            echo $this->Form->create('Configuration', [
                                'class' => 'form-horizontal clear',
                            ]);
                            ?>
                            <fieldset class="col col-xs-12">
                                <?php
                                echo $this->Form->input('id', [
                                    'type'  => 'hidden',
                                    'value' => $configuration['Configuration']['id'],
                                ]);
                                echo $this->Form->input('name', ['label' => __('Name')]);
                                echo $this->Form->input('url', [
                                    'label'       => __('URL'),
                                    'placeholder' => 'https://example.org/src/jsonrpc.php',
                                ]);
                                echo $this->Form->input('apikey', [
                                    'label' => __('API Key'),
                                    'type'  => 'password',
                                ]);
                                echo $this->Form->input('host_mapping', [
                                    'label'   => 'Existing host mapping',
                                    'options' => Configuration::getMappingList(),
                                    'class'   => 'select2 chosen',
                                    'style'   => 'width: 100%',
                                ]);
                                echo $this->Form->fancyCheckbox('auto_sync', [
                                    'caption'          => __('Automatically synchronise'),
                                    'captionGridClass' => 'col col-md-2 col-xs-12 text-right',
                                    'class'            => 'onoffswitch-checkbox notification_control',
                                    'checked'          => (boolean)$this->request->data['Configuration']['auto_sync'],
                                    'wrapGridClass'    => 'col col-md-10 col-xs-12',
                                ]);
                                ?>
                                <div style="border-bottom: 1px solid lightGray;">
                                    <br><br><br>
                                    <h6 class="txt-color-blueDark"><?php echo __(' Configure additional informations from i-doit'); ?></h6>
                                </div>
                                <br>
                                <?php
                                echo $this->Form->fancyCheckbox('sync_additional_objecttypes', [
                                    'caption'          => __('Add additional objecttypes for hosts'),
                                    'captionGridClass' => 'col col-md-2 col-xs-12 text-right',
                                    'class'            => 'onoffswitch-checkbox notification_control',
                                    'wrapGridClass'    => 'col col-md-10 col-xs-12',
                                    'checked'          => (boolean)$this->request->data['Configuration']['sync_additional_objecttypes'],
                                ]);
                                ?>
                                <div id="additionalObjectsBox" style="display:none;">
                                    <div class="clearfix margin-bottom-10"></div>
                                    <?php
                                    $additionalObjecttypesAll = Configuration::setAdditionalObjecttypes();
                                    $additionalObjecttypesSelected = $this->request->data['Configuration']['additional_objecttypes'];
                                    $additionalObjecttypesSelectedValues = [];
                                    foreach ($additionalObjecttypesAll as $objecttypeName => $objecttypeCode) {
                                        if ($additionalObjecttypesSelected & $objecttypeCode) {
                                            $additionalObjecttypesSelectedValues[] = $objecttypeName;
                                        }
                                    }

                                    echo $this->Form->input('additional_objecttypes', [
                                        'options'  => Configuration::getAdditionalObejctList(),
                                        'class'    => 'select2 chosen',
                                        'value'    => $additionalObjecttypesSelectedValues,
                                        'multiple' => true,
                                        'style'    => 'width:100%;',
                                        'label'    => __('Additional objecttypes for hosts'),
                                    ]);
                                    ?>
                                </div>
                                <div id="reportIdBox" style="display:none;">
                                    <?php
                                    echo $this->Form->input('report_id', [
                                        'label' => __('Source Report ID'),
                                        'type'  => 'text',
                                    ]);
                                    ?>
                                </div>
                                <br>
                                <?php
                                echo $this->Form->fancyCheckbox('sync_additional_informations', [
                                    'caption'          => __('Add additional informations for hosts'),
                                    'captionGridClass' => 'col col-md-2 col-xs-12 text-right',
                                    'class'            => 'onoffswitch-checkbox notification_control',
                                    'wrapGridClass'    => 'col col-md-10 col-xs-12',
                                    'checked'          => (boolean)$this->request->data['Configuration']['sync_additional_informations'],
                                ]);
                                ?>
                                <div id="additionalInfoReportIdBox" style="display:none;">
                                    <?php
                                    echo $this->Form->input('additional_infos_report_id', [
                                        'label' => __('Source Report ID'),
                                        'type'  => 'text',
                                    ]);
                                    ?>
                                </div>
                                <br>
                            </fieldset>
                        </div>
                    </div>
                    <?php echo $this->Form->formActions(); ?>
                    <?php echo $this->Form->end(); ?>
                </div>
            </div>
        </div>
    </article>
</div>
