<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-database fa-fw"></i>
            <?php echo __('i-doit'); ?>
            <span>>
                <?php echo __('Configuration'); ?>
			</span>
        </h1>
    </div>
</div>


<section id="widget-grid" class="">
    <div class="row">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <div class="widget-toolbar" role="menu">
                        <?php
                        if ($this->Acl->hasPermission('add')):
                            echo $this->Html->link(__('New'), '/' . $this->params['plugin'] . '/' . $this->params['controller'] . '/add', ['class' => 'btn btn-xs btn-success', 'icon' => 'fa fa-plus']);
                            //echo " "; //Fix HTML if search is implemented
                        endif;

                        // TODO implement search
                        //echo $this->Html->link(__('Filter'), 'javascript:', array('class' => 'oitc-list-filter btn btn-xs btn-primary toggle', 'hide-on-render' => 'true', 'icon' => 'fa fa-filter'));

                        if ($isFilter):
                            echo " ";
                            echo $this->ListFilter->resetLink(null, ['class' => 'btn-danger btn-xs', 'icon' => 'fa fa-times']);
                        endif;
                        ?>
                    </div>
                    <div class="jarviswidget-ctrls" role="menu">
                    </div>
                    <span class="widget-icon hidden-mobile"> <i class="fa fa-database"></i> </span>
                    <h2 class="hidden-mobile"><?php echo __('i-doit'); ?> </h2>

                </header>
                <div>

                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <div class="mobile_table">
                            <table id="automaps_list" class="table table-striped table-hover table-bordered smart-form"
                                   style="">
                                <thead>
                                <tr>
                                    <th class="no-sort"><?php echo __('Name'); ?></th>
                                    <th class="no-sort"><?php echo __('URL'); ?></th>
                                    <th class="no-sort"><?php echo __('Automatically synchronise'); ?></th>
                                    <th class="no-sort text-center"><i class="fa fa-gear fa-lg"></i></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php foreach ($all_idoits as $idoit): ?>
                                    <tr>
                                        <td><?php echo h($idoit['Configuration']['name']); ?></td>
                                        <td><?php echo h($idoit['Configuration']['url']); ?></td>
                                        <td class="text-center">
                                            <?php if ($idoit['Configuration']['auto_sync'] == 1): ?>
                                                <i class="fa fa-check text-success"></i>
                                            <?php else: ?>
                                                <i class="fa fa-times text-danger"></i>
                                            <?php endif; ?>
                                        </td>
                                        <td class="width-160">
                                            <div class="btn-group">
                                                <?php if ($this->Acl->hasPermission('edit')): ?>
                                                    <a href="<?php echo Router::url([
                                                        'plugin'     => $this->params['plugin'],
                                                        'controller' => $this->params['controller'],
                                                        'action'     => 'edit',
                                                        $idoit['Configuration']['id'],
                                                    ]); ?>"
                                                       class="btn btn-default">&nbsp;<i class="fa fa-cog"></i>&nbsp;
                                                    </a>
                                                <?php else: ?>
                                                    <a href="javascript:void(0);" class="btn btn-default">&nbsp;<i
                                                                class="fa fa-cog"></i>&nbsp;</a>
                                                <?php endif; ?>
                                                <a href="javascript:void(0);" data-toggle="dropdown"
                                                   class="btn btn-default dropdown-toggle"><span
                                                            class="caret"></span></a>
                                                <ul class="dropdown-menu">
                                                    <?php if ($this->Acl->hasPermission('edit')): ?>
                                                        <li>
                                                            <a href="<?php echo Router::url([
                                                                'plugin'     => $this->params['plugin'],
                                                                'controller' => $this->params['controller'],
                                                                'action'     => 'edit',
                                                                $idoit['Configuration']['id'],
                                                            ]); ?>"
                                                            >
                                                                <i class="fa fa-cog fa-fw"></i> <?php echo __('Edit'); ?>
                                                            </a>
                                                        </li>
                                                        <li>
                                                            <a href="<?php echo Router::url([
                                                                'plugin'     => $this->params['plugin'],
                                                                'controller' => $this->params['controller'],
                                                                'action'     => 'test',
                                                                $idoit['Configuration']['id'],
                                                            ]); ?>"
                                                            >
                                                                <i class="fa fa-plug fa-fw"></i> <?php echo __('Test connection'); ?>
                                                            </a>
                                                        </li>
                                                        <li>
                                                            <a href="<?php echo Router::url([
                                                                'plugin'     => $this->params['plugin'],
                                                                'controller' => $this->params['controller'],
                                                                'action'     => 'selectObjects',
                                                                $idoit['Configuration']['id'],
                                                            ]); ?>"
                                                            >
                                                                <i class="fa fa-filter fa-fw"></i> <?php echo __('Object types'); ?>
                                                            </a>
                                                        </li>
                                                        <li>
                                                            <a href="<?php echo Router::url([
                                                                'plugin'     => $this->params['plugin'],
                                                                'controller' => $this->params['controller'],
                                                                'action'     => 'selectItems',
                                                                $idoit['Configuration']['id'],
                                                            ]); ?>"
                                                            >
                                                                <i class="fa fa-plus fa-fw"></i> <?php echo __('Config items'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php echo $this->AdditionalLinks->renderAsListItems($additionalLinksList, $idoit['Configuration']['id']); ?>
                                                    <?php if ($this->Acl->hasPermission('delete')): ?>
                                                        <li class="divider"></li>
                                                        <li>
                                                            <?php
                                                            echo $this->Form->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), [
                                                                'plugin'     => $this->params['plugin'],
                                                                'controller' => $this->params['controller'],
                                                                'action'     => 'delete',
                                                                $idoit['Configuration']['id'],
                                                            ],
                                                                ['class' => 'txt-color-red', 'escape' => false]
                                                            ); ?>
                                                        </li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                        <?php if (empty($all_idoits)): ?>
                            <div class="noMatch">
                                <center>
                                    <span class="txt-color-red italic"><?php echo __('No entries match the selection'); ?></span>
                                </center>
                            </div>
                        <?php endif; ?>

                        <div style="padding: 5px 10px;">
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="dataTables_info" style="line-height: 32px;"
                                         id="datatable_fixed_column_info"><?php echo $this->Paginator->counter(__('Page') . ' {:page} ' . __('of') . ' {:pages}, ' . __('Total') . ' {:count} ' . __('entries')); ?></div>
                                </div>
                                <div class="col-sm-6 text-right">
                                    <div class="dataTables_paginate paging_bootstrap">
                                        <?php echo $this->Paginator->pagination([
                                            'ul' => 'pagination',
                                        ]); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </div>
</section>
