<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-database fa-fw "></i>
            <?php echo __('i-doit'); ?>
            <span>>
                <?php echo __('Configuration'); ?>
			</span>
            <div class="third_level"> <?php echo ucfirst($this->params['action']); ?></div>
        </h1>
    </div>
</div>
<div id="error_msg"></div>

<div>
    <article class="col-sm-12 col-md-12 col-lg-12">
        <!-- Widget ID (each widget will need unique ID)-->
        <div class="jarviswidget" id="wid-id-2" data-widget-editbutton="false" data-widget-deletebutton="false">
            <header>
                <span class="widget-icon"> <i class="fa fa-database"></i> </span>
                <h2><?php echo __('Select i-doit configuration items for import'); ?></h2>
            </header>
            <!-- widget div-->
            <div>
                <!-- widget content -->
                <div class="widget-body fuelux">
                    <?php
                    echo $this->Form->create('Configuration', [
                        'class' => 'form-horizontal clear',
                    ]);
                    ?>
                    <div class="wizard">
                        <ul class="steps">
                            <li data-target="#step1">
                                <a href="<?php echo Router::url([
                                    'action' => 'edit',
                                    $configuration['Configuration']['id'],
                                ]); ?>">
                                    <span class="badge badge-info">1</span><?php echo __('API configuration'); ?><span
                                            class="chevron"></span>
                                </a>
                            </li>
                            <li data-target="#step2">
                                <a href="<?php echo Router::url([
                                    'action' => 'test',
                                    $configuration['Configuration']['id'],
                                ]); ?>">
                                    <span class="badge">2</span><?php echo __('Test connection'); ?><span
                                            class="chevron"></span>
                                </a>
                            </li>
                            <li data-target="#step3">
                                <a href="<?php echo Router::url([
                                    'action' => 'selectObjects',
                                    $configuration['Configuration']['id'],
                                ]); ?>">
                                    <span class="badge">3</span><?php echo __('Select object types'); ?><span
                                            class="chevron"></span>
                                </a>
                            </li>
                            <li data-target="#step4" class="active">
                                <span class="badge">4</span><?php echo __('Select config items'); ?><span
                                        class="chevron"></span>
                            </li>
                        </ul>
                        <div class="actions">
                            <button type="submit"
                                    class="btn btn-sm btn-success" <?php if (empty($objects)) echo 'disabled="disabled"'; ?> >
                                <?php echo __('Import'); ?>
                                &nbsp;
                                <i class="fa fa-arrow-right"></i>
                            </button>
                        </div>
                    </div>
                    <div class="step-content">
                        <div class="step-pane active" id="step1">
                            <fieldset class="col col-xs-12">
                                <?php
                                echo $this->Form->input('id', [
                                    'type'  => 'hidden',
                                    'value' => $configuration['Configuration']['id'],
                                ]);
                                ?>
                                <?php if (!empty($objects)): ?>
                                    <?php foreach ($objects as $objectTypeId => $objectArr): ?>
                                        <?php if (!isset($objectsConf[$objectTypeId]['title']) || !isset($objectsConf[$objectTypeId]['contaner'])) continue; ?>
                                        <h1><?= $objectsConf[$objectTypeId]['title'] ?></h1>
                                        <?php foreach ($objectArr as $objectId => $objectItemArr):
                                            $labelPostText = '';
                                            if ($objectItemArr['merge'] !== '0') {
                                                $labelPostText .= '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style="color: orange">' . __('Already exists OITC. %s will be mapped.', $objectsConf[$objectTypeId]['title']) . '</span>';
                                            }
                                            if (!$objectItemArr['linklist']) {
                                                $labelPostText .= '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style="color: red">' . __('No Software-link match') . '</span>';
                                            }
                                            echo $this->Form->input('ObjectItem.' . $objectId . '.merge', [
                                                'type'  => 'hidden',
                                                'value' => $objectItemArr['merge'],
                                            ]);
                                            echo $this->Form->input('ObjectItem.' . $objectId . '.import', [
                                                'type'      => 'checkbox',
                                                'label'     => $objectItemArr['name'] . $labelPostText,
                                                'object-id' => $objectId,
                                                'checked'   => true,
                                            ]);
                                            echo $this->Form->input('ObjectItem.' . $objectId . '.object_id', [
                                                'type'  => 'hidden',
                                                'value' => $objectId,
                                            ]);
                                            echo $this->Form->input('ObjectItem.' . $objectId . '.objecttype_id', [
                                                'type'  => 'hidden',
                                                'value' => $objectTypeId,
                                            ]);
                                            ?>

                                            <div id="object_<?php echo $objectId; ?>">
                                                <?php
                                                echo $this->Form->input('ObjectItem.' . $objectId . '.container_id', [
                                                    'options'   => $containers,
                                                    'multiple'  => false,
                                                    'class'     => 'chosen',
                                                    'style'     => 'width: 100%',
                                                    'label'     => __('Container'),
                                                    'wrapInput' => 'col col-xs-8',
                                                    'selected'  => isset($objectItemArr['container_id']) ? $objectItemArr['container_id'] : $objectsConf[$objectTypeId]['contaner'],
                                                ]);
                                                echo $this->Form->input('ObjectItem.' . $objectId . '.hosttemplate_id', [
                                                    'options'   => $hosttemplates,
                                                    'multiple'  => false,
                                                    'class'     => 'chosen',
                                                    'style'     => 'width: 100%',
                                                    'label'     => __('Hosttemplate'),
                                                    'wrapInput' => 'col col-xs-8',
                                                    'selected'  => null,
                                                    'selected'  => isset($objectItemArr['hosttemplate_id']) ? $objectItemArr['hosttemplate_id'] : $objectsConf[$objectTypeId]['hosttemplate'],
                                                ]);
                                                ?>
                                                <hr/>
                                            </div>
                                        <?php endforeach; ?>
                                    <?php endforeach; ?>
                                <?php else: ?>
                                <h3><?= __('Nothing new to import') ?><h3>
                                        <?php endif; ?>
                            </fieldset>
                        </div>
                    </div>
                    <fieldset class="col col-xs-12">
                        <?php if (!empty($existingObjects)): ?>
                            <hr/>
                            <h3 class="no-margin"><?= __('Already imported') ?></h3>
                            <ul>
                                <?php foreach ($existingObjects as $existingObject): ?>
                                    <li><?= $existingObject ?></li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                    </fieldset>
                    <div class="well formactions ">
                        <div class="pull-right">
                            <a href="/idoit_module/configurations"
                               class="btn btn-default"><?php echo __('Cancel'); ?></a>
                        </div>
                    </div>
                    <?php echo $this->Form->end(); ?>
                </div>
            </div>
        </div>
    </article>
</div>
