<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-database fa-fw "></i>
            <?php echo __('i-doit'); ?>
            <span>>
                <?php echo __('Configuration'); ?>
			</span>
            <div class="third_level"> <?php echo ucfirst($this->params['action']); ?></div>
        </h1>
    </div>
</div>
<div id="error_msg"></div>

<div>
    <article class="col-sm-12 col-md-12 col-lg-12">
        <!-- Widget ID (each widget will need unique ID)-->
        <div class="jarviswidget" id="wid-id-2" data-widget-editbutton="false" data-widget-deletebutton="false">
            <header>
                <span class="widget-icon"> <i class="fa fa-database"></i> </span>
                <h2><?php echo __('Select i-doit object types for import'); ?></h2>
            </header>
            <!-- widget div-->
            <div>
                <!-- widget content -->
                <div class="widget-body fuelux">
                    <?php
                    echo $this->Form->create('Configuration', [
                        'class' => 'form-horizontal clear',
                    ]);
                    ?>
                    <div class="wizard">
                        <ul class="steps">
                            <li data-target="#step1">
                                <a href="<?php echo Router::url([
                                    'action' => 'edit',
                                    $configuration['Configuration']['id'],
                                ]); ?>">
                                    <span class="badge badge-info">1</span><?php echo __('API configuration'); ?><span
                                            class="chevron"></span>
                                </a>
                            </li>
                            <li data-target="#step2">
                                <a href="<?php echo Router::url([
                                    'action' => 'test',
                                    $configuration['Configuration']['id'],
                                ]); ?>">
                                    <span class="badge">2</span><?php echo __('Test connection'); ?><span
                                            class="chevron"></span>
                                </a>
                            </li>
                            <li data-target="#step3" class="active">
                                <span class="badge">3</span><?php echo __('Select object types'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step4">
                                <span class="badge">4</span><?php echo __('Select config items'); ?><span
                                        class="chevron"></span>
                            </li>
                        </ul>
                        <div class="actions">
                            <button type="submit" class="btn btn-sm btn-success">
                                <?php echo __('Next'); ?>
                                &nbsp;
                                <i class="fa fa-arrow-right"></i>
                            </button>
                        </div>
                    </div>
                    <div class="step-content">
                        <div class="step-pane active" id="step1">
                            <h6 class="txt-color-blueDark"><?php echo __('Please select all objects types you like to import'); ?></h6>
                            <div class="alert alert-warning alert-block">
                                <a href="#" data-dismiss="alert" class="close">×</a>
                                <h4 class="alert-heading"><?php echo __('Warning'); ?></h4>
                                <?php echo __('Selecting the object types can take some time if the number of config items is too large'); ?>
                            </div>
                            <fieldset class="col col-xs-12">
                                <?php
                                echo $this->Form->input('id', [
                                    'type'  => 'hidden',
                                    'value' => $configuration['Configuration']['id'],
                                ]);
                                ?>
                                <?php foreach ($objectTypes as $objectId => $objectName): ?>
                                    <?php
                                    echo $this->Form->input('Objecttype.' . $objectId . '.import', [
                                        'type'          => 'checkbox',
                                        'label'         => $objectName,
                                        'objecttype-id' => $objectId,
                                        'checked'       => isset($selectedObjectTypesAndHosttemplate[$objectId]),
                                    ]);
                                    echo $this->Form->input('Objecttype.' . $objectId . '.objecttype_id', [
                                        'type'  => 'hidden',
                                        'value' => $objectId,
                                    ]);

                                    $display = '';
                                    if (!isset($selectedObjectTypesAndHosttemplate[$objectId])) {
                                        $display = 'display:none';
                                    }
                                    ?>

                                    <div style="<?php echo $display; ?>" id="objecttype_<?php echo $objectId; ?>">
                                        <?php
                                        echo $this->Form->input('Objecttype.' . $objectId . '.container_id', [
                                            'options'   => $containers,
                                            'multiple'  => false,
                                            'class'     => 'chosen',
                                            'style'     => 'width: 100%',
                                            'label'     => __('Container'),
                                            'wrapInput' => 'col col-xs-8',
                                        ]);
                                        echo $this->Form->input('Objecttype.' . $objectId . '.hosttemplate_id', [
                                            'options'   => $hosttemplates,
                                            'multiple'  => false,
                                            'class'     => 'chosen',
                                            'style'     => 'width: 100%',
                                            'label'     => __('Hosttemplate'),
                                            'wrapInput' => 'col col-xs-8',
                                            'selected'  => (isset($selectedObjectTypesAndHosttemplate[$objectId]) ? $selectedObjectTypesAndHosttemplate[$objectId] : null),
                                        ]);
                                        ?>
                                        <hr/>
                                    </div>
                                <?php endforeach; ?>
                            </fieldset>
                        </div>
                    </div>
                    <div class="well formactions ">
                        <div class="pull-right">
                            <a href="/idoit_module/configurations"
                               class="btn btn-default"><?php echo __('Cancel'); ?></a>
                        </div>
                    </div>
                    <?php echo $this->Form->end(); ?>
                </div>
            </div>
        </div>
    </article>
</div>
