<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-database fa-fw "></i>
            <?php echo __('i-doit'); ?>
            <span>>
                <?php echo __('Configuration'); ?>
			</span>
            <div class="third_level"> <?php echo ucfirst($this->params['action']); ?></div>
        </h1>
    </div>
</div>
<div id="error_msg"></div>


<div>
    <article class="col-sm-12 col-md-12 col-lg-12">
        <!-- Widget ID (each widget will need unique ID)-->
        <div class="jarviswidget" id="wid-id-2" data-widget-editbutton="false" data-widget-deletebutton="false">
            <header>
                <span class="widget-icon"> <i class="fa fa-database"></i> </span>
                <h2><?php echo __('Test connection with remote i-doit system'); ?></h2>
            </header>
            <!-- widget div-->
            <div>
                <!-- widget content -->
                <div class="widget-body fuelux">
                    <div class="wizard">
                        <ul class="steps">
                            <li data-target="#step1">
                                <a href="<?php echo Router::url(['action' => 'edit', $configuration['Configuration']['id']]); ?>">
                                    <span class="badge badge-info">1</span><?php echo __('API configuration'); ?><span
                                            class="chevron"></span>
                                </a>
                            </li>
                            <li data-target="#step2" class="active">
                                <span class="badge">2</span><?php echo __('Test connection'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step3">
                                <span class="badge">3</span><?php echo __('Select object types'); ?><span
                                        class="chevron"></span>
                            </li>
                            <li data-target="#step4">
                                <span class="badge">4</span><?php echo __('Select config items'); ?><span
                                        class="chevron"></span>
                            </li>
                        </ul>
                        <div class="actions">
                            <?php if ($result['success'] === true && ($reportObjectsExists['success'] === true || $reportInfosExists['success'] === true)): ?>
                                <a href="<?php echo Router::url([
                                    'action' => 'selectObjects',
                                    $configuration['Configuration']['id'],
                                ]); ?>" class="btn btn-sm btn-success" style="line-height:normal;">
                                    <?php echo __('Next'); ?>
                                    &nbsp;
                                    <i class="fa fa-arrow-right"></i>
                                </a>
                            <?php else: ?>
                                <a href="<?php echo Router::url([
                                    'action' => 'edit',
                                    $configuration['Configuration']['id'],
                                ]); ?>" class="btn btn-sm btn-danger" style="line-height:normal;">
                                    <i class="fa fa-arrow-left"></i>
                                    <?php echo __('Back'); ?>
                                    &nbsp;
                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="step-content">
                        <div class="step-pane active" id="step1">
                            <br/>
                            <fieldset class="col col-xs-12">

                                <?php if ($reportObjectsExists['success'] === true): ?>
                                    <?php if ($result['success'] === true): ?>
                                        <div class="alert alert-success alert-block">
                                            <a href="#" data-dismiss="alert" class="close">×</a>
                                            <h4 class="alert-heading"><?php echo __('Success'); ?></h4>
                                            <?php echo $result['message']; ?>
                                        </div>
                                    <?php else: ?>
                                        <div class="alert alert-danger alert-block">
                                            <a href="#" data-dismiss="alert" class="close">×</a>
                                            <h4 class="alert-heading"><?php echo __('Error'); ?></h4>
                                            <?php echo $result['message']; ?>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>

                                <?php if ($reportInfosExists['success'] === true): ?>
                                    <?php if ($result['success'] === true): ?>
                                        <div class="alert alert-success alert-block">
                                            <a href="#" data-dismiss="alert" class="close">×</a>
                                            <h4 class="alert-heading"><?php echo __('Success'); ?></h4>
                                            <?php echo $result['message']; ?>
                                        </div>
                                    <?php else: ?>
                                        <div class="alert alert-danger alert-block">
                                            <a href="#" data-dismiss="alert" class="close">×</a>
                                            <h4 class="alert-heading"><?php echo __('Error'); ?></h4>
                                            <?php echo $result['message']; ?>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>

                                <?php if ($supportedVersion === false): ?>
                                    <div class="alert alert-warning alert-block">
                                        <a href="#" data-dismiss="alert" class="close">×</a>
                                        <h4 class="alert-heading"><?php echo __('Warning'); ?></h4>
                                        <?php echo __('Your version of i-doit is not supported at the moment, some functions maybe don\'t work like expected!'); ?>
                                    </div>
                                <?php endif; ?>

                                <?php if ($reportObjectsExists['success'] === false): ?>
                                    <div class="alert alert-danger alert-block">
                                        <a href="#" data-dismiss="alert" class="close">×</a>
                                        <h4 class="alert-heading"><?php echo __('Error'); ?></h4>
                                        <?php echo $reportObjectsExists['message']; ?>
                                    </div>
                                <?php endif; ?>

                                <?php if ($reportInfosExists['success'] === false): ?>
                                    <div class="alert alert-danger alert-block">
                                        <a href="#" data-dismiss="alert" class="close">×</a>
                                        <h4 class="alert-heading"><?php echo __('Error'); ?></h4>
                                        <?php echo $reportInfosExists['message']; ?>
                                    </div>
                                <?php endif; ?>
                            </fieldset>
                        </div>
                    </div>
                    <div class="well formactions ">
                        <div class="pull-right">
                            <a href="/idoit_module/configurations"
                               class="btn btn-default"><?php echo __('Cancel'); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </article>
</div>
