<div class="padding-10">
    <?php
    //init necessary classes
    $jsonRPC = ClassRegistry::init('IdoitModule.JsonRPC');
    $configurationObj = ClassRegistry::init('IdoitModule.Configuration');
    $mappingObj = ClassRegistry::init('IdoitModule.IdoitMapping');

    $mapping = $mappingObj->find('first', [
        'conditions' => [
            'IdoitMapping.oitc_object_id' => $host['Host']['id'],
        ],
    ]);

    if (!empty($mapping)) {
        $jsonRPC->init();
        $jsonRPC->setOptions([
            'url'    => $mapping['Configuration']['url'],
            'apikey' => $mapping['Configuration']['apikey'],
        ]);

        $additionalInfos = $jsonRPC->readAdditionalInfosReport($mapping['Configuration']['additional_infos_report_id'], $mapping['IdoitMapping']['idoit_object_id']);

        if (!empty($additionalInfos)) {
            foreach ($additionalInfos as $key => $value) {
                $value = preg_replace('/<script(.*?)<\/script>/i', "", $value);
                echo "<strong>" . strip_tags($key) . "</strong>: " . strip_tags($value) . "<br>";
            }
        } else {
            ?>
            <div class="alert alert-danger alert-block">
                <a href="#" data-dismiss="alert" class="close">×</a>
                <h4 class="alert-heading"><?php echo __('Error'); ?></h4>
                Could not read Report. Please check your i-doit settings.
            </div>
            <?php
            echo "No Data found in i-doit for host";
        }
    } else {
        echo "<strong>No Data found in i-doit for host</strong>";
    }
    ?>
</div>
