<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.

$this->Paginator->options(['url' => $this->params['named']]);
?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-compress fa-fw "></i>
            <?php echo __('i-doit'); ?>
            <span>>
                <?php echo __('Software-Link list'); ?>
            </span>
        </h1>
    </div>
</div>

<section id="widget-grid" class="">
    <div class="row">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <div class="widget-toolbar" role="menu">
                        <?php if ($this->Acl->hasPermission('add')): ?>
                            <?php echo $this->Html->link(__('New'), '/' . $this->params['plugin'] . '/' . $this->params['controller'] . '/add', ['class' => 'btn btn-xs btn-success', 'icon' => 'fa fa-plus']); ?>
                        <?php endif; ?>
                        <?php
                        echo $this->Html->link(__('Filter'), 'javascript:', ['class' => 'oitc-list-filter btn btn-xs btn-primary toggle', 'hide-on-render' => 'true', 'icon' => 'fa fa-filter']);
                        if ($isFilter):
                            echo " "; //Fix HTML
                            echo $this->ListFilter->resetLink(null, ['class' => 'btn-danger btn-xs', 'icon' => 'fa fa-times'], true);
                        endif;
                        ?>
                    </div>
                    <span class="widget-icon hidden-mobile"> <i class="fa fa-compress"></i> </span>
                    <h2 class="hidden-mobile"><?php echo __('Software-Link list'); ?> </h2>

                </header>
                <div>
                    <div class="jarviswidget-editbox">
                    </div>
                    <div class="widget-body no-padding">
                        <?php echo $this->ListFilter->renderFilterbox($filters, [], '<i class="fa fa-filter"></i> ' . __('Filter'), false, false); ?>
                        <div class="mobile_table">
                            <table id="automaps_list" class="table table-striped table-hover table-bordered smart-form"
                                   style="">
                                <thead>
                                <tr>
                                    <th class="no-sort"><?php echo __('i-doit System'); ?></th>
                                    <th class="no-sort"><?php echo __('RegEx'); ?></th>
                                    <th class="no-sort"><?php echo __('Service template group'); ?></th>
                                    <th class="no-sort text-center"><i class="fa fa-gear fa-lg"></i></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php foreach ($all_links as $link): ?>
                                    <tr>
                                        <td><?php echo h($link['Configuration']['name']); ?></td>
                                        <td><?php echo h($link['Linklist']['regex']); ?></td>
                                        <td><?php echo h($link['Servicetemplategroup']['Container']['name']); ?></td>
                                        <td class="width-160">
                                            <div class="btn-group">
                                                <?php if ($this->Acl->hasPermission('edit')): ?>
                                                    <a href="<?php echo Router::url([
                                                        'plugin'     => $this->params['plugin'],
                                                        'controller' => $this->params['controller'],
                                                        'action'     => 'edit',
                                                        $link['Linklist']['id'],
                                                    ]); ?>"
                                                       class="btn btn-default">&nbsp;<i class="fa fa-cog"></i>&nbsp;
                                                    </a>
                                                <?php else: ?>
                                                    <a href="javascript:void(0);" class="btn btn-default">&nbsp;<i
                                                                class="fa fa-cog"></i>&nbsp;</a>
                                                <?php endif; ?>
                                                <a href="javascript:void(0);" data-toggle="dropdown"
                                                   class="btn btn-default dropdown-toggle"><span
                                                            class="caret"></span></a>
                                                <ul class="dropdown-menu">
                                                    <?php if ($this->Acl->hasPermission('edit')): ?>
                                                        <li>
                                                            <a href="<?php echo Router::url([
                                                                'plugin'     => $this->params['plugin'],
                                                                'controller' => $this->params['controller'],
                                                                'action'     => 'edit',
                                                                $link['Linklist']['id'],
                                                            ]); ?>"
                                                            >
                                                                <i class="fa fa-cog"></i> <?php echo __('Edit'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if ($this->Acl->hasPermission('delete')): ?>
                                                        <li class="divider"></li>
                                                        <li>
                                                            <?php
                                                            echo $this->Form->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), [
                                                                'plugin'     => $this->params['plugin'],
                                                                'controller' => $this->params['controller'],
                                                                'action'     => 'delete',
                                                                $link['Linklist']['id'],
                                                            ],
                                                                ['class' => 'txt-color-red', 'escape' => false]
                                                            ); ?>
                                                        </li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                                <?php if (empty($all_links)): ?>
                                    <tr class="text-center txt-color-red italic">
                                        <td colspan="4">
                                            <?php echo __('No entries match the selection'); ?>
                                        </td>
                                    </tr>
                                <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </article>
    </div>
</section>
