<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-compress fa-fw"></i>
            <?php echo __('i-doit'); ?>
            <span>>
                <?php echo __('Host names comparison'); ?>
			</span>
        </h1>
    </div>
</div>


<section id="widget-grid" class="">
    <div class="row">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <div class="jarviswidget-ctrls" role="menu">
                    </div>
                    <span class="widget-icon hidden-mobile"> <i class="fa fa-compress"></i> </span>
                    <h2 class="hidden-mobile"><?php echo __('The following host names only exist in %s, but not in i-doit', $systemname); ?> </h2>
                </header>
                <div>

                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <div class="mobile_table">
                            <table id="automaps_list" class="table table-striped table-hover table-bordered smart-form"
                                   style="">
                                <thead>
                                <tr>
                                    <?php $order = $this->Paginator->param('order'); ?>
                                    <th class="no-sort"><?php echo $this->Utils->getDirection($order, 'Host.name');
                                        echo $this->Paginator->sort('Host.name', 'Hostname'); ?></th>
                                    <th class="no-sort text-center" style="width:52px"><i class="fa fa-gear fa-lg"></i>
                                    </th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php foreach ($all_hosts as $host): ?>
                                    <tr>
                                        <td><?php echo h($host['Host']['name']); ?></td>
                                        <td>
                                            <div class="btn-group">
                                                <?php if ($this->Acl->hasPermission('edit', 'hosts', '')): ?>
                                                    <a href="/hosts/edit/<?php echo $host['Host']['id']; ?>"
                                                       class="btn btn-default">&nbsp;<i class="fa fa-cog"></i>&nbsp;</a>
                                                <?php else: ?>
                                                    <a href="javascript:void(0);" class="btn btn-default">&nbsp;<i
                                                                class="fa fa-cog"></i>&nbsp;</a>
                                                <?php endif; ?>
                                                <a href="javascript:void(0);" data-toggle="dropdown"
                                                   class="btn btn-default dropdown-toggle"><span
                                                            class="caret"></span></a>
                                                <ul class="dropdown-menu pull-right">
                                                    <?php if ($this->Acl->hasPermission('edit', 'hosts', '')): ?>
                                                        <li>
                                                            <a href="/hosts/edit/<?php echo $host['Host']['id']; ?>"><i
                                                                        class="fa fa-cog"></i> <?php echo __('Edit'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if ($this->Acl->hasPermission('deactivate', 'hosts', '')): ?>
                                                        <li>
                                                            <a href="/hosts/deactivate/<?php echo $host['Host']['id']; ?>"><i
                                                                        class="fa fa-plug"></i> <?php echo __('Disable'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if ($this->Acl->hasPermission('serviceList', 'services', '')): ?>
                                                        <li>
                                                            <a href="/services/serviceList/<?php echo $host['Host']['id']; ?>"><i
                                                                        class="fa fa-list"></i> <?php echo __('Service list'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php echo $this->AdditionalLinks->renderAsListItems($additionalLinksList, $host['Host']['id']); ?>
                                                    <?php if ($this->Acl->hasPermission('delete', 'hosts', '')): ?>
                                                        <li class="divider"></li>
                                                        <li>
                                                            <?php echo $this->Form->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), ['plugin' => '', 'controller' => 'hosts', 'action' => 'delete', $host['Host']['id']], ['class' => 'txt-color-red', 'escape' => false]); ?>
                                                        </li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                        <?php if (empty($all_hosts)): ?>
                            <div class="noMatch">
                                <center>
                                    <span class="txt-color-red italic"><?php echo __('No entries match the selection'); ?></span>
                                </center>
                            </div>
                        <?php endif; ?>

                        <div style="padding: 5px 10px;">
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="dataTables_info" style="line-height: 32px;"
                                         id="datatable_fixed_column_info"><?php echo $this->Paginator->counter(__('paginator.showing') . ' {:page} ' . __('of') . ' {:pages}, ' . __('paginator.overall') . ' {:count} ' . __('entries')); ?></div>
                                </div>
                                <div class="col-sm-6 text-right">
                                    <div class="dataTables_paginate paging_bootstrap">
                                        <?php echo $this->Paginator->pagination([
                                            'ul' => 'pagination',
                                        ]); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </div>
</section>
