// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
App.Controllers.SynchronisationsIndexController = Frontend.AppController.extend({

    $lastPercent: 0,

    _initialize: function(){
        var self = this;
        setInterval(function(){
            self.triggerSync();
        }, 1000);

        $('#start-sync').click(function(){
            self.$lastPercent = 0;
            $('#progrees-value').text(self.$lastPercent + '%').css('width', self.$lastPercent + '%').attr('aria-valuenow', self.$lastPercent);
            $('#start-sync').attr('disabled', 'disabled');
            $.ajax({
                url: '/idoit_module/Synchronisations/sync',
                success: function(){
                    self.triggerSync();
                }.bind(self)
            });

        });

    },

    triggerSync: function(){
        var self = this;
        $.ajax({
            url: '/idoit_module/Synchronisations/getInfo',
            dataType: 'json',
            success: function(response){
                if(response.length == 0) return;
                if(response.finished && self.$lastPercent == 100){
                    $('#start-sync').removeAttr('disabled');
                    return;
                }
                if(!response.finished){
                    $('#start-sync').attr('disabled', 'disabled');
                }
                $('#sync-log').html('');
                self.$lastPercent = 0;
                $('.progressbar-holder').fadeIn();
                for(var i in response){
                    if(typeof response[i]['task'] === 'undefined') continue;
                    if(self.$lastPercent < parseInt(response[i]['percent'])){
                        self.$lastPercent = parseInt(response[i]['percent']);
                    }
                    $('#sync-log').append('<tr><td>' + response[i]['task'] + '</td>' +
                        '<td><i class="fa fa-' + (response[i]['status'] == '1' ? 'check' : 'refresh fa-spin') + '"></i></td>' +
                        '<td>' + response[i]['created'] + '</td></tr>');
                }
                $('#progrees-value').text(self.$lastPercent + '%').css('width', self.$lastPercent + '%').attr('aria-valuenow', self.$lastPercent);
            }
        });
    }

});
