<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, version 3 of the License.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

// 2.
//	If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//	under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//	License agreement and license key will be shipped with the order
//	confirmation.

class Maximoownergroup extends MaximoModuleAppModel {
    public $hasMany = [
        'Maximoconfiguration' => [
            'className'  => 'MaximoModule.Maximoconfiguration',
            'foreignKey' => 'maximo_ownergroup_id'
        ]
    ];

    public $validate = [
        'name'        => [
            'notBlank' => [
                'rule'     => 'notBlank',
                'message'  => 'This field cannot be left blank.',
                'required' => true
            ],
        ],
        'description' => [
            'notBlank' => [
                'rule'     => 'notBlank',
                'message'  => 'This field cannot be left blank.',
                'required' => true
            ],
        ],
    ];

    public function inUse($id) {
        $this->Maximoconfiguration = ClassRegistry::init('MaximoModule.Maximoconfiguration');
        $this->Host = ClassRegistry::init('Host');
        $this->Service = ClassRegistry::init('Service');

        $result = $this->Maximoconfiguration->find('all', [
            'conditions' => [
                'Maximoconfiguration.maximo_ownergroup_id' => $id
            ],
            'fields'     => [
                'Maximoconfiguration.element_id',
                'Maximoconfiguration.type'
            ]
        ]);

        $serviceIds = [];
        $hostIds = [];
        if (!empty($result)) {
            foreach ($result as $element) {
                $element = $element['Maximoconfiguration'];
                if ($element['type'] == OBJECT_HOST) {
                    $hostIds[] = $element['element_id'];
                }

                if ($element['type'] == OBJECT_SERVICE) {
                    $serviceIds[] = $element['element_id'];
                }
            }
        }

        if (empty($serviceIds) && empty($hostIds)) {
            return false;
        }
        return $this->resolveObjectNames($serviceIds, $hostIds);
    }
}