<?php

$type = $this->params['controller'];
$controller = $type;
switch ($type) {
    case 'hosts':
        $type = OBJECT_HOST;
        break;
    case 'services';
        $type = OBJECT_SERVICE;
        break;
    default:
        break;
}
//init current model (Host or Service)
$model = ClassRegistry::init(Inflector::classify($controller));

//init necessary classes
$Maximoownergroup = ClassRegistry::init('MaximoModule.Maximoownergroup');
$Maximoservice = ClassRegistry::init('MaximoModule.Maximoservice');
$Maximoconfiguration = ClassRegistry::init('MaximoModule.Maximoconfiguration');

//set init values
$impactLevel = ['1' => 1, '2' => 2, '3' => 3, '4' => 4];
$urgencyLevel = ['1' => 1, '2' => 2, '3' => 3, '4' => 4];
$maximoConfiguration = [];
$selectedImpactLevel = [];
$selectedUrgencyLevel = [];
$selectedOwnergroupId = [];
$selectedMaximoServiceId = [];

if (!empty($id) && !empty($type)) {
    //host/services exists and will be edited
    $maximoConfiguration = $Maximoconfiguration->getMaximoconfiguration($type, $id);
    if (!empty($maximoConfiguration)) {
        $selectedImpactLevel = $maximoConfiguration['Maximoconfiguration']['impact_level'];
        $selectedUrgencyLevel = $maximoConfiguration['Maximoconfiguration']['urgency_level'];
        $selectedOwnergroupId = $maximoConfiguration['Maximoconfiguration']['maximo_ownergroup_id'];
        $selectedMaximoServiceId = $maximoConfiguration['Maximoconfiguration']['maximo_service_id'];
    }
}

if (!empty($this->validationErrors['Maximoconfiguration'])) {
    //take refill values
    $selectedImpactLevel = $this->CustomValidationErrors->refill('impact_level', '', ['Model' => 'Maximoconfiguration']);
    $selectedUrgencyLevel = $this->CustomValidationErrors->refill('urgency_level', '', ['Model' => 'Maximoconfiguration']);
    $selectedOwnergroupId = $this->CustomValidationErrors->refill('maximo_ownergroup_id', '', ['Model' => 'Maximoconfiguration']);
    $selectedMaximoServiceId = $this->CustomValidationErrors->refill('maximo_service_id', '', ['Model' => 'Maximoconfiguration']);
}

$allMaximoownergroups = $Maximoownergroup->find('all');
$allMaximoservices = $Maximoservice->find('all');

$maximoownergroups = [];
foreach ($allMaximoownergroups as $maximoownergroup) {
    $maximoownergroups[$maximoownergroup['Maximoownergroup']['id']] = $maximoownergroup['Maximoownergroup']['name'];
}
$allMaximoownergroups = $maximoownergroups;

$maximoservices = [];
foreach ($allMaximoservices as $maximoservice) {
    $maximoservices[$maximoservice['Maximoservice']['id']] = $maximoservice['Maximoservice']['name'];
}
$allMaximoservices = $maximoservices;

if (!empty($maximoConfiguration['Maximoconfiguration']['id'])) {
    //need to rename the ID field here. otherwise the maximo ID overrides the host/service ID in edit actions
    echo $this->Form->input('Maximoconfiguration.id', ['type' => 'hidden', 'value' => $maximoConfiguration['Maximoconfiguration']['id']]);
}

echo $this->Form->input('Maximoconfiguration.type', ['type' => 'hidden', 'value' => $type]);

echo $this->Form->input('Maximoconfiguration.impact_level', [
        'options'          => $this->Html->chosenPlaceholder($impactLevel),
        'data-placeholder' => __('Please select...'),
        // 'value' => $this->CustomValidationErrors->refill('impact_level', '', ['Model' => 'Maximoconfiguration']),
        'value'            => $selectedImpactLevel,
        'multiple'         => false,
        'class'            => 'chosen',
        'style'            => 'width: 100%',
        'label'            => ['text' => __('Impact Level'), 'class' => 'col-xs-1 col-md-1 col-lg-1'],
        'wrapInput'        => 'col col-xs-10 col-md-10 col-lg-10',
    ]
);

echo $this->Form->input('Maximoconfiguration.urgency_level', [
        'options'          => $this->Html->chosenPlaceholder($urgencyLevel),
        'data-placeholder' => __('Please select...'),
        //'value' => $this->CustomValidationErrors->refill('urgency_level',4),
        'value'            => $selectedUrgencyLevel,
        'multiple'         => false,
        'class'            => 'chosen',
        'style'            => 'width: 100%',
        'label'            => ['text' => __('Urgency Level'), 'class' => 'col-xs-1 col-md-1 col-lg-1'],
        'wrapInput'        => 'col col-xs-10 col-md-10 col-lg-10',
    ]
);

echo $this->Form->input('Maximoconfiguration.maximo_ownergroup_id', [
        'options'          => $this->Html->chosenPlaceholder($allMaximoownergroups),
        'data-placeholder' => __('Please select...'),
        //'value' => $this->CustomValidationErrors->refill('maximo_ownergroup_id'),
        'value'            => $selectedOwnergroupId,
        'multiple'         => false,
        'class'            => 'chosen',
        'style'            => 'width: 100%',
        'label'            => ['text' => __('Ownergroup'), 'class' => 'col-xs-1 col-md-1 col-lg-1'],
        'wrapInput'        => 'col col-xs-10 col-md-10 col-lg-10',
    ]
);

echo $this->Form->input('Maximoconfiguration.maximo_service_id', [
        'options'          => $this->Html->chosenPlaceholder($allMaximoservices),
        'data-placeholder' => __('Please select...'),
        //'value' => $this->CustomValidationErrors->refill('maximo_service_id'),
        'value'            => $selectedMaximoServiceId,
        'multiple'         => false,
        'class'            => 'chosen',
        'style'            => 'width: 100%',
        'label'            => ['text' => __('Service'), 'class' => 'col-xs-1 col-md-1 col-lg-1'],
        'wrapInput'        => 'col col-xs-10 col-md-10 col-lg-10',
    ]
);
?>