<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

$this->Paginator->options(['url' => $this->params['named']]);
$filter = "/";
foreach ($this->params->named as $key => $value) {
    if (!is_array($value)) {
        $filter .= $key . ":" . $value . "/";
    }
}
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-ticket fa-fw"></i>
            <?php echo __('Maximo'); ?>
            <span>>
                <?php echo __('Ownergroups'); ?>
            </span>
        </h1>
    </div>
</div>

<div id="error_msg"></div>

<section id="widget-grid" class="">

    <div class="row">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <div class="widget-toolbar" role="menu">
                        <?php
                        if ($this->Acl->hasPermission('add')):
                            echo $this->Html->link(__('New'), '/' . $this->params['plugin'] . '/' . $this->params['controller'] . '/add', ['class' => 'btn btn-xs btn-success', 'icon' => 'fa fa-plus']);
                            echo " "; //Need a space for nice buttons
                        endif;
                        echo $this->Html->link(__('Filter'), 'javascript:', ['class' => 'oitc-list-filter btn btn-xs btn-primary toggle', 'hide-on-render' => 'true', 'icon' => 'fa fa-filter']);

                        if ($isFilter):
                            echo " "; //Need a space for html
                            echo $this->ListFilter->resetLink(null, ['class' => 'btn-danger btn-xs', 'icon' => 'fa fa-times'], true);
                        endif;
                        echo $this->AdditionalLinks->renderAsLinks($additionalLinksTop);
                        ?>
                    </div>
                    <div class="jarviswidget-ctrls" role="menu">

                    </div>
                    <span class="widget-icon hidden-mobile"> <i class="fa fa-ticket"></i> </span>
                    <h2 class="hidden-mobile"><?php echo __('Maximo'); ?></h2>

                </header>
                <div>
                    <div class="widget-body no-padding">
                        <?php
                        echo $this->ListFilter->renderFilterbox($filters, [], '<i class="fa fa-filter"></i> ' . __('Filter'), false, false, true);
                        ?>
                        <div class="mobile_table">
                            <table id="host_list" class="table table-striped table-bordered smart-form" style="">
                                <thead>
                                <tr>
                                    <?php $order = $this->Paginator->param('order'); ?>
                                    <th class="no-sort text-center"><i class="fa fa-check-square-o fa-lg"></i></th>
                                    <th class="select_datatable no-sort"><?php echo $this->Utils->getDirection($order, 'Maximoownergroup.name');
                                        echo $this->Paginator->sort('Maximoownergroup.name', 'Name'); ?></th>
                                    <th class="select_datatable no-sort"><?php echo $this->Utils->getDirection($order, 'Maximoownergroup.description');
                                        echo $this->Paginator->sort('Maximoownergroup.description', 'Description'); ?></th>
                                    <th class="no-sort text-center editItemWidth"><i class="fa fa-gear fa-lg"></i></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php
                                foreach ($allMaximoownergroups as $maximoownergroup):
                                    ?>
                                    <tr>
                                        <td class="text-center width-5">
                                            <?php if (!isset($inUseIds[$maximoownergroup['Maximoownergroup']['id']])): ?>
                                                <input type="checkbox" class="massChange"
                                                       maximoownergroupname="<?php echo h($maximoownergroup['Maximoownergroup']['name']); ?>"
                                                       value="<?php echo $maximoownergroup['Maximoownergroup']['id']; ?>">
                                            <?php endif; ?>
                                        </td>
                                        <td><?php echo $maximoownergroup['Maximoownergroup']['name']; ?></td>
                                        <td><?php echo $maximoownergroup['Maximoownergroup']['description']; ?></td>
                                        <td class="width-50">
                                            <div class="btn-group">
                                                <?php if ($this->Acl->hasPermission('edit')): ?>
                                                    <a href="/<?php echo $this->params['plugin'] . '/' . $this->params['controller']; ?>/edit/<?php echo $maximoownergroup['Maximoownergroup']['id']; ?>"
                                                       class="btn btn-default">&nbsp;<i class="fa fa-cog"></i>&nbsp;</a>
                                                <?php else: ?>
                                                    <a href="javascript:void(0);" class="btn btn-default">&nbsp;<i
                                                                class="fa fa-cog"></i>&nbsp;</a>
                                                <?php endif; ?>
                                                <a href="javascript:void(0);" data-toggle="dropdown"
                                                   class="btn btn-default dropdown-toggle"><span
                                                            class="caret"></span></a>
                                                <ul class="dropdown-menu pull-right">
                                                    <?php if ($this->Acl->hasPermission('edit')): ?>
                                                        <li>
                                                            <a href="<?php echo $this->params['controller']; ?>/edit/<?php echo $maximoownergroup['Maximoownergroup']['id']; ?>"><i
                                                                        class="fa fa-cog"></i> <?php echo __('Edit'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if (isset($inUseIds[$maximoownergroup['Maximoownergroup']['id']])): ?>
                                                        <li>
                                                            <a href="<?php echo $this->params['controller']; ?>/usedBy/<?php echo $maximoownergroup['Maximoownergroup']['id']; ?>"><i
                                                                        class="fa fa-reply-all fa-flip-horizontal"></i> <?php echo __('Used By'); ?>
                                                            </a>
                                                        </li>
                                                    <?php endif; ?>
                                                    <?php if ($this->Acl->hasPermission('delete') && !isset($inUseIds[$maximoownergroup['Maximoownergroup']['id']])): ?>
                                                        <li class="divider"></li>
                                                        <li>
                                                            <?php echo $this->Form->postLink('<i class="fa fa-trash-o"></i> ' . __('Delete'), ['plugin' => $this->params['plugin'], 'controller' => $this->params['controller'], 'action' => 'delete', $maximoownergroup['Maximoownergroup']['id']], ['class' => 'txt-color-red', 'escape' => false]); ?>
                                                        </li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                                </tbody>
                            </table>
                            <?php if (empty($allMaximoownergroups)): ?>
                                <div class="noMatch">
                                    <center>
                                        <span class="txt-color-red italic"><?php echo __('No entries match the selection'); ?></span>
                                    </center>
                                </div>
                            <?php endif; ?>

                            <?php echo $this->element('maximoownergroup_mass_changes'); ?>

                            <div style="padding: 5px 10px;">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="dataTables_info" style="line-height: 32px;"
                                             id="datatable_fixed_column_info"><?php echo $this->Paginator->counter(__('paginator.showing') . ' {:page} ' . __('of') . ' {:pages}, ' . __('paginator.overall') . ' {:count} ' . __('entries')); ?></div>
                                    </div>
                                    <div class="col-sm-6 text-right">
                                        <div class="dataTables_paginate paging_bootstrap">
                                            <?php echo $this->Paginator->pagination([
                                                'ul' => 'pagination'
                                            ]); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </article>
    </div>
</section>
<input type="hidden" id="message_in_use" value="<?php echo __('The Ownergroup is used by:'); ?>"/>
<input type="hidden" id="message_ok" value="<?php echo __('Ok'); ?>"/>