<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

$this->Paginator->options(['url' => $this->params['named']]);
$filter = "/";
foreach ($this->params->named as $key => $value) {
    if (!is_array($value)) {
        $filter .= $key . ":" . $value . "/";
    }
}
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-code-fork fa-fw"></i>
            <?php echo __('Maximo Ownergroup'); ?>
            <span>>
                <?php echo __('used by...'); ?>
            </span>
        </h1>
    </div>
</div>

<section id="widget-grid" class="">

    <div class="row">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="jarviswidget jarviswidget-color-blueDark" id="wid-id-1" data-widget-editbutton="false">
                <header>
                    <div class="widget-toolbar" role="menu">
                        <?php echo $this->Utils->backButton(__('Back'), $back_url); ?>
                    </div>

                    <div class="jarviswidget-ctrls" role="menu">
                    </div>
                    <span class="widget-icon"> <i class="fa fa-code-fork"></i> </span>
                    <h2><?php echo __('Maximo Ownergroup'); ?>
                        <strong><?php echo h($ownergroup['Maximoownergroup']['name']); ?></strong> <?php echo __('is used by the following Host and Services'); ?>
                    </h2>
                </header>

                <div>
                    <div class="widget-body no-padding">
                        <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
                            <table id="host_list"
                                   class="table table-striped table-bordered smart-form col-xs-6 col-sm-6 col-md-6 col-lg-6"
                                   style="">
                                <thead>
                                <tr>
                                    <?php $order = $this->Paginator->param('order'); ?>
                                    <th class="no-sort"><?php echo __('Host name'); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php foreach ($usedBy['Hosts'] as $hostId => $host): ?>
                                    <tr>
                                        <td>
                                            <a href="/hosts/browser/<?php echo $hostId; ?>"><?php echo $host; ?></a>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                                </tbody>
                            </table>
                            <?php if (empty($usedBy['Hosts'])): ?>
                                <div class="noMatch">
                                    <center>
                                        <span class="txt-color-red italic"><?php echo __('This Ownergroup is not used by any Host'); ?></span>
                                    </center>
                                </div>
                            <?php endif; ?>
                            <div class="padding-top-10"></div>
                        </div>
                        <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
                            <table id="service_list"
                                   class="table table-striped table-bordered smart-form col-xs-12 col-sm-12 col-md-12 col-lg-12"
                                   style="">
                                <thead>
                                <tr>
                                    <?php $order = $this->Paginator->param('order'); ?>
                                    <th class="no-sort"><?php echo __('Host/Service name'); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php foreach ($usedBy['Services'] as $serviceId => $service): ?>
                                    <tr>
                                        <td>
                                            <a href="/services/browser/<?php echo $serviceId; ?>"><?php echo $service; ?></a>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                                </tbody>
                            </table>
                            <?php if (empty($usedBy['Services'])): ?>
                                <div class="noMatch">
                                    <center>
                                        <span class="txt-color-red italic"><?php echo __('This Ownergroup is not used by any service'); ?></span>
                                    </center>
                                </div>
                            <?php endif; ?>
                            <div class="padding-top-10"></div>
                        </div>
                    </div>
                </div>
            </div>
    </div>
</section>