<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
class MkagentsController extends MkModuleAppController {

    public $layout = 'Admin.default';

    public $components = [
        'ListFilter.ListFilter',
        'RequestHandler',
        'AdditionalLinks',
    ];
    public $helpers = ['ListFilter.ListFilter'];

    public $uses = ['MkModule.Mkagent'];

    public $listFilters = [
        'index' => [
            'fields' => [
                'Mkagent.name'         => ['label' => 'Name', 'searchType' => 'wildcard'],
                'Mkagent.description'  => ['label' => 'Description', 'searchType' => 'wildcard'],
                'Mkagent.command_line' => ['label' => 'Command', 'searchType' => 'wildcard'],
            ],
        ]
    ];

    public function index() {
        $all_mkagents = $this->Paginator->paginate();

        $this->set('all_agents', $all_mkagents);

        $this->set('isFilter', false);
        if (isset($this->request->data['Filter']) && $this->request->data['Filter'] !== null) {
            $this->set('isFilter', true);
        }

    }

    public function add() {
        if ($this->request->is('post') || $this->request->is('put')) {
            if ($this->Mkagent->save($this->request->data)) {
                $this->setFlash(__('Check_MK Agent added successfully'));
                $this->redirect(['action' => 'index']);
            } else {
                $this->setFlash(__('Data could not be saved'), false);
            }
        }


        if ($this->hasRootPrivileges === true) {
            $containers = $this->Tree->easyPath($this->MY_RIGHTS, OBJECT_HOST, [], $this->hasRootPrivileges);
        } else {
            $containers = $this->Tree->easyPath($this->getWriteContainers(), OBJECT_HOST, [], $this->hasRootPrivileges);
        }

        $this->set(compact(['containers']));
    }

    public function edit($mkagent_id = null) {
        if (!$this->Mkagent->exists($mkagent_id)) {
            throw new NotFoundException(__('Invalid check_MK Agent'));
        }

        if ($this->request->is('post') || $this->request->is('put')) {
            if ($this->Mkagent->save($this->request->data)) {
                $this->setFlash(__('Check modified successfully'));
                $this->redirect(['action' => 'index']);
            } else {
                $this->setFlash(__('Data could not be saved'), false);
            }
        }

        $mkagent = $this->Mkagent->findById($mkagent_id);
        if ($this->hasRootPrivileges === true) {
            $containers = $this->Tree->easyPath($this->MY_RIGHTS, OBJECT_HOST, [], $this->hasRootPrivileges);
        } else {
            $containers = $this->Tree->easyPath($this->getWriteContainers(), OBJECT_HOST, [], $this->hasRootPrivileges);
        }
        $this->set(compact(['mkagent', 'containers']));
    }

    public function delete($mkagent_id = null) {
        if (!$this->Mkagent->exists($mkagent_id)) {
            throw new NotFoundException(__('Invalid check_MK Agent'));
        }

        if (!$this->request->is('post')) {
            throw new MethodNotAllowedException();
        }

        if ($this->Mkagent->delete($mkagent_id)) {
            $this->setFlash(__('Check_MK Agent deleted'));
            $this->redirect(['action' => 'index']);
        }
        $this->setFlash(__('Could not delete Check_MK Agent'), false);
        $this->redirect(['action' => 'index']);
    }


}