<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
class MkchecksController extends MkModuleAppController {
    public $layout = 'Admin.default';

    public $components = [
        'ListFilter.ListFilter',
        'RequestHandler',
        'AdditionalLinks',
    ];
    public $helpers = ['ListFilter.ListFilter'];

    public $uses = ['MkModule.Mkcheck', 'Servicetemplate'];

    public $listFilters = [
        'index' => [
            'fields' => [
                'Mkcheck.name'         => ['label' => 'Check name', 'searchType' => 'wildcard'],
                'Servicetemplate.name' => ['label' => 'Service template', 'searchType' => 'wildcard'],
            ],
        ]
    ];

    public function index() {
        $all_mkchecks = $this->Paginator->paginate();

        $this->set('all_mkchecks', $all_mkchecks);
    }

    public function add() {
        if ($this->request->is('post') || $this->request->is('put')) {
            if ($this->Mkcheck->save($this->request->data)) {
                $this->setFlash(__('Check added successfully'));
                $this->redirect(['action' => 'index']);
            } else {
                $this->setFlash(__('Data could not be saved'), false);
            }
        }


        $servicetemplates = $this->Servicetemplate->find('list', [
            'conditions' => [
                'servicetemplatetype_id' => MK_SERVICE,
            ],
        ]);
        $this->set(compact(['mkcheck', 'servicetemplates']));
    }

    public function edit($mkcheck_id = null) {
        if (!$this->Mkcheck->exists($mkcheck_id)) {
            throw new NotFoundException(__('Invalid check'));
        }

        if ($this->request->is('post') || $this->request->is('put')) {
            if ($this->Mkcheck->save($this->request->data)) {
                $this->setFlash(__('Check modified successfully'));
                $this->redirect(['action' => 'index']);
            } else {
                $this->setFlash(__('Data could not be saved'), false);
            }
        }

        $mkcheck = $this->Mkcheck->findById($mkcheck_id);
        $servicetemplates = $this->Servicetemplate->find('list', [
            'conditions' => [
                'servicetemplatetype_id' => MK_SERVICE,
            ],
        ]);
        $this->set(compact(['mkcheck', 'servicetemplates']));
    }

    public function delete($mkcheck_id = null) {
        if (!$this->Mkcheck->exists($mkcheck_id)) {
            throw new NotFoundException(__('Invalid check'));
        }

        if (!$this->request->is('post')) {
            throw new MethodNotAllowedException();
        }

        if ($this->Mkcheck->delete($mkcheck_id)) {
            $this->setFlash(__('Check deleted'));
            $this->redirect(['action' => 'index']);
        }
        $this->setFlash(__('Could not delete check'), false);
        $this->redirect(['action' => 'index']);
    }
}
