<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
class MkservicetemplatesController extends MkModuleAppController {
    public $layout = 'Admin.default';

    public $components = [
        'ListFilter.ListFilter',
        'RequestHandler',
        'AdditionalLinks',
    ];
    public $helpers = ['ListFilter.ListFilter'];

    public $uses = ['Servicetemplate'];

    public $listFilters = [
        'index' => [
            'fields' => [
                'Servicetemplate.name' => ['label' => 'Name', 'searchType' => 'wildcard'],
            ],
        ]
    ];

    public function index() {
        $query = [
            'recursive'  => -1,
            'conditions' => [
                'Servicetemplate.servicetemplatetype_id' => MK_SERVICE,
                'Container.id'                           => $this->MY_RIGHTS,
            ],
            'fields'     => [
                'Servicetemplate.id',
                'Servicetemplate.uuid',
                'Servicetemplate.name',
                'Servicetemplate.container_id',
                'Container.*'
            ],
            'contain'    => [
                'Container'
            ]
        ];

        if (isset($this->Paginator->settings['conditions'])) {
            $query['conditions'] = Hash::merge($this->Paginator->settings['conditions'], $query['conditions']);
        }

        $this->Paginator->settings = array_merge($this->Paginator->settings, $query);

        $all_servicetemplates = $this->Paginator->paginate();
        $this->set('all_servicetemplates', $all_servicetemplates);
    }
}
