<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, version 3 of the License.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

// 2.
//	If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//	under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//	License agreement and license key will be shipped with the order
//	confirmation.

use itnovum\openITCOCKPIT\Core\Hoststatus;
use itnovum\openITCOCKPIT\Core\Views\Host;

$Host = new Host($host);
if (!isset($hoststatus['Hoststatus'])):
    $hoststatus['Hoststatus'] = [];
endif;
$Hoststatus = new Hoststatus($hoststatus['Hoststatus']);

?>

<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-6 col-lg-6">
        <h1 class="page-title <?php echo $Hoststatus->HostStatusColor(); ?>">
            <?php echo $Hoststatus->getHostFlappingIconColored(); ?>
            <i class="fa fa-desktop fa-fw"></i>
            <?php echo h($Host->getHostname()) ?>
            <span>
                (<?php echo h($Host->getAddress()) ?>)
            </span>
        </h1>
    </div>
    <div class="col-xs-12 col-sm-5 col-md-6 col-lg-6">
        <h5>
            <div class="pull-right">
                <a href="/hosts/browser/<?php echo $service['Host']['id']; ?>" class="btn btn-primary btn-sm"><i
                            class="fa fa-arrow-circle-left"></i> <?php echo $this->Html->underline('b', __('Back to Host')); ?>
                </a>
                <a href="<?= $this->here ?>" data-original-title="<?php echo __('Refresh'); ?>" data-placement="bottom"
                   rel="tooltip" class="btn btn-default btn-sm"><i class="fa fa-refresh fa-lg"></i></a>
            </div>
        </h5>
    </div>
</div>
<section id="widget-grid" class="">
    <div class="row">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div id="wid-id-1" class="jarviswidget jarviswidget-color-blueDark" data-widget-editbutton="false">
                <header>
                    <input type="hidden" id="hostUuid" value="<?php echo $service['Host']['uuid']; ?>">
                    <input type="hidden" id="serviceName" value="<?php echo $service['Service']['name']; ?>">
                    <div id="switch-1" class="widget-toolbar" role="menu">
                        <?php
                        echo $this->Form->create('mklogs', [
                            'class' => 'form-horizontal clear',
                            'url'   => '/mk_module/mk_logfile/showCheckMKLogfile/' . $service['Service']['id'],
                        ]);

                        ?>

                        <div class="widget-toolbar pull-left" role="menu">
                            <span style="line-height: 32px;" class="pull-left"><?php echo __('From:'); ?></span>
                            <input class="form-control text-center pull-left margin-left-10" style="width: 78%;"
                                   type="text" maxlength="255" value="<?= $filterFrom ?>" name="from">
                        </div>

                        <div class="widget-toolbar pull-left" role="menu">
                            <span style="line-height: 32px;" class="pull-left"><?php echo __('To:'); ?></span>
                            <input class="form-control text-center pull-left margin-left-10" style="width: 85%;"
                                   type="text" maxlength="255" value="<?= $filterTo ?>" name="to">
                        </div>

                        <button class="btn btn-xs btn-success toggle"><i
                                    class="fa fa-check"></i> <?php echo __('Apply'); ?></button>

                        <?= $this->Form->end() ?>
                    </div>


                    <div class="jarviswidget-ctrls" role="menu"></div>
                    <span class="widget-icon"> <i class="fa fa-cog"></i> </span>
                    <h2><a href="/services/browser/<?php echo $service['Service']['id']; ?>"
                           style="color:#FFF;"><?php echo $service['Service']['name']; ?></a></h2>
                </header>
                <div>
                    <div class="widget-body no-padding">
                        <table id="service_list" class="table table-striped table-hover table-bordered smart-form"
                               style="">
                            <thead>
                            <tr>
                                <?php $order = $this->Paginator->param('order'); ?>
                                <th class="select_datatable no-sort">&nbsp;</th>
                                <th class="no-sort"><?php echo __('State'); ?></th>
                                <th class="no-sort"><?php echo __('Time'); ?></th>
                                <th class="no-sort"><?php echo __('Output'); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php foreach ($logfileContent as $time => $values): ?>
                                <tr>
                                    <td class="text-center width-5">
                                        <input type="checkbox" array-index="<?= $time ?>" class="massChange"
                                               servicename="" name="<?= $time ?>">
                                    </td>
                                    <td class="text-center width-10">
                                        <?php
                                        $timeComponents = explode(" ", $time);
                                        $state = array_slice($timeComponents, -1, 1);
                                        $pureTime = str_replace($state[0], '', $time);
                                        $logClass = 'default';
                                        if ($state[0] === 'CRIT') {
                                            $logClass = 'danger';
                                        } else if ($state[0] === 'WARN') {
                                            $logClass = 'warning';
                                        }
                                        ?>
                                        <div class="btn btn-<?= $logClass ?> btn-xs status-circle" style=""></div>
                                    </td>
                                    <td style="width:100px;"><?= $pureTime ?></td>
                                    <td><?= implode('<br />', $values) ?></td>
                                </tr>
                            <?php endforeach; ?>
                            </tbody>
                        </table>
                        <div class="dt-toolbar-footer">
                            <div class="col-xs-12 col-sm-6"></div>
                            <div class="col-xs-12 col-sm-6"></div>
                        </div>
                    </div>

                    <div class="row" style="padding: 15px 10px;">
                        <div class="col-xs-12 col-md-2 text-muted">
                            <center><span id="selectionCount"></span></center>
                        </div>
                        <div class="col-xs-12 col-md-2 "><span id="selectAll" class="pointer"><i
                                        class="fa fa-lg fa-check-square-o"></i> <?php echo __('Select all'); ?></span>
                        </div>
                        <div class="col-xs-12 col-md-2"><span id="untickAll" class="pointer"><i
                                        class="fa fa-lg fa-square-o"></i> <?php echo __('Undo selection'); ?></span>
                        </div>
                        <div class="col-xs-12 col-md-2"><a href="javascript:void(0);" id="deleteAllSelectedEntries"
                                                           class="txt-color-red" style="text-decoration: none;"> <i
                                        class="fa fa-lg fa-trash-o"></i> Delete</a></div>
                    </div>
                </div>
            </div>
        </article>
    </div>

</section>
