<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-share-alt fa-fw "></i>
            <?php echo __('Monitoring'); ?>
            <span>>
                <?php echo __('Check_MK scan'); ?>
			</span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>

<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon"> <i class="fa fa-share-alt"></i> </span>
        <h2><?php echo __('Scan device: %s (%s)', h($host['Host']['name']), h($host['Host']['address'])); ?></h2>
        <div class="widget-toolbar" role="menu"></div>
    </header>
    <div>
        <div class="widget-body">
            <div id="loader">
                <div class="row">
                    <?= $this->Form->input('agent-id', [
                        'options'          => $this->Html->chosenPlaceholder($allMkAgents),
                        'data-placeholder' => __('Please select...'),
                        'class'            => 'chosen col col-xs-12',
                        'label'            => ['text' => __('Check_MK Agent'), 'class' => 'col-xs-2 text-right'],
                        'wrapInput'        => 'col col-xs-10 col-md-8 col-lg-6',
                        'selected'         => $selectedAgent
                    ]);
                    ?>
                </div>
                <div class="row">
                    <div class="col col-xs-10 col-md-8 col-lg-6 margin-top-10 col-xs-offset-2">
                        <?= $this->Form->button(__('Execute discovery'), ['type' => 'button', 'id' => 'execute-discovery', 'class' => 'btn btn-primary']); ?>
                    </div>
                </div>
                <?php /*
                    $disabled = '';
                    if (!$mkRunning):
                        $disabled = 'disabled="disabled"';
                    endif;

                    <button type="button" class="btn btn-primary"
                            id="exec_remote_discovery" $disabled; > __('Execute remote discovery'); </button>
                    <br/>
                    <br/>
                    <a href="/mk_module/snmp/index/ $host_id; "
                       class="btn btn-default">__('Execute SNMP discovery');&nbsp;</a>
                    */
                ?>

            </div>
            <div id="formContent" style="display:none">
                <div class="row">
                    <div class="col-xs-12 col-md-9 col-lg-7">
                        <?php
                        echo $this->Form->create('Scan', [
                            'class' => 'form-horizontal clear',
                        ]);
                        $hostdowntimetyps = [
                            0 => __('Individual host'),
                            1 => __('Host including services'),
                            2 => __('Host and dependent Hosts (triggered)'),
                            3 => __('Host and dependent Hosts (non-triggered)'),
                        ];
                        ?>
                        <?php echo $this->Form->input('health', ['options' => [], 'multiple' => true, 'label' => __('Health'), 'class' => 'chosen col col-xs-12']); ?>
                        <?php echo $this->Form->input('ps', ['options' => [], 'multiple' => true, 'label' => __('Processes'), 'class' => 'chosen col col-xs-12']); ?>
                        <?php echo $this->Form->input('services', ['options' => [], 'multiple' => true, 'label' => __('Services'), 'class' => 'chosen col col-xs-12']); ?>
                    </div>
                    <div class="col-xs-12 col-md-9 col-lg-7">
                        <div id="missingTemplateContainer" style="display:none;">
								<span>
									<i class="fa fa-info"></i> <?php echo __('Before you are able to monitor the following metrics, it is required that an appropriate'); ?>
                                    <a href="/mk_module/mkchecks"><?php echo __('service template'); ?></a>
                                    <?php echo __('has been created.'); ?>
								</span>
                            <table class="table table-bordered" id="missingTemplates">
                                <thead>
                                <tr>
                                    <th><?php echo __('MK Check'); ?></th>
                                    <th class="text-info"><?php echo __('Item'); ?></th>
                                    <th><?php echo __('Parameters'); ?></th>
                                    <th class="txt-color-green"><?php echo __('Description'); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <!-- Content added by JavaScript -->
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <?php echo $this->Form->formActions(null, [
                    'cancelButton' => [
                        'title' => __('Cancel'),
                        'url'   => $back_url,
                    ],
                ]); ?>
            </div>
        </div>
    </div>
</div>
