<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-share-alt fa-fw "></i>
            <?php echo __('Monitoring'); ?>
            <span>>
                <?php echo __('Check_MK SNMP'); ?>
			</span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>

<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon"> <i class="fa fa-share-alt"></i> </span>
        <h2><?php echo __('Scan device: %s (%s)', h($host['Host']['name']), h($host['Host']['address'])); ?></h2>
        <div class="widget-toolbar" role="menu">
            <a class="btn btn-primary btn-xs" href="/mk_module/scans/index/<?php echo $host['Host']['id']; ?>"><i
                        class="glyphicon glyphicon-white glyphicon-arrow-left"></i> <?php echo __('Back to remote discovery'); ?>
            </a>
        </div>
    </header>
    <div>
        <div class="widget-body">
            <div id="formContent" style="">
                <div class="row">
                    <div class="col-xs-12 col-md-9 col-lg-7">
                        <?php
                        echo $this->Form->create('Mksnmp', [
                            'class'        => 'form-horizontal clear',
                            'autocomplete' => 'off',
                        ]);
                        ?>
                        <?php echo $this->Form->input('hostname', ['label' => __('Hostname'), 'disabled' => true, 'value' => $host['Host']['name']]); ?>
                        <hr/>
                        <?php echo $this->Form->input('version', ['options' => $snmpVersions, 'multiple' => false, 'label' => __('SNMP Version'), 'class' => 'chosen col col-xs-12']); ?>
                        <div id="v1_v2_options">
                            <?php echo $this->Form->input('community', ['label' => __('Community')]); ?>
                        </div>
                        <div id="v3_options" style="display:none;">
                            <?php echo $this->Form->input('security_level', ['options' => $securityLevel, 'multiple' => false, 'label' => __('Security level'), 'class' => 'chosen col col-xs-12']); ?>
                            <?php echo $this->Form->input('hash_algorithm', ['options' => $hashAlgorithm, 'multiple' => false, 'label' => __('Hash algorithm'), 'class' => 'chosen col col-xs-12']); ?>
                            <?php echo $this->Form->input('username', ['label' => __('Username')]); ?>
                            <?php echo $this->Form->input('password', ['label' => __('Password'), 'type' => 'password']); ?>
                            <?php echo $this->Form->input('encryption_algorithm', ['options' => $encryptionAlgorithm, 'multiple' => false, 'label' => __('Encryption algorithm'), 'class' => 'chosen col col-xs-12']); ?>
                            <?php echo $this->Form->input('encryption_password', ['label' => __('Encryption password'), 'type' => 'password']); ?>
                        </div>
                    </div>
                </div>
                <?php echo $this->Form->formActions(__('Save and run SNMP discovery'), [
                    'cancelButton' => [
                        'title' => __('Cancel'),
                        'url'   => $back_url,
                    ],
                ]); ?>
            </div>
        </div>
    </div>
</div>