// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
App.Controllers.ScansIndexController = Frontend.AppController.extend({

    hostId: null,
    $ajaxLoader: null,
    $formContent: null,
    $healthSelectbox: null,
    $processSelectbox: null,
    $serviceSelectbox: null,
    ajax1: false,
    ajax2: false,
    $missingTemplatesTable: null,


    _initialize: function(){
        this.agentId = 0;
        this.hostId = this.getVar('hostId');
        this.$ajaxLoader = $('#loader');
        this.$formContent = $('#formContent');


        /*
         * Select <select> objects to fill with ajax
         */
        this.$healthSelectbox = $('#ScanHealth');
        this.$processSelectbox = $('#ScanPs');
        this.$serviceSelectbox = $('#ScanServices');
        this.$missingTemplatesTable = $('#missingTemplates tr:last');

        /*
         * Bind click event on execute remote discovery button
         */
        var self = this;

        $('#execute-discovery').click(function(){
            if($('#agent-id').val() == -1){
                window.location.href = "/mk_module/snmp/index/" + self.hostId;
            }else{
                self.agentId = $('#agent-id').val();
                self.executeRemoteDiscovery();
            }
        });
    },

    executeRemoteDiscovery: function($agentId){
        this.$ajaxLoader.html('<center><i class="fa fa-cog fa-4x fa-spin"></i><br /><span>' + this.getVar('executing_remote_discovery') + '</span></center>');
        this.ajaxHealthList(function(response){
            for(var key in response.responseJSON.discoveryResult.result){
                this.$healthSelectbox.append('<option value="' + key + '">' + response.responseJSON.discoveryResult.result[key].description + '</option>');
            }

            if(sizeof(response.responseJSON.discoveryResult.missing_template) > 0){
                for(var key in response.responseJSON.discoveryResult.missing_template){
                    this.$missingTemplatesTable.after('<tr><td>' + response.responseJSON.discoveryResult.missing_template[key].checktype + '</td><td class="text-info">' + response.responseJSON.discoveryResult.missing_template[key].item + '</td><td>' + response.responseJSON.discoveryResult.missing_template[key].params + '</td><td class="txt-color-green">' + response.responseJSON.discoveryResult.missing_template[key].description + '</td></tr>');
                }
                $('#missingTemplateContainer').show();
            }

            this.ajax1 = true;
            if(this.ajax1 && this.ajax2){
                this.$ajaxLoader.hide();
                this.$formContent.show();
                $('.chosen-container').css('width', '100%');
                this.$healthSelectbox.trigger("chosen:updated");
                this.$processSelectbox.trigger("chosen:updated");
                this.$serviceSelectbox.trigger("chosen:updated");
            }
        }.bind(this));


        this.ajaxProcessList(function(response){
            for(var key in response.responseJSON.MkProcesses.ps){
                this.$processSelectbox.append('<option value="' + key + '">' + response.responseJSON.MkProcesses.ps[key].description + '</option>');
            }

            for(var key in response.responseJSON.MkProcesses.services){
                this.$serviceSelectbox.append('<option value="' + key + '">' + response.responseJSON.MkProcesses.services[key].description + '</option>');
            }

            this.ajax2 = true;
            if(this.ajax1 && this.ajax2){
                this.$ajaxLoader.hide();
                this.$formContent.show();
                $('.chosen-container').css('width', '100%');
                this.$healthSelectbox.trigger("chosen:updated");
                this.$processSelectbox.trigger("chosen:updated");
                this.$serviceSelectbox.trigger("chosen:updated");
            }
        }.bind(this));
    },

    ajaxHealthList: function(callback){
        $.ajax({
            url: "/mk_module/scans/ajaxHealthList/" + encodeURIComponent(this.hostId) + ".json",
            data: {agentId: this.agentId},
            type: "POST",
            cache: false,
            //async: false,
            error: function(){
            },
            success: function(){
            },
            complete: callback
        });
    },

    ajaxProcessList: function(callback){
        $.ajax({
            url: "/mk_module/scans/ajaxProcessList/" + encodeURIComponent(this.hostId) + ".json",
            data: {agentId: this.agentId},
            type: "POST",
            cache: false,
            //async: false,
            error: function(){
            },
            success: function(){
            },
            complete: callback
        });
    }

});