<?php
// Copyright (C) <2018>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, version 3 of the License.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// 2.
//  If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//  under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//  License agreement and license key will be shipped with the order
//  confirmation.


/**
 * Class OpenstreetmapSettingsController
 * @property OpenstreetmapSetting $OpenstreetmapSetting
 */
class OpenstreetmapSettingsController extends OpenstreetmapModuleAppController {

    public $layout = 'angularjs';
    public $uses = [
        'OpenstreetmapModule.OpenstreetmapSetting',
    ];

    public function index() {
        if (!$this->isAngularJsRequest()) {
            //Only ship html template
            return;
        }

        if ($this->isAngularJsRequest()) {
            $settings = $this->OpenstreetmapSetting->getSettings();
            if ($this->request->is('GET')) {
                $this->set('settings', $settings);
                $this->set('_serialize', ['settings']);
                return;
            }
            if ($this->request->is('POST')) {
                $this->request->data['OpenstreetmapSetting']['id'] = 1;
                $data = $this->request->data;
                //var_dump($data);
                $data['OpenstreetmapSetting']['state_filter'] = $this->OpenstreetmapSetting->filteredStatesToBitOperator($data['OpenstreetmapSetting']['state_filter']);
                if ($this->OpenstreetmapSetting->save($data)) {
                    $this->set('settings', $this->request->data);
                    $this->set('_serialize', ['settings']);
                    return;
                }
                $this->serializeErrorMessage();
            }
        }
    }
}
