<?php
/**
 * // Copyright (C) <2018>  <it-novum GmbH>
 * //
 * // This file is dual licensed
 * //
 * // 1.
 * //    This program is free software: you can redistribute it and/or modify
 * //    it under the terms of the GNU General Public License as published by
 * //    the Free Software Foundation, version 3 of the License.
 * //
 * //    This program is distributed in the hope that it will be useful,
 * //    but WITHOUT ANY WARRANTY; without even the implied warranty of
 * //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * //    GNU General Public License for more details.
 * //
 * //    You should have received a copy of the GNU General Public License
 * //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * //
 * // 2.
 * //    If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 * //    under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 * //    License agreement and license key will be shipped with the order
 * //    confirmation.
 */
?>

<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-map-o fa-fw "></i>
            <?php echo __('OpenStreetMap Module') ?>
            <span>>
                <?php echo __('Index'); ?>
            </span>
        </h1>
    </div>
</div>
<div ng-cloak ng-style="{display: (parametersMissing === true && initParametersMissing === true)?'none':'block'}">
    <div class="jarviswidget">
        <header>
            <span class="widget-icon"> <i class="fa fa-filter"></i> </span>
            <h2><?php echo __('Temporary OpenStreetMap filter'); ?></h2>
            <div class="widget-toolbar" role="menu">
                <button type="button" class="btn btn-xs btn-primary" ng-click="triggerFilter()">
                    <i class="fa fa-filter"></i>
                    <?php echo __('Filter'); ?>
                </button>

                <button type="button" class="btn btn-xs btn-danger" ng-click="problemsOnly()">
                    <i class="fa fa-exclamation-triangle"></i>
                    <?php echo __('Unhandled only'); ?>
                </button>
            </div>
        </header>
        <div ng-show="showFilter">
            <div class="widget-body no-padding">
                <div class="list-filter well">
                    <div class="row">

                        <div class="col-xs-12 col-md-3">
                            <fieldset>
                                <legend><?php echo __('Location status'); ?></legend>
                                <div class="form-group smart-form">
                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="filterStates.not_monitored"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-primary"></i>
                                        <?php echo __('Not monitored'); ?>
                                    </label>

                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="filterStates.up_ok"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-success"></i>
                                        <?php echo __('Up / Ok'); ?>
                                    </label>

                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="filterStates.warning"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-warning"></i>
                                        <?php echo __('Warning'); ?>
                                    </label>

                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="filterStates.down_critical"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-danger"></i>
                                        <?php echo __('Down / Critical'); ?>
                                    </label>

                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="filterStates.unreachable_unknown"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-default"></i>
                                        <?php echo __('Unreachable / Unknown'); ?>
                                    </label>
                                </div>
                            </fieldset>
                        </div>


                        <div class="col-xs-12 col-md-3">
                            <fieldset>
                                <legend><?php echo __('Empty locations'); ?></legend>
                                <div class="form-group smart-form">
                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="hideEmptyLocations"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-primary"></i>
                                        <?php echo __('Hide empty locations'); ?>
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                    <div class="row" style="margin-top:15px" ng-if="emptyLocations.length > 0">
                        <div class="form-group" ng-class="{'has-error': errors.emptyLocations}">
                            <label class="col col-md-2 control-label">
                                <?php echo __('Empty Locations'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <div>
                                    <p>
                                        <a ng-repeat="location in emptyLocations"
                                           href="/locations/edit/{{location.Location.id}}">{{location.Container.name}}, </a>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="pull-right margin-top-10">
                                <button type="button" ng-click="resetFilter()"
                                        class="btn btn-xs btn-danger">
                                    <?php echo __('Reset Filter'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div ng-cloak ng-style="{display: (parametersMissing === true)?'block':'none'}">
    <div id="parametersMissing" class="jarviswidget" ng-if="parametersMissing || unfilteredLocationsAvailable === 0">
        <header>
            <span class="widget-icon"> <i class="fa fa-exclamation-triangle text-danger"></i> </span>
            <h2 class="text-danger-important"><?php echo __('Missing configuration or location settings'); ?></h2>
        </header>
        <div>
            <div class="widget-body padding-20">
                <div ng-cloak ng-if="parametersMissing">
                    <div class="alert alert-danger">
                        <i class="fa-fw fa fa-times"></i>
                        <?php if ($this->Acl->hasPermission('index', 'openstreetmapsettings', 'openstreetmapmodule')): ?>
                            <a href="/openstreetmap_module/openstreetmap_settings/index" target="_blank"
                               class="txt-color-white">
                                <i class="fa fa-cogs"></i>
                                <?php echo __('Configuration / OpenStreetMap Settings'); ?>
                            </a>
                        <?php else: ?>
                            <?php echo __('No OpenStreetMap Settings defined'); ?>
                        <?php endif ?>
                    </div>
                </div>
                <div ng-cloak ng-if="locations.length === 0">
                    <div class="alert alert-info">
                        <i class="fa-fw fa fa-info-circle"></i>
                        <?php if ($this->Acl->hasPermission('index', 'locations', '')): ?>
                            <a href="/locations/index" target="_blank">
                                <i class="fa fa-location-arrow"></i>
                                <?php echo __('Basic Monitoring / Locations'); ?>
                            </a>
                        <?php else: ?>
                            <?php echo __('Missing  Settings'); ?>
                        <?php endif ?>
                        <?php echo __('No locations with longitude and latitude parameter defined'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row" ng-style="{display: (parametersMissing === true)?'none':'block'}">
    <div class="col-xs-12 no-padding">
        <div id="map"></div>
        <div id="legend">
            <div id="legend-inner">
                <div class="gradient">
                    <div class="limit"></div>
                </div>
                <div class="labels">
                    <div class="label" style="bottom: 99%;">
                        <?php echo __('Unreachable | Unknown'); ?>
                    </div>
                    <div class="label" style="bottom: 75%;">
                        <?php echo __('Down | Critical'); ?>
                    </div>
                    <div class="label" style="bottom: 50%;">
                        <?php echo __('Warning'); ?>
                    </div>
                    <div class="label" style="bottom: 25%;">
                        <?php echo __('Up | Ok'); ?>
                    </div>
                    <div class="label" style="bottom: 0%;">
                        <?php echo __('Not monitored'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<openstreetmap-summary></openstreetmap-summary>
