<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, version 3 of the License.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// 2.
//  If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//  under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//  License agreement and license key will be shipped with the order
//  confirmation.
?>
<div class="map-summary-state-popover col-xs-12 no-padding animated slideInRight map-popover-scrollable"
     ng-if="summary"
     ng-click="hideTooltip($event)"
     ng-mouseover="stopInterval()"
     ng-mouseleave="startInterval()">
    <section>
        <div class="row">
            <article>
                <div class="jarviswidget bg-color-white">
                    <header>
                        <h2 class="bold txt-color-blueDark">
                            <i class="fa fa-location-arrow fa-lg txt-color-blueDark"></i>
                            <?php echo __('Locations'); ?>
                        </h2>
                        <div class="col-md-12 no-padding">
                            <div class="tooltipProgressBar" style="width: {{percentValue}}%;"></div>
                        </div>
                    </header>
                    <div ng-repeat="(locationId, summaryState) in summary" class="padding-5">
                        <div class="txt-color-blueDark font-xs no-padding">
                            <div class="col-md-12 font-md font-bolt">
                                <i class="fa fa-home" aria-hidden="true"></i>
                                <a ng-init="locationLink=getObjectHref('location', locationId)"
                                   ng-href="{{ locationLink }}">
                                    {{summaryState.Location.Container.name}}
                                </a>
                            </div>
                            <div ng-if="!summaryState.Location.noObjectsInMonitoring">
                                <div class="col-md-12 padding-top-5">
                                    <div class="col-md-4">
                                        <?php echo __('Summary state'); ?>
                                    </div>
                                    <div class="col-md-8 no-padding"
                                         ng-show="summaryState.HostSummary.total > 0|| summaryState.ServiceSummary.total > 0">
                                        <div class="text-center txt-color-white text-capitalize bg-{{ summaryState.CumulatedHumanState}}">
                                            {{summaryState.CumulatedHumanState}}
                                        </div>
                                    </div>
                                    <div class="col-md-8 no-padding"
                                         ng-show="summaryState.HostSummary.total == 0 && summaryState.ServiceSummary.total == 0">
                                        <div class="text-center txt-color-white text-capitalize bg-primary">
                                            {{summaryState.CumulatedHumanState}}
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 padding-top-5">
                                    <div class="col-md-4">
                                        <?php echo __('Summary output'); ?>
                                    </div>
                                    <div class="col-md-4 no-padding">
                                        <?php echo __('Hosts: '); ?>{{summaryState.HostSummary.total}}
                                    </div>
                                    <div class="col-md-4 no-padding">
                                        <?php echo __('Services: '); ?>{{summaryState.ServiceSummary.total}}
                                    </div>
                                </div>
                                <div class="col-md-12 padding-top-5">
                                    <div class="col-md-4">
                                        <?php echo __('Hosts overview'); ?>
                                    </div>
                                    <div class="col-md-8 no-padding">
                                        <div class="btn-group btn-group-justified" role="group">
                                            <a class="btn btn-success state-button-small font-sm"
                                               ng-init="linkHostUp=getObjectsHref('host', summaryState.HostIdsGroupByState[0])"
                                               ng-href="{{ linkHostUp }}">
                                                {{summaryState.HostSummary.state[0]}}
                                            </a>
                                            <a class="btn btn-danger state-button-small font-sm"
                                               ng-init="linkHostDown=getObjectsHref('host', summaryState.HostIdsGroupByState[1])"
                                               ng-href="{{ linkHostDown }}">
                                                {{summaryState.HostSummary.state[1]}}
                                            </a>
                                            <a class="btn btn-default state-button-small font-sm"
                                               ng-init="linkHostUnreachable=getObjectsHref('host', summaryState.HostIdsGroupByState[2])"
                                               ng-href="{{ linkHostUnreachable }}">
                                                {{summaryState.HostSummary.state[2]}}
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 padding-top-5">
                                    <div class="col-md-4">
                                        <?php echo __('Services overview'); ?>
                                    </div>
                                    <div class="col-md-8 no-padding">
                                        <div class="btn-group btn-group-justified" role="group">
                                            <a class="btn btn-success state-button-small font-sm"
                                               ng-init="linkServiceOk=getObjectsHref('service', summaryState.ServiceIdsGroupByState[0])"
                                               ng-href="{{ linkServiceOk }}">
                                                {{summaryState.ServiceSummary.state[0]}}
                                            </a>
                                            <a class="btn btn-warning state-button-small font-sm"
                                               ng-init="linkServiceWarning=getObjectsHref('service', summaryState.ServiceIdsGroupByState[1])"
                                               ng-href="{{ linkServiceWarning }}">
                                                {{summaryState.ServiceSummary.state[1]}}
                                            </a>
                                            <a class="btn btn-danger state-button-small font-sm"
                                               ng-init="linkServiceCritical=getObjectsHref('service', summaryState.ServiceIdsGroupByState[2])"
                                               ng-href="{{ linkServiceCritical }}">
                                                {{summaryState.ServiceSummary.state[2]}}
                                            </a>
                                            <a class="btn btn-default state-button-small font-sm"
                                               ng-init="linkServiceUnknown=getObjectsHref('service', summaryState.ServiceIdsGroupByState[3])"
                                               ng-href="{{ linkServiceUnknown }}">
                                                {{summaryState.ServiceSummary.state[3]}}
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 padding-top-5" ng-show="summaryState.Location.noObjectsInMonitoring">
                                <div class="col-md-4">
                                    <?php echo __('Summary state'); ?>
                                </div>
                                <div class="col-md-8 text-center txt-color-white bg-primary">
                                    <?php echo __('Not in monitoring'); ?>
                                    <i class="fa fa-eye-slash"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </article>
        </div>
    </section>
</div>
