<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<div id="flashMessage" class="alert auto-hide alert-success displayNone">Configuration saved successfully</div>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-map-o fa-fw"></i>
            <?php echo __('OpenStreetMap Module'); ?>
            <span>>
                <?php echo __('Settings'); ?>
            </span>
        </h1>
    </div>
</div>
<div class="jarviswidget">
    <header>
        <span class="widget-icon hidden-mobile hidden-tablet"> <i class="fa fa-pencil-square-o"></i> </span>
        <h2 class="hidden-mobile hidden-tablet"><?php echo __('Edit OpenStreetMap Settings'); ?></h2>
    </header>
    <div>
        <div class="widget-body no-padding">
            <form ng-submit="submit();">
                <div class="list-filter well">
                    <div class="row">
                        <div class="form-group required" ng-class="{'has-error': errors.server_url}">
                            <div class="col col-xs-10">
                                <label class="col col-md-2 control-label">
                                    <?php echo __('Server address'); ?>
                                </label>
                                <div class="col col-xs-10">
                                    <input
                                            class="form-control"
                                            type="text"
                                            placeholder="http://10.10.10.20/osm_tiles/{z}/{x}/{y}.png"
                                            ng-model="post.OpenstreetmapSetting.server_url"/>
                                    <div ng-repeat="error in errors.server_url">
                                        <div class="help-block text-danger">{{ error }}</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group required" ng-class="{'has-error': errors.reload_interval}">
                            <div class="col col-xs-10">
                                <label class="col col-md-2 control-label">
                                    <?php echo __('Map update interval'); ?>
                                </label>
                                <div class="col col-xs-10">
                                    <input
                                            class="form-control"
                                            type="number"
                                            placeholder="15"
                                            ng-model="post.OpenstreetmapSetting.reload_interval">
                                    <div ng-repeat="error in errors.reload_interval">
                                        <div class="help-block text-danger">{{ error }}</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12 col-md-3">
                            <fieldset>
                                <legend><?php echo __('Location status'); ?></legend>
                                <div class="form-group smart-form">
                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="post.OpenstreetmapSetting.state_filter.not_monitored"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-primary"></i>
                                        <?php echo __('Not monitored'); ?>
                                    </label>

                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="post.OpenstreetmapSetting.state_filter.up_ok"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-success"></i>
                                        <?php echo __('Up / Ok'); ?>
                                    </label>

                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="post.OpenstreetmapSetting.state_filter.warning"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-warning"></i>
                                        <?php echo __('Warning'); ?>
                                    </label>

                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="post.OpenstreetmapSetting.state_filter.down_critical"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-danger"></i>
                                        <?php echo __('Down / Critical'); ?>
                                    </label>

                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="post.OpenstreetmapSetting.state_filter.unreachable_unknown"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-default"></i>
                                        <?php echo __('Unreachable / Unknown'); ?>
                                    </label>
                                </div>
                            </fieldset>
                        </div>


                        <div class="col-xs-12 col-md-3">
                            <fieldset>
                                <legend><?php echo __('Empty locations'); ?></legend>
                                <div class="form-group smart-form">
                                    <label class="checkbox small-checkbox-label">
                                        <input type="checkbox" name="checkbox" checked="checked"
                                               ng-model="post.OpenstreetmapSetting.hide_empty_locations"
                                               ng-model-options="{debounce: 500}"
                                               parse-int ng-true-value="1" ng-false-value="0">
                                        <i class="checkbox-primary"></i>
                                        <?php echo __('Hide empty locations'); ?>
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                    </div>

                    <div class="row">
                        <div class="pull-right">
                            <input type="button" class="btn btn-primary" ng-click="submit()"
                                   value="<?php echo __('Save'); ?>"/>
                        </div>
                    </div>

                </div>


            </form>
        </div>
    </div>
</div>
