angular.module('openITCOCKPIT')
    .controller('Openstreetmap_settingsIndexController', function($scope, $http) {

        $scope.post = {
            OpenstreetmapSetting: {
                id: 1,
                server_url: '',
                reload_interval: 15,
                state_filter: {
                    not_monitored: 1,
                    up_ok: 1,
                    warning: 1,
                    down_critical: 1,
                    unreachable_unknown: 1
                },
                hide_empty_locations: 1
            }
        };

        $scope.stateFilterOptions = [
            {
                state: -1,
                description: "Not monitored"
            },
            {
                state: 0,
                description: "Up / Ok"
            },
            {
                state: 1,
                description: "Warning"
            },
            {
                state: 2,
                description: "Down / Critical"
            },
            {
                state: 3,
                description: "Unreachable / Unknown"
            }
        ];

        $scope.load = function() {
            $http.get("/openstreetmap_module/openstreetmap_settings/index.json", {
                params: {
                    'angular': true
                }
            }).then(function(result) {
                $scope.post.OpenstreetmapSetting.server_url = result.data.settings.OpenstreetmapSetting.server_url;
                $scope.post.OpenstreetmapSetting.reload_interval = result.data.settings.OpenstreetmapSetting.reload_interval;
                $scope.post.OpenstreetmapSetting.state_filter = result.data.settings.OpenstreetmapSetting.state_filter;
                $scope.post.OpenstreetmapSetting.hide_empty_locations = parseInt(result.data.settings.OpenstreetmapSetting.hide_empty_locations);
            }, function errorCallback (result) {
                if (result.status === 404) {
                    window.location.href = '/angular/not_found';
                }
            });
        };

        $scope.submit = function() {
            $http.post("/openstreetmap_module/openstreetmap_settings/index.json?angular=true",
                $scope.post
            ).then(function(result) {
                document.getElementById('flashMessage').classList.remove('displayNone');
                setTimeout(function() {
                    document.getElementById('flashMessage').classList.add('displayNone');
                }, 4000);
            }, function errorCallback (result) {
                if (result.data.hasOwnProperty('error')) {
                    $scope.errors = result.data.error;
                }
            });
        };

        $scope.load();
    });
