angular.module("openITCOCKPIT").directive("openstreetmapSummary", function($http, $interval, $httpParamSerializer){
    return {
        restrict: "E",
        templateUrl: "/openstreetmap_module/openstreetmap/openstreetmapsummary.html",

        controller: function($scope){
            $scope.loadOpenstreetMapSumaryState = function(containerIds, acls){
                $http.get("/openstreetmap_module/openstreetmap/openstreetmapsummary.json", {
                    params: {
                        "angular": true,
                        "containerIds[]": containerIds
                    }
                }).then(function(result){
                    $(".map-summary-state-popover").switchClass("slideOutRight", "slideInRight");
                    $scope.summary = result.data.summary;
                    $scope.acl = acls;
                    $scope.startInterval();
                });
            };
            $scope.hideTooltip = function($event){
                $($event.currentTarget).switchClass("slideInRight", "slideOutRight");
                $scope.stopInterval();
            };

            $scope.startInterval = function(){
                var showFor = 5000;
                var intervalSpeed = 10;
                $scope.percentValue = 100;

                $scope.stopInterval();

                $scope.intervalRef = $interval(function(){
                    showFor = showFor - intervalSpeed;
                    if(showFor === 0){
                        $scope.stopInterval();
                        $(".map-summary-state-popover").switchClass("slideInRight", "slideOutRight");
                    }

                    $scope.percentValue = showFor / 5000 * 100;
                }, intervalSpeed);
            };

            $scope.stopInterval = function(){
                if(typeof $scope.intervalRef !== "undefined"){
                    $interval.cancel($scope.intervalRef);
                }
            };

            $scope.getObjectHref = function(type, objectId){
                var url = "javascript:void(0);";
                switch(type){
                    case "location":
                        if($scope.acl.locations.edit){
                            url = "/locations/edit/" + objectId;
                        }
                        break;
                    default:
                        url = "javascript:void(0);";
                        break;
                }
                return url;
            };

            $scope.getObjectsHref = function(type, objectIds){
                var url = "javascript:void(0);";
                if(objectIds.length === 0){
                    return url;
                }
                switch(type){
                    case "host":
                        if($scope.acl.hosts.index){
                            url = "/hosts/index?" + $httpParamSerializer({
                                "angular": true,
                                "filter[Host.id][]": objectIds
                            });
                        }
                        break;
                    case "service":
                        if($scope.acl.services.index){
                            url = "/services/index?" + $httpParamSerializer({
                                "angular": true,
                                "filter[Service.id][]": objectIds
                            });
                        }
                        break;
                    default:
                        url = "javascript:void(0);";
                        break;
                }
                return url;
            };

        },
        link: function(scope){
            scope.showOpenstreetMapSummaryState = function(containerIds, acls){
                scope.loadOpenstreetMapSumaryState(containerIds, acls);
            };
        }
    };
});
