<?php
/**
 * // Copyright (C) <2017>  <it-novum GmbH>
 * //
 * // This file is dual licensed
 * //
 * // 1.
 * //    This program is free software: you can redistribute it and/or modify
 * //    it under the terms of the GNU General Public License as published by
 * //    the Free Software Foundation, version 3 of the License.
 * //
 * //    This program is distributed in the hope that it will be useful,
 * //    but WITHOUT ANY WARRANTY; without even the implied warranty of
 * //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * //    GNU General Public License for more details.
 * //
 * //    You should have received a copy of the GNU General Public License
 * //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * //
 * // 2.
 * //    If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 * //    under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 * //    License agreement and license key will be shipped with the order
 * //    confirmation.
 */
?>

<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-envelope-o fa-fw "></i>
            <?php echo __('PagerDuty Module') ?>
            <span>>
                <?php echo __('Settings'); ?>
            </span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>
<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon"> <i class="fa fa-envelope-o"></i> </span>
        <h2><?php echo __('Edit PagerDuty Settings'); ?></h2>
    </header>
    <div>
        <div class="widget-body">
            <?php
            echo $this->Form->create('PagerdutySettings', [
                'class' => 'form-horizontal clear',
            ]);

            ?>
            <?php
            echo $this->Form->input('PagerdutySettings.api_key', [
                'label' => __('API key'),
                'class' => 'form-control',
                'value' => $settings['PagerdutySettings']['api_key'],
                'help'  => __('The API Key you got from PagerDuty')
            ]);

            echo $this->Form->input('PagerdutySettings.integration_key', [
                'label' => __('Integration Key'),
                'class' => 'form-control',
                'value' => $settings['PagerdutySettings']['integration_key'],
                'help'  => __('The Integration Key you got from PagerDuty after you created the Service')
            ]);

            echo $this->Form->input('PagerdutySettings.api_url', [
                'label' => __('API URL'),
                'class' => 'form-control',
                'value' => $settings['PagerdutySettings']['api_url'],
                'help'  => __('API URL of the PagerDuty service.')
            ]);


            ?>
            <div class="form-group">
                <?php echo $this->Form->fancyCheckbox('PagerdutySettings.two_way', [
                    'caption'          => __('Enable Two-Way Integration'),
                    'wrapGridClass'    => 'col col-xs-10',
                    'captionGridClass' => 'col col-md-2 control-label text-right',
                    'captionClass'     => 'control-label text-left no-padding ',
                    'required'         => false,
                    'checked'          => (bool)$settings['PagerdutySettings']['two_way'],
                ]); ?>


                <div class="col col-md-2"></div>
                <div class="col col-xs-10 help-block">
                    <?php echo __('Via the Two-Way Integration PagerDuty is able, to acknowledge host and service problems.'); ?>
                </div>
                <div class="col col-md-2"></div>
                <div class="col col-xs-10 help-block">
                    <?php echo __('For this it is required, that your openITCOCKPIT Server is accessible from the Internet.'); ?>
                </div>
            </div>

            <?php

            $help = __('Webhook URL for PagerDuty. You need to create an openITCOCKPIT user defined API key first.');
            $help .= '<a href="javascript:void(0);" data-toggle="modal" data-target="#ApiKeyOverviewModal">
                                ' . __('Click here for help') . '
                      </a>';

            echo $this->Form->input('PagerdutySettings.webhook', [
                'label'    => __('Webhook URL'),
                'class'    => 'form-control',
                'value'    => sprintf(
                    'https://%s/pagerduty_module/acknowledge/submit.json?apikey=%s',
                    $_SERVER['SERVER_ADDR'],
                    __('YOUR_API_KEY_HERE')
                ),
                'help'     => $help,
                'disabled' => false,
                'readonly' => true,
            ]);
            ?>


            <div class="form-group">
                <?php echo $this->Form->fancyCheckbox('PagerdutySettings.use_proxy', [
                    'caption'          => __('Use Proxy Server'),
                    'wrapGridClass'    => 'col col-xs-10',
                    'captionGridClass' => 'col col-md-2 control-label text-right',
                    'captionClass'     => 'control-label text-left no-padding ',
                    'required'         => false,
                    'checked'          => (bool)$settings['PagerdutySettings']['use_proxy'],
                ]); ?>


                <div class="col col-md-2"></div>
                <div class="col col-xs-10 help-block">
                    <?php
                    if ($this->Acl->hasPermission('index', 'proxy', '')):
                        echo __('Determine if the <a href="/proxy/index">configured proxy</a> shoud be used.');
                    else:
                        echo __('Determine if the configured proxy shoud be used.');
                    endif;
                    ?>
                </div>
            </div>


            <?php echo $this->Form->formActions(__('Save'), ['cancelButton' => false]); ?>

        </div>
    </div>
</div>

<?php echo $this->element('apikey_help'); ?>

