<?php

class ServicenowModuleSchema extends CakeSchema {

    public $servicenow_settings = [
        'id'               => ['type' => 'integer', 'unsigned' => true, 'key' => 'primary'],
        'url'              => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'user_id'          => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'user_password'    => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'assignment_group' => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'assigned_to'      => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'business_service' => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'impact'           => ['type' => 'tinyinteger', 'unsigned' => true, 'default' => 1],
        'urgency'          => ['type' => 'tinyinteger', 'unsigned' => true, 'default' => 1],
        'recovery_state'   => ['type' => 'tinyinteger', 'unsigned' => true, 'default' => 6],
        'two_way'          => ['type' => 'boolean', 'null' => false, 'default' => '0'],
        'use_proxy'        => ['type' => 'boolean', 'null' => false, 'default' => '0'],
        'created'          => ['type' => 'datetime', 'null' => false, 'default' => null],
        'modified'         => ['type' => 'datetime', 'null' => false, 'default' => null],
        'indexes'          => [
            'PRIMARY' => ['column' => 'id', 'unique' => 1],
        ],
        'tableParameters'  => ['charset' => 'utf8', 'collate' => 'utf8_swedish_ci', 'engine' => 'InnoDB'],
    ];
    public $servicenow_hostspecific_settings = [
        'id'               => ['type' => 'integer', 'unsigned' => true, 'key' => 'primary'],
        'host_uuid'        => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'assignment_group' => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'assigned_to'      => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'business_service' => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'impact'           => ['type' => 'tinyinteger', 'unsigned' => true, 'null' => true],
        'urgency'          => ['type' => 'tinyinteger', 'unsigned' => true, 'null' => true],
        'created'          => ['type' => 'datetime', 'null' => false, 'default' => null],
        'modified'         => ['type' => 'datetime', 'null' => false, 'default' => null],
        'indexes'          => [
            'PRIMARY' => ['column' => 'id', 'unique' => 1],
        ],
        'tableParameters'  => ['charset' => 'utf8', 'collate' => 'utf8_swedish_ci', 'engine' => 'InnoDB'],
    ];
    public $servicenow_servicespecific_settings = [
        'id'               => ['type' => 'integer', 'unsigned' => true, 'key' => 'primary'],
        'service_uuid'     => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'assignment_group' => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'assigned_to'      => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'business_service' => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'impact'           => ['type' => 'tinyinteger', 'unsigned' => true, 'null' => true],
        'urgency'          => ['type' => 'tinyinteger', 'unsigned' => true, 'null' => true],
        'created'          => ['type' => 'datetime', 'null' => false, 'default' => null],
        'modified'         => ['type' => 'datetime', 'null' => false, 'default' => null],
        'indexes'          => [
            'PRIMARY' => ['column' => 'id', 'unique' => 1],
        ],
        'tableParameters'  => ['charset' => 'utf8', 'collate' => 'utf8_swedish_ci', 'engine' => 'InnoDB'],
    ];
    public $servicenow_incidents = [
        'id'               => ['type' => 'integer', 'unsigned' => true, 'key' => 'primary'],
        'incident_id'      => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'sys_id'           => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'state'            => ['type' => 'tinyinteger', 'unsigned' => true, 'default' => 1],
        'resolution_code'  => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'resolution_notes' => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'host_uuid'        => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'service_uuid'     => ['type' => 'string', 'collate' => 'utf8_swedish_ci', 'charset' => 'utf8'],
        'created'          => ['type' => 'datetime', 'null' => false, 'default' => null],
        'modified'         => ['type' => 'datetime', 'null' => false, 'default' => null],
        'indexes'          => [
            'PRIMARY' => ['column' => 'id', 'unique' => 1],
        ],
        'tableParameters'  => ['charset' => 'utf8', 'collate' => 'utf8_swedish_ci', 'engine' => 'InnoDB'],
    ];

    public function before($event = []) {
        $db = ConnectionManager::getDataSource($this->connection);
        $db->cacheSources = false;
        return true;
    }

    public function after($event = []) {


        App::uses('UUID', 'Lib');
        $CommandModel = ClassRegistry::init('Command');

        //Check if servicenow commands exists
        $result = $CommandModel->find('first', [
            'recursive'  => -1,
            'fields'     => [
                'Command.id',
                'Command.name',
            ],
            'conditions' => [
                'Command.command_type' => NOTIFICATION_COMMAND,
                'Command.name'         => 'host-notifiy-by-servicenow'
            ]
        ]);
        if (empty($result)) {
            $CommandModel->create();
            $data = [
                'Command' => [
                    'name'         => 'host-notifiy-by-servicenow',
                    'command_line' => '/usr/share/openitcockpit/app/Console/cake ServicenowModule.servicenow_notification --type Host --hostname "$HOSTNAME$" --hostaddress "$HOSTADDRESS$" --hoststate "$HOSTSTATEID$" --output "$HOSTOUTPUT$" --comment "$NOTIFICATIONCOMMENT$"',
                    'command_type' => NOTIFICATION_COMMAND,
                    'human_args'   => null,
                    'uuid'         => UUID::v4(),
                    'description'  => 'Send host notifications to ServiceNow'
                ]
            ];
            $CommandModel->save($data);
        }

        $result = $CommandModel->find('first', [
            'recursive'  => -1,
            'fields'     => [
                'Command.id',
                'Command.name',
            ],
            'conditions' => [
                'Command.command_type' => NOTIFICATION_COMMAND,
                'Command.name'         => 'service-notify-by-servicenow'
            ]
        ]);
        if (empty($result)) {
            $CommandModel->create();
            $data = [
                'Command' => [
                    'name'         => 'service-notify-by-servicenow',
                    'command_line' => '/usr/share/openitcockpit/app/Console/cake ServicenowModule.servicenow_notification --type Service --hostname "$HOSTNAME$" --hostaddress "$HOSTADDRESS$" --hoststate "$HOSTSTATEID$" --servicedesc "$SERVICEDESC$" --servicestate "$SERVICESTATEID$" --output "$SERVICEOUTPUT$" --comment "$NOTIFICATIONCOMMENT$"',
                    'command_type' => NOTIFICATION_COMMAND,
                    'human_args'   => null,
                    'uuid'         => UUID::v4(),
                    'description'  => 'Send service notifications to ServiceNow'
                ]
            ];
            $CommandModel->save($data);
        }

        return true;
    }

}
