<?php
/**
 * // Copyright (C) <2019>  <it-novum GmbH>
 * //
 * // This file is dual licensed
 * //
 * // 1.
 * //    This program is free software: you can redistribute it and/or modify
 * //    it under the terms of the GNU General Public License as published by
 * //    the Free Software Foundation, version 3 of the License.
 * //
 * //    This program is distributed in the hope that it will be useful,
 * //    but WITHOUT ANY WARRANTY; without even the implied warranty of
 * //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * //    GNU General Public License for more details.
 * //
 * //    You should have received a copy of the GNU General Public License
 * //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * //
 * // 2.
 * //    If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 * //    under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 * //    License agreement and license key will be shipped with the order
 * //    confirmation.
 */
?>
<div id="flashMessage" class="alert auto-hide alert-success displayNone">Configuration saved successfully</div>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-envelope-o fa-fw "></i>
            <?php echo __('ServiceNow Module') ?>
            <span>>
                <?php echo __('Edit ServiceNow Settings'); ?>
            </span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>
<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon"> <i class="fa fa-envelope-o"></i> </span>
        <h2><?php echo __('Edit ServiceNow Settings'); ?></h2>
    </header>
    <div>
        <div class="widget-body">
            <form ng-submit="submit();" class="form-horizontal">
                <div class="row">
                    <div class="form-group required" ng-class="{'has-error': errors.api_url}">
                        <label class="col col-md-2 control-label">
                            <?php echo __('ServiceNow URL'); ?>
                        </label>
                        <div class="col col-xs-10">
                            <input class="form-control"
                                   type="text"
                                   required=""
                                   placeholder="https://my-servicenow.service-now.com"
                                   ng-model="post.ServicenowSettings.url">
                            <div ng-repeat="error in errors.api_url">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <span class="help-block">
                                URL to your ServiceNow Instance
                            </span>
                        </div>
                    </div>

                    <div class="form-group required" ng-class="{'has-error': errors.user_id}">
                        <label class="col col-md-2 control-label">
                            <?php echo __('User ID'); ?>
                        </label>
                        <div class="col col-xs-10">
                            <input class="form-control"
                                   type="text"
                                   required=""
                                   placeholder="openitcockpit"
                                   ng-model="post.ServicenowSettings.user_id">
                            <div ng-repeat="error in errors.user_id">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <span class="help-block">
                                <?php echo __('ServiceNow User ID'); ?>
                            </span>
                        </div>
                    </div>

                    <div class="form-group required" ng-class="{'has-error': errors.user_password}">
                        <label class="col col-md-2 control-label">
                            <?php echo __('User Password'); ?>
                        </label>
                        <div class="col col-xs-10">
                            <input class="form-control"
                                   type="password"
                                   required=""
                                   placeholder="password123"
                                   ng-model="post.ServicenowSettings.user_password">
                            <div ng-repeat="error in errors.user_password">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <span class="help-block">
                                <?php echo __('ServiceNow User Password'); ?>
                            </span>
                        </div>
                    </div>

                    <div class="form-group required" ng-class="{'has-error': errors.impact}">
                        <label class="col col-md-2 control-label">
                            <?php echo __('Incident Impact'); ?>
                        </label>
                        <div class="col col-xs-10">
                            <select data-placeholder="<?php echo __('Please choose'); ?>"
                                    class="form-control"
                                    chosen=""
                                    ng-model="post.ServicenowSettings.impact">
                                <option value="1"><?php echo __('1 - High'); ?></option>
                                <option value="2"><?php echo __('2 - Medium'); ?></option>
                                <option value="3"><?php echo __('3 - Low'); ?></option>
                            </select>
                            <div ng-repeat="error in errors.impact">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <span class="help-block">
                                <?php echo __('Impact defines the effect that the task has on business<br>Including urgency used for priority calculating'); ?>
                                <a href="https://docs.servicenow.com/bundle/london-it-service-management/page/product/incident-management/reference/r_PrioritizationOfIncidents.html?cshalt=yes">
                                    <?php echo __('(More information)'); ?>
                                </a>
                            </span>
                        </div>
                    </div>

                    <div class="form-group required" ng-class="{'has-error': errors.urgency}">
                        <label class="col col-md-2 control-label">
                            <?php echo __('Incident Urgency'); ?>
                        </label>
                        <div class="col col-xs-10">
                            <select data-placeholder="<?php echo __('Please choose'); ?>"
                                    class="form-control"
                                    chosen=""
                                    ng-model="post.ServicenowSettings.urgency">
                                <option value="1"><?php echo __('1 - High'); ?></option>
                                <option value="2"><?php echo __('2 - Medium'); ?></option>
                                <option value="3"><?php echo __('3 - Low'); ?></option>
                            </select>
                            <div ng-repeat="error in errors.urgency">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <span class="help-block">
                                <?php echo __('Urgency defines the extent to which the task resolution can be delayed<br>Including impact used for priority calculating'); ?>
                                <a href="https://docs.servicenow.com/bundle/london-it-service-management/page/product/incident-management/reference/r_PrioritizationOfIncidents.html?cshalt=yes">
                                    <?php echo __('(More information)'); ?>
                                </a>
                            </span>
                        </div>
                    </div>

                    <div class="form-group required" ng-class="{'has-error': errors.recovery_state}">
                        <label class="col col-md-2 control-label">
                            <?php echo __('Incident recovery state'); ?>
                        </label>
                        <div class="col col-xs-10">
                            <select data-placeholder="<?php echo __('Please choose'); ?>"
                                    class="form-control"
                                    chosen=""
                                    ng-model="post.ServicenowSettings.recovery_state">
                                <option value="6"><?php echo __('Resolved'); ?></option>
                                <option value="7"><?php echo __('Closed'); ?></option>
                                <option value="8"><?php echo __('Canceled'); ?></option>
                            </select>
                            <div ng-repeat="error in errors.recovery_state">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <span class="help-block">
                                <?php echo __('Incident state on host / service recovery'); ?>
                            </span>
                        </div>
                    </div>

                    <div class="form-group" ng-class="{'has-error': errors.assignment_group}">
                        <label class="col col-md-2 control-label">
                            <?php echo __('Assignment Group'); ?>
                        </label>
                        <div class="col col-xs-10">
                            <input class="form-control"
                                   type="text"
                                   placeholder="Incident Management"
                                   ng-model="post.ServicenowSettings.assignment_group">
                            <div ng-repeat="error in errors.assignment_group">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <span class="help-block">
                                <?php echo __('ServiceNow Incident Assignment Group'); ?>
                            </span>
                        </div>
                    </div>

                    <div class="form-group" ng-class="{'has-error': errors.assigned_to}">
                        <label class="col col-md-2 control-label">
                            <?php echo __('Assigned To'); ?>
                        </label>
                        <div class="col col-xs-10">
                            <input class="form-control"
                                   type="text"
                                   placeholder="Incident Manager"
                                   ng-model="post.ServicenowSettings.assigned_to">
                            <div ng-repeat="error in errors.assigned_to">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <span class="help-block">
                                <?php echo __('ServiceNow Incident Assigned To (automatically sets status to "In progress")'); ?>
                            </span>
                        </div>
                    </div>

                    <div class="form-group" ng-class="{'has-error': errors.business_service}">
                        <label class="col col-md-2 control-label">
                            <?php echo __('Business Service'); ?>
                        </label>
                        <div class="col col-xs-10">
                            <input class="form-control"
                                   type="text"
                                   ng-model="post.ServicenowSettings.business_service">
                            <div ng-repeat="error in errors.business_service">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <span class="help-block">
                                <?php echo __('ServiceNow Incident Business Service'); ?>
                            </span>
                        </div>
                    </div>

                    <div class="form-group">

                        <?php echo $this->Form->fancyCheckbox('ServicenowSettings.two_way', [
                            'caption'          => __('Enable Two-Way Integration'),
                            'wrapGridClass'    => 'col col-xs-10',
                            'captionGridClass' => 'col col-md-2 control-label',
                            'captionClass'     => 'no-padding-top',
                            'required'         => false,
                            'ng-model'         => 'post.ServicenowSettings.two_way',
                        ]); ?>

                        <div class="col col-md-2"></div>
                        <div class="col col-xs-10 help-block">
                            <?php echo __('Via the Two-Way Integration ServiceNow is able, to acknowledge host and service problems.'); ?>
                            <br>
                            <?php echo __('For this it is required, that your openITCOCKPIT Server is accessible from the Internet.'); ?>
                        </div>
                    </div>

                    <div class="form-group">

                        <?php echo $this->Form->fancyCheckbox('ServicenowSettings.use_proxy', [
                            'caption'          => __('Use Proxy Server'),
                            'wrapGridClass'    => 'col col-xs-10',
                            'captionGridClass' => 'col col-md-2 control-label',
                            'captionClass'     => 'no-padding-top',
                            'required'         => false,
                            'ng-model'         => 'post.ServicenowSettings.use_proxy',
                        ]); ?>

                        <div class="col col-md-2"></div>
                        <div class="col col-xs-10 help-block">
                            <?php
                            if ($this->Acl->hasPermission('index', 'proxy', '')):
                                echo __('Determine if the <a href="/proxy/index">configured proxy</a> shoud be used.');
                            else:
                                echo __('Determine if the configured proxy shoud be used.');
                            endif;
                            ?>
                        </div>
                    </div>

                    <div class="col-xs-12 margin-top-10">
                        <div class="well formactions ">
                            <div class="pull-right">
                                <input class="btn btn-primary" type="submit" value="Save">&nbsp;
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<?php echo $this->element('apikey_help'); ?>

