angular.module('openITCOCKPIT').directive('servicenowServiceElement', function($http) {
    return {
        restrict: 'E',
        templateUrl: '/servicenow_module/elements/service_configuration_angular.html',
        scope: {
            'serviceUuid': '@',
            'lastLoad': '@',
            'editable': '@'
        },

        controller: function($scope) {
            $scope.init = false;
            $scope.globalsettings = null;
            $scope.settings = null;
            $scope.incident = {
                ServicenowIncident: null
            };

            $scope.load = function() {
                $http.get("/servicenow_module/servicenow_edit/servicespecific/" + $scope.serviceUuid + ".json", {
                    params: {
                        'angular': true
                    }
                }).then(function(result) {
                    $scope.globalsettings = result.data.globalsettings;
                    $scope.settings = result.data.settings;
                    $scope.incident = result.data.incident;
                }, function errorCallback (result) {
                    if (result.status === 404) {
                        window.location.href = '/angular/not_found';
                    }
                });
            };

            $scope.save = function() {
                if($scope.settings.ServicenowServicespecificSettings.assignment_group === ""){
                    $scope.settings.ServicenowServicespecificSettings.assignment_group = null;
                }
                if($scope.settings.ServicenowServicespecificSettings.assigned_to === ""){
                    $scope.settings.ServicenowServicespecificSettings.assigned_to = null;
                }
                if($scope.settings.ServicenowServicespecificSettings.business_service === ""){
                    $scope.settings.ServicenowServicespecificSettings.business_service = null;
                }
                $scope.settings.ServicenowServicespecificSettings.service_uuid = $scope.serviceUuid;
                $http.post("/servicenow_module/servicenow_edit/servicespecific.json?angular=true",
                    $scope.settings
                ).then(function(result) {
                    if (result.data.id != null) {
                        $scope.settings.ServicenowServicespecificSettings.id = parseInt(result.data.id);
                    }
                    document.getElementById('flashMessage').classList.remove('displayNone');
                    setTimeout(function() {
                        document.getElementById('flashMessage').classList.add('displayNone');
                    }, 4000);
                }, function errorCallback (result) {
                    if (result.status === 404) {
                        window.location.href = '/angular/not_found';
                    }
                });
            };

            $scope.$watch('serviceUuid', function() {
                if ($scope.serviceUuid != null && $scope.serviceUuid != "") {
                    $scope.load();
                    $scope.init = true;
                }
            }, true);

            $scope.$watch('lastLoad', function() {
                if ($scope.serviceUuid != null && $scope.serviceUuid != "" && $scope.init) {
                    $scope.load();
                }
            }, true);
        },

        link: function($scope, element, attr) {

        }
    };
});