<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, version 3 of the License.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// 2.
//  If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//  under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//  License agreement and license key will be shipped with the order
//  confirmation.

class EditController extends SlackModuleAppController {

    public $layout = 'Admin.default';

    public $uses = [
        'SlackModule.SlackSettings',
    ];

    public function index() {
        $defaultId = 1;
        $defaults = [
            'SlackSettings' => [
                'api_url'            => null,
                'oauth_access_token' => null,
                'two_way'            => false,
                'use_proxy'          => false
            ]
        ];

        if ($this->request->is('post') || $this->request->is('put')) {
            $this->request->data['SlackSettings']['id'] = $defaultId;
            if ($this->SlackSettings->save($this->request->data)) {
                $this->setFlash(__('Configuration saved successfully'));
            } else {
                $this->setFlash(__('Error while saving data'), false);
            }

            $this->redirect([
                'plugin'     => 'slack_module',
                'controller' => 'edit',
                'action'     => 'index'
            ]);
        }

        $settings = Hash::merge($defaults, $this->SlackSettings->find('first'));
        $this->set('settings', $settings);
    }
}
