<?php
/**
 * // Copyright (C) <2017>  <it-novum GmbH>
 * //
 * // This file is dual licensed
 * //
 * // 1.
 * //    This program is free software: you can redistribute it and/or modify
 * //    it under the terms of the GNU General Public License as published by
 * //    the Free Software Foundation, version 3 of the License.
 * //
 * //    This program is distributed in the hope that it will be useful,
 * //    but WITHOUT ANY WARRANTY; without even the implied warranty of
 * //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * //    GNU General Public License for more details.
 * //
 * //    You should have received a copy of the GNU General Public License
 * //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * //
 * // 2.
 * //    If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 * //    under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 * //    License agreement and license key will be shipped with the order
 * //    confirmation.
 */
?>

<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-envelope-o fa-fw "></i>
            <?php echo __('Slack Module') ?>
            <span>>
                <?php echo __('Edit Slack Settings'); ?>
            </span>
        </h1>
    </div>
</div>
<div id="error_msg"></div>
<div class="jarviswidget" id="wid-id-0">
    <header>
        <span class="widget-icon"> <i class="fa fa-envelope-o"></i> </span>
        <h2><?php echo __('Edit Slack Settings'); ?></h2>
    </header>
    <div>
        <div class="widget-body">
            <?php
            echo $this->Form->create('SlackSettings', [
                'class' => 'form-horizontal clear',
            ]);

            ?>
            <?php

            echo $this->Form->input('SlackSettings.api_url', [
                'label'       => __('Webhook URL'),
                'class'       => 'form-control',
                'value'       => $settings['SlackSettings']['api_url'],
                'placeholder' => "https://hooks.slack.com/services/...",
                'required'    => true,
                'help'        => __('Incoming Webhook URL you got from Slack after you enable incoming webhooks.')
            ]);

            echo $this->Form->input('SlackSettings.oauth_access_token', [
                'label'       => __('OAuth Access Token'),
                'class'       => 'form-control',
                'value'       => $settings['SlackSettings']['oauth_access_token'],
                'placeholder' => "xoxp-3200670952...",
                'help'        => __('OAuth Access Token for your Slack Workspace (required for two-way integration)')
            ]);

            ?>
            <div class="form-group">

                <?php echo $this->Form->fancyCheckbox('SlackSettings.two_way', [
                    'caption'          => __('Enable Two-Way Integration'),
                    'wrapGridClass'    => 'col col-xs-10',
                    'captionGridClass' => 'col col-md-2 control-label text-right',
                    'captionClass'     => 'control-label text-left no-padding ',
                    'required'         => false,
                    'checked'          => (bool)$settings['SlackSettings']['two_way'],
                ]); ?>

                <div class="col col-md-2"></div>
                <div class="col col-xs-10 help-block">
                    <?php echo __('Via the Two-Way Integration Slack is able, to acknowledge host and service problems.'); ?>
                    <br>
                    <?php echo __('For this it is required, that your openITCOCKPIT Server is accessible from the Internet.'); ?>
                </div>
            </div>

            <?php

            $help = __('Webhook URL for Slack. You need to create an openITCOCKPIT user defined API key first.');
            $help .= '<a href="javascript:void(0);" data-toggle="modal" data-target="#ApiKeyOverviewModal">
                                ' . __('Click here for help') . '
                      </a>';
            $help .= '<br>' . __('If you want to use the two-way integration, your openITCOCKPIT server requires a valid SSL certificate, as described in the ') . '<a href="https://api.slack.com/faq#slash_commands" target="_blank">' . __('Slack FAQ') . '</a>';

            echo $this->Form->input('SlackSettings.requesturl', [
                'label'    => __('Request URL'),
                'class'    => 'form-control',
                'value'    => sprintf(
                    'https://%s/slack_module/acknowledge/submit.json?apikey=%s',
                    $_SERVER['SERVER_ADDR'],
                    __('YOUR_API_KEY_HERE')
                ),
                'help'     => $help,
                'disabled' => false,
                'readonly' => true,
            ]);
            ?>

            <div class="form-group">
                <?php echo $this->Form->fancyCheckbox('SlackSettings.use_proxy', [
                    'caption'          => __('Use Proxy Server'),
                    'wrapGridClass'    => 'col col-xs-10',
                    'captionGridClass' => 'col col-md-2 control-label text-right',
                    'captionClass'     => 'control-label text-left no-padding ',
                    'required'         => false,
                    'checked'          => (bool)$settings['SlackSettings']['use_proxy'],
                ]); ?>


                <div class="col col-md-2"></div>
                <div class="col col-xs-10 help-block">
                    <?php
                    if ($this->Acl->hasPermission('index', 'proxy', '')):
                        echo __('Determine if the <a href="/proxy/index">configured proxy</a> shoud be used.');
                    else:
                        echo __('Determine if the configured proxy shoud be used.');
                    endif;
                    ?>
                </div>
            </div>

            <?php echo $this->Form->formActions(__('Save'), ['cancelButton' => false]); ?>

        </div>
    </div>
</div>

<?php echo $this->element('apikey_help'); ?>

