<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, version 3 of the License.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// 2.
//  If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//  under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//  License agreement and license key will be shipped with the order
//  confirmation.

namespace itnovum\openITCOCKPIT\InitialDatabase;


class Servicetemplate extends Importer {
    /**
     * @property \Servicetemplate $Model
     */

    /**
     * @return bool
     */
    public function import() {
        if ($this->isTableEmpty()) {
            $data = $this->getData();
            foreach ($data as $record) {
                $this->Model->create();

                $record['Servicetemplate']['Contact'] = $record['Contact'];
                $record['Servicetemplate']['Contactgroup'] = $record['Contactgroup'];

                $this->Model->saveAll($record);
            }
        }
    }

    /**
     * @return array
     */
    public function getData() {
        $data = [
            0  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '1',
                            'uuid'                         => '3eb9db30-c9cf-4c25-9c69-0c3c01dc2256',
                            'template_name'                => 'Ping',
                            'name'                         => 'Ping',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Lan-Ping',
                            'command_id'                   => '3',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => '',
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-05 15:20:14',
                            'modified'                     => '2015-01-15 23:46:17',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '1',
                                    'commandargument_id' => '1',
                                    'servicetemplate_id' => '1',
                                    'value'              => '100.0,20%',
                                    'created'            => '2015-01-05 15:20:14',
                                    'modified'           => '2015-01-15 23:46:17',
                                ],
                            1 =>
                                [
                                    'id'                 => '2',
                                    'commandargument_id' => '2',
                                    'servicetemplate_id' => '1',
                                    'value'              => '500.0,60%',
                                    'created'            => '2015-01-05 15:20:14',
                                    'modified'           => '2015-01-15 23:46:17',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '3',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '1',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            1  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '2',
                            'uuid'                         => 'fd250454-4065-4218-8e8e-4b0325eddf13',
                            'template_name'                => 'CHECK_SSH',
                            'name'                         => 'CHECK_SSH',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'SSH',
                            'command_id'                   => '11',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '0',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => '',
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 23:44:39',
                            'modified'                     => '2015-01-15 23:45:45',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '2',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '2',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            2  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '3',
                            'uuid'                         => 'cd5f7e0a-3682-4734-806d-455f1b296888',
                            'template_name'                => 'CHECK_BY_SSH',
                            'name'                         => 'CHECK_BY_SSH',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Execute a command on a remote host',
                            'command_id'                   => '23',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '900',
                            'retry_interval'               => '300',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 23:47:34',
                            'modified'                     => '2015-01-15 23:47:34',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '3',
                                    'commandargument_id' => '37',
                                    'servicetemplate_id' => '3',
                                    'value'              => '',
                                    'created'            => '2015-01-15 23:47:34',
                                    'modified'           => '2015-01-15 23:47:34',
                                ],
                            1 =>
                                [
                                    'id'                 => '4',
                                    'commandargument_id' => '38',
                                    'servicetemplate_id' => '3',
                                    'value'              => '',
                                    'created'            => '2015-01-15 23:47:34',
                                    'modified'           => '2015-01-15 23:47:34',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '4',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '3',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            3  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '4',
                            'uuid'                         => 'eec01955-9aee-4763-b205-f3021480eee5',
                            'template_name'                => 'CHECK_DHCP',
                            'name'                         => 'CHECK_DHCP',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '0',
                            'description'                  => 'Check if DHCP server returns the right IP address',
                            'command_id'                   => '5',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '0',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 23:49:21',
                            'modified'                     => '2015-01-15 23:49:21',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '5',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '4',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            4  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '5',
                            'uuid'                         => '632cbb02-4046-4406-8bcc-4cfe0befbc0c',
                            'template_name'                => 'CHECK_FTP',
                            'name'                         => 'CHECK_FTP',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Test a FTP connection for given host',
                            'command_id'                   => '6',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 23:50:41',
                            'modified'                     => '2015-01-15 23:50:41',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '6',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '5',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            5  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '6',
                            'uuid'                         => 'b987e6c0-135d-4034-987a-18c65b111fae',
                            'template_name'                => 'CHECK_HTTP',
                            'name'                         => 'CHECK_HTTP',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '0',
                            'description'                  => 'Send request to an HTTP server',
                            'command_id'                   => '7',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '0',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 23:51:53',
                            'modified'                     => '2015-01-15 23:51:53',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '5',
                                    'commandargument_id' => '8',
                                    'servicetemplate_id' => '6',
                                    'value'              => '1',
                                    'created'            => '2015-01-15 23:51:53',
                                    'modified'           => '2015-01-15 23:51:53',
                                ],
                            1 =>
                                [
                                    'id'                 => '6',
                                    'commandargument_id' => '9',
                                    'servicetemplate_id' => '6',
                                    'value'              => '2',
                                    'created'            => '2015-01-15 23:51:53',
                                    'modified'           => '2015-01-15 23:51:53',
                                ],
                            2 =>
                                [
                                    'id'                 => '7',
                                    'commandargument_id' => '10',
                                    'servicetemplate_id' => '6',
                                    'value'              => '/',
                                    'created'            => '2015-01-15 23:51:53',
                                    'modified'           => '2015-01-15 23:51:53',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '7',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '6',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            6  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '7',
                            'uuid'                         => 'b12e5fcd-eccc-43f9-8c84-921329e56c92',
                            'template_name'                => 'CHECK_HTTPS',
                            'name'                         => 'CHECK_HTTPS',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Send request to an HTTPS server',
                            'command_id'                   => '8',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 23:52:49',
                            'modified'                     => '2015-01-15 23:52:49',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '8',
                                    'commandargument_id' => '11',
                                    'servicetemplate_id' => '7',
                                    'value'              => '1',
                                    'created'            => '2015-01-15 23:52:49',
                                    'modified'           => '2015-01-15 23:52:49',
                                ],
                            1 =>
                                [
                                    'id'                 => '9',
                                    'commandargument_id' => '12',
                                    'servicetemplate_id' => '7',
                                    'value'              => '2',
                                    'created'            => '2015-01-15 23:52:49',
                                    'modified'           => '2015-01-15 23:52:49',
                                ],
                            2 =>
                                [
                                    'id'                 => '10',
                                    'commandargument_id' => '13',
                                    'servicetemplate_id' => '7',
                                    'value'              => '/',
                                    'created'            => '2015-01-15 23:52:49',
                                    'modified'           => '2015-01-15 23:52:49',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '8',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '7',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            7  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '8',
                            'uuid'                         => '354c1e0e-bd09-48e0-bbbe-eb98a4059454',
                            'template_name'                => 'CHECK_LOCAL_DISK',
                            'name'                         => 'CHECK_LOCAL_DISK',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Checks a local disk of the openITCOCKPIT Server',
                            'command_id'                   => '17',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '1800',
                            'retry_interval'               => '300',
                            'max_check_attempts'           => '2',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 23:55:07',
                            'modified'                     => '2015-01-15 23:55:07',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '11',
                                    'commandargument_id' => '23',
                                    'servicetemplate_id' => '8',
                                    'value'              => '20',
                                    'created'            => '2015-01-15 23:55:07',
                                    'modified'           => '2015-01-15 23:55:07',
                                ],
                            1 =>
                                [
                                    'id'                 => '12',
                                    'commandargument_id' => '24',
                                    'servicetemplate_id' => '8',
                                    'value'              => '10',
                                    'created'            => '2015-01-15 23:55:07',
                                    'modified'           => '2015-01-15 23:55:07',
                                ],
                            2 =>
                                [
                                    'id'                 => '13',
                                    'commandargument_id' => '25',
                                    'servicetemplate_id' => '8',
                                    'value'              => '/',
                                    'created'            => '2015-01-15 23:55:07',
                                    'modified'           => '2015-01-15 23:55:07',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '9',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '8',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            8  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '9',
                            'uuid'                         => 'c673cc09-c46a-4916-8e42-85cb0e68f1e6',
                            'template_name'                => 'CHECK_LOCAL_LOAD',
                            'name'                         => 'CHECK_LOCAL_LOAD',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Checks the CPU load of the openITCOCKPIT Server',
                            'command_id'                   => '19',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 23:56:25',
                            'modified'                     => '2015-01-15 23:56:25',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '14',
                                    'commandargument_id' => '28',
                                    'servicetemplate_id' => '9',
                                    'value'              => '7.0,6.0,5.0',
                                    'created'            => '2015-01-15 23:56:25',
                                    'modified'           => '2015-01-15 23:56:25',
                                ],
                            1 =>
                                [
                                    'id'                 => '15',
                                    'commandargument_id' => '29',
                                    'servicetemplate_id' => '9',
                                    'value'              => '10.0,7.0,6.0',
                                    'created'            => '2015-01-15 23:56:25',
                                    'modified'           => '2015-01-15 23:56:25',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '10',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '9',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            9  =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '10',
                            'uuid'                         => '90aefb61-c818-4bd6-818c-c9e6174b3e13',
                            'template_name'                => 'CHECK_LOCAL_MAILQ',
                            'name'                         => 'CHECK_LOCAL_MAILQ',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Checks the mailq of the openITCOCKPIT Server',
                            'command_id'                   => '20',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '900',
                            'retry_interval'               => '300',
                            'max_check_attempts'           => '2',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 23:57:39',
                            'modified'                     => '2015-01-15 23:57:39',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '16',
                                    'commandargument_id' => '30',
                                    'servicetemplate_id' => '10',
                                    'value'              => '25',
                                    'created'            => '2015-01-15 23:57:39',
                                    'modified'           => '2015-01-15 23:57:39',
                                ],
                            1 =>
                                [
                                    'id'                 => '17',
                                    'commandargument_id' => '31',
                                    'servicetemplate_id' => '10',
                                    'value'              => '50',
                                    'created'            => '2015-01-15 23:57:39',
                                    'modified'           => '2015-01-15 23:57:39',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '11',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '10',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            10 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '11',
                            'uuid'                         => '91bc9075-64b2-4054-a39d-c2981cd6bd01',
                            'template_name'                => 'CHECK_LOCAL_PROC',
                            'name'                         => 'CHECK_LOCAL_PROC',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Check if a process is running on openITCOCKPIT server',
                            'command_id'                   => '21',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '120',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:01:26',
                            'modified'                     => '2015-01-16 00:01:26',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '18',
                                    'commandargument_id' => '32',
                                    'servicetemplate_id' => '11',
                                    'value'              => '1:10',
                                    'created'            => '2015-01-16 00:01:26',
                                    'modified'           => '2015-01-16 00:01:26',
                                ],
                            1 =>
                                [
                                    'id'                 => '19',
                                    'commandargument_id' => '33',
                                    'servicetemplate_id' => '11',
                                    'value'              => '1:20',
                                    'created'            => '2015-01-16 00:01:26',
                                    'modified'           => '2015-01-16 00:01:26',
                                ],
                            2 =>
                                [
                                    'id'                 => '20',
                                    'commandargument_id' => '34',
                                    'servicetemplate_id' => '11',
                                    'value'              => '/usr/sbin/nginx',
                                    'created'            => '2015-01-16 00:01:26',
                                    'modified'           => '2015-01-16 00:01:26',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '12',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '11',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            11 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '12',
                            'uuid'                         => 'b7e5c7a7-ed33-465f-ab8e-45059cb679fe',
                            'template_name'                => 'CHECK_LOCAL_PROCS_TOTAL',
                            'name'                         => 'CHECK_LOCAL_PROCS_TOTAL',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Checks how many processes are running on openITCOCKPIT Server',
                            'command_id'                   => '22',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:03:20',
                            'modified'                     => '2015-01-16 00:03:20',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '21',
                                    'commandargument_id' => '35',
                                    'servicetemplate_id' => '12',
                                    'value'              => '',
                                    'created'            => '2015-01-16 00:03:20',
                                    'modified'           => '2015-01-16 00:03:20',
                                ],
                            1 =>
                                [
                                    'id'                 => '22',
                                    'commandargument_id' => '36',
                                    'servicetemplate_id' => '12',
                                    'value'              => '',
                                    'created'            => '2015-01-16 00:03:20',
                                    'modified'           => '2015-01-16 00:03:20',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '13',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '12',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            12 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '13',
                            'uuid'                         => '5b0b27c4-6e70-454b-a778-b7b050910abb',
                            'template_name'                => 'CHECK_LOCAL_USERS',
                            'name'                         => 'CHECK_LOCAL_USERS',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Checks how many users are logged in to the openITCOCKPIT server backend',
                            'command_id'                   => '18',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:04:24',
                            'modified'                     => '2015-01-16 00:04:24',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '23',
                                    'commandargument_id' => '26',
                                    'servicetemplate_id' => '13',
                                    'value'              => '3',
                                    'created'            => '2015-01-16 00:04:24',
                                    'modified'           => '2015-01-16 00:04:24',
                                ],
                            1 =>
                                [
                                    'id'                 => '24',
                                    'commandargument_id' => '27',
                                    'servicetemplate_id' => '13',
                                    'value'              => '7',
                                    'created'            => '2015-01-16 00:04:24',
                                    'modified'           => '2015-01-16 00:04:24',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '14',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '13',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            13 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '14',
                            'uuid'                         => 'a4773ab9-ed5f-4395-b0c7-bb98bb975b06',
                            'template_name'                => 'CHECK_TCP',
                            'name'                         => 'CHECK_TCP',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Checks a TCP port',
                            'command_id'                   => '10',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:05:27',
                            'modified'                     => '2015-01-16 00:05:27',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '25',
                                    'commandargument_id' => '14',
                                    'servicetemplate_id' => '14',
                                    'value'              => '',
                                    'created'            => '2015-01-16 00:05:27',
                                    'modified'           => '2015-01-16 00:05:27',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '15',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '14',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            14 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '15',
                            'uuid'                         => '70ef8cb7-b253-4b81-9515-335e0ade1d8f',
                            'template_name'                => 'CHECK_TELNET',
                            'name'                         => 'CHECK_TELNET',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Check if a telnet server is running on target host',
                            'command_id'                   => '9',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:06:18',
                            'modified'                     => '2015-01-16 00:06:18',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '16',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '15',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            15 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '16',
                            'uuid'                         => '52ac5010-4014-41c2-ba3a-74bc765e442d',
                            'template_name'                => 'CHECK_SMTP',
                            'name'                         => 'CHECK_SMTP',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Check if a SNTP server is running on target host',
                            'command_id'                   => '12',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:07:52',
                            'modified'                     => '2015-01-16 00:07:52',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '26',
                                    'commandargument_id' => '15',
                                    'servicetemplate_id' => '16',
                                    'value'              => '2',
                                    'created'            => '2015-01-16 00:07:52',
                                    'modified'           => '2015-01-16 00:07:52',
                                ],
                            1 =>
                                [
                                    'id'                 => '27',
                                    'commandargument_id' => '16',
                                    'servicetemplate_id' => '16',
                                    'value'              => '5',
                                    'created'            => '2015-01-16 00:07:52',
                                    'modified'           => '2015-01-16 00:07:52',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '17',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '16',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            16 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '17',
                            'uuid'                         => 'b80db4b7-3148-4c39-9337-d89d367b9669',
                            'template_name'                => 'CHECK_NTP_PEER',
                            'name'                         => 'CHECK_NTP_PEER',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Check the NTP offset if target host',
                            'command_id'                   => '15',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:10:54',
                            'modified'                     => '2015-01-16 00:10:54',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '28',
                                    'commandargument_id' => '21',
                                    'servicetemplate_id' => '17',
                                    'value'              => '500',
                                    'created'            => '2015-01-16 00:10:54',
                                    'modified'           => '2015-01-16 00:10:54',
                                ],
                            1 =>
                                [
                                    'id'                 => '29',
                                    'commandargument_id' => '22',
                                    'servicetemplate_id' => '17',
                                    'value'              => '1000',
                                    'created'            => '2015-01-16 00:10:54',
                                    'modified'           => '2015-01-16 00:10:54',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '18',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '17',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            17 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '18',
                            'uuid'                         => '9babe8f0-9012-47a8-8580-f82246365dd8',
                            'template_name'                => 'CHECK_NTP_TIME',
                            'name'                         => 'CHECK_NTP_TIME',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '1',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Check the NTP offset if target host',
                            'command_id'                   => '14',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '300',
                            'retry_interval'               => '90',
                            'max_check_attempts'           => '3',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:11:57',
                            'modified'                     => '2015-01-16 00:11:57',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '30',
                                    'commandargument_id' => '19',
                                    'servicetemplate_id' => '18',
                                    'value'              => '500',
                                    'created'            => '2015-01-16 00:11:57',
                                    'modified'           => '2015-01-16 00:11:57',
                                ],
                            1 =>
                                [
                                    'id'                 => '31',
                                    'commandargument_id' => '20',
                                    'servicetemplate_id' => '18',
                                    'value'              => '1000',
                                    'created'            => '2015-01-16 00:11:57',
                                    'modified'           => '2015-01-16 00:11:57',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '19',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '18',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            18 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '19',
                            'uuid'                         => '3634eec0-a006-46ff-88cb-5355517232eb',
                            'template_name'                => 'CHECK_MK_ACTIVE',
                            'name'                         => 'CHECK_MK_ACTIVE',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Execute the active check_mk data colector',
                            'command_id'                   => '24',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '1',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:14:45',
                            'modified'                     => '2015-01-16 00:14:45',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [
                            0 =>
                                [
                                    'id'                            => '1',
                                    'uuid'                          => '152aecaf-e981-4b0b-8e05-86972868547d',
                                    'name'                          => 'info',
                                    'description'                   => 'info contact',
                                    'email'                         => 'openitcockpit@localhost.local',
                                    'phone'                         => '',
                                    'host_timeperiod_id'            => '1',
                                    'service_timeperiod_id'         => '1',
                                    'host_notifications_enabled'    => '1',
                                    'service_notifications_enabled' => '1',
                                    'notify_service_recovery'       => '1',
                                    'notify_service_warning'        => '1',
                                    'notify_service_unknown'        => '1',
                                    'notify_service_critical'       => '1',
                                    'notify_service_flapping'       => '0',
                                    'notify_service_downtime'       => '0',
                                    'notify_host_recovery'          => '1',
                                    'notify_host_down'              => '1',
                                    'notify_host_unreachable'       => '1',
                                    'notify_host_flapping'          => '0',
                                    'notify_host_downtime'          => '0',
                                    'ContactsToServicetemplate'     =>
                                        [
                                            'id'                 => '20',
                                            'contact_id'         => '1',
                                            'servicetemplate_id' => '19',
                                        ],
                                ],
                        ],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            19 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '20',
                            'uuid'                         => '331cb374-df79-4b72-9c51-2edb7fbb1e79',
                            'template_name'                => 'CHECK_MK_MEM_USED',
                            'name'                         => 'CHECK_MK_MEM_USED',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Memory',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => '',
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:17:22',
                            'modified'                     => '2015-01-16 00:18:00',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '32',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '20',
                                    'value'              => '(150.0 ,200.0)',
                                    'created'            => '2015-01-16 00:18:00',
                                    'modified'           => '2015-01-16 00:18:00',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            20 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '21',
                            'uuid'                         => '5bd24dbf-6b88-4736-8860-a546d281de77',
                            'template_name'                => 'CHECK_MK_MEM_VMALLOC',
                            'name'                         => 'CHECK_MK_MEM_VMALLOC',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Memory-vmalloc',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:18:47',
                            'modified'                     => '2015-01-16 00:18:47',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '33',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '21',
                                    'value'              => '(100, 120, 50.0, 30.0)',
                                    'created'            => '2015-01-16 00:18:47',
                                    'modified'           => '2015-01-16 00:18:47',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            21 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '22',
                            'uuid'                         => '3bafc389-c87e-43fb-86d3-e91471492e9b',
                            'template_name'                => 'CHECK_MK_MOUNTS',
                            'name'                         => 'CHECK_MK_MOUNTS',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Mounts',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:19:32',
                            'modified'                     => '2015-01-16 00:19:32',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '34',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '22',
                                    'value'              => '[\'rw\']',
                                    'created'            => '2015-01-16 00:19:32',
                                    'modified'           => '2015-01-16 00:19:32',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            22 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '23',
                            'uuid'                         => '8a7bd583-9764-43c6-9989-4ffa927b19ab',
                            'template_name'                => 'CHECK_MK_NETCTR_COMBINED',
                            'name'                         => 'CHECK_MK_NETCTR_COMBINED',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'NetCTR-Combined',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:20:21',
                            'modified'                     => '2015-01-16 00:20:21',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '35',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '23',
                                    'value'              => '(0.01, 0.1)',
                                    'created'            => '2015-01-16 00:20:21',
                                    'modified'           => '2015-01-16 00:20:21',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            23 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '24',
                            'uuid'                         => '3b388dc5-cc3c-4348-a2fa-0de4c3d6605a',
                            'template_name'                => 'CHECK_MK_NETIF_LINK',
                            'name'                         => 'CHECK_MK_NETIF_LINK',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'NetIF-Link',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:20:59',
                            'modified'                     => '2015-01-16 00:20:59',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '36',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '24',
                                    'value'              => 'True',
                                    'created'            => '2015-01-16 00:20:59',
                                    'modified'           => '2015-01-16 00:20:59',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            24 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '25',
                            'uuid'                         => '633a9e82-a9a0-4097-8107-43d5c0ce3709',
                            'template_name'                => 'CHECK_MK_NETIF_PARAMS',
                            'name'                         => 'CHECK_MK_NETIF_PARAMS',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'NetIF-Params',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:21:33',
                            'modified'                     => '2015-01-16 00:21:33',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '37',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '25',
                                    'value'              => '(\'1000Mb/s\', \'Full\', \'off\')',
                                    'created'            => '2015-01-16 00:21:33',
                                    'modified'           => '2015-01-16 00:21:33',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            25 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '26',
                            'uuid'                         => '40824c10-ef1d-4625-9a5d-519ca641e403',
                            'template_name'                => 'CHECK_MK_NFSMOUNTS',
                            'name'                         => 'CHECK_MK_NFSMOUNTS',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'NFSMount',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:22:20',
                            'modified'                     => '2015-01-16 00:22:20',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '38',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '26',
                                    'value'              => '[80,90]',
                                    'created'            => '2015-01-16 00:22:20',
                                    'modified'           => '2015-01-16 00:22:20',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            26 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '27',
                            'uuid'                         => 'eccfc508-68a3-483e-95b7-8b57e532ae81',
                            'template_name'                => 'CHECK_MK_NTP_TIME',
                            'name'                         => 'CHECK_MK_NTP_TIME',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'NTP-Time',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:22:54',
                            'modified'                     => '2015-01-16 00:22:54',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '39',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '27',
                                    'value'              => '(3, 5.0, 10.0)',
                                    'created'            => '2015-01-16 00:22:54',
                                    'modified'           => '2015-01-16 00:22:54',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            27 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '28',
                            'uuid'                         => '4c234f5b-111d-413c-9181-1dc2bbaf0441',
                            'template_name'                => 'CHECK_MK_POSTFIX_MAILQ',
                            'name'                         => 'CHECK_MK_POSTFIX_MAILQ',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Postfix-Mailq',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:23:36',
                            'modified'                     => '2015-01-16 00:23:36',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '40',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '28',
                                    'value'              => '(25,50)',
                                    'created'            => '2015-01-16 00:23:36',
                                    'modified'           => '2015-01-16 00:23:36',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            28 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '29',
                            'uuid'                         => 'a6a9cc08-225e-4066-8c6d-ba4f45b26e07',
                            'template_name'                => 'CHECK_MK_PS',
                            'name'                         => 'CHECK_MK_PS',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'proc_',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => '',
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:24:07',
                            'modified'                     => '2015-01-15 18:54:04',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '41',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '29',
                                    'value'              => '(_PROC_,1,1,98,99)',
                                    'created'            => '2015-01-16 00:24:07',
                                    'modified'           => '2015-01-15 18:54:04',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            29 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '30',
                            'uuid'                         => '59ef450a-5240-46dd-a441-953371abef95',
                            'template_name'                => 'CHECK_MK_SERVICE',
                            'name'                         => 'CHECK_MK_SERVICE',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'service_',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '5',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:24:53',
                            'modified'                     => '2015-01-16 00:24:53',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '42',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '30',
                                    'value'              => '',
                                    'created'            => '2015-01-16 00:24:53',
                                    'modified'           => '2015-01-16 00:24:53',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            30 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '31',
                            'uuid'                         => 'f9728a8d-be9b-4879-ae5e-e5f2377e4c56',
                            'template_name'                => 'CHECK_MK_UPTIME',
                            'name'                         => 'CHECK_MK_UPTIME',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Uptime',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:25:29',
                            'modified'                     => '2015-01-16 00:25:29',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '43',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '31',
                                    'value'              => '',
                                    'created'            => '2015-01-16 00:25:29',
                                    'modified'           => '2015-01-16 00:25:29',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            31 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '32',
                            'uuid'                         => '6ad6a6a8-0a1e-4c94-add5-eacdef149356',
                            'template_name'                => 'CHECK_MK_WINPERF_CPUUSAGE',
                            'name'                         => 'CHECK_MK_WINPERF_CPUUSAGE',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'CPU-Usage',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:26:04',
                            'modified'                     => '2015-01-16 00:26:04',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '44',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '32',
                                    'value'              => '(90,95)',
                                    'created'            => '2015-01-16 00:26:04',
                                    'modified'           => '2015-01-16 00:26:04',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            32 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '33',
                            'uuid'                         => '0afbf35e-ac90-407a-bd4b-0e6ed6450e5b',
                            'template_name'                => 'CHECK_MK_WINPERF_DISKSTAT',
                            'name'                         => 'CHECK_MK_WINPERF_DISKSTAT',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Disk-Stat',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => '',
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:26:36',
                            'modified'                     => '2015-01-15 18:56:40',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '45',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '33',
                                    'value'              => '{ \'read\': (10, 20), \'write\': (10,40), \'average\': 15 }',
                                    'created'            => '2015-01-16 00:26:36',
                                    'modified'           => '2015-01-15 18:56:40',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            33 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '34',
                            'uuid'                         => 'bcca054b-f9e3-4d77-8010-b950acc7651a',
                            'template_name'                => 'CHECK_MK_CPU_LOADS',
                            'name'                         => 'CHECK_MK_CPU_LOADS',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'CPU-Load',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => '',
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:27:39',
                            'modified'                     => '2015-01-16 00:39:09',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '52',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '34',
                                    'value'              => '(4,8)',
                                    'created'            => '2015-01-16 00:39:09',
                                    'modified'           => '2015-01-16 00:39:09',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            34 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '35',
                            'uuid'                         => 'e2376f24-36d3-48ea-a5ac-e972d6b81a85',
                            'template_name'                => 'CHECK_MK_CPU_THREADS',
                            'name'                         => 'CHECK_MK_CPU_THREADS',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'CPU-threads',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:28:15',
                            'modified'                     => '2015-01-16 00:28:15',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '46',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '35',
                                    'value'              => '(2000, 4000)',
                                    'created'            => '2015-01-16 00:28:15',
                                    'modified'           => '2015-01-16 00:28:15',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            35 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '36',
                            'uuid'                         => '77bce4e3-4535-49f0-ba96-b5879e0023e6',
                            'template_name'                => 'CHECK_MK_DF',
                            'name'                         => 'CHECK_MK_DF',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'df_',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:29:04',
                            'modified'                     => '2015-01-16 00:29:04',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '47',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '36',
                                    'value'              => '(80, 90)',
                                    'created'            => '2015-01-16 00:29:04',
                                    'modified'           => '2015-01-16 00:29:04',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            36 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '37',
                            'uuid'                         => 'e819a5a5-ad93-4c50-971a-132abccb26d2',
                            'template_name'                => 'CHECK_MK_DISKSTAT',
                            'name'                         => 'CHECK_MK_DISKSTAT',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Disk-Stat',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => '',
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:29:36',
                            'modified'                     => '2015-01-15 18:57:51',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '48',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '37',
                                    'value'              => '{ \'read\': (10, 20), \'write\': (10,40), \'average\': 15 }',
                                    'created'            => '2015-01-16 00:29:36',
                                    'modified'           => '2015-01-15 18:57:51',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            37 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '38',
                            'uuid'                         => '5e6721e7-34b6-492b-b5f7-83396e7766c7',
                            'template_name'                => 'CHECK_MK_KERNEL',
                            'name'                         => 'CHECK_MK_KERNEL',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Kernel',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => '',
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:30:17',
                            'modified'                     => '2015-01-16 00:37:35',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '49',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '38',
                                    'value'              => '(None,None)',
                                    'created'            => '2015-01-16 00:30:17',
                                    'modified'           => '2015-01-16 00:37:35',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            38 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '39',
                            'uuid'                         => '50650487-c48f-4af0-810a-887a4c1ff447',
                            'template_name'                => 'CHECK_MK_KERNEL_UTIL',
                            'name'                         => 'CHECK_MK_KERNEL_UTIL',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Kernel-Util',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:30:50',
                            'modified'                     => '2015-01-16 00:30:50',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '50',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '39',
                                    'value'              => '(101,102)',
                                    'created'            => '2015-01-16 00:30:50',
                                    'modified'           => '2015-01-16 00:30:50',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            39 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '40',
                            'uuid'                         => '2ecf4324-437c-4fd5-85fe-b8fd07be1a96',
                            'template_name'                => 'CHECK_MK_LOGWATCH',
                            'name'                         => 'CHECK_MK_LOGWATCH',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'LogWatch',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-16 00:31:22',
                            'modified'                     => '2015-01-16 00:31:22',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '51',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '40',
                                    'value'              => '',
                                    'created'            => '2015-01-16 00:31:22',
                                    'modified'           => '2015-01-16 00:31:22',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            40 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '41',
                            'uuid'                         => '0fb9cee0-b3be-4ac1-8917-3fc5d2984d76',
                            'template_name'                => 'CHECK_MK_WINPERF_PROCESSOR_UTIL',
                            'name'                         => 'CHECK_MK_WINPERF_PROCESSOR_UTIL',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Processor Util',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 18:56:02',
                            'modified'                     => '2015-01-15 18:56:02',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            41 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '42',
                            'uuid'                         => 'c6e07b02-bd67-4109-822e-6d23f9f157d6',
                            'template_name'                => 'CHECK_MK_ORACLE_TABLESPACES',
                            'name'                         => 'CHECK_MK_ORACLE_TABLESPACES',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Oracle Tablespace',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 18:59:28',
                            'modified'                     => '2015-01-15 18:59:28',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            42 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '43',
                            'uuid'                         => '02e0eaaf-c4bb-4d36-a3e8-0ca809bc3665',
                            'template_name'                => 'CHECK_MK_MEM_WIN',
                            'name'                         => 'CHECK_MK_MEM_WIN',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Windows Memory',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 19:00:18',
                            'modified'                     => '2015-01-15 19:00:18',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '56',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '43',
                                    'value'              => '{\'memory\' : (90.0, 95.0), \'pagefile\' : (90.0, 95.0), \'average\': 60}',
                                    'created'            => '2015-01-16 00:31:22',
                                    'modified'           => '2015-01-16 00:31:22',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            43 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '44',
                            'uuid'                         => 'ca552795-e698-4821-ac78-f22f31653d25',
                            'template_name'                => 'CHECK_MK_WINPERF_IF',
                            'name'                         => 'CHECK_MK_WINPERF_IF',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Winperf Interface',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 19:01:14',
                            'modified'                     => '2015-01-15 19:01:14',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '57',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '44',
                                    'value'              => '{\'state\': [\'1\'], \'errors\': (0.01, 0.1), \'traffic\': (50.0, 80.0)}',
                                    'created'            => '2015-01-16 00:31:22',
                                    'modified'           => '2015-01-16 00:31:22',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            44 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '45',
                            'uuid'                         => '92dd4fc1-06e5-441c-8342-89cd64b9e13e',
                            'template_name'                => 'CHECK_MK_SYSTEMTIME',
                            'name'                         => 'CHECK_MK_SYSTEMTIME',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Systemtime',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 19:01:59',
                            'modified'                     => '2015-01-15 19:01:59',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '55',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '45',
                                    'value'              => '(30,60)',
                                    'created'            => '2015-01-16 00:31:22',
                                    'modified'           => '2015-01-16 00:31:22',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            45 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '46',
                            'uuid'                         => 'f43bebf4-ad50-4477-aa4f-968ac204829c',
                            'template_name'                => 'CHECK_MK_SERVICES_SUMMARY',
                            'name'                         => 'CHECK_MK_SERVICES_SUMMARY',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'Service summary',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 19:02:52',
                            'modified'                     => '2015-01-15 19:02:52',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '54',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '46',
                                    'value'              => '{\'ignored\': (), \'state_if_stopped\': 1}',
                                    'created'            => '2015-01-16 00:31:22',
                                    'modified'           => '2015-01-16 00:31:22',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            46 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '47',
                            'uuid'                         => 'e753c9ec-60e5-41c8-a4fd-a3567094c392',
                            'template_name'                => 'CHECK_MK_LNX_IF',
                            'name'                         => 'CHECK_MK_LNX_IF',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'LNX Interface',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 19:03:40',
                            'modified'                     => '2015-01-15 19:03:40',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '53',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '47',
                                    'value'              => '{\'state\': [\'1\'], \'errors\': (0.01, 0.1), \'traffic\': (50.0, 80.0)}',
                                    'created'            => '2015-01-16 00:31:22',
                                    'modified'           => '2015-01-16 00:31:22',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
            47 =>
                [
                    'Servicetemplate'                          =>
                        [
                            'id'                           => '48',
                            'uuid'                         => 'f54f914b-0215-4681-bbb1-173ba1b46d06',
                            'template_name'                => 'CHECK_MK_TCP_CONN_STATS',
                            'name'                         => 'CHECK_MK_TCP_CONN_STATS',
                            'container_id'                 => '1',
                            'servicetemplatetype_id'       => '8',
                            'check_period_id'              => '1',
                            'notify_period_id'             => '1',
                            'description'                  => 'TCP connection stats',
                            'command_id'                   => '16',
                            'check_command_args'           => '',
                            'checkcommand_info'            => '',
                            'eventhandler_command_id'      => '0',
                            'check_interval'               => '60',
                            'retry_interval'               => '60',
                            'max_check_attempts'           => '1',
                            'first_notification_delay'     => '0',
                            'notification_interval'        => '7200',
                            'notify_on_warning'            => '0',
                            'notify_on_unknown'            => '0',
                            'notify_on_critical'           => '1',
                            'notify_on_recovery'           => true,
                            'notify_on_flapping'           => '0',
                            'notify_on_downtime'           => '0',
                            'flap_detection_enabled'       => '0',
                            'flap_detection_on_ok'         => '0',
                            'flap_detection_on_warning'    => '0',
                            'flap_detection_on_unknown'    => '0',
                            'flap_detection_on_critical'   => false,
                            'low_flap_threshold'           => '0',
                            'high_flap_threshold'          => '0',
                            'process_performance_data'     => '1',
                            'freshness_checks_enabled'     => '0',
                            'freshness_threshold'          => null,
                            'passive_checks_enabled'       => '0',
                            'event_handler_enabled'        => '0',
                            'active_checks_enabled'        => '0',
                            'retain_status_information'    => '0',
                            'retain_nonstatus_information' => '0',
                            'notifications_enabled'        => '0',
                            'notes'                        => '',
                            'priority'                     => '1',
                            'tags'                         => '',
                            'service_url'                  => null,
                            'is_volatile'                  => false,
                            'check_freshness'              => false,
                            'created'                      => '2015-01-15 19:04:31',
                            'modified'                     => '2015-01-15 19:04:31',
                        ],
                    'Customvariable'                           =>
                        [],
                    'Servicetemplatecommandargumentvalue'      =>
                        [
                            0 =>
                                [
                                    'id'                 => '52',
                                    'commandargument_id' => '39',
                                    'servicetemplate_id' => '48',
                                    'value'              => '{\'TIME_WAIT\' : (170, 200), \'ESTABLISHED\' : (100, 200) }',
                                    'created'            => '2015-01-16 00:31:22',
                                    'modified'           => '2015-01-16 00:31:22',
                                ],
                        ],
                    'Servicetemplateeventcommandargumentvalue' =>
                        [],
                    'Contactgroup'                             =>
                        [],
                    'Contact'                                  =>
                        [],
                    'Servicetemplategroup'                     =>
                        [],
                ],
        ];

        return $data;
    }
}
